[**smartclientcore**](README.md) • **Docs**

***

[smartclientcore](modules.md) / [constants/interfaces](constants/interfaces/README.md) / PublicAdAPI

# Interface: PublicAdAPI

## Properties

<a id="adid" name="adid"></a>

### adId

> `readonly` **adId**: `null` \| `string`

***

<a id="closedcaptions" name="closedcaptions"></a>

### closedCaptions

> `readonly` **closedCaptions**: [`ClosedCaption`](constants/interfaces/interfaces/ClosedCaption.md)[]

List of all closed captions.

***

<a id="companions" name="companions"></a>

### companions

> `readonly` **companions**: `any`[]

***

<a id="currenttime" name="currenttime"></a>

### currentTime

> `readonly` **currentTime**: `number`

Gets the current time for the ad.

***

<a id="duration" name="duration"></a>

### duration

> `readonly` **duration**: `number`

Gets the duration time for the ad.

***

<a id="error" name="error"></a>

### error

> `readonly` **error**: [`ErrorStatus`](constants/interfaces/interfaces/ErrorStatus.md)

Description object of the most recent ad error.

***

<a id="extensions" name="extensions"></a>

### extensions

> `readonly` **extensions**: [`Extension`](constants/interfaces/interfaces/Extension.md)[]

***

<a id="hasclickthrough" name="hasclickthrough"></a>

### hasClickThrough

> `readonly` **hasClickThrough**: `boolean`

True if the current ad contains a ClickThrough URL.

***

<a id="height" name="height"></a>

### height

> `readonly` **height**: `number`

Gets the height of the ad.

***

<a id="icons" name="icons"></a>

### icons

> `readonly` **icons**: `any`

Object of all industry icons.

***

<a id="isexpanded" name="isexpanded"></a>

### isExpanded

> `readonly` **isExpanded**: `boolean`

Indicates whether the ad is expanded.

***

<a id="isinteractive" name="isinteractive"></a>

### isInteractive

> `readonly` **isInteractive**: `boolean`

True if the current ad has been specified as interactive.

***

<a id="islinear" name="islinear"></a>

### isLinear

> `readonly` **isLinear**: `boolean`

Indicates whether the ad is linear.

***

<a id="isskippable" name="isskippable"></a>

### isSkippable

> `readonly` **isSkippable**: `boolean`

Indicates whether the ad is skippable.

***

<a id="macrolist" name="macrolist"></a>

### macroList

> `readonly` **macroList**: `Object`

Snapshot of the VAST Macros.

***

<a id="nonlinear" name="nonlinear"></a>

### nonLinear

> `readonly` **nonLinear**: `any`[]

List of all nonLinear ads.

***

<a id="remainingtime" name="remainingtime"></a>

### remainingTime

> `readonly` **remainingTime**: `number`

Gets the remaining time for the ad.

***

<a id="skipoffset" name="skipoffset"></a>

### skipOffset

> `readonly` **skipOffset**: `number`

Gets the skip offset time for the ad.

***

<a id="title" name="title"></a>

### title

> `readonly` **title**: `string`

***

<a id="type" name="type"></a>

### type

> `readonly` **type**: `string`

***

<a id="universaladid" name="universaladid"></a>

### universalAdId

> `readonly` **universalAdId**: [`UniversalAdId`](constants/interfaces/interfaces/UniversalAdId.md)

***

<a id="universaladids" name="universaladids"></a>

### universalAdIds

> `readonly` **universalAdIds**: [`UniversalAdId`](constants/interfaces/interfaces/UniversalAdId.md)[]

***

<a id="variant" name="variant"></a>

### variant

> `readonly` **variant**: `string`

Gets the variant type of the current ad.

***

<a id="verifications" name="verifications"></a>

### verifications

> `readonly` **verifications**: [`AdVerification`](constants/interfaces/interfaces/AdVerification.md)[]

***

<a id="viewability" name="viewability"></a>

### viewability

> `readonly` **viewability**: [`Viewability`](constants/interfaces/interfaces/Viewability.md)

Overview about the status of visibility.

***

<a id="volume" name="volume"></a>

### volume

> `readonly` **volume**: `number`

Gets the volume value of the ad.

***

<a id="width" name="width"></a>

### width

> `readonly` **width**: `number`

Gets the width of the ad.

***

<a id="wrappers" name="wrappers"></a>

### wrappers

> `readonly` **wrappers**: [`Wrapper`](constants/interfaces/interfaces/Wrapper.md)[]

List of Wrapper objects, starting with the initial request up to the
 lastWrapper before the Inline tag.
