Object.entries || (Object.entries = function(e) {
  var i = [];
  for (k in e)
    typeof k == "string" && e.propertyIsEnumerable(k) && i.push([k, e[k]]);
  return i;
});
(function() {
  var E = navigator.userAgent.match(/(opera|chrome|safari|firefox|msie|trident(?=\/))\/?\s*(\d+)/i) || [];
  function e(i, r) {
    r = r || {
      bubbles: !1,
      cancelable: !1,
      detail: void 0
    };
    var s = document.createEvent("CustomEvent");
    return s.initCustomEvent(i, r.bubbles, r.cancelable, r.detail), s;
  }
  /trident|msie/i.test(E[1]) && (e.prototype = window.Event.prototype, window.CustomEvent = e, window.Event = e);
})();
(function(E) {
  E && E.prototype && E.prototype.firstElementChild === void 0 && Object.defineProperty(E.prototype, "firstElementChild", {
    get: function() {
      for (var i, r = this.childNodes, s = 0; i = r[s++]; )
        if (i.nodeType === 1)
          return i;
      return null;
    }
  });
})(window.Node || window.Element);
var nt = /* @__PURE__ */ ((E) => (E[E.SILENT = 0] = "SILENT", E[E.ERROR = 1] = "ERROR", E[E.NORMAL = 2] = "NORMAL", E[E.VERBOSE = 3] = "VERBOSE", E))(nt || {}), Ce = /* @__PURE__ */ ((E) => (E[E.CRITICAL = 0] = "CRITICAL", E[E.ERROR = 1] = "ERROR", E[E.INFO = 2] = "INFO", E[E.TABLE = 3] = "TABLE", E[E.WARN = 4] = "WARN", E))(Ce || {});
let Dt = nt.SILENT;
const _i = "[OIS_DEBUG]", Ws = {
  [nt.ERROR]: [Ce.CRITICAL, Ce.ERROR],
  [nt.NORMAL]: [Ce.INFO, Ce.TABLE, Ce.WARN],
  [nt.SILENT]: [],
  [nt.VERBOSE]: [Ce.CRITICAL, Ce.ERROR, Ce.INFO, Ce.TABLE, Ce.WARN]
};
function Zt() {
}
class c {
  /**
   * Sets the logging level for debug outputs.
   * @param {LOGLEVEL} level - The logging level, one of
   *  `LOGLEVEL.SILENT`, `LOGLEVEL.ERROR`, `LOGLEVEL.NORMAL`, or `LOGLEVEL.VERBOSE`.
   */
  static set logLevel(e) {
    Dt = e;
  }
  /**
   * Gets the current logging level.
   * @returns {number} - The current logging level.
   */
  static get logLevel() {
    return Dt;
  }
  /**
   * Checks whether a specific log type should be logged based on the logging level.
   * @internal
   * @param {LOGTYPE} type - The type of log (e.g., 'CRITICAL', 'INFO', 'ERROR', 'TABLE', or 'WARN').
   * @param {LOGLEVEL} level - The current logging level.
   * @returns {boolean} - `true` if the log type should be logged, otherwise `false`.
   */
  static shouldLog(e, i) {
    return i !== nt.SILENT && Ws[i].includes(e);
  }
  /**
   * Provides methods for logging debug outputs.
   */
  static get debug() {
    return {
      critical: (this.shouldLog(Ce.CRITICAL, Dt) ? console.error : Zt).bind(console, _i),
      info: (this.shouldLog(Ce.INFO, Dt) ? console.info : Zt).bind(console, _i),
      error: (this.shouldLog(Ce.ERROR, Dt) ? console.error : Zt).bind(console, _i),
      table: (this.shouldLog(Ce.TABLE, Dt) ? console.table : Zt).bind(console),
      warn: (this.shouldLog(Ce.WARN, Dt) ? console.warn : Zt).bind(console, _i)
    };
  }
}
const Xs = "4.0";
class Ys {
  constructor() {
    this.currentContentSource = {
      // eslint-disable-next-line no-undefined
      currentTime: void 0,
      // eslint-disable-next-line no-undefined
      progressive: void 0
    }, this.PLAYER_EVENT_MAP = {};
  }
  /**
   * Sets up a function that will be called whenever the specified event is delivered to the video player.
   * @param {string} type - A case-sensitive string representing the player event type to listen for.
   * @param {Function} callback - The function which receives a notification when an event of the specified type occurs.
   *
   * _*Note:*
   *
   * The PLAYER_EVENT_MAP should be defined within the Facade (constructor) to allow mapping and usage of equivalent
   * events for non-HTML5 video players. The key represents the event from the custom player, while the value
   * corresponds to the standard HTML5 event. It must also be set for HTML5 players as this is no longer part of the
   * FacadeBase!
   */
  addEventListener(e, i) {
  }
  /**
   * Requests the ad playhead position from the video player.
   * @returns {Number} Total time in seconds.
   */
  // @ts-ignore: method return implemented over playerReference
  getAdCurrentTime() {
  }
  /**
   * Requests the ad-duration from the video player.
   * @returns {Number} Total time in seconds. _*Note:* The time can include milliseconds (3.1234)
   */
  // @ts-ignore: method return implemented over playerReference
  getAdDuration() {
  }
  /**
   * Requests the current playhead position from the video player.
   * @returns {Number} Current time in seconds. _*Note:* The time can include milliseconds (3.1234)
   */
  // @ts-ignore: method return implemented over playerReference
  getContentCurrentTime() {
  }
  /**
   * Requests the content-duration from the video player.
   * @returns {Number} Total time in seconds. _*Note:* The time can include milliseconds (3.1234)
   */
  // @ts-ignore: method return implemented over playerReference
  getContentDuration() {
  }
  /**
   * @returns {CurrentContentSource} SourceObject - Current content source and playhead progress
   */
  // @ts-ignore: method return implemented over playerReference
  getCurrentContentSource() {
  }
  /**
   * Requests the latest status of the video player, site, and other external factors.
   * @param {string} adBreakType - Linearity of the upcoming ad slot. See [`AdBreak.type`](setup-sequential-config#adbreak+type)
   * @returns {EnvironmentVars} Object describing surrounding conditions and the expected ad properties.
   */
  // @ts-ignore: method return implemented over playerReference
  getEnvironmentVars(e) {
  }
  /**
   * Requests the player element.
   * @returns {HTMLAudioElement|HTMLVideoElement|null} The video or audio element or null.
   *
   * _*Note:* If the player takes care of the OM-SDK, config.adVerification.playerHandles = true ._
   */
  // @ts-ignore: method return implemented over playerReference
  getPlayerElement() {
  }
  /**
   * Requests the current size and viewMode from the video player.
   * @returns {ElementSize} Current player dimension specs
   */
  // @ts-ignore: method return implemented over playerReference
  getPlayerSize() {
  }
  /**
   * Requests the current size and viewMode from the viewport that surrounds the video player.
   * @returns {ElementSize} The dimension specs of the element
   */
  // @ts-ignore: method return implemented over playerReference
  getViewportSize() {
  }
  /**
   * Requests the current volume level from the video player.
   * @returns {Number} The current volume level between 0-1
   */
  // @ts-ignore: method return implemented over playerReference
  getVolume() {
  }
  /**
   * Requests the player facade version (API version) to ensure the particular versions of `smartclientcore` and player facade
   * are supported.
   * @param {string} apiFacadeVersion - Required API version
   * @returns {string} Supported API version
   */
  handshakeVersion(e) {
    return Xs;
  }
  /**
   * Requests the video player to mute playback.
   * @returns {Promise} Resolves if the video player has been muted
   */
  // @ts-ignore: method return implemented over playerReference
  mute() {
  }
  /**
   * Requests the video player to unmute playback.
   * @returns {Promise} Resolves if the video player has been unmuted
   */
  // @ts-ignore: method return implemented over playerReference
  unmute() {
  }
  /**
   * Requests the current screen state from the video player.
   * @returns {Boolean} Fullscreen state
   */
  // @ts-ignore: method return implemented over playerReference
  isFullscreen() {
  }
  /**
   * Requests the current muted state from the video player.
   * @returns {Boolean} Muted state
   */
  // @ts-ignore: method return implemented over playerReference
  isMuted() {
  }
  /**
   * Requests the current pause state from the video player.
   * @returns {Boolean} Paused state
   */
  // @ts-ignore: method return implemented over playerReference
  isPaused() {
  }
  /**
   * Requests the video player to load and play the specified media file.
   * @param {string} url - The URI of the media file to be played.
   * @param {Boolean} autoPlay - Whether the requested media file starts playback immediately.
   * @param {Boolean} disableSeeking - Whether the requested source can be seeked back and forth.
   * @returns {Promise<void|number>} That resolves if the player accepts the media file request. If an error occurs, the
   *  Promise may reject with an optional error code.
   */
  // @ts-ignore: method return implemented over playerReference
  load(e, i = !0, r = !1) {
  }
  /**
   * Requests the video player to pause playback.
   * @returns {Promise} Resolves if the video player has been paused
   */
  // @ts-ignore: method return implemented over playerReference
  pause() {
  }
  /**
   * Requests the video player to start (resume) playback.
   * @returns {Promise} Resolves if the video player has been resumed
   */
  // @ts-ignore: method return implemented over playerReference
  play() {
  }
  /**
   * Removes an event listener from the video player that has been registered with `addEventListener()`
   * _*Note:* The event listener to be removed must match with the listener that has been added._
   * @param {string} type - A case-sensitive string representing the player event type to listen for.
   * @param {Function} callback - The function which receives a notification when an event of the specified type occurs.
   */
  removeEventListener(e, i) {
  }
  /**
   * restoreContentState is called right after the ad playback has finished.
   * Resumes playback by restoring the last known playback state and communicates with the AdSlotAPI upon completion.
   *
   * _*Note:* Check whether the content was really replaced by an ad. Otherwise, there should be nothing to do.
   * @returns {Promise} Resolves if the player accepts the play request; otherwise, rejects.
   */
  // @ts-ignore: method return implemented over playerReference
  restoreContentState() {
  }
  /**
   * saveContentState is called right before the ad playback should begin. Notes the current playback state for
   *  later use with `restoreContentState()` and communicates with the AdSlotAPI  upon completion.
   *
   * _*Note:* Promise.resolve() without the source and the current time of the content will not work.
   * @returns {Promise} Resolves with the current content source and playhead progress for VAST tracking enrichment.
   */
  // @ts-ignore: method return implemented over playerReference
  saveContentState() {
  }
  /**
   * Requests the video player to change the playhead position to the specified time.
   * @param {Number} offset - Requested playhead position
   * @returns {Promise} Resolves if the video player has finished seeking to the specified position
   */
  // @ts-ignore: method return implemented over playerReference
  seek(e) {
  }
  /**
   * Requests the video player to change the volume.
   * @param {Number} volume - Requested volume level between 0-1
   * @returns {Promise} Resolves if the video player accepted the volume change request
   */
  // @ts-ignore: method return implemented over playerReference
  setVolume(e) {
  }
}
const he = {
  LINEAR: "linear",
  NON_LINEAR: "nonlinear"
};
class K {
  /**
   * Converts a time duration string into the equivalent time in seconds.
   *
   * @param {string} durationString - The time duration string in the format 'HH:MM:SS' to be converted.
   * @returns {number|null} The time duration in seconds or null if the input is invalid.
   */
  static convertTimeStringToSeconds(e) {
    const i = (/* @__PURE__ */ new Date(`1970-01-01T${e}Z`)).getTime();
    return isNaN(i) ? null : i / 1e3;
  }
  /**
   * Returns the most nested child within an Element (NodeTree) that matches the specified selector,
   * or group of selectors. If no matches are found, `null is returned.
   * (identically to the `Element` method `querySelector()`)
   *
   * @param {Element} baseElement - A DOM object that is scanned for an element that matches the specified selectors.
   * @param {string} selectors - A `DOMString` containing one or more selectors to match.
   * This string must be a valid CSS selector string.
   *
   * @returns {HTMLElement|null} - An HTMLElement object representing the element that matches
   * the specified set of CSS selectors, or null is returned if there are no matches.
   */
  static getMostNestedElement(e, i) {
    const r = Array.from(e.querySelectorAll(i));
    let s = -1, d = null;
    return r.forEach((h) => {
      let A = 0, v = h;
      for (; v.parentNode !== e; )
        A++, v = v.parentNode;
      A > s && (s = A, d = h);
    }), d;
  }
  /**
   * Creates a new Array with unique elements in it.
   *
   * @param {Array} array - The array to be cleaned of duplicates.
   * @param {string} uniqueValue - The property to search for duplicates in the array.
   * @returns {Array} - An array with unique elements defined by uniqueValue.
   */
  static getUnique(e, i) {
    const r = e.map((d) => d[i]);
    return e.filter((d, h) => !r.includes(d[i], h + 1));
  }
  /**
   * This function trims a string and returns it, unless the string is empty, null, or contains only the value 'null'.
   *
   * @param {string} resultString - The string to be checked.
   * @returns {string|null} The trimmed string or null if the string is empty, null, or 'null'.
   */
  static trim(e) {
    return e && e.trim().length !== 0 && e !== "null" ? e.trim() : null;
  }
}
class Gs {
  constructor(e) {
    this.adSourceXML = e, this.adSource = this.adSourceXML.querySelector("AdTagURI, VASTAdData, VASTData, CustomAdData");
  }
  get allowMultipleAds() {
    return this.adSourceXML.getAttribute("allowMultipleAds") === "true";
  }
  get followRedirects() {
    return this.adSourceXML.getAttribute("followRedirects") === "true";
  }
  get id() {
    return this.adSourceXML.getAttribute("id");
  }
  /**
   * @returns {*} An adTagURI or otherwise XML representing a VAST response or any custom XML
   */
  get source() {
    return this.adSource.nodeName.includes("AdTagURI") ? K.trim(this.adSource.textContent) : this.adSource.firstElementChild ? this.adSource.firstElementChild.outerHTML : K.trim(this.adSource.textContent);
  }
  get templateType() {
    return this.adSource.getAttribute("templateType");
  }
  get type() {
    return this.adSource.nodeName;
  }
}
const Mt = class Mt {
  constructor(e, i = {}) {
    this.isRequested = !1, this.adBreakXML = e, this.publisherSpecs = i, this.hasBreakPosition = this.getBreakPosition(), this.extensionList = this.getExtensions(), this.multiMidroll = !1, this.separationClipsObj = this.getSeparationClips(), this.trackerList = this.getTrackers(), this.error = this.getError() || {
      // Use undefined since isNaN(null) in hasError would return true
      code: void 0,
      // eslint-disable-line no-undefined
      message: "",
      timestamp: null
    };
  }
  /**
   * @returns {AdSource} - Object representing the data or an URL to request the data or `null`
   */
  get adSource() {
    const e = this.adBreakXML.querySelector(":scope > AdSource");
    return e ? new Gs(e) : null;
  }
  /**
   * Optional attribute
   * @returns {string} the identifier for the AdBreak or an empty string
   */
  get breakId() {
    return this.adBreakXML.getAttribute("breakId") || null;
  }
  /**
   * Indicates the position of the ad break within the underlying video/audio content
   * that the ad is playing within.
   * @returns {number} the position
   */
  get breakPosition() {
    return this.hasBreakPosition;
  }
  get breakType() {
    var e;
    return (e = this.adBreakXML.getAttribute("breakType")) != null ? e : "";
  }
  get extensions() {
    return this.extensionList;
  }
  /**
   * Simple getter to check whether the adBreak can be delivered or not.
   * @returns {boolean} true if the adBreak is corrupted
   */
  get hasError() {
    return !isNaN(this.error.code);
  }
  get prefetchOffset() {
    return this.publisherSpecs[Mt.POSITION[this.breakPosition]] && this.publisherSpecs[Mt.POSITION[this.breakPosition]].prefetchOffset ? Math.abs(this.publisherSpecs[Mt.POSITION[this.breakPosition]].prefetchOffset) : 0;
  }
  /**
   * @returns {Number} Time in seconds after the AdBreak should be repeated
   */
  get repeatAfter() {
    const e = K.convertTimeStringToSeconds(
      this.adBreakXML.getAttribute("repeatAfter")
    ) || -1;
    return e !== -1 ? e : -1;
  }
  get requested() {
    return this.isRequested;
  }
  set requested(e) {
    this.isRequested = e;
  }
  get separationClips() {
    return this.separationClipsObj;
  }
  get timeOffset() {
    return this.adBreakXML.getAttribute("timeOffset");
  }
  get trackingEvents() {
    return this.trackerList;
  }
  /**
   * AdBreak type property used by the core.
   * Note: We do not support mixed types as suggested by the VMAP standard (see VMAP 1.0.1 Chapter 2.4)
   * `
   * @returns {string} AdBreak type
   */
  get type() {
    return this.breakType.split(",")[0].indexOf(he.NON_LINEAR) < 0 ? he.LINEAR : he.NON_LINEAR;
  }
  /**
   * Returns one of the following values:
   * - 1 for pre-roll
   * - 2 for mid-roll
   * - 3 for post-roll
   * - 4 for standalone  (in accordance with OM for Web, overlays are considered to be standalone)
   * - 0 for none of the above/other
   * @returns {number} The break position number according to IAB VAST BREAKPOSITION macro values
   */
  getBreakPosition() {
    return this.type === he.NON_LINEAR ? 4 : this.timeOffset === "start" || this.timeOffset === "0%" || K.convertTimeStringToSeconds(this.timeOffset) === 0 ? 1 : this.timeOffset === "end" || this.timeOffset === "100%" ? 3 : 2;
  }
  /**
   * @returns {Array} list of all found VMAP Extensions
   */
  getExtensions() {
    let e = [];
    return [...this.adBreakXML.querySelectorAll(":scope > Extensions > Extension")].forEach((r) => {
      e.push({
        extensionXML: r,
        type: r.getAttribute("type") || ""
      });
    }), e;
  }
  /**
   * @returns {Object} list of tracking objects by event name
   */
  getTrackers() {
    const e = {};
    return [...this.adBreakXML.querySelectorAll(":scope > TrackingEvents > Tracking")].forEach((r) => {
      const s = r.getAttribute("event"), d = r.textContent.trim();
      d && d.length > 0 && (e[s] = e[s] || [], e[s].push({
        url: d
      }));
    }), e;
  }
  getSeparationClips() {
    return this.publisherSpecs[Mt.POSITION[this.breakPosition]] || {};
  }
  getError() {
    const e = this.adBreakXML.querySelector("ParserError");
    return e ? {
      code: parseInt(e.getAttribute("code"), 10),
      message: e.getAttribute("message"),
      timestamp: null
    } : null;
  }
};
Mt.POSITION = [
  "unsupported",
  "preroll",
  "midroll",
  "postroll",
  "overlay"
];
let ni = Mt;
class Ks {
  constructor(e, i) {
    this.adSlotList = [], this.midrollHasSameTimeOffset = !1, this.createAdSlotList(e, i);
  }
  createAdSlotList(e, i) {
    let s = [...(e.documentElement || e).querySelectorAll(":scope > *")];
    this.adSlotList = s.map((A) => new ni(A, i));
    let d = {}, h = [];
    if (this.adSlotList.forEach((A, v) => {
      A.breakPosition === 2 && A.timeOffset !== null && (d[A.timeOffset] = (d[A.timeOffset] || 0) + 1, d[A.timeOffset] > 1 && (A.multiMidroll = !0, h.length === 0 && (this.adSlotList[v - 1].multiMidroll = !0, this.adSlotList[v - 1].adBreakXML.setAttribute(
        "type",
        this.adSlotList[v - 1].adSource.type
      ), this.adSlotList[v - 1].adBreakXML.setAttributeNS(
        null,
        "allowMultipleAds",
        this.adSlotList[v].adSource.allowMultipleAds.toString()
      ), h.push(this.adSlotList[v - 1].adBreakXML.cloneNode(!0)), this.midrollHasSameTimeOffset = !0), this.adSlotList[v].multiMidroll = !0, A.adBreakXML.setAttribute("type", this.adSlotList[v].adSource.type), A.adBreakXML.setAttributeNS(
        null,
        "allowMultipleAds",
        this.adSlotList[v].adSource.allowMultipleAds.toString()
      ), h.push(A.adBreakXML.cloneNode(!0))));
    }), this.midrollHasSameTimeOffset) {
      let A = [];
      for (let y = 0; y < h.length; y++)
        if (h[y].getAttribute("type").includes("AdTagURI")) {
          let M = document.createElementNS(null, "Ad");
          M.setAttribute("sequence", (y + 1).toString());
          let ee = document.createElementNS(null, "Wrapper");
          ee.setAttributeNS(
            null,
            "fallbackOnNoAd",
            h[y].getAttribute("allowMultipleAds")
          );
          let W = document.createElementNS(null, "VASTAdTagURI");
          W.textContent = h[y].querySelector("AdTagURI").textContent.trim(), ee.appendChild(W), M.appendChild(ee), A.push(M);
        } else
          h[y].querySelector("Ad").setAttribute("sequence", (y + 1).toString()), A.push(h[y].querySelector("Ad"));
      let v = null;
      for (let y = 0; y < this.adSlotList.length; y++) {
        if (!this.adSlotList[y].multiMidroll)
          continue;
        if (this.adSlotList[y].adBreakXML.hasAttribute("type") && this.adSlotList[y].adBreakXML.getAttribute("type").includes("AdTagURI") && (v = document.createElementNS(null, "VASTAdData")), this.adSlotList[y].adBreakXML.querySelector("Ad") || v) {
          if (v) {
            this.adSlotList[y].adBreakXML.querySelector("AdTagURI").remove();
            let ee = this.adSlotList[y].adBreakXML.querySelector("AdSource");
            const W = document.createElementNS(null, "VAST");
            A.forEach((Ee) => {
              W.appendChild(Ee);
            }), v.appendChild(W), ee.appendChild(v);
          } else {
            this.adSlotList[y].adBreakXML.querySelector("Ad").remove();
            const ee = this.adSlotList[y].adBreakXML.querySelector("VAST");
            A.forEach((W) => {
              ee.appendChild(W);
            });
          }
          this.adSlotList[y].multiMidroll = !1, this.adSlotList[y] = new ni(this.adSlotList[y].adBreakXML, this.adSlotList[y].publisherSpecs);
          break;
        }
      }
      this.adSlotList = this.adSlotList.filter((y) => {
        if (!y.multiMidroll)
          return y;
      });
    }
  }
  getAdPlaylist() {
    return this.adSlotList;
  }
  get hasPlayableAdBreaks() {
    return !!this.adSlotList.filter((i) => !i.hasError && i.adSource).shift();
  }
}
class St {
  constructor() {
    this.listeners = {};
  }
  /**
   * Adds an event listener for the given type.
   * @param {string} type - The type of the event to listen for.
   * @param {Function} listener - The function to call when the event is dispatched.
   * @returns {Function} A function that can be called to remove the listener.
   */
  addEventListener(e, i) {
    const r = this.listeners[e] || (this.listeners[e] = []);
    return r.includes(i) || r.push(i), () => {
      this.removeEventListener(e, i);
    };
  }
  /**
   * Dispatches an event of the given type with the given data.
   * @param {string} type - The type of the event to dispatch.
   */
  dispatchEvent(e) {
    const i = this.listeners[e];
    if (!i)
      return;
    const r = {
      type: e,
      timestamp: Date.now(),
      issuer: "smartclip"
    };
    for (let s = 0; s < i.length; s++)
      i[s].call(this, r);
  }
  /**
   * Checks whether an event listener has been added for the given type and listener function.
   * @param {string} type - The type of the event to check for the listener.
   * @param {Function} listener - The listener function to check for.
   * @returns {boolean} True if the listener has been added for the given type, false otherwise.
   */
  hasEventListener(e, i) {
    const r = this.listeners[e];
    return r && r.indexOf(i) !== -1;
  }
  /**
   * Removes an event listener for the given type.
   * @param {string} type - The type of the event to remove the listener for.
   * @param {Function} listener - The listener function to remove.
   */
  removeEventListener(e, i) {
    const r = this.listeners[e];
    if (r) {
      const s = r.indexOf(i);
      s !== -1 && r.splice(s, 1);
    }
  }
}
const w = {
  // == IAB Errors with Creative
  CREATIVE: {
    // The video player received an ad type that it was not expecting and/or cannot display.
    EXPECTED_DIFFERENT_ADTYPE: {
      code: 200,
      message: "Trafficking error. Video player received an ad type that it was not expecting and/or cannot display"
    },
    EXPECTED_DIFFERENT_LINEARITY: {
      code: 201,
      message: "Video player expecting different linearity"
    }
  },
  // == smartclip Errors with the current ad-break session
  SESSION: {
    AD_REINSERTION_DECLINED: {
      code: 200200,
      message: "AdReinsertion usage declined by the vendor"
    },
    // Invalid AdBreak definition.
    MANIFEST_SETUP_CORRUPT: {
      code: 200201,
      message: "Invalid AdBreak definition"
    },
    // An ad-break has already been started. Shut down the current ad-break by calling `stopAdSlot`.
    ALREADY_STARTED: {
      code: 200202,
      message: "An ad-break has already been started"
    },
    // Unknown Manifest Loading Error.
    MANIFEST_LOAD_FAILED: {
      code: 200203,
      message: "Unknown Manifest Loading Error"
    },
    // The manifest couldn't be loaded in time.
    TIMEOUT: {
      code: 200204,
      message: "The manifest couldn't be loaded in time"
    },
    MIXED_CONTENT: {
      code: 200205,
      message: "Mixed Content = The request has been blocked and must be served over HTTPS"
    },
    // Restoring the content after an ad-break failed.
    NOT_RESTORABLE: {
      code: 200206,
      message: "Restoring the content after an ad-break failed"
    },
    // AdReinsertion timeout - not included for the moment!
    AD_REINSERTION_TIMEOUT: {
      code: 200207,
      message: "AdReinsertion failed at runtime"
    },
    // AdReinsertion failed at runtime
    AD_REINSERTION_PENALTY: {
      code: 200208,
      message: "AdReinsertion failed at runtime"
    }
  },
  // == smartclip Errors with the setup initialization
  SETUP: {
    NO_FACADE: {
      code: 200100,
      message: "No facade was handed over"
    },
    INCORRECT_FACADE: {
      code: 200101,
      message: "The facade implementation is incorrect"
    },
    INVALID_HANDSHAKE: {
      code: 200102,
      message: "Handshake validation failed"
    },
    AD_REINSERTION_PENALTY: {
      code: 200103,
      message: "AdReinsertion initialization failed"
    }
  },
  // == IAB Errors with SIMID creative
  SIMID: {
    GENERAL_ERROR: {
      code: 902,
      message: "General InteractiveCreativeFile error code"
    }
  },
  // == IAB Errors with linear VAST tag
  VAST: {
    GENERAL_ERROR: {
      code: 400,
      message: "General Linear error. Video player is unable to display the Linear Ad"
    },
    FILE_NOT_FOUND: {
      code: 401,
      message: "File not found. Unable to find Linear/MediaFile from URI"
    },
    TIMEOUT: {
      code: 402,
      message: "Timeout of MediaFile URI"
    },
    UNSUPPORTED_MIMETYPE: {
      code: 403,
      message: "Couldn't find MediaFile that is supported by this video player based on the attributes of the MediaFile element"
    },
    MEDIAFILE_DISPLAY_ERROR: {
      code: 405,
      message: "Problem displaying MediaFile"
    }
  },
  // == IAB Errors with non-linear VAST tag
  VAST_NONLINEAR: {
    GENERAL_ERROR: {
      code: 500,
      message: "General NonLinearAds error"
    },
    DISPLAY_ERROR: {
      code: 501,
      message: "Unable to display NonLinear Ad because creative dimensions do not align with creative display area (i.e., creative dimension too large)"
    },
    FILE_NOT_FOUND: {
      code: 502,
      message: "Unable to fetch NonLinearAds/NonLinear resource"
    },
    UNSUPPORTED_MIMETYPE: {
      code: 503,
      message: "Could not find NonLinearresource with supported type."
    },
    // == custom descriptions
    TIMEOUT: {
      // FILE_NOT_FOUND in time
      code: 502,
      message: "Timeout of Resource URI"
    }
  },
  /**
   * Please group error codes by type, and provide a short text as comment above the code
   *
   * Overview of error codes:
   * - https://wiki.iabtechlab.com/?title=VAST_Error_Code_Troubleshooting_Matrix
   * - https://support.google.com/dfp_premium/answer/4442429
   * - https://www.jwplayer.com/blog/vast-errors/ (grouped)
   */
  VMAP: {
    UNDEFINED: {
      code: 900,
      message: "Undefined error"
    },
    INVALID_SCHEMA: {
      code: 1e3,
      message: "VMAP schema validation error"
    },
    UNSUPPORTED_RESPONSE: {
      code: 1001,
      message: "Version of response not supported"
    },
    PARSE_ERROR: {
      code: 1002,
      message: "Parsing error"
    },
    UNSUPPORTED_TYPE: {
      code: 1003,
      message: "AdBreak type not supported"
    },
    DOCUMENT_ERROR: {
      code: 1004,
      message: "General ad response document error"
    },
    UNSUPPORTED_TEMPLATE: {
      code: 1005,
      message: "Ad response template type not supported"
    },
    EXTRACTION_ERROR: {
      code: 1006,
      message: "Ad response document extraction or parsing error"
    },
    TIMEOUT: {
      code: 1007,
      message: "Ad response document retrieval timeout"
    },
    RESPONSE: {
      code: 1008,
      message: "Ad response document retrieval error (e.g., HTTP server)"
    },
    /* Non-standard codes (also used by the IMA) */
    NO_ADBREAKS: {
      code: 200300,
      message: "The response does not contain any valid ads"
    }
  },
  // == IAB Errors with linear VPAID creative
  // General VPAID error. Creative doesn't initialize.
  VPAID: {
    GENERAL_ERROR: {
      code: 901,
      message: "General VPAID error"
    }
  },
  // == smartclip Warnings with the current ad-break session
  WARNING: {
    // Unknown Tracker Loading Error
    TRACKER_LOAD_FAILED: {
      code: 200400,
      message: "Unknown tracker loading error"
    },
    // The tracker couldn't be loaded in time.
    TRACKER_TIMEOUT: {
      code: 200401,
      message: "The tracker couldn't be loaded in time"
    }
  },
  // == IAB Errors with Wrapper
  WRAPPER: {
    // Same error code as TIMEOUT, but related to the whole request chain for a single branch of Wrappers
    CHAIN_TIMEOUT: {
      code: 301,
      message: "Wrapper chain timeout reached"
    },
    // Timeout of VAST URI provided in Wrapper element, or of VAST URI provided in a subsequent Wrapper element
    TIMEOUT: {
      code: 301,
      message: "Timeout of VAST URI provided in Wrapper element, or of VAST URI provided in a subsequent Wrapper element. Includes request errors such as invalid URI, unreachable or request timeout for URI, and security or other exceptions related to requesting a VAST URI"
    },
    // Wrapper limit reached, as defined by the video player
    LIMIT_REACHED: {
      code: 302,
      message: "Wrapper limit reached, as defined by the video player. Too many Wrapper responses have been received with no InLine response"
    },
    // No Ads VAST response after one or more Wrappers. When working with third-party networks,
    //  the fill-rate can be less than 100%. If so, this is an expected error
    NO_RESPONSE: {
      code: 303,
      message: "No ads VAST response after one or more Wrappers. Also includes number of empty VAST responses from fallback"
    }
  },
  // == IAB Errors with the Tag
  XML: {
    INVALID_XML: {
      code: 100,
      message: "XML parsing error"
    },
    INVALID_SCHEMA: {
      code: 101,
      message: "VAST schema validation error"
    }
  }
};
let rr = null, nr = null, Bt = 0, Nn = null, sr = null;
const We = class We {
  constructor(e, i) {
    this.enrichment = i, this.reasonData = null, e && e.homad && (Nn = e), this.enrichment.set("BLOCKED", Bt, "blocked");
  }
  get isActive() {
    return Bt === 1;
  }
  get vendorAPI() {
    return sr;
  }
  setVendorAPI(e) {
    !sr && e && (sr = e);
  }
  get reinsertionReason() {
    return this.reasonData;
  }
  setReinsertionReason(e) {
    this.reasonData = e;
  }
  /**
   * @param {function} callback that HOMAD may use to decide whether they take responsibility
   * @returns {void}
   */
  setCorroborationCallback(e = null) {
    nr = e;
  }
  /**
   * @param {function} callback that publishers may use to accept or decline activating the ad reinsertion
   * @returns {void}
   */
  setActivationCallback(e = null) {
    rr = e;
  }
  /**
   * @param {Function} success There are reason why ad-reinsertion should be enabled. See `AdReinsertionModel.REASON`
   * @param {Function} failure Data that might help understanding the error, e.g. `xhr` status
   * @returns {void}
   */
  enable(e, i) {
    if (c.debug.warn("AdReinsertionModel: Trying to activate AdReinsertion."), !Nn.homad.enabled) {
      let d = new Error("AdReinsertionModel: HOMAD not enabled by the publisher.");
      i(d);
      return;
    }
    if (!this.vendorAPI) {
      c.debug.warn("AdReinsertionModel: HOMAD enabled but not loaded."), requestAnimationFrame(() => {
        this.enable(e, i);
      });
      return;
    }
    if (!this.vendorAPI.isEnabled || !this.vendorAPI.isActive) {
      let d = new Error("AdReinsertionModel: Fallback not activated.");
      d = w.SESSION.AD_REINSERTION_DECLINED, i(d);
      return;
    }
    if (!nr) {
      i("HOMAD corroboration callback not set.");
      return;
    }
    let r = this.reasonData.reason, s = this.reasonData;
    nr(r, s).then(() => {
      Bt !== We.STATUS.IS_BLOCKED ? rr ? rr(r).then((d) => {
        c.debug.info(
          ">> AdReinsertion success: Activation has been approved by the publisher."
        ), this.enrichment.set(
          "BLOCKED",
          We.STATUS.IS_BLOCKED,
          "blocked"
        ), Bt = We.STATUS.IS_BLOCKED, e();
      }).catch((d) => {
        c.debug.info(
          ">> AdReinsertion error: Activation has been declined by the publisher."
        ), this.disable(), i("AdReinsertion request declined by publisher.", d);
      }) : (c.debug.warn(
        ">> AdReinsertion warning: Activation callback not set. Activation will be approved by default."
      ), this.enrichment.set(
        "BLOCKED",
        We.STATUS.IS_BLOCKED,
        "blocked"
      ), Bt = We.STATUS.IS_BLOCKED, e()) : (c.debug.info(">> AdReinsertion has been enabled already. success."), e());
    }, (d) => {
      this.disable(), i("AdReinsertion request declined by HOMAD.", d);
    });
  }
  disable() {
    Bt = 0, this.enrichment.set("BLOCKED", We.STATUS.IS_OPEN, "blocked");
  }
};
We.REASON = {
  XHR_TIMEOUT: 201e3,
  XHR_UNEXPECTED_STATUS: 201001,
  XHR_ERROR: 201002,
  XML_PARSING_ERROR: 201003,
  WRAPPER_CHAIN_TIMEOUT: 201004,
  AD_SLOT_TIMEOUT: 201005,
  XHR_PROMISE_ERROR: 201006,
  MEDIAFILE_TIMEOUT: 201010,
  MEDIAFILE_LOAD_ERROR: 201013,
  FORCE_ACTIVATION: 201020
}, We.STATUS = {
  IS_BLOCKED: 1,
  IS_OPEN: 0
}, We.TIMEOUT = {
  ACTIVATION_CALLBACK_RESPONSE: 250
}, We.EventDispatcher = new St();
let ue = We;
class ke {
  /*
  	 Returns current OS as String
  	 Used in EnrichmentModel
  
  	 based on https://stackoverflow.com/a/19883965
  	 */
  static operatingSystem() {
    return navigator.platform;
  }
  static userAgent() {
    return navigator.userAgent;
  }
  static screenResolution() {
    return {
      width: ke.screenWidth(),
      height: ke.screenHeight()
    };
  }
  static screenWidth() {
    return window.screen.width;
  }
  static screenHeight() {
    return window.screen.height;
  }
  static domain() {
    return window.location.href.split("/")[2];
  }
  /**
   * returns true if we are inside an IFrame
   *
   * @return {boolean} inside an IFrame
   */
  static isIF() {
    return window !== top;
  }
  /**
   * returns true if we are inside an friendly iframe
   *
   * @return {boolean} inside an friendly iframe
   */
  static isFIF() {
    return ke.isIF() && window.frameElement !== null;
  }
  /**
   * returns true if were in a friendly IFrame, or in no frame at all
   * used by the URLEnrichment flag AllowInSwipe
   *
   * @returns {boolean} inside friendly IFrame, or no IFrame at all
   */
  static isFriendlyIFrameOrNoFrame() {
    return !ke.isIF() || ke.isFIF();
  }
}
function zs() {
  return Math.round(Math.random() * 89999999) + 1e7;
}
function Li(E) {
  return encodeURIComponent(E).replace(/[!'()*]/g, (e) => "%" + e.charCodeAt(0).toString(16));
}
function Qs() {
  const E = /* @__PURE__ */ new Date(), e = E.toISOString();
  let i = E.getTimezoneOffset() / 60, r = i < 0 ? "-" : "+" + ("0" + Math.abs(i)).slice(-2);
  return e.replace("Z", r);
}
function Js(E, e, i) {
  if (E.indexOf(e) === -1)
    return E;
  {
    const r = new RegExp(`\\[${e}+(\\|\\d+){0,1}\\]`, "ig");
    let s = /\d+/.test(E) ? parseInt(E.match(/\|(\d+)]/)[1], 10) : 0;
    return E.replace(
      r,
      s === 0 ? Li(i) : Li(i).substr(0, s)
    );
  }
}
function Mi(E) {
  let e = !Number.isFinite(E) || E < 0 ? 0 : E;
  const i = /* @__PURE__ */ new Date(0);
  return i.setSeconds(e), i.toISOString().substr(11, 8) + ".000";
}
function Vn() {
  return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, (E) => {
    let e = Math.random() * 16 | 0;
    return (E === "x" ? e : e & 3 | 8).toString(16);
  });
}
class vt {
  constructor() {
    this.macroMap = /* @__PURE__ */ new Map(), this.setDefaultMacros();
  }
  // macro iab overview
  // https://interactiveadvertisingbureau.github.io/vast/vast4macros/vast4-macros-latest.html
  // APIFRAMEWORKS - if a new API is supported, changes are required here
  // https://github.com/InteractiveAdvertisingBureau/AdCOM/blob/master/AdCOM%20v1.0%20FINAL.md#list_apiframeworks
  // required
  // CACHEBUSTER, ERRORCODE, REASON, LIMITADTRACKING, TIMESTAMP
  // required (if OM is supported) + for App/Web is supported, otherwise Optional.
  // OMIDPARTNER + APPBUNDLE, PAGEURL
  setDefaultMacros() {
    this.set("ADCATEGORIES", -1, "adcategories"), this.set("ADCOUNT", -1, "adcount"), this.set("ADPLAYHEAD", -1, "adplayhead"), this.set("ADSERVINGID", -1, "adservingid"), this.set("ADTYPE", -1, "adtype"), this.set("ALLOWINSWIPE", -1, ["allowinswipe"], ke.isFriendlyIFrameOrNoFrame), this.set("APIFRAMEWORKS", [2, 7, 8, 9], "apiframeworks"), this.set("APPBUNDLE", -1, "appbundle"), this.set("ASSETURI", -1, "asseturi"), this.set("BLOCKED", 0, "blocked"), this.set("BLOCKEDADCATEGORIES", -1, "blockedadcategories"), this.set("BREAKPOSITION", -1, "breakposition"), this.set("CACHEBUSTER", -1, ["cachebusting", "cachebuster", "rand(om|num)"], zs), this.set("CLICKPOS", -1, "clickpos"), this.set("CLICKTYPE", -1, "clicktype"), this.set("CLIENTUA", -1, "clientua"), this.set("CONTENTID", -1, "contentid"), this.set("CONTENTURI", -1, "contenturi"), this.set("CONTENTPLAYHEAD", -1, "contentplayhead", Mi), this.set("DEVICEIP", -1, "deviceip"), this.set("DEVICEUA", ke.userAgent(), "deviceua"), this.set("DOMAIN", ke.domain(), "domain"), this.set("ERRORCODE", 0, "errorcode"), this.set("EXTENSIONS", -1, "extensions"), this.set("FIF", -1, "fif", ke.isFIF), this.set("GDPRCONSENT", -1, "gdprconsent"), this.set("IFA", -1, "ifa"), this.set("IDFAID", -1, "idfaid", () => this.macroMap.get("IFA")), this.set("IFATYPE", -1, "ifatype"), this.set("INVENTORYSTATE", -1, "inventoryState"), this.set("LATLONG", -1, "latlong"), this.set("LIMITADTRACKING", -1, "limitadtracking"), this.set("MEDIAMIME", -1, "mediamime"), this.set("MEDIAPLAYHEAD", 0, "mediaplayhead", Mi), this.set("OS", ke.operatingSystem(), "os"), this.set("OMIDPARTNER", "Smartcliptv/7.1.0", "omidpartner"), this.set("PAGETITLE", document.title, "pagetitle"), this.set("PAGEURL", document.URL, "pageurl"), this.set("PLACEMENTTYPE", -1, "placementtype"), this.set("PLAYERCAPABILITIES", -1, "playercapabilities"), this.set("PLAYERSIZE", {}, ["playersize"], this.getResolution), this.set("PLAYERWIDTH", -1, ["player_width", "playerwidth"], () => this.getPlayerDimension("width")), this.set("PLAYERHEIGHT", -1, ["player_height", "playerheight"], () => this.getPlayerDimension("height")), this.set("PLAYERSTATE", -1, "playerstate"), this.set("PODSEQUENCE", -1, "podsequence"), this.set("REASON", -1, "reason"), this.set("REGULATIONS", -1, "regulations"), this.set(
      "SCREENRES",
      ke.screenResolution(),
      ["screen_res", "screenres"],
      this.getResolution
    ), this.set("SCREENHEIGHT", ke.screenHeight(), "screenheight"), this.set("SCREENWIDTH", ke.screenWidth(), "screenwidth"), this.set("SERVERSIDE", 0, "serverside"), this.set("SERVERUA", -1, "serverua"), this.set("TIMESTAMP", -1, "timestamp", Qs), this.set("TRANSACTIONID", Vn(), "transactionid"), this.set(
      "UNIVERSALADID",
      -1,
      "universaladid",
      (e) => Array.isArray(e) ? e.map((i) => i.idRegistry + " " + i.idValue) : e
    ), this.set("VASTVERSIONS", [2, 3, 5, 6, 7, 8, 11, 12, 13, 14], "vastversions"), this.set("VERIFICATIONVENDORS", -1, "verificationvendors");
  }
  getPlayerDimension(e) {
    var r;
    return ((r = this.macroMap.get("PLAYERSIZE").value) == null ? void 0 : r[e]) || 0;
  }
  getResolution(e) {
    const i = parseInt((e == null ? void 0 : e.width) || "0", 10), r = parseInt((e == null ? void 0 : e.height) || "0", 10);
    return `${i},${r}`;
  }
  getMacros(e = !1) {
    let i = {};
    return this.macroMap.forEach((r, s) => {
      const d = e ? `[${s}]` : s;
      i[d] = this.get(s, !0);
    }), i;
  }
  /**
   * Returns all macros as defined by the IAB and its encoded values.
   * @returns {Object} list of macro value pairs
   */
  getMacroList() {
    return this.getMacros();
  }
  /**
   * Returns all macros as defined by the IAB, but surrounded by square brackets,
   *  and its encoded values.
   * @returns {Object} list of macro value pairs
   */
  getIABMacroList() {
    return this.getMacros(!0);
  }
  /**
   * Key and Value have to be set everytime,
   * macroToReplace needs to be set at least once
   * transformFunction is a function to be called each time the macro is replaced,
   * so you can set a value like this
   *      set('size', {width:w, height:h}, ['WxH'], function(obj){return obj.width+'x'+obj.height;}
   * while on updating the value only
   *      set('size', {width:w, height:h});
   * is needed
   *
   * @param {String} key reference key
   * @param {*} value usually a string, however transformFunction can make this a string
   * @param {(String|String[])} [macroToReplace] the macro to replace
   * @param {Function} [transformFunction] value will sent through this function on each apply call
   * @return {EnrichmentModel} to set() functions can be chained
   */
  set(e, i, r, s) {
    let d = this.macroMap.get(e) || {}, h = r || d.macroList;
    return d.value = i, h ? Array.isArray(h) ? d.macroList = h : d.macroList = [h] : d.macroList = [e.toLowerCase()], s && (d.transform = s), this.macroMap.set(e, d), this;
  }
  get(e, i = !1) {
    let r = this.macroMap.get(e);
    if (!r)
      return null;
    let s = r.value;
    return r.transform && (s = r.transform(s)), i ? Array.isArray(s) ? s.map((d) => Li(String(d))).join(",") : Li(String(s)) : s;
  }
  setFromObject(e) {
    e && Object.keys(e).forEach((i) => {
      let r = e[i];
      switch (typeof r) {
        case "string":
        case "object":
          r = r.length === 0 ? "-1" : r;
          break;
      }
      this.set(i.toUpperCase(), r, "");
    });
  }
  /**
   * Does replace all occurrences of macro replacement strings with values.
   * @param {string} inputString - This is most likely a URL
   * @returns {string|*} - Enriched URL
   */
  apply(e) {
    if (!e)
      return e;
    let i = e + "";
    return this.macroMap.forEach((r, s) => {
      let d = this.get(s, !0) + "";
      r.macroList.map((h) => {
        i = this.replaceMacroWithValue(i, h, d);
      });
    }), i;
  }
  replaceMacroWithValue(e, i, r) {
    let s = e.replace(this.getRegExp(i), r);
    return Js(s, "[" + i, r);
  }
  getRegExp(e) {
    let i = "[\\[](" + e + ")[\\]]";
    return new RegExp(i, "gi");
  }
}
class bi {
  xdrRequest() {
    return typeof window != "undefined" && window.XDomainRequest ? window.XDomainRequest : null;
  }
  static supported() {
    return !!new bi().xdrRequest();
  }
  get(e, i, r) {
    if (this.xdrRequest()) {
      let s = new XMLHttpRequest();
      s.open("GET", e), s.timeout = i.timeout || 0, s.withCredentials = i.withCredentials !== !1, s.onload = () => {
        let d = new DOMParser().parseFromString(s.responseText, "text/xml");
        r(null, d);
      }, s.onerror = () => {
        r(new Error("Error loading the XML document"));
      }, s.send();
    } else
      r(new Error("XDomainRequest is not supported"));
  }
}
class Zs {
  /**
   * Fetches an image from the specified URL.
   * @param {string} url - URL of the image to be fetched.
   * @param {object} options - Timeout options from the configuration.
   * @param {number} options.timeouts.adRequest - Timeout duration for the image request in seconds.
   * @param {Function} callback - A callback function that expects one parameter `xhrError` to handle errors.
   */
  static getAsImage(e, i, r) {
    let s = !1;
    const d = i.timeouts.adRequest * 1e3, h = setTimeout(() => {
      s = !0;
      let M = new Error("ImageURLHandler: Tracking request timeout.");
      M.code = w.WARNING.TRACKER_TIMEOUT.code, M.description = w.WARNING.TRACKER_TIMEOUT.message, M.type = "AdWarning", r(M);
    }, d);
    let A = new Image();
    A.src = "";
    const v = () => {
      clearTimeout(h), !s && r(null);
    }, y = (M) => {
      v();
    };
    return A.onerror = y, A.onload = v, A.src = e, A;
  }
}
function Or(E) {
  if (typeof E != "string")
    return E;
  let e = null;
  if (DOMParser)
    e = new DOMParser().parseFromString(E, "text/xml");
  else if (ActiveXObject) {
    let i = new ActiveXObject("Microsoft.XMLDOM");
    i.loadXML(E), e = i;
  }
  return e;
}
const or = " Response contains neither 'responseXML' nor 'responseText'", _e = class _e {
  /**
   * Creates and returns a new XMLHttpRequest object with CORS support.
   *
   * @returns {XMLHttpRequest | null} A new XMLHttpRequest object with CORS support, or null if the browser doesn't
   *  support CORS.
   */
  xhrRequest() {
    let e = new XMLHttpRequest();
    return "withCredentials" in e ? e : null;
  }
  static supported() {
    return !!new _e().xhrRequest();
  }
  /**
   * Performs an asynchronous HTTP GET request using XMLHttpRequest.
   *
   * @param {string} url - URL to make the GET request to.
   * @param {XHROptions} options - Additional options for the request. (timeout etc.)
   * @param {Function} callback - The callback function to handle the response.
   * @returns {void}
   */
  getAsXHR(e, i, r) {
    let s, d = r.timeouts.adRequest * 1e3, A = setTimeout(() => {
      s.onreadystatechange = s.onerror = () => {
        c.debug.info(_e.NAME + ": Ignoring XHR state changes after timeout error", e);
      };
      let v = new Error(_e.NAME + ": Request timeout");
      v.code = w.WRAPPER.TIMEOUT.code;
      let y = r.timeouts ? r.timeouts.errorMessage : null;
      v.message = y || w.WRAPPER.TIMEOUT.message, r.adReinsertion.setReinsertionReason({
        reason: r.isWrapper ? ue.REASON.WRAPPER_CHAIN_TIMEOUT : ue.REASON.XHR_TIMEOUT,
        xhr: s,
        xhrError: v
      }), i(v, null);
    }, d);
    try {
      s = this.xhrRequest(), s.withCredentials = r.withCredentials !== !1, s.overrideMimeType && s.overrideMimeType("text/xml"), s.onreadystatechange = () => {
        if (s.readyState === 1) {
          s.send();
          return;
        }
        if (s.readyState === 4)
          if (clearTimeout(A), s.status === 200) {
            let v = s.responseXML;
            if (!v && s.responseText && (v = Or(s.responseText)), !v) {
              c.debug.info(_e.NAME + or);
              let y = new Error(_e.NAME + or);
              y.code = r.isWrapper ? w.WRAPPER.NO_RESPONSE.code : w.XML.INVALID_XML.code, y.message = "XHR Response Error:" + or, r.adReinsertion.setReinsertionReason({
                reason: ue.REASON.XHR_ERROR,
                xhr: s,
                xhrError: y
              }), i(y, null);
              return;
            }
            i(null, v);
          } else {
            s.onreadystatechange = s.onerror = () => {
              c.debug.info(_e.NAME + "Ignoring XHR state changes after status error", s.readyState, s.status, e);
            };
            let v = new Error(_e.NAME + s.statusText);
            v.code = r.isWrapper ? w.WRAPPER.TIMEOUT.code : w.XML.INVALID_XML.code, v.message = `XHR Status Error (${s.status}): ${s.statusText}`, r.adReinsertion.setReinsertionReason({
              reason: ue.REASON.XHR_UNEXPECTED_STATUS,
              xhr: s,
              xhrError: v
            }), i(v, null);
          }
      }, s.open("GET", e), s.onerror = () => {
        clearTimeout(A), c.debug.info(_e.NAME + ": XHR Error.", s.readyState, s.status, e);
        let v = new Error(_e.NAME + s.statusText);
        v.code = w.WRAPPER.TIMEOUT.code, v.message = `XHR Error (${s.status}): ${s.statusText}`, r.adReinsertion.setReinsertionReason({
          reason: ue.REASON.XHR_UNEXPECTED_STATUS,
          xhr: s,
          xhrError: v
        }), i(v, null);
      };
    } catch (v) {
      clearTimeout(A);
      let y = new Error(`${_e.NAME}: Request error.`);
      y.code = w.WRAPPER.TIMEOUT.code, y.message = `XHR Request Error: ${v}`, r.adReinsertion.setReinsertionReason({
        reason: ue.REASON.XHR_ERROR,
        xhr: null,
        xhrError: y
      }), i(y, null);
    }
  }
  get(e, i, r) {
    c.debug.info(`${_e.NAME}: XHR get with timeout ${r.timeouts.adRequest} sec: ${e}`), r.issuer && r.issuer === _e.ISSUER.TRACKING ? Zs.getAsImage(e, r, i) : this.getAsXHR(e, i, r);
  }
};
_e.ISSUER = {
  TRACKING: "TrackingURLHandler",
  TAG: "URLHandler"
}, _e.NAME = "XHRURLHandler";
let ut = _e;
ut.DEFAULT_TIMEOUT = 4;
function Pi(E, e) {
  if (E.indexOf("//") === 0) {
    let i = location.protocol;
    return (i === "about:" || i === "file:") && (i = "https:"), i + E;
  }
  return E.indexOf("://") === -1 ? e.slice(0, e.lastIndexOf("/")) + "/" + E : E;
}
const si = {
  adRequestMethod: "xhr",
  adVerification: {
    accessMode: "full",
    disabled: !1,
    omidServiceWindow: null,
    playerHandles: !1,
    serviceWindow: window.top,
    sessionCleanupDelay: 3,
    timeoutScriptLoad: 1,
    vendorWhitelist: []
  },
  adReinsertion: {
    homad: {
      enabled: !1,
      setup: {
        globalConfig: "",
        clientConfig: "",
        activationCallback: () => {
        },
        enableSessionCoverage: !1,
        forceActivation: !1
      }
    }
  },
  adSourceSelector: null,
  blockInsecureURL: !0,
  maxWrapperDepth: 10,
  playerHandlesNonLinear: !1,
  shareVideoElementWithVPAID: !0,
  skipOffset: -1,
  timeouts: {
    adRequest: 1,
    adRequestChain: 2,
    adSlotRequest: 4,
    contentRequest: 3,
    nonlinearMaxDuration: 10,
    videoRequest: 3,
    vpaidReadiness: 3,
    vpaidRequest: 1
  },
  trackSkippedQuartiles: !1,
  viewability: {
    area: 50,
    time: 2
  }
};
class Ir {
  constructor() {
    this.issuer = ut.ISSUER.TAG;
  }
  get(e, i, r) {
    if (!i)
      return null;
    let s = r, d = e;
    s || (s = si, s.enrichment = new vt()), s.issuer = this.issuer, s.enrichment = s.enrichment || new vt(), d = s.enrichment.apply(d), d && d.indexOf("//") === 0 && (d = Pi(d, ""));
    let h = s.urlhandler;
    if (s.response) {
      let A = s.response;
      i(null, Or(A));
    } else
      return h && h.supported() ? new h().get(d, i, s) : ut.supported() ? new ut().get(d, i, s) : bi.supported() ? new bi().get(d, i, s) : i();
    return null;
  }
}
const ti = class ti extends Ir {
  constructor() {
    super(), this.issuer = ut.ISSUER.TRACKING;
  }
  track(e, i, r) {
    e && e.length > 0 && Array.isArray(e) ? this.getMultiple(e, i, r) : c.debug.info(ti.NAME + "track - without trackers:", e);
  }
  getMultiple(e, i, r) {
    e.forEach((s) => {
      s.requested = !0, s.url && super.get(s.url, (i || this.onResponse).bind(this, s), r);
    });
  }
  // Error declaration in lib.es5.d.ts
  onResponse(e, i) {
    i && c.debug.warn(ti.NAME + "onResponse failed:", i.name, i, e);
  }
};
ti.NAME = "TrackingUrlHandler::";
let oi = ti;
const p = {
  // Single Ad Events
  ON_AD_CLICKED: "AdClickThru",
  // clickThroughUrl
  ON_AD_CREATIVE_VIEW: "AdCreativeView",
  ON_AD_ERROR: "AdError",
  ON_AD_FIRST_QUARTILE: "AdVideoFirstQuartile",
  ON_AD_IMPRESSION: "AdImpression",
  ON_AD_LINEARITY_CHANGE: "AdLinearChange",
  // isLinear
  ON_AD_LOADED: "AdLoaded",
  // numAds
  ON_AD_MANIFEST_LOADED: "AdTagParsed",
  ON_AD_MANIFEST_LOAD_ERROR: "AdTagLoadFailed",
  ON_AD_MID_POINT: "AdVideoMidpoint",
  ON_AD_MUTED: "AdMuted",
  ON_AD_PAUSED: "AdPaused",
  ON_AD_PLAYBACK_START: "AdVideoStart",
  ON_AD_PLAYBACK_FINISHED: "AdVideoComplete",
  ON_AD_PLAYING: "AdPlaying",
  ON_AD_PROGRESS: "AdProgress",
  ON_AD_REWIND: "AdRewind",
  ON_AD_SIZE_CHANGED: "AdSizeChanged",
  ON_AD_SKIPPABLE_STATE_CHANGE: "AdSkippableStateChange",
  ON_AD_SKIPPED: "AdSkipped",
  ON_AD_START: "AdStart",
  ON_AD_STARTED: "AdStarted",
  ON_AD_STOPPED: "AdStopped",
  ON_AD_THIRD_QUARTILE: "AdVideoThirdQuartile",
  ON_AD_UNMUTED: "AdUnmuted",
  ON_AD_VOLUME_CHANGED: "AdVolumeChanged",
  ON_ENTER_FULLSCREEN: "EnterFullscreen",
  // replaced by playerExpand since VAST 4.1
  ON_EXIT_FULLSCREEN: "LeaveFullscreen",
  // replaced by playerCollapse since VAST 4.1
  ON_PLAYER_EXPAND: "PlayerExpand",
  ON_PLAYER_COLLAPSE: "PlayerCollapse",
  ON_CLOSED_CAPTIONS_DETECTED: "ClosedCaptionsDetected",
  ON_COMPANIONS_DETECTED: "CompanionsDetected",
  ON_EXTENSIONS_DETECTED: "ExtensionsDetected",
  ON_ICONS_DETECTED: "IconsDetected",
  ON_NONLINEAR_DETECTED: "NonLinearDetected",
  ON_VERIFICATION_DETECTED: "AdVerificationDetected",
  ON_COMPANION_CREATIVE_VIEW: "CompanionCreativeView",
  ON_COMPANION_CLICKED: "CompanionClickThru",
  ON_ICON_CLICKED: "IconClickThru",
  // NonLinear Ad Metrics
  ON_AD_NONLINEAR_FINISHED: "AdOverlayViewFinished",
  ON_AD_NONLINEAR_STOPPED: "AdOverlayViewStopped",
  // Single VMAP Events
  ON_AD_PLAYLIST_LOADED: "AdPlaylistLoaded",
  ON_AD_PLAYLIST_LOAD_ERROR: "AdPlaylistLoadError",
  ON_AD_PLAYLIST_START: "AdPlaylistStart",
  ON_AD_PLAYLIST_STARTED: "AdPlaylistStarted",
  ON_AD_PLAYLIST_STOPPED: "AdPlaylistStopped",
  ON_AD_PLAYLIST_COMPLETE: "AdPlaylistComplete",
  // Multiple Ads Events
  ON_AD_SLOT_START: "AdSlotStart",
  ON_AD_SLOT_STARTED: "AdSlotStarted",
  ON_AD_SLOT_STOPPED: "AdSlotStopped",
  ON_AD_SLOT_COMPLETE: "AdSlotComplete",
  ON_AD_SLOT_DURATION_CHANGE: "AdSlotDurationChange",
  // viewableImpressionEvents
  ON_AD_VIEWABLE: "AdViewable",
  ON_AD_NOT_VIEWABLE: "AdNotViewable",
  ON_AD_VIEWABLE_STATE_CHANGE: "AdViewStateChange",
  ON_AD_VIEWABLE_UNDETERMINED: "AdViewUndetermined",
  // Custom Events
  ON_AD_WARNING: "AdWarning",
  ON_AD_REINSERTION_ACTIVATION: "AdReinsertionActivation",
  ON_AD_REINSERTION_PENALTY: "AdReinsertionPenalty",
  ON_GENERAL_ERROR: "GeneralError",
  ON_PLAYBACK_FINISHED: "PlaybackFinished",
  ON_SIMID_ERROR: "SIMIDError",
  ON_VPAID_CLEANUP: "VPAIDCleanup"
}, qt = {
  ON_AD_CLICKED: "clickTracking",
  // clickThroughUrl
  ON_AD_ERROR: "error",
  ON_AD_STOPPED: "AdStopped",
  ON_AD_LINEARITY_CHANGE: "AdLinearChange",
  // isLinear
  ON_AD_MANIFEST_LOADED: "AdTagParsed",
  ON_AD_LOADED: "AdLoaded",
  // numAds
  ON_AD_SKIPPED: "skip",
  ON_AD_PLAYBACK_START: "start",
  ON_AD_FIRST_QUARTILE: "firstQuartile",
  ON_AD_MID_POINT: "midpoint",
  ON_AD_THIRD_QUARTILE: "thirdQuartile",
  ON_AD_PLAYBACK_FINISHED: "complete",
  ON_AD_PROGRESS: "progress",
  ON_AD_REWIND: "rewind",
  ON_AD_MUTED: "mute",
  ON_AD_UNMUTED: "unmute",
  ON_ENTER_FULLSCREEN: "fullscreen",
  ON_EXIT_FULLSCREEN: "exitFullscreen",
  ON_PLAYER_EXPAND: "playerExpand",
  ON_PLAYER_COLLAPSE: "playerCollapse",
  ON_AD_IMPRESSION: "impression",
  ON_AD_CREATIVE_VIEW: "creativeView",
  ON_AD_PAUSED: "pause",
  ON_AD_PLAYING: "resume",
  // viewableImpressionEvents
  ON_AD_VIEWABLE: "viewable",
  ON_AD_NOT_VIEWABLE: "notViewable",
  ON_AD_VIEWABLE_UNDETERMINED: "viewUndetermined",
  // NonLinear Ad Metrics
  ON_AD_NONLINEAR_STOPPED: "overlayViewDuration",
  // VMAP
  ON_AD_BREAK_START: "breakStart",
  ON_AD_BREAK_END: "breakEnd",
  ON_AD_BREAK_ERROR: "error"
}, bt = class bt {
  constructor(e, i, r) {
    this.player = i, this.config = r, this.adSlotAPI = e, this.eventHandlers = [], this.currentAdBreak = null, this.environmentVars = null, bt.ERROR_CODE_MAP[w.SESSION.MANIFEST_LOAD_FAILED.code] = 1008, bt.ERROR_CODE_MAP[w.SESSION.TIMEOUT.code] = 1007;
  }
  initAdSlot(e, i = {}) {
    e.requested = !0, c.debug.info(
      Oe.NAME + "initAdSlot - Request core to init AdBreak",
      e.breakId,
      e.breakType,
      e.type
    ), this.currentAdBreak = e, this.environmentVars = i;
    const r = e.adSource.type === "vmap:AdTagURI" ? "tag" : "response";
    let s = {};
    return s.adBreakPosition = e.breakPosition, s.type = e.type, s[r] = e.adSource.source, s = Object.assign(s, e.separationClips), this.currentAdBreak.enrichment = new vt(), this.currentAdBreak.enrichment.setFromObject(this.environmentVars.vastMacros), this.currentAdBreak.enrichment.set("BREAKPOSITION", e.breakPosition), this.currentAdBreak.adReinsertion = new ue(
      this.config.adReinsertion,
      this.currentAdBreak.enrichment
    ), this.on(), new Promise((d, h) => {
      this.adSlotAPI.initAdSlot(s, i).then(() => {
        c.debug.info(
          Oe.NAME + "initAdSlot - Initialized ad slot with adBreak",
          e.breakId
        ), d(e);
      }).catch((A) => {
        c.debug.warn(Oe.NAME + "initAdSlot - Could not init ad slot", A), h(A);
      });
    });
  }
  startAdSlot() {
    let e = this.currentAdBreak;
    c.debug.info(
      Oe.NAME + "startAdSlot",
      e.breakId,
      e.timeOffset,
      e.prefetchOffset,
      this.player.getContentCurrentTime()
    ), this.adSlotAPI.startAdSlot();
  }
  /**
   * Activates player and ad event listeners.
   */
  on() {
    this.off();
    const e = [
      this.adSlotAPI.addEventListener(p.ON_AD_SLOT_START, () => {
        this.trackEvent(qt.ON_AD_BREAK_START);
      }),
      this.adSlotAPI.addEventListener(p.ON_AD_SLOT_STOPPED, () => {
        this.trackEvent(qt.ON_AD_BREAK_END);
      }),
      // Remove listeners. The AdPlaylistController creates a separate instance with each AdBreak
      this.adSlotAPI.addEventListener(p.ON_AD_SLOT_STOPPED, () => {
        this.off();
      }),
      /** Error Handling */
      this.adSlotAPI.addEventListener(p.ON_AD_MANIFEST_LOAD_ERROR, () => {
        this.currentAdBreak.enrichment.set(
          "ERRORCODE",
          bt.ERROR_CODE_MAP[this.adSlotAPI.error.code] || this.adSlotAPI.error.code
        ), this.trackEvent(qt.ON_AD_BREAK_ERROR);
      }),
      // Ad execution errors should report the same error code in VMAP that was reported for the VAST ad
      this.adSlotAPI.addEventListener(p.ON_AD_ERROR, () => {
        this.currentAdBreak.enrichment.set(
          "ERRORCODE",
          this.adSlotAPI.ad.error.code || this.adSlotAPI.error.code
          // FIXME: Core: No AD_ERROR w/o ad.
        ), this.trackEvent(qt.ON_AD_BREAK_ERROR);
      })
    ];
    this.eventHandlers = this.eventHandlers.concat(e), c.debug.info(
      Oe.NAME + "on - Subscribed to ad slot events. Current list",
      this.eventHandlers
    );
  }
  off() {
    c.debug.info(
      Oe.NAME + "off - Unsubscribe event listeners. Current list",
      this.eventHandlers
    ), this.eventHandlers.forEach((e) => {
      e();
    }), this.eventHandlers = [];
  }
  trackEvent(e) {
    let i = this.currentAdBreak.trackingEvents[e];
    this.callTrackers(i);
  }
  callTrackers(e) {
    if (!e || e.length < 1) {
      c.debug.info(
        Oe.NAME + "callTrackers - Request without URIs",
        e
      );
      return;
    }
    this.currentAdBreak.enrichment.set("PLAYERSIZE", this.player.getPlayerSize().boundingRect);
    const i = {
      adReinsertion: this.currentAdBreak.adReinsertion,
      enrichment: this.currentAdBreak.enrichment,
      timeouts: Object.assign(this.config.timeouts, this.environmentVars.timeouts),
      urlhandler: this.config.urlhandler
    };
    new oi().track(e, (r, s) => {
      s && c.debug.warn(Oe.NAME + "callTrackers - failed:", s, r);
    }, i);
  }
};
bt.ERROR_CODE_MAP = {}, bt.NAME = "AdBreakCtrl::";
let dr = bt;
const $e = {
  ON_ENDED: "ended",
  ON_LOADED_DATA: "loadeddata",
  ON_TIME_UPDATED: "timeupdate",
  ON_PLAY: "playerPlay",
  ON_PAUSED: "playerPause",
  ON_RESIZE: "playerResize",
  ON_VOLUME_CHANGED: "volumeChanged",
  ON_ERROR: "error"
}, ar = " - Look for AdBreaks to play ", Se = class Se extends St {
  /**
   *
   * @param {AdPlaylist} playlist
   * @param {Object} config - smartclientcore.SCHEME.GLOBAL_CONFIG
   */
  constructor(e, i) {
    super(), this.adBreakController = null, this.adPlaylist = e.getAdPlaylist(), this.adSlotAPI = null, this.contentDuration = 1 / 0, this.contentFinished = !1, this.playlistComplete = !1, this.eventHandlers = [], this.config = i, this.player = null, this.playableAdBreaks = [], this.isSeeking = void 0;
  }
  setAdsAPI(e) {
    this.adSlotAPI = e;
  }
  setPlayer(e) {
    this.player = e;
  }
  dispatchFinishedEvents() {
    super.dispatchEvent(p.ON_AD_PLAYLIST_STOPPED), super.dispatchEvent(p.ON_AD_PLAYLIST_COMPLETE);
  }
  waitForAdSlotComplete() {
    this.adSlotAPI.addEventListener(p.ON_AD_SLOT_COMPLETE, () => {
      this.dispatchFinishedEvents();
    });
  }
  /**
   * This triggers all AdSlots that have an AdBreak with `timeOffset` equally to `0`, `"start"`, `"0%"`.
   *
   * Note: Most likely we do not know any times from the content at this point in time.
   * @returns {Promise<void>}
   */
  beforeContent() {
    return this.contentFinished = !1, c.debug.info(
      Se.NAME + "beforeContent" + ar + "before the content."
    ), super.dispatchEvent(p.ON_AD_PLAYLIST_STARTED), this.requestAdBreak(0).then(() => {
      this.deliverAdBreak(), this.startContent();
    }).catch((e) => {
      c.debug.info(
        Se.NAME + "requestAdBreak - Found no matching AdBreak.",
        e
      ), this.startContent();
    });
  }
  startContent() {
    this.adSlotAPI.addEventListener(p.ON_AD_SLOT_COMPLETE, () => {
      this.on();
    }), this.contentFinished = !1, this.contentDuration = this.player.getContentDuration(), c.debug.info(
      Se.NAME + "startContent" + ar + " during content playback."
    ), this.on();
  }
  /**
   * This triggers all AdSlots that have an AdBreak with `timeOffset` equally to `this.player.getContentDuration()`,
   * `"end"`, `"100%"`.
   * @returns {Promise<void>}
   */
  afterContent() {
    return this.contentFinished = !0, c.debug.info(
      Se.NAME + "afterContent" + ar + "after the content."
    ), this.playableAdBreaks.length > 0 ? (this.playlistComplete = !0, this.waitForAdSlotComplete(), this.deliverAdBreak(), Promise.resolve()) : (this.adSlotAPI.slot === null && !this.playlistComplete && this.dispatchFinishedEvents(), Promise.resolve());
  }
  stop() {
    this.off(), this.dispatchFinishedEvents();
  }
  /**
   * Walks through the adPlaylist and requests the AdBreak that matches the current playback progress
   *  with the given current offset and initializes the ad slot controller for it.
   *
   * @param {number} currentOffset - The current offset for which to request the AdBreak.
   * @returns {Promise<void>} A Promise that resolves when the AdBreak has been successfully initialized and added to
   *  the list of playable AdBreaks.
   * @throws {string} If no AdBreak can be found for the given current offset or if initialization of the AdBreak fails.
   */
  requestAdBreak(e) {
    if (this.player && this.isSeeking)
      return Promise.resolve();
    let i = this.find(e), r = i.shift();
    return i.forEach((s) => {
      s.requested = !0;
    }), r && this.playableAdBreaks.length && (r.requested = !0), new Promise((s, d) => {
      r && !r.requested ? (this.adBreakController = new dr(this.adSlotAPI, this.player, this.config), this.adBreakController.initAdSlot(r, this.player.getEnvironmentVars(r.type)).then((h) => {
        c.debug.info(
          Se.NAME + "requestAdBreak - Initialized AdBreak",
          h.timeOffset
        ), r.force ? (r.force = !1, this.waitForAdSlotComplete(), this.adBreakController.startAdSlot(r)) : this.playableAdBreaks.push(h), s();
      }).catch((h) => {
        c.debug.warn(
          Se.NAME + "requestAdBreak - Failed to initialize ",
          r.timeOffset,
          h
        ), d(h);
      })) : d(
        Se.NAME + "requestAdBreak - Could not find an AdBreak with timeOffset " + e
      );
    });
  }
  deliverAdBreak() {
    if (this.playableAdBreaks.length !== 0 && this.isExecutableAdBreak(
      this.playableAdBreaks[0],
      this.player.getContentCurrentTime(),
      Se.PROCESS.DELIVERY
    )) {
      let e = this.playableAdBreaks.shift();
      this.duplicateAdBreak(e), c.debug.info(Se.NAME + "deliverAdBreak - Start AdBreak", e.timeOffset), this.adBreakController.startAdSlot(e);
    }
  }
  find(e) {
    if (isNaN(e))
      return [];
    const i = e;
    return this.adPlaylist.filter((r) => {
      if (r.requested)
        return !1;
      let s = i;
      return r.prefetchOffset > 0 && (s += r.prefetchOffset), this.isExecutableAdBreak(r, s);
    });
  }
  /**
   * Checks if an ad break is executable based on the current time and process type.
   * @param {Object} adBreak - The adBreak to check.
   * @param {number} currentTime - The current playback time in seconds.
   * @param {string} [process=AdPlaylistController.PROCESS.TYPE] - The process type DELIVERY/REQUEST.
   * @returns {boolean} Returns true if the ad break is executable, false otherwise.
   */
  isExecutableAdBreak(e, i, r = Se.PROCESS.REQUEST) {
    if (e.timeOffset.indexOf("%") > -1) {
      const d = this.contentDuration * parseFloat(e.timeOffset) / 100;
      return i >= d;
    }
    if (e.timeOffset === "start")
      return i >= 0;
    if (this.contentFinished && e.timeOffset === "end" && r === Se.PROCESS.DELIVERY)
      return !0;
    if (e.timeOffset === "end" && !e.requested && r === Se.PROCESS.REQUEST)
      return i >= this.contentDuration && (e.prefetchOffset === 0 || !e.prefetchOffset) && (e.force = !0), i >= this.contentDuration;
    const s = K.convertTimeStringToSeconds(e.timeOffset);
    return s !== null && i >= s;
  }
  /**
   * Duplicates the specified ad break and adds it to the ad playlist at a specified time offset.
   * @param {Object} adBreak - The ad break to duplicate.
   * @returns {void}
   */
  duplicateAdBreak(e) {
    if (e.repeatAfter <= 0)
      return;
    const r = this.player.getContentCurrentTime() + e.repeatAfter;
    let s = e.adBreakXML.cloneNode(!0);
    s.setAttribute("timeOffset", Mi(r)), this.adPlaylist.push(new ni(s, e.publisherSpecs)), c.debug.info(
      Se.NAME + "duplicateAdBreak - Updated adPlaylist",
      this.adPlaylist.slice(0)
    );
  }
  /**
   * Activates player and ad event listeners.
   */
  on() {
    this.off();
    let e = Date.now(), i = 0, r = 0;
    const s = 5;
    this.addPlayerEventListener($e.ON_TIME_UPDATED, () => {
      if (this.adSlotAPI.slot && this.adSlotAPI.ad.isLinear)
        return;
      const d = this.player.getContentCurrentTime(), h = d - i, A = (Date.now() - e) / 1e3;
      h > A + 0.075 || h > 2 ? (this.isSeeking = !0, r = 0) : r >= s && (this.isSeeking = !1), r = Math.min(r + 1, s), i = d, e = Date.now(), this.requestAdBreak(this.player.getContentCurrentTime()).catch(() => {
      }), this.deliverAdBreak();
    }), this.addPlayerEventListener($e.ON_ENDED, () => {
      this.adSlotAPI.slot && this.adSlotAPI.ad.isLinear || this.afterContent();
    }), c.debug.info(
      Se.NAME + "on - Subscribed to player and core events.",
      this.eventHandlers
    );
  }
  off() {
    c.debug.info(
      Se.NAME + "off - Unsubscribe event listeners. Current list",
      this.eventHandlers
    ), this.eventHandlers.forEach((e) => {
      e();
    }), this.eventHandlers = [];
  }
  addPlayerEventListener(e, i) {
    this.player.addEventListener(e, i);
    const r = () => this.removePlayerEventListener(e, i);
    return this.eventHandlers.push(r), r;
  }
  removePlayerEventListener(e, i) {
    this.player.removeEventListener(e, i);
  }
};
Se.NAME = "AdPlaylistCtrl::", Se.PROCESS = {
  REQUEST: "AdPlaylistController::request",
  DELIVERY: "AdPlaylistController::delivery"
};
let Oe = Se;
const eo = "HomadXHRUrlHandler", _n = ": Response contains neither 'responseXML' nor 'responseText'", Wt = class Wt {
  /**
   * Creates an XMLHttpRequest object.
   * @returns {XMLHttpRequest|null} An XMLHttpRequest object if the browser supports it, or null if it does not.
   */
  xhrRequest() {
    let e = new XMLHttpRequest();
    return "withCredentials" in e ? e : null;
  }
  static supported() {
    return !!new Wt().xhrRequest();
  }
  /**
   * @internal
   * @param url
   * @param options
   * @param callback - Method that expects two parameters `xhrError` and `responseXML` (in that order!)
   *
   */
  getAsXHR(e, i, r) {
    function s(v) {
      i(v, null);
    }
    function d(v) {
      if (r.issuer && r.issuer === ut.ISSUER.TRACKING) {
        i(null, null);
        return;
      }
      let y = v.responseXML;
      if (!y && v.responseText && (y = Or(v.responseText)), !y) {
        let M = new Error(eo + _n);
        M.code = w.XML.INVALID_XML.code, M.description = "HOMAD Response Error" + _n, i(M, null);
        return;
      }
      i(null, y);
    }
    if (!r.adReinsertion) {
      let v = new Error("AdReinsertion setup omitted. HomadXHRURLHandler not activated.");
      v.code = w.WRAPPER.TIMEOUT.code, v.description = "HOMAD Activation Error: AdReinsertion setup omitted (publisher-side).", s(v);
      return;
    }
    const h = r.adReinsertion.vendorAPI.stuffAdTag(e);
    let A = r.adReinsertion.vendorAPI.getUrlRequest(h);
    A.data.homad_macros = JSON.stringify(r.enrichment.getIABMacroList()), c.debug.info(
      Wt.NAME + "getAsXHR - Provide VAST Macro List" + A.data.homad_macros
    ), r.adReinsertion.vendorAPI.loadFile(A, (v) => {
      d(v);
    }, (v) => {
      let y = null, M = "HOMADUtils XHR";
      v.timedOut ? (y = new Error("HomadUtilsURLHandler: Request timeout."), y.code = w.WRAPPER.TIMEOUT.code, y.description = `${M} Timeout Error ${r.timeouts.errorMessage || w.WRAPPER.TIMEOUT.message}`) : (y = new Error("HomadUtilsURLHandler: " + v.statusText), y.code = w.XML.INVALID_XML.code, y.description = `${M} Status Error (${v.status}): ${v.statusText}`), s(y);
    }, !1, !1, !1, r.timeouts.adRequest * 1e3);
  }
  get(e, i, r = {}) {
    r.timeouts || (r.timeouts = si.timeouts), c.debug.info(`${Wt.NAME}: Get with timeout ${r.timeouts.adRequest} sec: ${e}`), this.getAsXHR(e, i, r);
  }
};
Wt.NAME = "HomadUrlHandler::";
let wi = Wt;
function xn(E) {
  return window.location.protocol === "https:" && !E.startsWith("http://") || window.location.protocol !== "https:";
}
function Xe(E, e) {
  let i = document.createElement("ParserError");
  i.setAttribute("code", e.code.toString()), i.setAttribute("message", e.message), E.appendChild(i);
}
const ii = class ii {
  constructor(e) {
    e.urlRequestObserver.requestTime = Date.now(), this.adSlotTimeout = e.timeouts.adSlotRequest * 1e3, this.blockInsecureURL = e.blockInsecureURL || !1, this.callbackLoadingDone = null, this.maxWrapperDept = e.maxWrapperDepth | 10, this.urlHandlerOptions = e, this.wrapperChainTimeout = e.timeouts.adRequestChain * 1e3;
  }
  /**
   * Takes XML document and immediately returns it
   * This is just a loop through function that might touch the XML if needed
   * @param vmapDoc
   * @returns {Promise<void>}
   */
  requestXML(e, i) {
    this.callbackLoadingDone = i, this.returnVMAP(e);
  }
  /**
   * Takes URL and loads it
   * On resolve the final XMLDoc of the aggregated files will be returned
   * @param url
   * @returns {void|Promise<void>}
   */
  requestURL(e, i) {
    if (c.debug.info(ii.NAME + "requestURL", e), this.callbackLoadingDone = i, this.isInsecureURL(e)) {
      let r = document.createDocumentFragment();
      return Xe(r, w.SESSION.MIXED_CONTENT), this.returnVMAP(r);
    }
    return this.loadURL(e).then((r) => {
      this.returnVMAP(r);
    });
  }
  returnVMAP(e) {
    let i = e, r = document.createDocumentFragment();
    e.querySelectorAll("VMAP").length > 0 && e.querySelectorAll("AdBreak").length === 0 && (Xe(r, w.VMAP.NO_ADBREAKS), i = r), e.querySelectorAll("VMAP").length === 0 && e.querySelectorAll("ParserError").length === 0 && (Xe(r, w.VMAP.DOCUMENT_ERROR), i = r), this.callbackLoadingDone(i);
  }
  loadURL(e) {
    return this.urlHandlerOptions.response = null, new Promise((i) => {
      new Ir().get(e, (r, s) => {
        if (!r && s && s.querySelector("parsererror")) {
          let d = document.createDocumentFragment();
          Xe(d, w.VMAP.EXTRACTION_ERROR), i(d);
        }
        if (r && !s) {
          let d = document.createDocumentFragment();
          c.debug.warn(ii.NAME + "loadURL - XHR Request Error", r), Xe(d, r), i(d);
        } else
          i(s);
      }, this.urlHandlerOptions);
    });
  }
  isInsecureURL(e) {
    return this.blockInsecureURL && !xn(e);
  }
};
ii.NAME = "VMAPReqService::";
let ur = ii;
function Yt(E, ...e) {
  for (const i of e)
    if (i) {
      for (const r in i)
        if (Object.prototype.hasOwnProperty.call(i, r) && i[r] !== null) {
          if (typeof i[r].hasOwnProperty == "function" && i[r].hasOwnProperty("window"))
            continue;
          typeof E[r] == "object" && typeof i[r] == "object" ? E[r] = Yt(E[r], i[r]) : E[r] = i[r];
        }
    }
  return E;
}
function kn() {
  return this.error || null;
}
function tt(E) {
  this.error = {
    code: E.code,
    message: E.message,
    timestamp: Date.now()
  };
}
let Cn = null;
const Nr = class Nr extends St {
  /**
   * @param {Object} playerFacade extended from FacadeBase
   * @param {Object} adsAPI is a reference to the session AdSlotAPI
   */
  constructor(e, i) {
    super(), this.player = e, this.config = i.config, c.debug.info(Oe.NAME + "Create AdPlaylistAPI with", i.config), this.environmentVars = i.environmentVars, this.vmapSetup = null, this.adPlaylist = null, this.adPlaylistController = null, this.adSlotAPI = i, this.rawVMAPXML = null, this.error = null, this.timeouts = this.config.timeouts;
  }
  /**
   * Starts requesting a VMAP from the ad server
   *
   * @param {AdPlaylistSetup} playlistSpecs - Ad configuration for the upcoming content video.
   * @param {EnvironmentVars} environmentVars - Defines environment conditions for the upcoming ad break.
   *  https://interactiveadvertisingbureau.github.io/vast/vast4macros/vast4-macros-latest.html
   * @returns {Promise<String|Error>} Resolves if loading the VMAP has been completed
   */
  initAdPlaylist(e, i = {}) {
    this.environmentVars = Object.assign(this.environmentVars, i), c.debug.info(Oe.NAME + "initAdPlaylist - with", e, this.environmentVars), this.vmapSetup = e, this.timeouts = Yt(this.timeouts, this.environmentVars.timeouts), this.error = null, e.response && e.response.length > 0 && (this.vmapSetup.responseXML = new DOMParser().parseFromString(e.response, "text/xml"));
    let r = null;
    this.adSlotAPI.environmentVars = this.environmentVars;
    const s = this.adSlotAPI.setupEnrichmentAndTCF();
    Cn = new ue(this.config.adReinsertion, s);
    const d = {
      adReinsertion: Cn,
      blockInsecureURL: this.config.blockInsecureURL,
      enrichment: s,
      response: this.vmapSetup.responseXML,
      timeouts: this.timeouts,
      urlhandler: this.config.urlhandler,
      withCredentials: !0,
      urlRequestObserver: {
        originTimeouts: Yt({}, this.timeouts),
        initialTime: Date.now(),
        requestTime: 0,
        responseTime: 0
      }
    };
    return new Promise((h, A) => {
      r = this.addEventListener(p.ON_AD_PLAYLIST_LOAD_ERROR, () => A(this.errorAPI)), this.addEventListener(p.ON_AD_PLAYLIST_LOADED, () => (r(), this.adPlaylistController = new Oe(this.adPlaylist, this.config), this.adPlaylistController.setPlayer(this.player), this.adPlaylistController.setAdsAPI(this.adSlotAPI), h("ok")));
      let v = new ur(d);
      e.tag ? v.requestURL(e.tag, this.onXMLLoadDone.bind(this, d)) : v.requestXML(d.response, this.onXMLLoadDone.bind(this, d));
    });
  }
  /**
   * @internal
   */
  onXMLLoadDone(e, i) {
    this.rawVMAPXML = i, this.adPlaylist = new Ks(i, this.vmapSetup);
    let r = this.adPlaylist.getAdPlaylist();
    c.debug.info(Oe.NAME + "onXMLLoadDone and vmap parsed.", i), c.debug.table(r);
    const s = () => {
      if (!this.adPlaylist.hasPlayableAdBreaks) {
        const d = i.querySelector("ParserError"), h = d ? {
          code: parseInt(d.getAttribute("code"), 10),
          message: d.getAttribute("message")
        } : this.error = w.VMAP.NO_ADBREAKS;
        tt.call(this, h), super.dispatchEvent(p.ON_AD_PLAYLIST_LOAD_ERROR);
        return;
      }
      super.dispatchEvent(p.ON_AD_PLAYLIST_LOADED);
    };
    if (e.adReinsertion.reinsertionReason) {
      c.debug.info(
        Oe.NAME + "onXMLLoadDone - Found reason to enable AdReinsertion",
        e.adReinsertion.reinsertionReason
      ), e.adReinsertion.enable(
        () => {
          e.adReinsertion.setReinsertionReason(null), c.debug.info(
            Oe.NAME + "enable - Override default URLHandler with HOMADURLHandler."
          ), this.config.urlhandler = wi, this.initAdPlaylist(this.vmapSetup, this.environmentVars.vastMacros).catch(() => {
            s();
          });
        },
        (d) => {
          c.debug.info(Oe.NAME + "enable - AdReinsertion remains disabled.", d), tt.call(this, d), s();
        }
      );
      return;
    }
    s();
  }
  /**
   * Starts playback and monitoring of the content and automatically inserts ad-slots
   * based on the `timeOffset` values of each VMAP AdBreak.
   * AdBreaks with a `timeOffset` equally to `0`, `"start"` or `"0%"` get requested immediately.
   *
   * @returns {Promise} Resolves if the playback started
   */
  startAdPlaylist() {
    return super.dispatchEvent(p.ON_AD_PLAYLIST_START), Object.keys(p).forEach((e) => {
      this.adPlaylistController.addEventListener(p[e], (i) => {
        super.dispatchEvent(i.type);
      });
    }), new Promise((e, i) => {
      this.adPlaylistController.beforeContent().then(() => {
        e();
      }).catch(
        /* c8 ignore start: The method beforeContent always resolves and must not prevent
        	the start of the content. It only catches runtime errors that might occur. */
        (r) => {
          i(r);
        }
        /* c8 ignore stop */
      );
    });
  }
  /**
   * Immediately stops monitoring content playback.
   * AdBreaks that have already started remain until they complete. If necessary, they must be canceled
   * via the `AdSlotAPI.stopAdSlot()`.
   *
   * @returns {Promise<void>} - Whether the ad slot could be closed and cleaned up or not.
   */
  stopAdPlaylist() {
    return this.adPlaylistController.stop(), Promise.resolve();
  }
  dispose() {
    return this.stopAdPlaylist(), Promise.resolve();
  }
  /**
   * Requests details about the most recent error that has occurred on the AdPlaylistAPI.
   *
   * @returns {error} Description object of the most recent error or `null`.
   */
  get errorAPI() {
    return kn.call(this);
  }
  /**
   * Returns the VMAP that has been collected for the current (content) session
   *
   * @returns {XML} XML as live parsable DOM representation, querySelector and similar work on this
   */
  get rawVMAP() {
    return this.rawVMAPXML;
  }
};
Nr.NAME = "AdPlaylAPI::";
let hr = Nr;
const ve = {
  // from publisher, defined through value
  DIVIDER: "divider",
  OPENER: "opener",
  CLOSER: "closer",
  // from VAST tag, defined through key
  COMMERCIAL: "commercial",
  SPONSORED: "sponsored"
};
class to {
  constructor(e) {
    this.totalCommercialsDurationArray = [-1], this.totalCommercialsCurrentTimeNumber = -1, this.currentTimeOffsetNumber = 0, e && this.setManifest(e);
  }
  setManifest(e) {
    e && (this.adSlotManifest = e, this.collectCommercialsDuration());
  }
  /**
   * Does collect and summarize the duration of all commercial ads.
   * The result can change at runtime after receiving real duration values for a specific ad
   * @returns {void}
   */
  collectCommercialsDuration() {
    this.totalCommercialsDurationArray = [0];
    for (let e = 0; e < this.adSlotManifest.length; e++) {
      let i = this.adSlotManifest[e];
      i.info = i.info || {}, !(!i.isLinear || i.variant !== ve.COMMERCIAL) && this.totalCommercialsDurationArray.push(i.duration);
    }
    this.totalCommercialsDurationArray.reduce((e, i) => e + i) === 0 && (this.totalCommercialsDurationArray = [-1]), console.log(
      "AdSloDel::AdSlotTimes.totalCommercialsDuration initial",
      this.totalCommercialsDurationArray.reduce((e, i) => e + i)
    );
  }
  get totalCommercialsDuration() {
    return this.totalCommercialsDurationArray.reduce((e, i) => e + i);
  }
  // Note: `set...` means we "add" these seconds to the existing duration
  setTotalCommercialsDuration(e) {
    this.totalCommercialsDurationArray[0] === -1 ? this.totalCommercialsDurationArray[0] = e : this.totalCommercialsDurationArray.push(e);
  }
  get totalCommercialsCurrentTime() {
    return this.totalCommercialsCurrentTimeNumber;
  }
  setCommercialsCurrentTime(e) {
    this.totalCommercialsCurrentTimeNumber = e;
  }
  get currentTimeOffset() {
    return this.currentTimeOffsetNumber;
  }
  setCurrentTimeOffset(e) {
    this.currentTimeOffsetNumber = e;
  }
}
const ae = {
  CLICK_THRU: "Creative:clickThru",
  COLLAPSE_NONLINEAR: "Creative:collapseNonlinear",
  EXPAND_NONLINEAR: "Creative:expandNonlinear",
  FATAL_ERROR: "Creative:fatalError",
  GET_MEDIA_STATE: "Creative:getMediaState",
  LOG: "Creative:log",
  READY: "Creative:ready",
  REPORT_TRACKING: "Creative:reportTracking",
  REQUEST_CHANGE_AD_DURATION: "Creative:requestChangeAdDuration",
  REQUEST_FULL_SCREEN: "Creative:requestFullScreen",
  REQUEST_PAUSE: "Creative:requestPause",
  REQUEST_PLAY: "Creative:requestPlay",
  REQUEST_RESIZE: "Creative:requestResize",
  REQUEST_SKIP: "Creative:requestSkip",
  REQUEST_STOP: "Creative:requestStop",
  REQUEST_TRACKING: "Creative:reportTracking",
  REQUEST_VIDEO_LOCATION: "Creative:requestVideoLocation",
  REQUEST_VOLUME: "Creative:requestVolume"
}, et = {
  DURATION_CHANGE: "Media:durationchange",
  ENDED: "Media:ended",
  ERROR: "Media:error",
  PAUSE: "Media:pause",
  PLAY: "Media:play",
  PLAYING: "Media:playing",
  SEEKED: "Media:seeked",
  SEEKING: "Media:seeking",
  TIME_UPDATE: "Media:timeupdate",
  VOLUME_CHANGE: "Media:volumechange"
}, rt = {
  AD_SKIPPED: "Player:adSkipped",
  AD_STOPPED: "Player:adStopped",
  FATAL_ERROR: "Player:fatalError",
  INIT: "Player:init",
  LOG: "Player:log",
  RESIZE: "Player:resize",
  START_CREATIVE: "Player:startCreative"
}, Ge = {
  CREATE_SESSION: "createSession",
  REJECT: "reject",
  RESOLVE: "resolve"
}, ri = class ri extends c {
  /** playerElement is needed for multiple instances support
   * @param {Element} playerElement where the simid ad get played
   */
  constructor(e) {
    super(), this.listeners = {}, this.eventsThatRequireResponse = [
      ae.CLICK_THRU,
      ae.GET_MEDIA_STATE,
      ae.READY,
      ae.REPORT_TRACKING,
      ae.REQUEST_CHANGE_AD_DURATION,
      ae.REQUEST_FULL_SCREEN,
      ae.REQUEST_PAUSE,
      ae.REQUEST_PLAY,
      ae.REQUEST_RESIZE,
      ae.REQUEST_SKIP,
      ae.REQUEST_STOP,
      ae.REQUEST_VIDEO_LOCATION,
      ae.REQUEST_VOLUME,
      rt.AD_SKIPPED,
      rt.AD_STOPPED,
      rt.FATAL_ERROR,
      rt.INIT,
      rt.START_CREATIVE,
      Ge.CREATE_SESSION
    ], this.listeners = {}, this.sessionId = "", this.nextMessageId = 1, this.target = e.ownerDocument.defaultView, this.target.addEventListener(
      "message",
      this.receiveMessage.bind(this),
      !1
    ), this.resolutionListeners = {};
  }
  /* Reverts this protocol to its original state */
  reset() {
    this.listeners = {}, this.sessionId = "", this.nextMessageId = 1, this.resolutionListeners = {};
  }
  /**
   * Sends a message using post message.
   * Returns a promise that will resolve or reject after the message receives a response.
   * @param {string} messageType The name of the message
   * @param {?Object} messageArgs The arguments for the message, may be null.
   * @return {!Promise} Promise that will be fulfilled when client resolves or rejects.
   */
  sendMessage(e, i) {
    const r = this.nextMessageId++, s = e === Ge.CREATE_SESSION ? e : "SIMID:" + e, d = {
      sessionId: this.sessionId,
      messageId: r,
      type: s,
      timestamp: Date.now(),
      args: i
    };
    return this.eventsThatRequireResponse.includes(e) ? new Promise((h, A) => {
      this.addResolveRejectListener(r, h, A), this.target.postMessage(JSON.stringify(d), "*");
    }) : new Promise((h, A) => {
      this.target.postMessage(JSON.stringify(d), "*"), h();
    });
  }
  /**
   * Adds a listener for a given message.
   */
  addListener(e, i) {
    this.listeners[e] ? this.listeners[e].push(i) : this.listeners[e] = [i];
  }
  /**
   * Sets up a listener for resolve/reject messages.
   * @internal
   */
  addResolveRejectListener(e, i, r) {
    const s = (d) => {
      const h = d.type, A = d.args.value;
      h === "resolve" && i(A), h === "reject" && r(A);
    };
    this.resolutionListeners[e] = s.bind(this);
  }
  /**
   * Receives messages from either the player or creative.
   */
  receiveMessage(e) {
    if (!e || !e.data)
      return;
    let i;
    try {
      i = JSON.parse(e.data);
    } catch (v) {
      return;
    }
    const r = i.sessionId, s = i.type, d = this.sessionId === "" && s === Ge.CREATE_SESSION, h = this.sessionId === r;
    if (!(!(d || h) || s === null)) {
      if (Object.values(Ge).includes(s))
        this.handleProtocolMessage(i);
      else if (s.startsWith("SIMID:")) {
        const v = s.substr(6), y = this.listeners[v];
        y && y.forEach((M) => {
          M(i);
        });
      }
    }
  }
  /**
   * Handles incoming messages specifically for the protocol
   * @param {!Object} data Data passed back from the message
   * @internal
   */
  handleProtocolMessage(e) {
    const i = e.type;
    switch (i) {
      case Ge.CREATE_SESSION:
        this.sessionId = e.sessionId, this.resolve(e, {});
        const r = this.listeners[i];
        r && r.forEach((A) => {
          A(e);
        });
        break;
      case Ge.RESOLVE:
      case Ge.REJECT:
        const d = e.args.messageId, h = this.resolutionListeners[d];
        h && (h(e), delete this.resolutionListeners[d]);
        break;
    }
  }
  /**
   * Resolves an incoming message.
   * @param {!Object} incomingMessage the message that is being resolved.
   * @param {!Object} outgoingArgs Any arguments that are part of the resolution.
   */
  resolve(e, i) {
    const r = this.nextMessageId++, s = {
      messageId: e.messageId,
      value: i
    }, d = {
      sessionId: this.sessionId,
      messageId: r,
      type: Ge.RESOLVE,
      timestamp: Date.now(),
      args: s
    };
    this.target.postMessage(JSON.stringify(d), "*");
  }
  /**
   * Rejects an incoming message.
   * @param {!Object} incomingMessage the message that is being resolved.
   * @param {!Object} outgoingArgs Any arguments that are part of the resolution.
   */
  reject(e, i) {
    const r = this.nextMessageId++, s = {
      messageId: e.messageId,
      value: i
    }, d = {
      sessionId: this.sessionId,
      messageId: r,
      type: Ge.REJECT,
      timestamp: Date.now(),
      args: s
    };
    this.target.postMessage(JSON.stringify(d), "*");
  }
  /**
   * Creates a new session.
   * @return {!Promise} The promise from the create session message.
   */
  createSession() {
    const e = () => {
      c.debug.info(ri.NAME + "createSession resolve");
    }, i = () => {
      c.debug.info(ri.NAME + "createSession reject");
    };
    this.generateSessionId(), this.sendMessage(Ge.CREATE_SESSION, {}).then(
      e,
      i
    );
  }
  /**
   * Sets the session ID, this should only be used on session creation.
   * @internal
   */
  generateSessionId() {
    const e = new Uint8Array(16);
    window.crypto.getRandomValues(e), e[6] = e[6] & 15 | 64, e[8] = e[8] & 63 | 128;
    let i = "", r;
    for (r = 0; r < 16; r++)
      i += (r === 4 || r === 6 || r === 8 || r === 10 ? "-" : "") + e[r].toString(16);
    this.sessionId = i;
  }
  setMessageTarget(e) {
    this.target = e;
  }
};
ri.NAME = "SIMIDPtl::";
let cr = ri;
function gt(E, e) {
  let i = document.createElement(E);
  return Object.keys(e || {}).forEach((r) => {
    i.setAttribute(r, e[r]);
  }), i;
}
const Ci = {
  UNSPECIFIED: 1100,
  CANNOT_LOAD_RESOURCE: 1101,
  PLAYBACK_AREA_UNUSABLE: 1102,
  INCORRECT_VERSION: 1103,
  TECHNICAL_ERROR: 1104,
  EXPAND_NOT_POSSIBLE: 1105,
  PAUSE_NOT_HONORED: 1106,
  PLAYMODE_NOT_ADEQUATE: 1107,
  CREATIVE_INTERNAL_ERROR: 1108,
  DEVICE_NOT_SUPPORTED: 1109,
  MESSAGES_NOT_FOLLOWING_SPEC: 1110,
  PLAYER_RESPONSE_TIMEOUT: 1111
}, Dn = {
  UNSPECIFIED: 1200,
  WRONG_VERSION: 1201,
  UNSUPPORTED_TIME: 1202,
  UNSUPPORTED_FUNCTIONALITY_REQUEST: 1203,
  UNSUPPORTED_ACTIONS: 1204,
  POSTMESSAGE_CHANNEL_OVERLOADED: 1205,
  VIDEO_COULD_NOT_LOAD: 1206,
  VIDEO_TIME_OUT: 1207,
  RESPONSE_TIMEOUT: 1208,
  MEDIA_NOT_SUPPORTED: 1209,
  SPEC_NOT_FOLLOWED_ON_INIT: 1210,
  SPEC_NOT_FOLLOWED_ON_MESSAGES: 1211
}, Lt = {
  UNSPECIFIED: 0,
  USER_INITIATED: 1,
  MEDIA_PLAYBACK_COMPLETE: 2,
  PLAYER_INITATED: 3,
  CREATIVE_INITIATED: 4,
  NON_LINEAR_DURATION_COMPLETE: 5
}, ei = 0, lr = -2, io = !0, xe = class xe {
  /**
   * Sets up the creative iframe and starts listening for messages
   * from the creative.
   * @param {Object} adSlotController. - contains all current ad information.
   */
  constructor(e) {
    this.adSlotController = e, this.currentAd = e.currentAd, this.creativeAsset = e.currentAd.properCreative.selectedCreativeFile, this.mediaAsset = e.currentAd.properCreative.selectedMediaFile, this.playerFacade = e.player, this.loadedSource = null, this.simidProtocol = new cr(this.playerFacade.getPlayerElement()), this.addListeners(), this.initializationPromise = null, this.videoTrackingEvents = /* @__PURE__ */ new Map(), this.isLinearAd = this.mediaAsset.linearity === "linear", this.nonLinearStartTime = null, this.requestedDuration = ei, this.resolveSessionCreatedPromise = null, this.sessionCreatedPromise = new Promise((i) => {
      this.resolveSessionCreatedPromise = i;
    }), this.resolveInitializationPromise = null, this.rejectInitializationPromise = null, this.requestedDuration = ei, this.nonLinearDimensions = null, this.initializationPromise = new Promise((i, r) => {
      this.resolveInitializationPromise = i, this.rejectInitializationPromise = r;
    }), this.IFrame = null, this.trackEventsOnAdVideoElement();
  }
  /**
   * Initializes an ad. This should be called before an ad plays.
   * Creates an iframe with the creative in it, then uses a promise
   * to call init on the creative as soon as the creative initializes
   * a session.
   */
  initializeAd() {
    if (!this.isLinearAd && !this.isValidDimensions(this.getNonlinearDimensions())) {
      c.debug.info(
        xe.NAME + "initializeAd - nonLinear ad with bigger dimensions than the player."
      );
      return;
    }
    this.IFrame = this.createIFrame(), this.isLinearAd || this.displayNonlinearCreative(), this.initializationPromise.catch((e) => {
      this.onAdInitializedFailed(e);
    }), this.sessionCreatedPromise.then(() => {
      this.sendInitMessage(), this.initializationPromise.then(() => {
        this.startCreativePlayback();
      });
    });
  }
  addContainer(e) {
    this.container = gt("div", {
      id: "container--simid"
    }), e.parentNode && e.parentNode.insertBefore(this.container, e.nextSibling);
  }
  /**
   * Sets up an iframe for holding the simid element.
   *
   * @return {!Element} The iframe where the simid element lives.
   * @internal
   */
  createIFrame() {
    this.addContainer(this.playerFacade.getPlayerElement());
    const e = document.createElement("iframe");
    return c.debug.info(xe.NAME + "createSimidIframe with", this.creativeAsset), e.src = this.creativeAsset.fileURL, e.style.display = "none", this.container.appendChild(e), this.simidProtocol.setMessageTarget(e.contentWindow), e;
  }
  /**
   * Listens to all relevant messages from the SIMID add.
   * @internal
   */
  addListeners() {
    this.simidProtocol.addListener(Ge.CREATE_SESSION, this.onSessionCreated.bind(this)), this.simidProtocol.addListener(ae.CLICK_THRU, this.onReqClickThu.bind(this)), this.simidProtocol.addListener(ae.REQUEST_FULL_SCREEN, this.onReqFullScreen.bind(this)), this.simidProtocol.addListener(ae.REQUEST_PLAY, this.onReqPlay.bind(this)), this.simidProtocol.addListener(ae.REQUEST_PAUSE, this.onReqPause.bind(this)), this.simidProtocol.addListener(ae.FATAL_ERROR, this.onCreativeFatalError.bind(this)), this.simidProtocol.addListener(ae.REQUEST_SKIP, this.onReqSkip.bind(this)), this.simidProtocol.addListener(ae.REQUEST_STOP, this.onReqStop.bind(this)), this.simidProtocol.addListener(
      ae.REQUEST_CHANGE_AD_DURATION,
      this.onReqChangeAdDuration.bind(this)
    ), this.simidProtocol.addListener(ae.GET_MEDIA_STATE, this.onGetMediaState.bind(this)), this.simidProtocol.addListener(ae.LOG, this.onReceiveCreativeLog.bind(this)), this.simidProtocol.addListener(ae.EXPAND_NONLINEAR, this.onExpandResize.bind(this)), this.simidProtocol.addListener(ae.COLLAPSE_NONLINEAR, this.onCollapse.bind(this)), this.simidProtocol.addListener(ae.REQUEST_RESIZE, this.onReqResize.bind(this));
  }
  /**
   * Resolves the session created promise.
   * @internal
   */
  onSessionCreated() {
    this.resolveSessionCreatedPromise();
  }
  /**
   * Destroys the existing simid iframe.
   * @internal
   */
  destroyIFrame() {
    this.IFrame && (this.IFrame.parentNode.remove(), this.IFrame = null, this.simidProtocol.reset());
    for (let [e, i] of this.videoTrackingEvents)
      this.playerFacade.removeEventListener(e, i);
    this.videoTrackingEvents.clear();
  }
  /**
   * Returns the full dimensions of an element within the player div.
   * @internal
   * @return {!Object}
   */
  getFullDimensions() {
    const e = this.playerFacade.getPlayerSize().boundingRect;
    return {
      x: 0,
      y: 0,
      width: e.width,
      height: e.height
    };
  }
  /**
   * Checks whether the input dimensions are valid and fit in the player window.
   * @internal
   * @param {!Object} dimensions A dimension that contains x, y, width & height fields.
   * @return {boolean}
   */
  isValidDimensions(e) {
    const i = this.playerFacade.getPlayerSize().boundingRect, r = parseInt(e.y, 10) + parseInt(e.height, 10) <= i.height, s = parseInt(e.x, 10) + parseInt(e.width, 10) <= i.width;
    return r && s;
  }
  /**
   * Returns the specified dimensions of the non-linear creative.
   * @internal
   * @return {!Object}
   */
  getNonlinearDimensions() {
    return this.nonLinearDimensions ? this.nonLinearDimensions : {
      // nonLinear ad-container is over playerControls!
      height: this.currentAd.properCreative.selectedMediaFile.height,
      width: this.currentAd.properCreative.selectedMediaFile.width,
      x: this.playerFacade.getPlayerSize().boundingRect.x + 100,
      y: this.playerFacade.getPlayerSize().boundingRect.y
    };
  }
  pause() {
    this.playerFacade.pause();
  }
  play() {
    this.playerFacade.play();
  }
  /**
   * Validates and displays the non-linear creative.
   * @internal
   */
  displayNonlinearCreative() {
    const e = this.getNonlinearDimensions();
    if (!this.isValidDimensions(e)) {
      c.debug.info("Unable to play a non-linear ad with dimensions bigger than the player. Please modify dimensions to a smaller size.");
      return;
    }
    this.setIFrameDimensions(e), this.IFrame.style.position = "absolute", this.play(), this.requestedDuration = this.currentAd.duration;
  }
  /**
   * Changes the simid iframe dimensions to the given dimensions.
   * @internal
   * @param {!Object} resizeDimensions A dimension that contains an x,y,width & height fields.
   */
  setIFrameDimensions(e) {
    c.debug.info(xe.NAME + "resize", e), this.IFrame.style.height = e.height, this.IFrame.style.width = e.width, this.IFrame.style.left = `${e.x}px`, this.IFrame.style.top = `${e.y}px`, this.adSlotController.dispatchEvent(p.ON_AD_SIZE_CHANGED);
  }
  resolve(e) {
    this.simidProtocol.resolve(e);
  }
  reject(e, i) {
    this.simidProtocol.reject(e, i);
  }
  /**
   * The creative wants to expand the ad.
   * @param {!Object} incomingMessage Message sent from the creative to the player
   */
  onExpandResize(e) {
    if (this.isLinearAd) {
      const i = {
        errorCode: Ci.EXPAND_NOT_POSSIBLE,
        message: "Linear resize not yet supported."
      };
      this.reject(e, i), c.debug.info(i.message);
    } else {
      const i = this.getFullDimensions();
      this.setIFrameDimensions(i), this.pause(), this.resolve(e);
    }
  }
  /**
   * The creative wants to collapse the ad.
   * @param {!Object} incomingMessage Message sent from the creative to the player
   */
  onCollapse(e) {
    const i = this.getNonlinearDimensions();
    if (this.isLinearAd) {
      const r = {
        message: "Cannot collapse linear ads."
      };
      this.reject(e, r), c.debug.info(r.message);
    } else if (this.isValidDimensions(i))
      this.setIFrameDimensions(i), this.IFrame.style.position = "absolute", this.play(), this.resolve(e);
    else {
      const r = {
        message: "Unable to collapse to dimensions bigger than the player. Please modify dimensions to a smaller size."
      };
      this.reject(e, r), c.debug.info(r.message);
    }
  }
  /**
   * The creative wants to resize the ad.
   * @param {!Object} incomingMessage Message sent from the creative to the player.
   */
  onReqResize(e) {
    let i = "onRequestResize - error:";
    if (this.isLinearAd) {
      const r = {
        errorCode: Ci.EXPAND_NOT_POSSIBLE,
        message: "Linear resize not yet supported."
      };
      this.reject(e, r), c.debug.error(xe.NAME + i, r.message);
    } else if (this.isValidDimensions(e.args.creativeDimensions))
      this.nonLinearDimensions = e.args.creativeDimensions, this.setIFrameDimensions(e.args.creativeDimensions), this.resolve(e);
    else {
      const r = {
        errorCode: Ci.EXPAND_NOT_POSSIBLE,
        message: "Unable to resize a non-linear ad with dimensions bigger than the player. Please modify dimensions to a smaller size."
      };
      this.reject(e, r), c.debug.error(xe.NAME + i, r.message);
    }
  }
  /**
   * Initializes the SIMID creative with all data it needs.
   * @internal
   */
  sendInitMessage() {
    const e = this.getFullDimensions(), i = this.isLinearAd ? this.getFullDimensions() : this.getNonlinearDimensions(), r = {
      videoDimensions: e,
      creativeDimensions: i,
      fullscreen: !1,
      fullscreenAllowed: !0,
      variableDurationAllowed: !0,
      skippableState: "adHandles",
      // This player does not render a skip button.
      siteUrl: document.location.host,
      appId: "",
      // This is not relevant on desktop
      useragent: "",
      // This should be filled in for sdks and players
      deviceId: "",
      // This should be filled in on mobile
      muted: this.playerFacade.isMuted(),
      volume: this.playerFacade.volume
    }, s = {
      adParameters: this.creativeAsset.adParameters,
      // These values should be populated from the VAST response.
      adId: this.currentAd.id,
      creativeId: "",
      adServingId: "",
      clickThroughUrl: this.currentAd.clickThroughURL,
      duration: 0
    };
    this.isLinearAd || (s.duration = this.currentAd.duration);
    const d = {
      environmentData: r,
      creativeData: s
    };
    this.simidProtocol.sendMessage(rt.INIT, d).then((A) => {
      this.resolveInitializationPromise(A), c.debug.info(xe.NAME + "session created");
    }).catch((A) => {
      this.rejectInitializationPromise(A);
    });
  }
  /**
   * Called once the creative responds positively to being initialized.
   * @internal
   */
  startCreativePlayback() {
    this.showIFrame(), this.isLinearAd ? this.adSlotController.dispatchEvent(p.ON_AD_STARTED) : (this.nonLinearStartTime = this.playerFacade.getContentCurrentTime(), this.play()), c.debug.info(xe.NAME + "startCreativePlayback"), this.simidProtocol.sendMessage(rt.START_CREATIVE);
  }
  /**
   * Pauses content video and plays linear ad.
   * @internal
   */
  /**
   * Called if the creative responds with reject after the player
   * initializes the ad.
   * @param {!Object} data
   * @internal
   */
  onAdInitializedFailed(e) {
    this.setError(w.SESSION.MANIFEST_LOAD_FAILED), this.adSlotController.dispatchEvent(p.ON_SIMID_ERROR), this.adSlotController.cancelAdWithError(), c.debug.error(xe.NAME + "onAdInitializedFailed", JSON.stringify(e)), this.destroyIframeAndResumeContent();
  }
  /** @internal */
  hideIFrame() {
    this.IFrame.style.display = "none";
  }
  /** @internal */
  showIFrame() {
    this.IFrame.style.bottom = "0", this.IFrame.style.display = "block", this.IFrame.style.height = "100%", this.IFrame.style.left = "0", this.IFrame.style.position = "absolute", this.IFrame.style.width = "100%";
  }
  /**
   * Disables or enables stop, skip, and fatal error buttons
   *  depending on if the ad is showing.
   * @internal
   * @param {boolean} controlState If buttons should be disabled or enabled
   */
  setCreativeControlsState(e) {
    document.querySelectorAll(".ad_request").forEach((r) => {
      r.disabled = e;
    });
  }
  /**
   * Tracks the events on the ad video element specified by the simid spec
   * @internal
   */
  trackEventsOnAdVideoElement() {
    this.videoTrackingEvents.set("ended", this.videoComplete.bind(this)), this.videoTrackingEvents.set("error", () => {
      this.simidProtocol.sendMessage(
        et.ERROR,
        {
          error: w.SIMID.GENERAL_ERROR.code,
          message: w.SIMID.GENERAL_ERROR.message
        }
      ), this.currentAd.error = w.SIMID.GENERAL_ERROR, this.adSlotController.cancelAdWithError();
    }), this.videoTrackingEvents.set("pause", () => {
      this.simidProtocol.sendMessage(et.PAUSE);
    }), this.videoTrackingEvents.set("play", () => {
      this.simidProtocol.sendMessage(et.PLAY);
    }), this.videoTrackingEvents.set("playing", () => {
      this.simidProtocol.sendMessage(et.PLAYING);
    }), this.videoTrackingEvents.set("seeked", () => {
      this.simidProtocol.sendMessage(et.SEEKED);
    }), this.videoTrackingEvents.set("seeking", () => {
      this.simidProtocol.sendMessage(et.SEEKING);
    }), this.videoTrackingEvents.set($e.ON_TIME_UPDATED, () => {
      this.simidProtocol.sendMessage(
        et.TIME_UPDATE,
        { currentTime: this.playerFacade.getAdCurrentTime() }
      ), this.compareAdAndReqDurations(), this.simidProtocol.sendMessage(
        et.DURATION_CHANGE,
        { duration: this.playerFacade.getAdDuration() }
      ), this.nonLinearStartTime !== null && this.playerFacade.getContentCurrentTime() - this.nonLinearStartTime > this.requestedDuration && this.stopAd(Lt.NON_LINEAR_DURATION_COMPLETE);
    }), this.videoTrackingEvents.set("volumechange", () => {
      this.simidProtocol.sendMessage(
        et.VOLUME_CHANGE,
        { volume: this.playerFacade.getVolume() }
      );
    });
    for (let [e, i] of this.videoTrackingEvents)
      this.playerFacade.addEventListener(e, i);
  }
  /**
   * Stops the ad and destroys the ad iframe.
   * @param {number} reason The reason the ad will stop.
   */
  stopAd(e = Lt.PLAYER_INITATED) {
    this.IFrame && (this.hideIFrame(), this.loadedSource = null, this.simidProtocol.sendMessage(rt.AD_STOPPED).then(() => {
      c.debug.info(xe.NAME + "stopAd-destroy reason", e), this.destroyIframeAndResumeContent();
    }));
  }
  /**
   * Skips the ad and destroys the ad iframe.
   */
  skipAd() {
    this.hideIFrame(), this.simidProtocol.sendMessage(rt.AD_SKIPPED).then(() => this.destroyIframeAndResumeContent()), this.adSlotController.dispatchEvent(p.ON_AD_SKIPPED), this.loadedSource = null;
  }
  /**
   * Removes the simid ad entirely and resumes video playback.
   * @internal
   */
  destroyIframeAndResumeContent() {
    this.destroyIFrame(), this.setCreativeControlsState(io), this.adSlotController.dispatchEvent(p.ON_AD_STOPPED);
  }
  /** The creative wants to go full screen. */
  onReqFullScreen(e) {
    c.debug.info(xe.NAME + "onReqFullScreen", e);
    let i;
    this.IFrame && (i = this.IFrame.mozRequestFullScreen || this.IFrame.msRequestFullscreen || this.IFrame.requestFullscreen || this.IFrame.webkitRequestFullscreen);
    let r = i == null ? void 0 : i();
    r ? r.then(() => this.resolve(e)) : this.resolve(e);
  }
  onReqClickThu(e) {
    e.args && e.args.playerHandles && this.pause(), this.adSlotController.onClickThrough(!1);
  }
  /** The creative wants to play video. */
  onReqPlay(e) {
    if (this.isLinearAd) {
      if (this.loadedSource === this.mediaAsset.fileURL)
        return this.play(), this.simidProtocol.resolve(e, {});
      this.playerFacade.load(this.mediaAsset.fileURL).then(() => (this.loadedSource = this.mediaAsset.fileURL, this.simidProtocol.resolve(e, {}))).catch(() => {
        const i = {
          errorCode: Dn.VIDEO_COULD_NOT_LOAD,
          message: "The SIMID media could not be loaded."
        };
        this.reject(e, i);
      });
    } else {
      const i = {
        errorCode: Ci.PLAYBACK_AREA_UNUSABLE,
        message: "Non linear ads do not play video."
      };
      this.reject(e, i);
    }
  }
  /** The creative wants to pause video. */
  onReqPause(e) {
    this.pause(), this.resolve(e);
  }
  /** The creative wants to stop with a fatal error. */
  onCreativeFatalError(e) {
    this.resolve(e), this.stopAd(Lt.CREATIVE_INITIATED);
  }
  /** The creative wants to skip this ad. */
  onReqSkip(e) {
    this.resolve(e), this.skipAd();
  }
  /** The creative wants to stop the ad early. */
  onReqStop(e) {
    this.resolve(e), this.stopAd(Lt.CREATIVE_INITIATED);
  }
  /**
   * The player must implement sending tracking pixels from the creative.
   * This sample implementation does not show how to send tracking pixels or
   * replace macros. That should be done using the players standard workflow.
   */
  onReportTracking(e) {
    const i = e.args.trackingUrls;
    c.debug.info(xe.NAME + "onReportTracking -  Creative has asked the player to send a ping."), c.debug.table(i);
  }
  /**
   * Called when video playback is complete.
   * @internal
   */
  videoComplete() {
    if (this.simidProtocol.sendMessage(et.ENDED), this.requestedDuration === ei && this.stopAd(Lt.MEDIA_PLAYBACK_COMPLETE), this.requestedDuration !== ei && this.requestedDuration !== lr) {
      const e = (this.requestedDuration - this.playerFacade.getAdDuration()) * 1e3;
      setTimeout(() => {
        this.stopAd(Lt.CREATIVE_INITIATED);
      }, e);
    }
  }
  /**
   * Called when creative requests a change in duration of ad.
   * @internal
   */
  onReqChangeAdDuration(e) {
    const i = e.args.duration;
    if (i !== lr && i < 0) {
      const r = {
        errorCode: Dn.UNSUPPORTED_TIME,
        message: "A negative duration is not valid."
      };
      this.simidProtocol.reject(e, r);
    } else
      this.requestedDuration = i, this.compareAdAndReqDurations(), this.resolve(e);
  }
  /**
   * Compares the duration of the ad with the requested change duration.
   * If request duration is the same as the ad duration, ad ends as normal.
   * If request duration is unlimited, ad stays on screen until user closes ad.
   * If request duration is shorter, the ad stops early.
   * @internal
   */
  compareAdAndReqDurations() {
    this.requestedDuration === ei || this.requestedDuration === lr || this.playerFacade.getAdCurrentTime() >= this.requestedDuration && (c.debug.info("Creative requested a duration shorter than the ad", this.requestedDuration), this.stopAd(Lt.CREATIVE_INITIATED));
  }
  /**
   * Sets the error of the ad that can occur during the player process.
   * @param errorObject contains VAST error code and message.
   */
  setError(e) {
    this.currentAd.error = {
      code: e.code,
      message: e.message,
      timestamp: Date.now()
    };
  }
  onGetMediaState(e) {
    const i = {
      currentSrc: this.playerFacade.getCurrentContentSource(),
      currentTime: this.playerFacade.getContentCurrentTime(),
      duration: this.playerFacade.getContentDuration(),
      ended: this.playerFacade.getContentCurrentTime() >= this.playerFacade.getContentDuration(),
      muted: this.playerFacade.isMuted(),
      paused: this.playerFacade.paused,
      volume: this.playerFacade.getVolume(),
      fullscreen: this.playerFacade.isFullscreen()
    };
    this.simidProtocol.resolve(e, i);
  }
  onReceiveCreativeLog(e) {
    e.args.message;
  }
  sendLog(e) {
    const i = {
      message: e
    };
    this.simidProtocol.sendMessage(rt.LOG, i);
  }
};
xe.NAME = "SIMIDPly::";
let pr = xe;
function ro(E, e) {
  let i = 0, r = {
    bottom: Math.min(E.bottom, e.bottom),
    height: 0,
    left: Math.max(E.left, e.left),
    right: Math.min(E.right, e.right),
    top: Math.max(E.top, e.top),
    width: 0
  };
  r.width = r.right - r.left, r.height = r.bottom - r.top;
  let s = E.width * E.height, d = r.width * r.height;
  return d > 0 && (i = d / s), i;
}
class no {
  /**
   * @param {Object} adSlotController to get adSlotEvents and control the viewability process with them and
   *  currentAd.config includes area and time as setup
   * area - how many pixels in percent of the ad should be visible from the viewer
   * time - how long the viewer must have seen the ad
   * @param {Object} playerFacade to get rectangle over size function from player and viewport
   */
  constructor(e, i) {
    this.adSlotController = e, this.interval = null, this.playerFacade = i, this.removeEventHandlers = [], this.startAdTime = null, this.viewabilityConfig = this.adSlotController.currentAd.config.viewability, this.viewabilityFinished = !1, this.addEventListeners();
  }
  addEventListeners() {
    this.removeEventListeners(), Object.keys(p).forEach((e) => {
      let i = this.adSlotController.addEventListener(p[e], this.handleAdEvent.bind(this));
      this.removeEventHandlers.push(i);
    });
  }
  removeEventListeners() {
    this.removeEventHandlers.forEach((e) => {
      e();
    }), this.removeEventHandlers = [];
  }
  handleAdEvent(e) {
    switch (e.type) {
      case p.ON_AD_PAUSED:
        clearInterval(this.interval);
        break;
      case p.ON_AD_PLAYING:
      case p.ON_AD_STARTED:
        this.startAdTime = null, this.adVisibilityControl(), clearInterval(this.interval), this.interval = setInterval(() => {
          this.adVisibilityControl();
        }, 250);
        break;
      case p.ON_AD_PLAYBACK_FINISHED:
      case p.ON_AD_SKIPPED:
      case p.ON_AD_STOPPED:
        clearInterval(this.interval), this.viewabilityFinished || this.adSlotController.dispatchEvent(p.ON_AD_NOT_VIEWABLE), this.adSlotController.viewability = null;
        break;
    }
  }
  adVisibilityControl() {
    let e = this.playerFacade.getPlayerSize(), i = this.playerFacade.getViewportSize();
    if (!e || !i) {
      this.removeEventListeners(), this.adSlotController.dispatchEvent(p.ON_AD_VIEWABLE_UNDETERMINED);
      return;
    }
    let r = ro(e.boundingRect, i.boundingRect) * 100;
    r > this.viewabilityConfig.area ? this.startAdTime === null && this.adSlotController.currentAd ? (this.startAdTime = Date.now(), this.adSlotController.currentAd.viewability = {
      state: !0,
      threshold: this.viewabilityConfig.area,
      value: r
    }, this.adSlotController.dispatchEvent(p.ON_AD_VIEWABLE_STATE_CHANGE)) : Date.now() - this.startAdTime > this.viewabilityConfig.time * 1e3 && !this.viewabilityFinished && (c.debug.info("[Viewability] tracker time reached", Date.now()), this.viewabilityFinished = !0, this.adSlotController.dispatchEvent(p.ON_AD_VIEWABLE)) : (this.startAdTime !== null && (this.adSlotController.currentAd.viewability = {
      state: !1,
      threshold: this.viewabilityConfig.area,
      value: r
    }, this.adSlotController.dispatchEvent(p.ON_AD_VIEWABLE_STATE_CHANGE)), this.startAdTime = null);
  }
}
function so(E, e, i) {
  return new Promise((r) => {
    let s = gt("iframe", {
      id: E,
      style: e
    });
    s.onload = () => {
      let d = gt("script", {
        type: "text/javascript"
      });
      d.innerHTML = "var inDapIF = true;", s.contentDocument.body.appendChild(d);
      let h = gt("style", {});
      h.innerHTML = "html,body{margin:0;}", s.contentDocument.body.appendChild(h), r(s);
    }, i.insertBefore(s, i.firstChild);
  });
}
const X = class X extends St {
  // ms
  constructor(e, i) {
    super(), this.callbacks = null, this.currentAd = i, this.config = i.config, this.container = null, this.durationTime = 0, this.debugTiming = [], this.debugTiming.push({
      event: "constructor",
      time: Date.now()
    }), this.defaultElementStyle = "position:absolute;top:0;left:0;width:100%;height:100%;", this.defaultIFrameStyle = "position:absolute;top:0;left:0;width:0;height:0;overflow:hidden;border:none;visibility:hidden;", this.friendlyIFrame = null, this.height = e.getBoundingClientRect().height, this.log = c.logLevel === nt.NORMAL || c.logLevel === nt.VERBOSE, this.progressInterval = 0, this.remaining = 0, this.resource = i.isLinear ? i.properCreative.selectedMediaFile : i.properCreative.variations[0], this.slot = gt("div", {
      id: "container--vpaid__slot",
      style: this.defaultElementStyle + "overflow:hidden;"
    }), this.videoElement = e, this.videoSlot = null, this.width = e.getBoundingClientRect().width, this.vpaidAd = null, this.vpaidScript = null, this.width = e.getBoundingClientRect().width, this.addContainer(e), so(
      "container--vpaid__iframe",
      this.defaultIFrameStyle,
      this.container
    ).then((r) => {
      this.friendlyIFrame = r, this.debugTiming.push({
        event: "addFriendlyIFrame.done",
        time: Date.now()
      }), this.addSlots(), this.load();
    });
  }
  addContainer(e) {
    this.container = gt("div", {
      id: "container--vpaid",
      style: this.defaultElementStyle + "z-index:100;"
    }), e.parentNode.insertBefore(this.container, e.nextSibling);
  }
  addSlots() {
    this.debugTiming.push({
      event: "addSlots.start",
      time: Date.now()
    }), this.config.shareVideoElementWithVPAID || (this.videoSlot = gt("video", {
      id: "container--vpaid__videoslot",
      style: this.defaultElementStyle
    }), this.videoSlot.muted = !0, this.friendlyIFrame.contentDocument.body.appendChild(this.videoSlot)), this.friendlyIFrame.contentDocument.body.appendChild(this.slot), this.debugTiming.push({
      event: "addSlots.done",
      time: Date.now()
    });
  }
  load() {
    this.debugTiming.push({
      event: "vpaidScriptLoad.start",
      time: Date.now()
    }), this.vpaidScript = gt("script", {
      type: "text/javascript",
      src: this.currentAd.isLinear ? this.resource.fileURL : this.resource.selectedResource.resource
    }), this.timeoutScriptLoadTimer = setTimeout(() => {
      this.guardScriptLoadFail();
    }, this.config.timeouts.vpaidRequest * 1e3), this.vpaidScript.onload = () => {
      clearTimeout(this.timeoutScriptLoadTimer), this.debugTiming.push({
        event: "vpaidScriptLoad.done -- maxTime:" + this.config.timeouts.vpaidRequest,
        time: Date.now()
      }), this.getVPAIDAd() && this.isValidHandshake() && (this.subscribeToVPAIDAd(), this.initAd());
    }, this.vpaidScript.onerror = (e) => {
      c.debug.warn(X.NAME + "load - Creative loading error.", e), clearTimeout(this.timeoutScriptLoadTimer), this.debugTiming.push({
        event: "vpaidScriptLoad.failed -- maxTime:" + this.config.timeouts.vpaidRequest,
        time: Date.now()
      }), this.currentAd.error = w.VAST.FILE_NOT_FOUND, this.currentAd.enrichment.set("ERRORCODE", this.currentAd.error.code), this.onAdError("vpaidRequest failed", this.config.timeouts.vpaidRequest, "");
    }, this.friendlyIFrame.contentDocument.body.appendChild(this.vpaidScript);
  }
  getVPAIDAd() {
    let e = this.friendlyIFrame.contentWindow.getVPAIDAd;
    return e && typeof e == "function" ? (this.vpaidAd = e(), c.debug.info(
      X.NAME + "getVPAIDAd - available properties - preHandshake:",
      Object.keys(this.vpaidAd)
    ), !0) : (c.debug.info(X.NAME + "getVPAIDAd - not implemented - not a valid VPAID creative"), !1);
  }
  isValidHandshake() {
    if (this.functionExistsOnVPAIDAd("handshakeVersion")) {
      let e = this.vpaidAd.handshakeVersion("2.0") + "", i = parseInt(e.split(".")[0], 10);
      return c.debug.info(
        X.NAME + "isValidHandshake -- handshakeVersion:",
        e,
        "majorVersion:",
        i
      ), c.debug.info(
        X.NAME + "getVPAIDAd - available properties - afterHandshake:",
        Object.keys(this.vpaidAd)
      ), i <= 2;
    }
    return !1;
  }
  getCreativeData() {
    return { AdParameters: this.resource.adParameters };
  }
  getEnvironmentVars() {
    return {
      slot: this.slot,
      videoSlot: this.config.shareVideoElementWithVPAID ? this.videoElement : this.videoSlot
    };
  }
  initAd() {
    this.debugTiming.push({
      event: "initAd.start",
      time: Date.now()
    }), c.debug.info(
      X.NAME + "initAd -- this.config.shareVideoElementWithVPAID",
      this.config.shareVideoElementWithVPAID
    ), this.functionExistsOnVPAIDAd("initAd") && (this.timeoutAdLoadedTimer = setTimeout(() => {
      this.guardAdLoadedFail();
    }, this.config.timeouts.vpaidReadiness * 1e3), c.debug.info(
      X.NAME + "initAd",
      "WxH:",
      this.width + "x" + this.height,
      "viewMode:",
      this.config.viewMode,
      "bitrate:",
      this.config.bitrate,
      "creativeData:",
      this.getCreativeData(),
      "environmentVars:",
      this.getEnvironmentVars()
    ), this.vpaidAd.initAd(
      this.width,
      this.height,
      this.config.viewMode,
      this.config.bitrate,
      this.getCreativeData(),
      this.getEnvironmentVars()
    ));
  }
  functionExistsOnVPAIDAd(e) {
    return this.vpaidAd && this.vpaidAd[e] && typeof this.vpaidAd[e] == "function";
  }
  subscribeToVPAIDAd() {
    this.callbacks = {
      AdStarted: this.onStartAd,
      AdStopped: this.onStopAd,
      AdSkipped: this.onSkipAd,
      AdLoaded: this.onAdLoaded,
      AdLinearChange: this.onAdLinearChange,
      AdSizeChange: this.onAdSizeChange,
      AdExpandedChange: this.onAdExpandedChange,
      AdSkippableStateChange: this.onAdSkippableStateChange,
      AdDurationChange: this.onAdDurationChange,
      AdRemainingTimeChange: this.onAdRemainingTimeChange,
      // VPAID 1.1
      AdVolumeChange: this.onAdVolumeChange,
      AdImpression: this.onAdImpression,
      AdClickThru: this.onAdClickThru,
      AdInteraction: this.onAdInteraction,
      AdVideoStart: this.onAdVideoStart,
      AdVideoFirstQuartile: this.onAdVideoFirstQuartile,
      AdVideoMidpoint: this.onAdVideoMidpoint,
      AdVideoThirdQuartile: this.onAdVideoThirdQuartile,
      AdVideoComplete: this.onAdVideoComplete,
      AdUserAcceptInvitation: this.onAdUserAcceptInvitation,
      AdUserMinimize: this.onAdUserMinimize,
      AdUserClose: this.onAdUserClose,
      AdPaused: this.onAdPaused,
      AdPlaying: this.onAdPlaying,
      AdError: this.onAdError,
      AdLog: this.onAdLog
    };
    for (let e in this.callbacks)
      this.callbacks.hasOwnProperty(e) && this.vpaidAd.subscribe(this.callbacks[e], e, this);
  }
  unsubscribeFromVPAIDAd() {
    for (let e in this.callbacks)
      this.callbacks.hasOwnProperty(e) && this.functionExistsOnVPAIDAd("unsubscribe") && this.vpaidAd.unsubscribe(this.callbacks[e], e, this);
  }
  // time between loading $vpaidScript and getting server response
  guardScriptLoadFail() {
    c.debug.info(X.NAME + "guardScriptLoadFail - script didn't load"), clearTimeout(this.timeoutScriptLoadTimer), this.vpaidScript.onload = null, this.vpaidScript.onerror = null, this.currentAd.error = w.VAST.TIMEOUT, this.currentAd.error.message = "Timeout of VPAID resource URI.", this.currentAd.enrichment.set("ERRORCODE", this.currentAd.error.code), this.onAdError("vpaidRequest timeout", this.config.timeouts.vpaidRequest, "");
  }
  // guards time between initAd and receiving adLoaded
  guardAdLoadedFail() {
    c.debug.info(X.NAME + "guardAdLoadedFail"), clearTimeout(this.timeoutAdLoadedTimer), this.currentAd.error = w.VPAID.GENERAL_ERROR, this.currentAd.enrichment.set("ERRORCODE", this.currentAd.error.code), this.onAdError("vpaidReadiness timeout", this.config.timeouts.vpaidReadiness, "");
  }
  cleanUp() {
    clearInterval(this.progressInterval), this.progressInterval = 0, c.debug.info(X.NAME + "cleanup"), this.dispatchEvent(p.ON_VPAID_CLEANUP), this.unsubscribeFromVPAIDAd(), this.removeContainer();
  }
  removeContainer() {
    this.container.parentNode && this.container.parentNode.removeChild(this.container);
  }
  onAdLoaded() {
    c.debug.info(X.NAME + "onAdLoaded"), this.debugTiming.push({
      event: "initAd.done - in onAdLoaded() -- maxTime:" + this.config.timeouts.vpaidReadiness,
      time: Date.now()
    }), clearTimeout(this.timeoutAdLoadedTimer), this.dispatchEvent(p.ON_AD_LOADED), this.functionExistsOnVPAIDAd("startAd") && (this.friendlyIFrame.setAttribute("style", "position:absolute;top:0;left:0;width:100%;height:100%;overflow:hidden;border:none;"), this.vpaidAd.startAd());
  }
  //called from outside, to make the vpaid pause
  pause() {
    c.debug.info(X.NAME + "pause"), this.functionExistsOnVPAIDAd("pauseAd") && this.vpaidAd.pauseAd();
  }
  //called from outside, to make the vpaid play
  play() {
    c.debug.info(X.NAME + "pause"), this.functionExistsOnVPAIDAd("resumeAd") && this.vpaidAd.resumeAd();
  }
  //called from outside, to make the vpaid change volume
  setVolume(e) {
    c.debug.info(X.NAME + "setVolume", e), this.functionExistsOnVPAIDAd("setAdVolume") && this.vpaidAd.setAdVolume(e);
  }
  //called from outside, to make the vpaid adjust its size
  resizeAd(e, i, r) {
    c.debug.info(X.NAME + "resizeAd", e, i, r), this.functionExistsOnVPAIDAd("resizeAd") && this.vpaidAd.resizeAd(e, i, r);
  }
  onStartAd() {
    c.debug.info(X.NAME + "onStartAd"), this.dispatchEvent(p.ON_AD_STARTED), this.debugTiming.push({
      event: "onStartAd",
      time: Date.now()
    }), this.logTimings();
  }
  onAdImpression(e, i, r) {
    c.debug.info(X.NAME + "onAdImpression", e, i, r), this.dispatchEvent(p.ON_AD_IMPRESSION);
  }
  onAdVideoStart(e, i, r) {
    c.debug.info(X.NAME + "onAdVideoStart", e, i, r), this.dispatchEvent(p.ON_AD_PLAYBACK_START), this.onAdRemainingTimeChange(), this.progressInterval = setInterval(this.onAdRemainingTimeChange.bind(this), X.TIMEUPDATE_INTERVAL), setTimeout(() => {
      this.remaining <= 0 && (c.debug.warn(X.NAME + "onAdRemainingTimeChange - Ad didn't update times after 10 tries.Stop monitoring ad progress."), clearInterval(this.progressInterval), this.progressInterval = 0);
    }, X.TIMEUPDATE_INTERVAL * 10);
  }
  onAdVideoFirstQuartile(e, i, r) {
    c.debug.info(X.NAME + "onAdVideoFirstQuartile", e, i, r), this.dispatchEvent(p.ON_AD_FIRST_QUARTILE);
  }
  onAdVideoMidpoint(e, i, r) {
    c.debug.info(X.NAME + "onAdVideoMidpoint", e, i, r), this.dispatchEvent(p.ON_AD_MID_POINT);
  }
  onAdVideoThirdQuartile(e, i, r) {
    c.debug.info(X.NAME + "onAdVideoThirdQuartile", e, i, r), this.dispatchEvent(p.ON_AD_THIRD_QUARTILE);
  }
  onAdVideoComplete(e, i, r) {
    c.debug.info(X.NAME + "onAdVideoComplete", e, i, r), clearInterval(this.progressInterval), this.onAdRemainingTimeChange(), this.currentAd.playbackComplete = !0, this.dispatchEvent(p.ON_AD_PLAYBACK_FINISHED);
  }
  onAdDurationChange(e, i, r) {
    c.debug.info(X.NAME + "onAdDurationChange", e, i, r), this.getAllProperties();
  }
  onStopAd(e, i, r) {
    c.debug.info(X.NAME + "::onStopAd()", e, i, r), this.dispatchEvent(p.ON_AD_STOPPED), this.cleanUp();
  }
  onAdError(e, i, r) {
    c.debug.info(X.NAME + "onAdError", e, i, r), this.currentAd.error = this.currentAd.error === null ? w.VPAID.GENERAL_ERROR : this.currentAd.error, this.currentAd.enrichment.set("ERRORCODE", this.currentAd.error.code), this.dispatchEvent(p.ON_AD_ERROR), this.cleanUp();
  }
  onSkipAd(e, i, r) {
    this.dispatchEvent(p.ON_AD_SKIPPED), c.debug.info(X.NAME + "onSkipAd", e, i, r), this.cleanUp();
  }
  onAdLinearChange() {
    this.dispatchEvent(p.ON_AD_LINEARITY_CHANGE);
  }
  onAdSizeChange() {
    this.functionExistsOnVPAIDAd("getAdWidth") && this.functionExistsOnVPAIDAd("getAdHeight") && c.debug.info(X.NAME + "onAdSizeChange", this.vpaidAd.getAdWidth(), this.vpaidAd.getAdHeight()), this.dispatchEvent(p.ON_AD_SIZE_CHANGED);
  }
  onAdExpandedChange(e, i, r) {
    c.debug.info(X.NAME + "onAdExpandedChange", e, i, r);
  }
  onAdSkippableStateChange(e, i, r) {
    c.debug.info(X.NAME + "onAdSkippableStateChange", e, i, r), this.dispatchEvent(p.ON_AD_SKIPPABLE_STATE_CHANGE);
  }
  /**
   * Deprecated with VPAID 2.0. Players have to use internal logic to update the progress UI.
   * @returns {void}
   * @deprecated
   */
  onAdRemainingTimeChange() {
    this.functionExistsOnVPAIDAd("getAdDuration") && (this.durationTime = this.vpaidAd.getAdDuration()), this.functionExistsOnVPAIDAd("getAdRemainingTime") && (this.remaining = this.vpaidAd.getAdRemainingTime()), this.dispatchEvent(p.ON_AD_PROGRESS);
  }
  onAdVolumeChange(e, i, r) {
    c.debug.info(X.NAME + "onAdVolumeChange", e, i, r);
  }
  /**
   * See VPAID 2.0 specs: How to handle click throughs
   *
   * @param {string} url - Optional. The landing page URI.
   * @param {string} id - Optional. Unused.
   * @param {Boolean} playerHandles - Optional. Whether the core should open the landing page or not.
   *   defaulting to false.
   * @returns {void}
   */
  onAdClickThru(e = null, i = null, r = !1) {
    c.debug.info(X.NAME + "onAdClickThru - creative handles click", !r), r === !0 && (c.debug.info(X.NAME + "onAdClickThru - open landing page", e, i), this.currentAd.clickThroughURL = e || this.currentAd.clickThroughURL, this.currentAd.handleClickThrough = r), this.dispatchEvent(p.ON_AD_CLICKED);
  }
  onAdInteraction(e, i, r) {
    c.debug.info(X.NAME + "onAdInteraction", e, i, r);
  }
  onAdUserAcceptInvitation(e, i, r) {
    c.debug.info(X.NAME + "onAdUserAcceptInvitation", e, i, r);
  }
  onAdUserMinimize(e, i, r) {
    c.debug.info(X.NAME + "onAdUserMinimize", e, i, r);
  }
  onAdUserClose(e, i, r) {
    c.debug.info(X.NAME + "onAdUserClose", e, i, r);
  }
  onAdPaused(e, i, r) {
    c.debug.info(X.NAME + "onAdPaused", e, i, r);
  }
  onAdPlaying(e, i, r) {
    c.debug.info(X.NAME + "onAdPlaying", e, i, r), this.dispatchEvent(p.ON_AD_PLAYING);
  }
  onAdLog(e, i, r) {
    c.debug.info(X.NAME + "onAdLog", e, i, r);
  }
  get duration() {
    return this.durationTime || 0;
  }
  get remainingTime() {
    return this.remaining || 0;
  }
  //Debug -- Start
  /* istanbul ignore next */
  getAllProperties() {
    if (!this.log)
      return;
    let e = Object.keys(this.vpaidAd);
    for (let i in e)
      e.hasOwnProperty(i) && e[i].indexOf("getAd") === 0 && c.debug.info(
        X.NAME + "--vpaidAd." + e[i] + "()",
        this.vpaidAd[e[i]]()
      );
  }
  /* istanbul ignore next */
  logTimings() {
    this.log && (this.debugTiming.map((e, i, r) => {
      i === 0 ? e.delta = 0 : e.delta = r[i].time - r[i - 1].time;
    }), c.debug.table(this.debugTiming));
  }
  //Debug -- End
};
X.NAME = "VPAIDBridge::", X.TIMEUPDATE_INTERVAL = 250;
let fr = X;
const ai = {
  // these MimeTypes will be used if desireMimeTypes remains unset from publisher side - don't change sequence!
  VPAID: "application/javascript",
  SIMID: "text/html",
  MP4: "video/mp4",
  WEBM: "video/webm",
  OGG: "video/ogg",
  MP3: "audio/mpeg"
}, Fe = class Fe extends St {
  /**
   * @param {adPod} adPod - AdSlotManifest Defines the adSlot
   * @param {adBuffet} adBuffet - AdSlotManifest Defines the adSlot buffet ads
   * @param {EnvironmentVars} envVars Used for passing implementation-specific runtime variables.
   * @param {PlayerFacade} player
   */
  constructor(e, i, r, s) {
    super(), this.adCount = 0, this.currentViewMode = Fe.VIEW_MODE.NORMAL, this.environmentVars = r, this.eventHandlers = [], this.eventKeys = Object.keys(p), this.eventTypes = Object.values(p), this.nonLinearView = null, this.player = s, this.properCreative = null, this.replacedCounter = 0, this.requestedTrackingEvents = [], this.simidPlayer = null, this.viewability = null, this.vpaidPlayer = null, this.prepare(e, i);
  }
  prepare(e, i) {
    this.manifest = e.slice(0), this.buffet = (i || []).slice(0), this.adSlotTimes = new to(this.manifest), this.currentAd = null, this.environmentVars.vastMacros = Object.assign(this.environmentVars.vastMacros || {}, {
      CONTENTPLAYHEAD: this.player.getContentCurrentTime(),
      MEDIAPLAYHEAD: this.player.getContentCurrentTime()
    });
  }
  updateAdSettings() {
    this.properCreative = this.currentAd.isLinear ? this.currentAd.properCreative.selectedMediaFile : this.currentAd.properCreative.variations[0], this.currentAd.isExpanded = !1, this.currentAd.isSkippable = !1, this.currentAd.isVPAID = this.properCreative.isVPAID, this.currentAd.isSIMID = !!this.currentAd.properCreative.selectedCreativeFile, this.currentAd.isInteractive = this.currentAd.isVPAID || this.currentAd.isSIMID, this.currentAd.isVPAID && (this.currentAd.config.bitrate = this.environmentVars.desiredBitrate || 500, this.currentAd.config.viewMode = "dynamic"), this.currentAd.isLinear && (this.currentAd.skipOffsetValue = this.currentAd.skipOffset === -1 ? this.currentAd.config.skipOffset : this.currentAd.skipOffsetValue), this.currentAd.isLinear ? (this.currentAd.enrichment.setFromObject(this.environmentVars.vastMacros), this.currentAd.enrichment.set("ADTYPE", this.currentAd.adType), this.currentAd.enrichment.set("ASSETURI", this.properCreative.fileURL)) : (this.currentAd.enrichment.set("ADTYPE", "hybrid"), this.currentAd.enrichment.set("ASSETURI", this.properCreative.selectedResource.resource.fileURL), this.currentAd.enrichment.set(
      "MEDIAMIME",
      this.environmentVars.desiredMimeTypes || Object.values(ai)
    ), this.currentAd.properCreative.variations[0].displayDuration = this.getMinimalDurationTime()), [ve.COMMERCIAL, ve.SPONSORED].includes(this.currentAd.variant) ? this.currentAd.enrichment.set("ADCOUNT", this.adCount += 1) : this.currentAd.enrichment.set("ADCOUNT", -1), this.currentAd.enrichment.set("ADSERVINGID", this.currentAd.adServingId), this.currentAd.enrichment.set("BLOCKED", this.currentAd.adReinsertion.isActive ? 1 : 0), this.currentAd.enrichment.set("ERRORCODE", 0), isNaN(this.currentAd.sequence) || this.currentAd.enrichment.set("PODSEQUENCE", this.currentAd.currentPodSequencing + this.replacedCounter), this.currentAd.enrichment.set("UNIVERSALADID", this.currentAd.universalAdIds);
  }
  startViewability() {
    this.viewability = null, this.currentAd.adTrackers.viewable && (this.viewability = new no(this, this.player));
  }
  getAd() {
    if (this.currentAd = this.manifest.length > 0 ? this.manifest.shift() : null, !this.currentAd)
      return null;
    if (this.eventHandlers.forEach((i) => {
      i();
    }), this.eventHandlers = [], Object.keys(p).forEach((i) => {
      const r = this.addEventListener(p[i], (s) => {
        this.trackEvent(s.type);
      });
      this.eventHandlers.push(r);
    }), this.currentAd.hasError)
      return this.currentAd.trackingEvents = this.currentAd.adTrackers, this.currentAd;
    if (this.currentAd.config.adSourceSelector) {
      let i = null;
      const r = new Promise((d) => {
        i = setTimeout(d, 250, null);
      }), s = this.currentAd.isLinear ? "mediaFiles" : "variations";
      if (this.currentAd.properCreative && this.currentAd.properCreative[s].length) {
        let d = this.currentAd.isLinear ? this.currentAd.properCreative[s] : this.currentAd.properCreative[s][0].resources;
        const h = this.currentAd.config.adSourceSelector(
          d
        ).then((A) => A === null || Object.keys(A).length === 0 ? null : A);
        Promise.race([r, h]).then((A) => {
          A === null && this.cancelAd(), this.currentAd.isLinear ? this.currentAd.properCreative.selectedMediaFile = A : this.currentAd.properCreative.selectedResource = A, this.updateAdSettings();
        }).catch(() => {
          this.cancelAd();
        });
      } else
        clearTimeout(i), this.cancelAd();
    } else {
      this.updateAdSettings();
      const i = this.currentAd.isLinear ? this.currentAd.properCreative.creativeTrackers : this.currentAd.properCreative.variations[0].creativeTrackers;
      this.currentAd.trackingEvents = Object.assign({}, this.currentAd.adTrackers, i);
    }
    const e = this.addEventListener(p.ON_AD_ERROR, this.setTotalCommercialsDuration);
    return this.eventHandlers.push(e), this.currentAd;
  }
  applyBuffetAd() {
    if (!this.currentAd.replaced && this.currentAd.fallbackOnNoAd && this.buffet.length > 0) {
      let e = this.buffet.shift();
      if (e.adCount = this.adCount + 1, this.replacedCounter += 1, e.currentClip = this.currentAd.currentClip, e.currentCommercial = this.currentAd.currentCommercial, c.debug.info(Fe.NAME + "applyBuffetAd - Insert at runtime", e), this.currentAd.replaced = !0, this.manifest.replaced = 1, this.manifest.unshift(e), e.variant === ve.COMMERCIAL) {
        let i = e.duration;
        this.currentAd.isLinear || (i += this.currentAd.duration), c.debug.info(
          Fe.NAME + "applyBuffetAd - adjust totalCommercialsDuration after replace",
          i
        ), this.adSlotTimes.setTotalCommercialsDuration(i), this.setTotalCommercialsDuration(), c.debug.info(Fe.NAME + "deliver buffetAd", this.manifest);
      }
    }
  }
  callTrackers(e) {
    if (!e || e.length < 1) {
      c.debug.info(Fe.NAME + "callTrackers - Request without URIs", e);
      return;
    }
    const i = {
      adReinsertion: this.currentAd.adReinsertion,
      enrichment: this.currentAd.enrichment,
      timeouts: this.currentAd.config.timeouts,
      urlhandler: this.currentAd.config.urlhandler
    };
    this.currentAd.enrichment.set("PLAYERSIZE", this.player.getPlayerSize().boundingRect);
    let r = this.currentAd;
    new oi().track(e, (s, d) => {
      d && (c.debug.warn(Fe.NAME + "callTrackers failed:", d, s), r.error = d.code ? d : w.WARNING.TRACKER_LOAD_FAILED, r.error.message = `${r.error.message}: ${JSON.stringify(s)}`, this.dispatchEvent(p.ON_AD_WARNING));
    }, i);
  }
  // async canceling ad (adSourceSelector way)
  cancelAd() {
    if (this.currentAd.isLinear && this.currentAd.type === he.NON_LINEAR) {
      this.currentAd.error = w.CREATIVE.EXPECTED_DIFFERENT_ADTYPE, this.dispatchEvent(p.ON_AD_ERROR);
      return;
    }
    this.cancelAdWithError();
  }
  cancelAdWithError() {
    this.currentAd.error || (this.currentAd.error = {}, this.currentAd.error = w.VAST.UNSUPPORTED_MIMETYPE), c.debug.info(Fe.NAME + "Canceling ad with error", this.currentAd), this.currentAd.enrichment.set("ERRORCODE", this.currentAd.error.code), this.dispatchEvent(p.ON_AD_ERROR), this.applyBuffetAd();
  }
  getMinimalDurationTime() {
    return this.currentAd.minSuggestedDuration && this.currentAd.minSuggestedDuration > 0 ? Math.min(this.currentAd.minSuggestedDuration, this.currentAd.config.timeouts.nonlinearMaxDuration) : this.currentAd.config.timeouts.nonlinearMaxDuration;
  }
  onClickThrough(e) {
    this.dispatchEvent(p.ON_AD_CLICKED);
    let i = this.currentAd.enrichment.apply(this.currentAd.clickThroughURL);
    if (i && i.indexOf("//") === 0 && (i = Pi(i, "")), !e) {
      const r = this.currentAd.adReinsertion.isActive === !0 ? "_self" : "_blank";
      window.open(i, r);
    }
    return i;
  }
  onIconView(e) {
    if (this.currentAd && this.currentAd.icons[e]) {
      let i = this.currentAd.icons[e].creativeViewTracker;
      this.callTrackers(i);
    }
  }
  /**
   * Called by the AdSlotAPI for each ad that is going to start for another time
   */
  onRewind() {
    this.dispatchEvent(p.ON_AD_REWIND);
  }
  onVerificationNotExecuted(e, i) {
    if (this.currentAd && this.currentAd.adVerifications) {
      let r = this.currentAd.adVerifications.filter((h) => h.vendor === e)[0];
      if (!r || !r.tracking.verificationNotExecuted)
        return;
      let s = r.tracking.verificationNotExecuted, d = parseInt(i, 10);
      i && isFinite(d) && d >= 1 && d <= 3 && this.currentAd.enrichment.set("REASON", d), s && s.length > 0 && this.callTrackers(s);
    }
  }
  setTotalCommercialsDuration() {
    if (this.currentAd.variant === ve.COMMERCIAL) {
      const e = this.currentAd.duration * -1;
      c.debug.info(Fe.NAME + "setTotalCommercialsDuration - decrease", e), this.adSlotTimes.setTotalCommercialsDuration(e), this.dispatchEvent(p.ON_AD_SLOT_DURATION_CHANGE);
      return;
    }
    this.currentAd.replaced === !0 && this.dispatchEvent(p.ON_AD_SLOT_DURATION_CHANGE);
  }
  onAdSkippableStateChange() {
    this.currentAd.adSkippableStateChangeSent || (this.currentAd.adSkippableStateChangeSent = !0, this.currentAd.isSkippable = !0, this.dispatchEvent(p.ON_AD_SKIPPABLE_STATE_CHANGE));
  }
  onIconClickThrough(e, i) {
    if (!this.currentAd.icons[e])
      return null;
    let r = this.currentAd.icons[e].clickTracker;
    this.callTrackers(r);
    let s = this.currentAd.enrichment.apply(this.currentAd.icons[e].clickThroughURL);
    if (!i) {
      const d = this.currentAd.adReinsertion.isActive === !0 ? "_self" : "_blank";
      window.open(s, d);
    }
    return s;
  }
  onResizeAd(e, i) {
    this.currentAd && (i !== this.currentViewMode && (this.currentViewMode = i, i === Fe.VIEW_MODE.FULLSCREEN ? (this.dispatchEvent(p.ON_ENTER_FULLSCREEN), this.dispatchEvent(p.ON_PLAYER_EXPAND)) : (this.dispatchEvent(p.ON_EXIT_FULLSCREEN), this.dispatchEvent(p.ON_PLAYER_COLLAPSE))), this.currentAd.isVPAID ? this.vpaidPlayer.resizeAd(e.width, e.height, i) : this.dispatchEvent(p.ON_AD_SIZE_CHANGED));
  }
  onSkip() {
    this.currentAd.variant === ve.COMMERCIAL && (this.adSlotTimes.setCommercialsCurrentTime(this.adSlotTimes.currentTimeOffset + this.currentAd.duration), this.adSlotTimes.setCurrentTimeOffset(this.adSlotTimes.totalCommercialsCurrentTime)), this.dispatchEvent(p.ON_AD_SKIPPED);
  }
  // called on VPAID ON_AD_SKIPPABLE_STATE_CHANGE
  timeupdate() {
    if (!this.currentAd)
      return;
    let e = this.currentAd.isVPAID ? this.vpaidPlayer.duration - this.vpaidPlayer.remainingTime : this.player.getAdCurrentTime(), i = this.currentAd.isVPAID ? this.vpaidPlayer.duration : this.player.getAdDuration();
    if (!this.currentAd || isNaN(i) || !isNaN(i) && i <= 0 || Object.keys(this.currentAd).length < 1)
      return;
    if (this.currentAd.enrichment.set("ADPLAYHEAD", Mi(e)), this.currentAd.variant === ve.COMMERCIAL) {
      const h = i - this.currentAd.duration;
      if (h && Number.isFinite(h)) {
        let A = h;
        this.currentAd.isLinear || (A = this.currentAd.isVPAID ? this.vpaidPlayer.duration : this.getMinimalDurationTime()), this.adSlotTimes.setTotalCommercialsDuration(A);
      }
      e >= i ? (this.adSlotTimes.setCurrentTimeOffset(this.adSlotTimes.totalCommercialsCurrentTime), this.adSlotTimes.setCommercialsCurrentTime(this.adSlotTimes.currentTimeOffset)) : this.adSlotTimes.setCommercialsCurrentTime(this.adSlotTimes.currentTimeOffset + e);
    }
    if (this.currentAd.duration = i, this.currentAd.currentTime = e, this.currentAd.remainingTime = i - e, [ve.COMMERCIAL, ve.SPONSORED].includes(this.currentAd.variant) && Number.isFinite(this.currentAd.skipOffset) && this.currentAd.skipOffset > -1 && e >= this.currentAd.skipOffset && this.onAdSkippableStateChange(), (this.currentAd.properCreative && this.currentAd.properCreative.creativeTrackers && this.currentAd.properCreative.creativeTrackers.progress ? this.currentAd.properCreative.creativeTrackers.progress : []).forEach((h) => {
      let A = h.offset;
      A.indexOf("%") > -1 && (A = parseInt(A, 10) / 100 * i), e >= parseInt(A, 10) && !h.requested && this.dispatchEvent(p.ON_AD_PROGRESS);
    }), this.currentAd.isVPAID || !this.currentAd.isLinear)
      return;
    let s = [], d = [];
    e >= i && s.push(p.ON_AD_PLAYBACK_FINISHED), e >= i / (4 / 3) && s.push(p.ON_AD_THIRD_QUARTILE), e >= i / 2 && s.push(p.ON_AD_MID_POINT), e >= i / 4 && s.push(p.ON_AD_FIRST_QUARTILE), e && s.push(p.ON_AD_PLAYBACK_START), d.push(s[0]), this.currentAd.config.trackSkippedQuartiles && (d = s);
    for (let h = d.length - 1; h >= 0; h--)
      this.requestedTrackingEvents.filter((v) => v === d[h]).shift() || (this.dispatchEvent(d[h]), this.currentAd.isSIMID && this.requestedTrackingEvents.push(d[h]));
  }
  trackEvent(e) {
    const i = this.eventKeys[this.eventTypes.indexOf(e)], r = qt[i], s = this.player.getAdCurrentTime(), d = this.player.getAdDuration();
    if (this.requestedTrackingEvents.push(e), this.currentAd.trackingEvents && this.currentAd.trackingEvents[r]) {
      let h = this.currentAd.trackingEvents[r];
      e === p.ON_AD_PROGRESS && (h = h.filter((A) => {
        let v = A.offset;
        return v.indexOf("%") > -1 && (v = parseInt(v, 10) / 100 * d), s >= parseInt(v, 10) && !A.requested;
      })), this.callTrackers(h);
    }
  }
  loadAdSIMID() {
    this.simidPlayer = new pr(this), this.simidPlayer.initializeAd();
  }
  loadAdVPAID() {
    this.vpaidPlayer = new fr(this.player.getPlayerElement(), this.currentAd), this.currentAd.isLinear ? [
      p.ON_AD_CLICKED,
      p.ON_AD_LOADED,
      p.ON_AD_STARTED,
      p.ON_AD_IMPRESSION,
      p.ON_AD_PLAYING,
      p.ON_AD_PLAYBACK_START,
      p.ON_AD_FIRST_QUARTILE,
      p.ON_AD_MID_POINT,
      p.ON_AD_THIRD_QUARTILE,
      p.ON_AD_PLAYBACK_FINISHED,
      p.ON_AD_STOPPED,
      p.ON_AD_SKIPPED,
      p.ON_AD_ERROR,
      p.ON_AD_PROGRESS,
      p.ON_AD_SIZE_CHANGED,
      p.ON_AD_SKIPPABLE_STATE_CHANGE,
      p.ON_VPAID_CLEANUP
    ].map(
      (e) => {
        this.vpaidPlayer.addEventListener(e, (i) => this.vpaidEventHandler(i));
      }
    ) : [
      p.ON_AD_LINEARITY_CHANGE,
      p.ON_AD_SKIPPED,
      p.ON_AD_STOPPED
    ].map(
      (e) => {
        this.vpaidPlayer.addEventListener(e, (i) => this.nonLinearVpaidEventHandler(i));
      }
    );
  }
  nonLinearVpaidEventHandler(e) {
    if (this.vpaidPlayer.functionExistsOnVPAIDAd("getAdLinear"))
      switch (e.type) {
        case p.ON_AD_LINEARITY_CHANGE:
          this.vpaidPlayer.vpaidAd.getAdLinear() ? (c.debug.info("::NonLinearHandler - Ad change linear mode"), this.player.saveContentState()) : this.player.restoreContentState();
          break;
        case p.ON_AD_SKIPPED:
        case p.ON_AD_STOPPED:
          this.vpaidPlayer.vpaidAd.getAdLinear() && this.player.restoreContentState();
          break;
      }
  }
  vpaidEventHandler(e) {
    let i;
    switch (e.type) {
      case p.ON_AD_LOADED:
      case p.ON_AD_STARTED:
      case p.ON_AD_IMPRESSION:
      case p.ON_AD_PLAYING:
      case p.ON_AD_PLAYBACK_START:
      case p.ON_AD_FIRST_QUARTILE:
      case p.ON_AD_MID_POINT:
      case p.ON_AD_THIRD_QUARTILE:
      case p.ON_AD_PLAYBACK_FINISHED:
        this.requestedTrackingEvents.push(e.type), this.dispatchEvent(e.type);
        break;
      case p.ON_AD_CLICKED:
        i = !this.currentAd.handleClickThrough, this.onClickThrough(i);
        break;
      case p.ON_AD_SKIPPABLE_STATE_CHANGE:
        this.onAdSkippableStateChange();
        break;
      case p.ON_AD_PROGRESS:
        this.timeupdate();
        break;
      case p.ON_AD_SIZE_CHANGED:
        this.dispatchEvent(e.type);
        break;
      case p.ON_AD_SKIPPED:
        this.requestedTrackingEvents.push(e.type), this.onSkip();
        break;
      case p.ON_AD_ERROR:
        this.requestedTrackingEvents.push(e.type), this.dispatchEvent(e.type);
        break;
      case p.ON_AD_STOPPED:
        this.dispatchEvent(e.type);
        break;
      case p.ON_VPAID_CLEANUP:
        this.dispatchEvent(e.type);
        break;
    }
  }
  // nonLinear part
  stop() {
    c.debug.info("[NonLinearAdSlotDelivery] Stop AdSlot."), this.nonLinearView.stop(), this.nonLinearView = null;
  }
};
Fe.NAME = "AdSloCtrl::", Fe.VIEW_MODE = {
  FULLSCREEN: "fullscreen",
  NORMAL: "normal"
};
let Ar = Fe;
function J(E) {
  "@babel/helpers - typeof";
  return J = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, J(E);
}
function ge() {
  return ge = Object.assign ? Object.assign.bind() : function(E) {
    for (var e = 1; e < arguments.length; e++) {
      var i = arguments[e];
      for (var r in i)
        Object.prototype.hasOwnProperty.call(i, r) && (E[r] = i[r]);
    }
    return E;
  }, ge.apply(this, arguments);
}
var mt = typeof globalThis != "undefined" ? globalThis : typeof window != "undefined" ? window : typeof global != "undefined" ? global : typeof self != "undefined" ? self : {};
function oo(E) {
  return E && E.__esModule && Object.prototype.hasOwnProperty.call(E, "default") ? E.default : E;
}
var Un = {};
(function(E) {
  (function(e, i, r) {
    if (J(r) === "object" && typeof r.nodeName != "string")
      i(e, r);
    else {
      var s = function y(M) {
        for (var ee in M)
          M.hasOwnProperty(ee) && (M[ee] = y(M[ee]));
        return Object.freeze(M);
      }, r = {}, d = ["1.5.2-iab4528"], h = "default";
      h && d.push(h), i(e, r);
      for (var A in r)
        r.hasOwnProperty(A) && (Object.getOwnPropertyDescriptor(e, A) == null && Object.defineProperty(e, A, {
          value: {}
        }), d.forEach(function(y) {
          if (Object.getOwnPropertyDescriptor(e[A], y) == null) {
            var M = s(r[A]);
            Object.defineProperty(e[A], y, {
              get: function() {
                return M;
              },
              enumerable: !0
            });
          }
        }));
    }
  })(mt, function(e, i) {
    var r = r || {};
    r.scope = {}, r.createTemplateTagFirstArg = function(a) {
      return a.raw = a;
    }, r.createTemplateTagFirstArgWithRaw = function(a, u) {
      return a.raw = u, a;
    }, r.arrayIteratorImpl = function(a) {
      var u = 0;
      return function() {
        return u < a.length ? {
          done: !1,
          value: a[u++]
        } : {
          done: !0
        };
      };
    }, r.arrayIterator = function(a) {
      return {
        next: r.arrayIteratorImpl(a)
      };
    }, r.makeIterator = function(a) {
      var u = typeof Symbol != "undefined" && Symbol.iterator && a[Symbol.iterator];
      if (u)
        return u.call(a);
      if (typeof a.length == "number")
        return r.arrayIterator(a);
      throw Error(String(a) + " is not an iterable or ArrayLike");
    }, r.arrayFromIterator = function(a) {
      for (var u, m = []; !(u = a.next()).done; )
        m.push(u.value);
      return m;
    }, r.arrayFromIterable = function(a) {
      return a instanceof Array ? a : r.arrayFromIterator(r.makeIterator(a));
    }, r.ASSUME_ES5 = !1, r.ASSUME_NO_NATIVE_MAP = !1, r.ASSUME_NO_NATIVE_SET = !1, r.SIMPLE_FROUND_POLYFILL = !1, r.ISOLATE_POLYFILLS = !1, r.FORCE_POLYFILL_PROMISE = !1, r.FORCE_POLYFILL_PROMISE_WHEN_NO_UNHANDLED_REJECTION = !1, r.objectCreate = r.ASSUME_ES5 || typeof Object.create == "function" ? Object.create : function(a) {
      var u = function() {
      };
      return u.prototype = a, new u();
    }, r.defineProperty = r.ASSUME_ES5 || typeof Object.defineProperties == "function" ? Object.defineProperty : function(a, u, m) {
      return a == Array.prototype || a == Object.prototype || (a[u] = m.value), a;
    }, r.getGlobal = function(a) {
      a = [(typeof globalThis == "undefined" ? "undefined" : J(globalThis)) == "object" && globalThis, a, (typeof window == "undefined" ? "undefined" : J(window)) == "object" && window, (typeof self == "undefined" ? "undefined" : J(self)) == "object" && self, J(mt) == "object" && mt];
      for (var u = 0; u < a.length; ++u) {
        var m = a[u];
        if (m && m.Math == Math)
          return m;
      }
      throw Error("Cannot find global object");
    }, r.global = r.getGlobal(this), r.IS_SYMBOL_NATIVE = typeof Symbol == "function" && J(Symbol("x")) === "symbol", r.TRUST_ES6_POLYFILLS = !r.ISOLATE_POLYFILLS || r.IS_SYMBOL_NATIVE, r.polyfills = {}, r.propertyToPolyfillSymbol = {}, r.POLYFILL_PREFIX = "$jscp$", r.polyfill = function(a, u, m, S) {
      u && (r.ISOLATE_POLYFILLS ? r.polyfillIsolated(a, u, m, S) : r.polyfillUnisolated(a, u, m, S));
    }, r.polyfillUnisolated = function(a, u, m, S) {
      for (m = r.global, a = a.split("."), S = 0; S < a.length - 1; S++) {
        var C = a[S];
        if (!(C in m))
          return;
        m = m[C];
      }
      a = a[a.length - 1], S = m[a], u = u(S), u != S && u != null && r.defineProperty(m, a, {
        configurable: !0,
        writable: !0,
        value: u
      });
    }, r.polyfillIsolated = function(a, u, m, S) {
      var C = a.split(".");
      a = C.length === 1, S = C[0], S = !a && S in r.polyfills ? r.polyfills : r.global;
      for (var se = 0; se < C.length - 1; se++) {
        var re = C[se];
        if (!(re in S))
          return;
        S = S[re];
      }
      C = C[C.length - 1], m = r.IS_SYMBOL_NATIVE && m === "es6" ? S[C] : null, u = u(m), u != null && (a ? r.defineProperty(r.polyfills, C, {
        configurable: !0,
        writable: !0,
        value: u
      }) : u !== m && (r.propertyToPolyfillSymbol[C] === void 0 && (m = 1e9 * Math.random() >>> 0, r.propertyToPolyfillSymbol[C] = r.IS_SYMBOL_NATIVE ? r.global.Symbol(C) : r.POLYFILL_PREFIX + m + "$" + C), r.defineProperty(S, r.propertyToPolyfillSymbol[C], {
        configurable: !0,
        writable: !0,
        value: u
      })));
    }, r.getConstructImplementation = function() {
      function a() {
        function m() {
        }
        return Reflect.construct(m, [], function() {
        }), new m() instanceof m;
      }
      if (r.TRUST_ES6_POLYFILLS && typeof Reflect != "undefined" && Reflect.construct) {
        if (a())
          return Reflect.construct;
        var u = Reflect.construct;
        return function(m, S, C) {
          return m = u(m, S), C && Reflect.setPrototypeOf(m, C.prototype), m;
        };
      }
      return function(m, S, C) {
        return C === void 0 && (C = m), C = r.objectCreate(C.prototype || Object.prototype), Function.prototype.apply.call(m, C, S) || C;
      };
    }, r.construct = {
      valueOf: r.getConstructImplementation
    }.valueOf(), r.underscoreProtoCanBeSet = function() {
      var a = {
        a: !0
      }, u = {};
      try {
        return u.__proto__ = a, u.a;
      } catch (m) {
      }
      return !1;
    }, r.setPrototypeOf = r.TRUST_ES6_POLYFILLS && typeof Object.setPrototypeOf == "function" ? Object.setPrototypeOf : r.underscoreProtoCanBeSet() ? function(a, u) {
      if (a.__proto__ = u, a.__proto__ !== u)
        throw new TypeError(a + " is not extensible");
      return a;
    } : null, r.inherits = function(a, u) {
      if (a.prototype = r.objectCreate(u.prototype), a.prototype.constructor = a, r.setPrototypeOf) {
        var m = r.setPrototypeOf;
        m(a, u);
      } else
        for (m in u)
          if (m != "prototype")
            if (Object.defineProperties) {
              var S = Object.getOwnPropertyDescriptor(u, m);
              S && Object.defineProperty(a, m, S);
            } else
              a[m] = u[m];
      a.superClass_ = u.prototype;
    }, r.getRestArguments = function() {
      for (var a = Number(this), u = [], m = a; m < arguments.length; m++)
        u[m - a] = arguments[m];
      return u;
    }, r.polyfill("Reflect", function(a) {
      return a || {};
    }, "es6", "es3"), r.polyfill("Reflect.construct", function(a) {
      return r.construct;
    }, "es6", "es3"), r.polyfill("Reflect.setPrototypeOf", function(a) {
      if (a)
        return a;
      if (r.setPrototypeOf) {
        var u = r.setPrototypeOf;
        return function(m, S) {
          try {
            return u(m, S), !0;
          } catch (C) {
            return !1;
          }
        };
      }
      return null;
    }, "es6", "es5"), r.initSymbol = function() {
    }, r.polyfill("Symbol", function(a) {
      if (a)
        return a;
      var u = function(re, lt) {
        this.$jscomp$symbol$id_ = re, r.defineProperty(this, "description", {
          configurable: !0,
          writable: !0,
          value: lt
        });
      };
      u.prototype.toString = function() {
        return this.$jscomp$symbol$id_;
      };
      var m = "jscomp_symbol_" + (1e9 * Math.random() >>> 0) + "_", S = 0, C = function se(re) {
        if (this instanceof se)
          throw new TypeError("Symbol is not a constructor");
        return new u(m + (re || "") + "_" + S++, re);
      };
      return C;
    }, "es6", "es3"), r.polyfill("Symbol.iterator", function(a) {
      if (a)
        return a;
      a = Symbol("Symbol.iterator");
      for (var u = "Array Int8Array Uint8Array Uint8ClampedArray Int16Array Uint16Array Int32Array Uint32Array Float32Array Float64Array".split(" "), m = 0; m < u.length; m++) {
        var S = r.global[u[m]];
        typeof S == "function" && typeof S.prototype[a] != "function" && r.defineProperty(S.prototype, a, {
          configurable: !0,
          writable: !0,
          value: function() {
            return r.iteratorPrototype(r.arrayIteratorImpl(this));
          }
        });
      }
      return a;
    }, "es6", "es3"), r.iteratorPrototype = function(a) {
      return a = {
        next: a
      }, a[Symbol.iterator] = function() {
        return this;
      }, a;
    }, r.iteratorFromArray = function(a, u) {
      a instanceof String && (a += "");
      var m = 0, S = !1, C = {
        next: function() {
          if (!S && m < a.length) {
            var re = m++;
            return {
              value: u(re, a[re]),
              done: !1
            };
          }
          return S = !0, {
            done: !0,
            value: void 0
          };
        }
      };
      return C[Symbol.iterator] = function() {
        return C;
      }, C;
    }, r.polyfill("Array.prototype.keys", function(a) {
      return a || function() {
        return r.iteratorFromArray(this, function(u) {
          return u;
        });
      };
    }, "es6", "es3"), r.owns = function(a, u) {
      return Object.prototype.hasOwnProperty.call(a, u);
    }, r.polyfill("Object.values", function(a) {
      return a || function(u) {
        var m = [], S;
        for (S in u)
          r.owns(u, S) && m.push(u[S]);
        return m;
      };
    }, "es8", "es3"), r.checkEs6ConformanceViaProxy = function() {
      try {
        var a = {}, u = Object.create(new r.global.Proxy(a, {
          get: function(S, C, se) {
            return S == a && C == "q" && se == u;
          }
        }));
        return u.q === !0;
      } catch (m) {
        return !1;
      }
    }, r.USE_PROXY_FOR_ES6_CONFORMANCE_CHECKS = !1, r.ES6_CONFORMANCE = r.USE_PROXY_FOR_ES6_CONFORMANCE_CHECKS && r.checkEs6ConformanceViaProxy(), r.polyfill("WeakMap", function(a) {
      function u() {
        if (!a || !Object.seal)
          return !1;
        try {
          var x = Object.seal({}), $ = Object.seal({}), F = new a([[x, 2], [$, 3]]);
          return F.get(x) != 2 || F.get($) != 3 ? !1 : (F.delete(x), F.set($, 4), !F.has(x) && F.get($) == 4);
        } catch (ze) {
          return !1;
        }
      }
      function m() {
      }
      function S(x) {
        var $ = J(x);
        return $ === "object" && x !== null || $ === "function";
      }
      function C(x) {
        if (!r.owns(x, re)) {
          var $ = new m();
          r.defineProperty(x, re, {
            value: $
          });
        }
      }
      function se(x) {
        if (!r.ISOLATE_POLYFILLS) {
          var $ = Object[x];
          $ && (Object[x] = function(F) {
            return F instanceof m ? F : (Object.isExtensible(F) && C(F), $(F));
          });
        }
      }
      if (r.USE_PROXY_FOR_ES6_CONFORMANCE_CHECKS) {
        if (a && r.ES6_CONFORMANCE)
          return a;
      } else if (u())
        return a;
      var re = "$jscomp_hidden_" + Math.random();
      se("freeze"), se("preventExtensions"), se("seal");
      var lt = 0, B = function($) {
        if (this.id_ = (lt += Math.random() + 1).toString(), $) {
          $ = r.makeIterator($);
          for (var F; !(F = $.next()).done; )
            F = F.value, this.set(F[0], F[1]);
        }
      };
      return B.prototype.set = function(x, $) {
        if (!S(x))
          throw Error("Invalid WeakMap key");
        if (C(x), !r.owns(x, re))
          throw Error("WeakMap key fail: " + x);
        return x[re][this.id_] = $, this;
      }, B.prototype.get = function(x) {
        return S(x) && r.owns(x, re) ? x[re][this.id_] : void 0;
      }, B.prototype.has = function(x) {
        return S(x) && r.owns(x, re) && r.owns(x[re], this.id_);
      }, B.prototype.delete = function(x) {
        return S(x) && r.owns(x, re) && r.owns(x[re], this.id_) ? delete x[re][this.id_] : !1;
      }, B;
    }, "es6", "es3"), r.MapEntry = function() {
    }, r.polyfill("Map", function(a) {
      function u() {
        if (r.ASSUME_NO_NATIVE_MAP || !a || typeof a != "function" || !a.prototype.entries || typeof Object.seal != "function")
          return !1;
        try {
          var B = Object.seal({
            x: 4
          }), x = new a(r.makeIterator([[B, "s"]]));
          if (x.get(B) != "s" || x.size != 1 || x.get({
            x: 4
          }) || x.set({
            x: 4
          }, "t") != x || x.size != 2)
            return !1;
          var $ = x.entries(), F = $.next();
          return F.done || F.value[0] != B || F.value[1] != "s" ? !1 : (F = $.next(), !(F.done || F.value[0].x != 4 || F.value[1] != "t" || !$.next().done));
        } catch (ze) {
          return !1;
        }
      }
      if (r.USE_PROXY_FOR_ES6_CONFORMANCE_CHECKS) {
        if (a && r.ES6_CONFORMANCE)
          return a;
      } else if (u())
        return a;
      var m = /* @__PURE__ */ new WeakMap(), S = function(x) {
        if (this.data_ = {}, this.head_ = re(), this.size = 0, x) {
          x = r.makeIterator(x);
          for (var $; !($ = x.next()).done; )
            $ = $.value, this.set($[0], $[1]);
        }
      };
      S.prototype.set = function(B, x) {
        B = B === 0 ? 0 : B;
        var $ = C(this, B);
        return $.list || ($.list = this.data_[$.id] = []), $.entry ? $.entry.value = x : ($.entry = {
          next: this.head_,
          previous: this.head_.previous,
          head: this.head_,
          key: B,
          value: x
        }, $.list.push($.entry), this.head_.previous.next = $.entry, this.head_.previous = $.entry, this.size++), this;
      }, S.prototype.delete = function(B) {
        return B = C(this, B), B.entry && B.list ? (B.list.splice(B.index, 1), B.list.length || delete this.data_[B.id], B.entry.previous.next = B.entry.next, B.entry.next.previous = B.entry.previous, B.entry.head = null, this.size--, !0) : !1;
      }, S.prototype.clear = function() {
        this.data_ = {}, this.head_ = this.head_.previous = re(), this.size = 0;
      }, S.prototype.has = function(B) {
        return !!C(this, B).entry;
      }, S.prototype.get = function(B) {
        return (B = C(this, B).entry) && B.value;
      }, S.prototype.entries = function() {
        return se(this, function(B) {
          return [B.key, B.value];
        });
      }, S.prototype.keys = function() {
        return se(this, function(B) {
          return B.key;
        });
      }, S.prototype.values = function() {
        return se(this, function(B) {
          return B.value;
        });
      }, S.prototype.forEach = function(B, x) {
        for (var $ = this.entries(), F; !(F = $.next()).done; )
          F = F.value, B.call(x, F[1], F[0], this);
      }, S.prototype[Symbol.iterator] = S.prototype.entries;
      var C = function(x, $) {
        var F = $ && J($);
        F == "object" || F == "function" ? m.has($) ? F = m.get($) : (F = "" + ++lt, m.set($, F)) : F = "p_" + $;
        var ze = x.data_[F];
        if (ze && r.owns(x.data_, F))
          for (x = 0; x < ze.length; x++) {
            var Tt = ze[x];
            if ($ !== $ && Tt.key !== Tt.key || $ === Tt.key)
              return {
                id: F,
                list: ze,
                index: x,
                entry: Tt
              };
          }
        return {
          id: F,
          list: ze,
          index: -1,
          entry: void 0
        };
      }, se = function(x, $) {
        var F = x.head_;
        return r.iteratorPrototype(function() {
          if (F) {
            for (; F.head != x.head_; )
              F = F.previous;
            for (; F.next != F.head; )
              return F = F.next, {
                done: !1,
                value: $(F)
              };
            F = null;
          }
          return {
            done: !0,
            value: void 0
          };
        });
      }, re = function() {
        var x = {};
        return x.previous = x.next = x.head = x;
      }, lt = 0;
      return S;
    }, "es6", "es3");
    var s = {
      AdEventType: {
        IMPRESSION: "impression",
        LOADED: "loaded",
        GEOMETRY_CHANGE: "geometryChange",
        SESSION_START: "sessionStart",
        SESSION_ERROR: "sessionError",
        SESSION_FINISH: "sessionFinish",
        MEDIA: "media",
        VIDEO: "video",
        START: "start",
        FIRST_QUARTILE: "firstQuartile",
        MIDPOINT: "midpoint",
        THIRD_QUARTILE: "thirdQuartile",
        COMPLETE: "complete",
        PAUSE: "pause",
        RESUME: "resume",
        BUFFER_START: "bufferStart",
        BUFFER_FINISH: "bufferFinish",
        SKIPPED: "skipped",
        VOLUME_CHANGE: "volumeChange",
        PLAYER_STATE_CHANGE: "playerStateChange",
        AD_USER_INTERACTION: "adUserInteraction",
        STATE_CHANGE: "stateChange"
      },
      MediaEventType: {
        LOADED: "loaded",
        START: "start",
        FIRST_QUARTILE: "firstQuartile",
        MIDPOINT: "midpoint",
        THIRD_QUARTILE: "thirdQuartile",
        COMPLETE: "complete",
        PAUSE: "pause",
        RESUME: "resume",
        BUFFER_START: "bufferStart",
        BUFFER_FINISH: "bufferFinish",
        SKIPPED: "skipped",
        VOLUME_CHANGE: "volumeChange",
        PLAYER_STATE_CHANGE: "playerStateChange",
        AD_USER_INTERACTION: "adUserInteraction"
      },
      ImpressionType: {
        DEFINED_BY_JAVASCRIPT: "definedByJavaScript",
        UNSPECIFIED: "unspecified",
        LOADED: "loaded",
        BEGIN_TO_RENDER: "beginToRender",
        ONE_PIXEL: "onePixel",
        VIEWABLE: "viewable",
        AUDIBLE: "audible",
        OTHER: "other"
      },
      ErrorType: {
        GENERIC: "generic",
        VIDEO: "video",
        MEDIA: "media"
      },
      AdSessionType: {
        NATIVE: "native",
        HTML: "html",
        JAVASCRIPT: "javascript"
      },
      EventOwner: {
        NATIVE: "native",
        JAVASCRIPT: "javascript",
        NONE: "none"
      },
      SessionOwner: {
        JAVASCRIPT: "javascript",
        NATIVE: "native"
      },
      AccessMode: {
        FULL: "full",
        DOMAIN: "domain",
        LIMITED: "limited"
      },
      AppState: {
        BACKGROUNDED: "backgrounded",
        FOREGROUNDED: "foregrounded"
      },
      DeviceLockState: {
        LOCKED: "locked",
        UNLOCKED: "unlocked"
      },
      Environment: {
        APP: "app",
        WEB: "web"
      },
      DeviceCategory: {
        CTV: "ctv",
        DESKTOP: "desktop",
        MOBILE: "mobile",
        OTHER: "other"
      },
      InteractionType: {
        CLICK: "click",
        INVITATION_ACCEPT: "invitationAccept"
      },
      CreativeType: {
        DEFINED_BY_JAVASCRIPT: "definedByJavaScript",
        HTML_DISPLAY: "htmlDisplay",
        NATIVE_DISPLAY: "nativeDisplay",
        VIDEO: "video",
        AUDIO: "audio"
      },
      MediaType: {
        DISPLAY: "display",
        VIDEO: "video"
      },
      Reason: {
        NOT_FOUND: "notFound",
        HIDDEN: "hidden",
        BACKGROUNDED: "backgrounded",
        PICTURE_IN_PICTURE: "pictureInPicture",
        DEVICE_LOCKED: "deviceLocked",
        VIEWPORT: "viewport",
        OBSTRUCTED: "obstructed",
        CLIPPED: "clipped",
        UNMEASURABLE: "unmeasurable",
        NO_WINDOW_FOCUS: "noWindowFocus",
        NO_OUTPUT_DEVICE: "noOutputDevice"
      },
      SupportedFeatures: {
        CONTAINER: "clid",
        VIDEO: "vlid"
      },
      VideoPosition: {
        PREROLL: "preroll",
        MIDROLL: "midroll",
        POSTROLL: "postroll",
        STANDALONE: "standalone"
      },
      VideoPlayerState: {
        MINIMIZED: "minimized",
        COLLAPSED: "collapsed",
        NORMAL: "normal",
        EXPANDED: "expanded",
        FULLSCREEN: "fullscreen"
      },
      NativeViewKeys: {
        X: "x",
        LEFT: "left",
        Y: "y",
        TOP: "top",
        WIDTH: "width",
        HEIGHT: "height",
        AD_SESSION_ID: "adSessionId",
        IS_FRIENDLY_OBSTRUCTION_FOR: "isFriendlyObstructionFor",
        CLIPS_TO_BOUNDS: "clipsToBounds",
        CHILD_VIEWS: "childViews",
        END_X: "endX",
        END_Y: "endY",
        OBSTRUCTIONS: "obstructions",
        OBSTRUCTION_CLASS: "obstructionClass",
        OBSTRUCTION_PURPOSE: "obstructionPurpose",
        OBSTRUCTION_REASON: "obstructionReason",
        PIXELS: "pixels",
        HAS_WINDOW_FOCUS: "hasWindowFocus"
      },
      MeasurementStateChangeSource: {
        CONTAINER: "container",
        CREATIVE: "creative"
      },
      ElementMarkup: {
        OMID_ELEMENT_CLASS_NAME: "omid-element"
      },
      CommunicationType: {
        NONE: "NONE",
        DIRECT: "DIRECT",
        POST_MESSAGE: "POST_MESSAGE"
      },
      OmidImplementer: {
        OMSDK: "omsdk"
      },
      MessageMethod: {
        IDENTIFY_SERVICE_WINDOW: "identifyServiceWindow"
      }
    }, d = "omid_message_guid", h = "omid_message_method", A = "omid_message_version", v = "omid_message_args", y = function(u, m, S, C) {
      this.guid = u, this.method = m, this.version = S, this.args = C;
    };
    y.isValidSerializedMessage = function(a) {
      return !!a && a[d] !== void 0 && a[h] !== void 0 && a[A] !== void 0 && typeof a[d] == "string" && typeof a[h] == "string" && typeof a[A] == "string" && (a[v] === void 0 || a[v] !== void 0);
    }, y.deserialize = function(a) {
      return new y(a[d], a[h], a[A], a[v]);
    }, y.prototype.serialize = function() {
      var a = {};
      return a = (a[d] = this.guid, a[h] = this.method, a[A] = this.version, a), this.args !== void 0 && (a[v] = this.args), a;
    };
    var M = function(u) {
      this.to = u, this.communicationType_ = s.CommunicationType.NONE;
    };
    M.prototype.sendMessage = function(a, u) {
    }, M.prototype.handleMessage = function(a, u) {
      this.onMessage && this.onMessage(a, u);
    }, M.prototype.serialize = function(a) {
      return JSON.stringify(a);
    }, M.prototype.deserialize = function(a) {
      return JSON.parse(a);
    }, M.prototype.isDirectCommunication = function() {
      return this.communicationType_ === s.CommunicationType.DIRECT;
    }, M.prototype.isCrossOrigin = function() {
    };
    function ee(a, u) {
      if (!u)
        throw Error("Value for " + a + " is undefined, null or blank.");
      if (typeof u != "string" && !(u instanceof String))
        throw Error("Value for " + a + " is not a string.");
      if (u.trim() === "")
        throw Error("Value for " + a + " is empty string.");
    }
    function W(a, u) {
      if (u == null)
        throw Error("Value for " + a + " is undefined or null");
    }
    function Ee(a, u) {
      if (u == null)
        throw Error(a + " must not be null or undefined.");
      if (typeof u != "number" || isNaN(u))
        throw Error("Value for " + a + " is not a number");
    }
    function z(a, u, m, S) {
      if (Ee(a, u), u < m || u > S)
        throw Error("Value for " + a + " is outside the range [" + m + "," + S + "]");
    }
    function le() {
      return typeof i == "undefined" ? null : i;
    }
    function I(a, u) {
      return a && (a[u] || (a[u] = {}));
    }
    function _(a, u, m) {
      (m = m === void 0 ? le() : m) && (a = a.split("."), a.slice(0, a.length - 1).reduce(I, m)[a[a.length - 1]] = u);
    }
    var U = function(u, m) {
      ee("Partner.name", u), ee("Partner.version", m), this.name = u, this.version = m;
    };
    _("OmidSessionClient.Partner", U);
    var G = function(u, m, S, C) {
      C = C === void 0 ? s.AccessMode.FULL : C, ee("VerificationScriptResource.resourceUrl", u), this.resourceUrl = u, this.vendorKey = m, this.verificationParameters = S, this.accessMode = C;
    };
    G.prototype.toJSON = function() {
      return {
        accessMode: this.accessMode,
        resourceUrl: this.resourceUrl,
        vendorKey: this.vendorKey,
        verificationParameters: this.verificationParameters
      };
    }, _("OmidSessionClient.VerificationScriptResource", G);
    var Y = function(u, m, S, C) {
      S = S === void 0 ? null : S, C = C === void 0 ? null : C, W("Context.partner", u), this.partner = u, this.verificationScriptResources = m, this.videoElement = this.slotElement = null, this.contentUrl = S, this.customReferenceData = C, this.underEvaluation = !1, this.serviceWindow = null;
    };
    Y.prototype.setVideoElement = function(a) {
      W("Context.videoElement", a), this.videoElement = a;
    }, Y.prototype.setSlotElement = function(a) {
      W("Context.slotElement", a), this.slotElement = a;
    }, Y.prototype.setServiceWindow = function(a) {
      W("Context.serviceWindow", a), this.serviceWindow = a;
    }, _("OmidSessionClient.Context", Y);
    var Q = {};
    function j() {
      if (typeof e != "undefined" && e)
        return e;
      if (typeof mt != "undefined" && mt)
        return mt;
      if (typeof window != "undefined" && window)
        return window;
      if (typeof globalThis != "undefined" && globalThis)
        return globalThis;
      var a = Function("return this")();
      if (a)
        return a;
      throw Error("Could not determine global object context.");
    }
    Q.omidGlobal = j();
    var D = {
      ROOT: "omidSessionInterface",
      AD_EVENTS: "adEvents",
      MEDIA_EVENTS: "mediaEvents"
    }, R = {
      sessionError: "reportError"
    }, P = Object.keys(s.MediaEventType).map(function(a) {
      return s.MediaEventType[a];
    }), H = ["impressionOccurred"], Z = function(u) {
      u = u === void 0 ? Q.omidGlobal : u, this.interfaceRoot_ = u[D.ROOT];
    };
    Z.prototype.isSupported = function() {
      return this.interfaceRoot_ != null;
    }, Z.prototype.sendMessage = function(a, u, m) {
      if (a == "registerSessionObserver" && (m = [u]), R[a] && (a = R[a]), u = this.interfaceRoot_, 0 <= H.indexOf(a) && (u = u[D.AD_EVENTS]), 0 <= P.indexOf(a) && (u = u[D.MEDIA_EVENTS]), u = u[a], !u)
        throw Error("Unrecognized method name: " + a + ".");
      u.apply(null, r.arrayFromIterable(m));
    };
    function Me() {
      return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, function(a) {
        var u = 16 * Math.random() | 0;
        return a = a === "y" ? (u & 3 | 8).toString(16) : u.toString(16), a;
      });
    }
    function Ie() {
      var a = r.getRestArguments.apply(0, arguments);
      wt(function() {
        throw new (Function.prototype.bind.apply(Error, [null, "Could not complete the test successfully - "].concat(r.arrayFromIterable(a))))();
      }, function() {
        return console.error.apply(console, r.arrayFromIterable(a));
      });
    }
    function wt(a, u) {
      typeof jasmine != "undefined" && jasmine ? a() : typeof console != "undefined" && console && console.error && u();
    }
    var st = {
      ApiVersion: "1.0",
      Version: "1.5.2-iab4528"
    }, ht = 3;
    function Ke(a) {
      return /\d+\.\d+\.\d+(-.*)?/.test(a);
    }
    function je(a, u) {
      a = a.split("-")[0].split("."), u = u.split("-")[0].split(".");
      for (var m = 0; m < ht; m++) {
        var S = parseInt(a[m], 10), C = parseInt(u[m], 10);
        if (S > C)
          break;
        if (S < C)
          return !1;
      }
      return !0;
    }
    var yt = "1.0.3";
    function ot(a, u) {
      return Ke(a) && je(a, yt) ? u : JSON.stringify(u);
    }
    function ct(a, u) {
      return Ke(a) && je(a, yt) ? u || [] : u && typeof u == "string" ? JSON.parse(u) : [];
    }
    var at = {
      SESSION_SERVICE: "SessionService.",
      VERIFICATION_SERVICE: "VerificationService."
    };
    function He(a) {
      return Vt(a, at.SESSION_SERVICE);
    }
    function Vt(a, u) {
      return u + a;
    }
    function Ae(a) {
      return a != null && typeof a.top != "undefined" && a.top != null;
    }
    function pt(a) {
      if (a === Q.omidGlobal)
        return !1;
      try {
        if (typeof a.location.hostname == "undefined")
          return !0;
        Be(a);
      } catch (u) {
        return !0;
      }
      return !1;
    }
    function Be(a) {
      return a.x === "" || a.x !== "";
    }
    function ye(a) {
      return typeof a == "undefined" && typeof window != "undefined" && window && (a = window), Ae(a) ? a : Q.omidGlobal;
    }
    function be(a) {
      return Ae(a) ? a.top : Q.omidGlobal;
    }
    var Te = function a(u) {
      M.call(this, u), this.communicationType_ = s.CommunicationType.DIRECT, this.handleExportedMessage = a.prototype.handleExportedMessage.bind(this);
    };
    r.inherits(Te, M), Te.prototype.sendMessage = function(a, u) {
      if (u = u === void 0 ? this.to : u, !u)
        throw Error("Message destination must be defined at construction time or when sending the message.");
      u.handleExportedMessage(a.serialize(), this);
    }, Te.prototype.handleExportedMessage = function(a, u) {
      y.isValidSerializedMessage(a) && this.handleMessage(y.deserialize(a), u);
    }, Te.prototype.isCrossOrigin = function() {
      return !1;
    };
    var V = function(u, m) {
      m = m === void 0 ? Q.omidGlobal : m, M.call(this, m);
      var S = this;
      this.communicationType_ = s.CommunicationType.POST_MESSAGE, u.addEventListener("message", function(C) {
        if (J(C.data) === "object") {
          var se = C.data;
          y.isValidSerializedMessage(se) && (se = y.deserialize(se), C.source && S.handleMessage(se, C.source));
        }
      });
    };
    r.inherits(V, M), V.isCompatibleContext = function(a) {
      return !!(a && a.addEventListener && a.postMessage);
    }, V.prototype.sendMessage = function(a, u) {
      if (u = u === void 0 ? this.to : u, !u)
        throw Error("Message destination must be defined at construction time or when sending the message.");
      u.postMessage(a.serialize(), "*");
    }, V.prototype.isCrossOrigin = function() {
      return this.to ? pt(this.to) : !0;
    };
    var L = {
      OMID_PRESENT_FRAME_NAME: "omid_v1_present",
      OMID_PRESENT_FRAME_NAME_WEB: "omid_v1_present_web",
      OMID_PRESENT_FRAME_NAME_APP: "omid_v1_present_app",
      getEnvironmentIframeName: function(u) {
        var m = {};
        return (m[s.Environment.APP] = L.OMID_PRESENT_FRAME_NAME_APP, m[s.Environment.WEB] = L.OMID_PRESENT_FRAME_NAME_WEB, m)[u];
      }
    };
    function pe(a, u) {
      try {
        return a.frames && !!a.frames[u];
      } catch (m) {
        return !1;
      }
    }
    L.isOmidPresent = function(a) {
      return [L.OMID_PRESENT_FRAME_NAME, L.OMID_PRESENT_FRAME_NAME_WEB, L.OMID_PRESENT_FRAME_NAME_APP].some(function(u) {
        return pe(a, u);
      });
    }, L.getOmidEnvironment = function(a) {
      for (var u = r.makeIterator(Object.values(s.Environment)), m = u.next(); !m.done; m = u.next()) {
        m = m.value;
        var S = L.getEnvironmentIframeName(m);
        if (pe(a, S))
          return m;
      }
      return null;
    };
    function ce(a, u) {
      a.document.write('<iframe style="display:none" id="' + (u + '" name="' + u + '" sandbox></iframe>'));
    }
    L.declareOmidPresence = function(a, u) {
      a.frames && a.document && ![L.OMID_PRESENT_FRAME_NAME, L.OMID_PRESENT_FRAME_NAME_WEB, L.OMID_PRESENT_FRAME_NAME_APP].some(function(m) {
        return !!a.frames[m];
      }) && (a.document.body == null && L.isMutationObserverAvailable_(a) ? L.registerMutationObserver_(a, u) : (u = L.getEnvironmentIframeName(u), a.document.body ? (L.appendPresenceIframe_(a, L.OMID_PRESENT_FRAME_NAME), L.appendPresenceIframe_(a, u)) : (ce(a, L.OMID_PRESENT_FRAME_NAME), ce(a, u))));
    }, L.appendPresenceIframe_ = function(a, u) {
      var m = a.document.createElement("iframe");
      m.id = u, m.name = u, m.style.display = "none", m.sandbox = "", a.document.body.appendChild(m);
    }, L.isMutationObserverAvailable_ = function(a) {
      return "MutationObserver" in a;
    }, L.registerMutationObserver_ = function(a, u) {
      var m = new MutationObserver(function(S) {
        S.forEach(function(C) {
          C.addedNodes[0].nodeName === "BODY" && (C = L.getEnvironmentIframeName(u), L.appendPresenceIframe_(a, L.OMID_PRESENT_FRAME_NAME), L.appendPresenceIframe_(a, C), m.disconnect());
        });
      });
      m.observe(a.document.documentElement, {
        childList: !0
      });
    };
    var ne = ["omid", "v1_SessionServiceCommunication"];
    function ft(a, u) {
      return u.reduce(function(m, S) {
        return m && m[S];
      }, a);
    }
    function Ot(a, u, m, S) {
      if (!pt(u))
        try {
          var C = ft(u, m);
          if (C)
            return new Te(C);
        } catch (se) {
        }
      return S(u) ? new V(a, u) : null;
    }
    function li(a, u, m, S) {
      u = r.makeIterator(u);
      for (var C = u.next(); !C.done; C = u.next())
        if (C = Ot(a, C.value, m, S))
          return C;
      return null;
    }
    function qe(a, u, m) {
      m = m === void 0 ? L.isOmidPresent : m;
      var S = [a, be(a)];
      return u && S.unshift(u), li(a, S, ne, m);
    }
    var te = function(u, m, S) {
      W("AdSession.context", u), this.adSessionId_ = Me(), this.context_ = u, this.impressionOccurred_ = !1;
      var C = this.context_.serviceWindow || void 0;
      this.communication_ = m || qe(ye(), C), this.sessionInterface_ = S || new Z(), this.isSessionRunning_ = this.hasMediaEvents_ = this.hasAdEvents_ = !1, this.impressionType_ = this.creativeType_ = null, this.creativeLoaded_ = !1, this.callbackMap_ = {}, this.communication_ && (this.communication_.onMessage = this.handleInternalMessage_.bind(this)), this.setClientInfo_(), this.injectVerificationScripts_(u.verificationScriptResources), this.sendSlotElement_(u.slotElement), this.sendVideoElement_(u.videoElement), this.sendContentUrl_(u.contentUrl), this.watchSessionEvents_();
    };
    te.prototype.getAdSessionId = function() {
      return this.adSessionId_;
    }, te.prototype.setCreativeType = function(a) {
      if (a === s.CreativeType.DEFINED_BY_JAVASCRIPT)
        throw Error("Creative type cannot be redefined with value " + s.CreativeType.DEFINED_BY_JAVASCRIPT);
      if (this.impressionOccurred_)
        throw Error("Impression has already occurred");
      if (this.creativeLoaded_)
        throw Error("Creative has already loaded");
      if (this.creativeType_ && this.creativeType_ !== s.CreativeType.DEFINED_BY_JAVASCRIPT)
        throw Error("Creative type cannot be redefined");
      if (this.creativeType_ === void 0)
        throw Error("Native integration is using OMID 1.2 or earlier");
      this.sendOneWayMessage("setCreativeType", a, this.adSessionId_), this.creativeType_ = a;
    }, te.prototype.setImpressionType = function(a) {
      if (a === s.ImpressionType.DEFINED_BY_JAVASCRIPT)
        throw Error("Impression type cannot be redefined with value " + s.ImpressionType.DEFINED_BY_JAVASCRIPT);
      if (this.impressionOccurred_)
        throw Error("Impression has already occurred");
      if (this.creativeLoaded_)
        throw Error("Creative has already loaded");
      if (this.impressionType_ && this.impressionType_ !== s.ImpressionType.DEFINED_BY_JAVASCRIPT)
        throw Error("Impression type cannot be redefined");
      if (this.impressionType_ === void 0)
        throw Error("Native integration is using OMID 1.2 or earlier");
      this.sendOneWayMessage("setImpressionType", a, this.adSessionId_), this.impressionType_ = a;
    }, te.prototype.isSupported = function() {
      return !!this.communication_ || this.sessionInterface_.isSupported();
    }, te.prototype.isSendingElementsSupported_ = function() {
      return this.communication_ ? this.communication_.isDirectCommunication() : this.sessionInterface_.isSupported();
    }, te.prototype.registerSessionObserver = function(a) {
      this.sendMessage("registerSessionObserver", a, this.adSessionId_);
    }, te.prototype.start = function() {
      this.sendOneWayMessage("startSession", {
        customReferenceData: this.context_.customReferenceData,
        underEvaluation: this.context_.underEvaluation
      }, this.adSessionId_);
    }, te.prototype.finish = function() {
      this.sendOneWayMessage("finishSession", this.adSessionId_);
    }, te.prototype.error = function(a, u) {
      this.sendOneWayMessage("sessionError", a, u, this.adSessionId_);
    }, te.prototype.registerAdEvents = function() {
      if (this.hasAdEvents_)
        throw Error("AdEvents already registered.");
      this.hasAdEvents_ = !0, this.sendOneWayMessage("registerAdEvents", this.adSessionId_);
    }, te.prototype.registerMediaEvents = function() {
      if (this.hasMediaEvents_)
        throw Error("MediaEvents already registered.");
      this.hasMediaEvents_ = !0, this.sendOneWayMessage("registerMediaEvents", this.adSessionId_);
    }, te.prototype.sendOneWayMessage = function(a) {
      var u = r.getRestArguments.apply(1, arguments);
      this.sendMessage.apply(this, [a, null].concat(r.arrayFromIterable(u)));
    }, te.prototype.sendMessage = function(a, u) {
      var m = r.getRestArguments.apply(2, arguments);
      this.communication_ ? this.sendInternalMessage_(a, u, m) : this.sessionInterface_.isSupported() && this.sendInterfaceMessage_(a, u, m);
    }, te.prototype.sendInternalMessage_ = function(a, u, m) {
      var S = Me();
      u && (this.callbackMap_[S] = u), a = new y(S, He(a), st.Version, ot(st.Version, m)), this.communication_.sendMessage(a);
    }, te.prototype.handleInternalMessage_ = function(a, u) {
      u = a.method;
      var m = a.guid;
      if (a = a.args, u === "response" && this.callbackMap_[m]) {
        var S = ct(st.Version, a);
        this.callbackMap_[m].apply(this, S);
      }
      u === "error" && window.console && Ie(a);
    }, te.prototype.sendInterfaceMessage_ = function(a, u, m) {
      try {
        this.sessionInterface_.sendMessage(a, u, m);
      } catch (S) {
        Ie("Failed to communicate with SessionInterface with error:"), Ie(S);
      }
    }, te.prototype.assertSessionRunning = function() {
      if (!this.isSessionRunning_)
        throw Error("Session not started.");
    }, te.prototype.impressionOccurred = function() {
      if (this.creativeType_ === s.CreativeType.DEFINED_BY_JAVASCRIPT)
        throw Error("Creative type has not been redefined");
      if (this.impressionType_ === s.ImpressionType.DEFINED_BY_JAVASCRIPT)
        throw Error("Impression type has not been redefined");
      this.impressionOccurred_ = !0;
    }, te.prototype.creativeLoaded = function() {
      if (this.creativeType_ === s.CreativeType.DEFINED_BY_JAVASCRIPT)
        throw Error("Creative type has not been redefined");
      if (this.impressionType_ === s.ImpressionType.DEFINED_BY_JAVASCRIPT)
        throw Error("Impression type has not been redefined");
      this.creativeLoaded_ = !0;
    }, te.prototype.setClientInfo_ = function() {
      this.sendOneWayMessage("setClientInfo", st.Version, this.context_.partner.name, this.context_.partner.version, this.adSessionId_);
    }, te.prototype.injectVerificationScripts_ = function(a) {
      a && (a = a.map(function(u) {
        return u.toJSON();
      }), this.sendOneWayMessage("injectVerificationScriptResources", a, this.adSessionId_));
    }, te.prototype.sendSlotElement_ = function(a) {
      this.sendElement_(a, "setSlotElement");
    }, te.prototype.sendVideoElement_ = function(a) {
      this.sendElement_(a, "setVideoElement");
    }, te.prototype.sendElement_ = function(a, u) {
      a && (this.isSendingElementsSupported_() ? this.sendOneWayMessage(u, a, this.adSessionId_) : this.error(s.ErrorType.GENERIC, "Session Client " + u + " called when communication is cross-origin"));
    }, te.prototype.sendContentUrl_ = function(a) {
      a && this.sendOneWayMessage("setContentUrl", a, this.adSessionId_);
    }, te.prototype.setElementBounds = function(a) {
      W("AdSession.elementBounds", a), this.sendOneWayMessage("setElementBounds", a, this.adSessionId_);
    }, te.prototype.watchSessionEvents_ = function() {
      var a = this;
      this.registerSessionObserver(function(u) {
        u.type === s.AdEventType.SESSION_START && (a.isSessionRunning_ = !0, a.creativeType_ = u.data.creativeType, a.impressionType_ = u.data.impressionType), u.type === s.AdEventType.SESSION_FINISH && (a.isSessionRunning_ = !1);
      });
    }, _("OmidSessionClient.AdSession", te);
    var Gt = function(u, m, S, C) {
      this.isSkippable = u, this.skipOffset = m, this.isAutoPlay = S, this.position = C;
    };
    Gt.prototype.toJSON = function() {
      return {
        isSkippable: this.isSkippable,
        skipOffset: this.skipOffset,
        isAutoPlay: this.isAutoPlay,
        position: this.position
      };
    };
    var xt = function(u) {
      W("AdEvents.adSession", u), this.adSessionId_ = u.getAdSessionId();
      try {
        u.registerAdEvents(), this.adSession = u;
      } catch (m) {
        throw Error("AdSession already has an ad events instance registered");
      }
    };
    xt.prototype.impressionOccurred = function() {
      this.adSession.assertSessionRunning(), this.adSession.impressionOccurred(), this.adSession.sendOneWayMessage("impressionOccurred", this.adSessionId_);
    }, xt.prototype.loaded = function(a) {
      a = a === void 0 ? null : a, this.adSession.creativeLoaded(), a = a ? a.toJSON() : null, this.adSession.sendOneWayMessage("loaded", a, this.adSessionId_);
    }, _("OmidSessionClient.AdEvents", xt);
    var Re = function(u) {
      W("MediaEvents.adSession", u), this.adSessionId_ = u.getAdSessionId();
      try {
        u.registerMediaEvents(), this.adSession = u;
      } catch (m) {
        throw Error("AdSession already has a media events instance registered");
      }
    };
    Re.prototype.start = function(a, u) {
      Ee("MediaEvents.start.duration", a), z("MediaEvents.start.mediaPlayerVolume", u, 0, 1), this.adSession.sendOneWayMessage("start", a, u, this.adSessionId_);
    }, Re.prototype.firstQuartile = function() {
      this.adSession.sendOneWayMessage("firstQuartile", this.adSessionId_);
    }, Re.prototype.midpoint = function() {
      this.adSession.sendOneWayMessage("midpoint", this.adSessionId_);
    }, Re.prototype.thirdQuartile = function() {
      this.adSession.sendOneWayMessage("thirdQuartile", this.adSessionId_);
    }, Re.prototype.complete = function() {
      this.adSession.sendOneWayMessage("complete", this.adSessionId_);
    }, Re.prototype.pause = function() {
      this.adSession.sendOneWayMessage("pause", this.adSessionId_);
    }, Re.prototype.resume = function() {
      this.adSession.sendOneWayMessage("resume", this.adSessionId_);
    }, Re.prototype.bufferStart = function() {
      this.adSession.sendOneWayMessage("bufferStart", this.adSessionId_);
    }, Re.prototype.bufferFinish = function() {
      this.adSession.sendOneWayMessage("bufferFinish", this.adSessionId_);
    }, Re.prototype.skipped = function() {
      this.adSession.sendOneWayMessage("skipped", this.adSessionId_);
    }, Re.prototype.volumeChange = function(a) {
      z("MediaEvents.volumeChange.mediaPlayerVolume", a, 0, 1), this.adSession.sendOneWayMessage("volumeChange", a, this.adSessionId_);
    }, Re.prototype.playerStateChange = function(a) {
      W("MediaEvents.playerStateChange.playerState", a), this.adSession.sendOneWayMessage("playerStateChange", a, this.adSessionId_);
    }, Re.prototype.adUserInteraction = function(a) {
      W("MediaEvents.adUserInteraction.interactionType", a), this.adSession.sendOneWayMessage("adUserInteraction", a, this.adSessionId_);
    }, _("OmidSessionClient.MediaEvents", Re);
    var It = function(u, m) {
      ee("OmidVersion.semanticVersion", u), ee("OmidVersion.apiLevel", m);
    };
    _("OmidSessionClient.OmidVersion", It);
    function di(a) {
      var u = ye();
      new V(u).onMessage = function(m, S) {
        m.method === s.MessageMethod.IDENTIFY_SERVICE_WINDOW && a(S);
      };
    }
    _("OmidSessionClient.listenForServiceWindow", di), _("OmidSessionClient.VastProperties", Gt);
    var Pe = {
      VerificationVendorId: {
        OTHER: 1,
        MOAT: 2,
        DOUBLEVERIFY: 3,
        INTEGRAL_AD_SCIENCE: 4,
        PIXELATE: 5,
        NIELSEN: 6,
        COMSCORE: 7,
        MEETRICS: 8,
        GOOGLE: 9
      }
    };
    function ui(a) {
      for (var u = r.makeIterator(hi.keys()), m = u.next(); !m.done; m = u.next()) {
        m = m.value;
        for (var S = r.makeIterator(hi.get(m)), C = S.next(); !C.done; C = S.next())
          if (C.value.test(a))
            return m;
      }
      return Pe.VerificationVendorId.OTHER;
    }
    var hi = /* @__PURE__ */ new Map([[Pe.VerificationVendorId.MOAT, [/^(https?:\/\/|\/\/)?[-a-zA-Z0-9.]+\.moatads\.com\/.*$/]], [Pe.VerificationVendorId.DOUBLEVERIFY, [/^(https?:\/\/|\/\/)?[-a-zA-Z0-9.]+\.doubleverify\.com\/.*$/, /^(https?:\/\/|\/\/)?c\.[\w\-]+\.com\/vfw\/dv\/.*$/, /^(https?:\/\/|\/\/)?(www\.)?[\w]+\.tv\/r\/s\/d\/.*$/, /^(https?:\/\/|\/\/)?(\w\.?)+\.dv\.tech\/.*$/]], [Pe.VerificationVendorId.INTEGRAL_AD_SCIENCE, [/^(https?:\/\/|\/\/)?[-a-zA-Z0-9.]+\.adsafeprotected\.com\/.*$/]], [Pe.VerificationVendorId.PIXELATE, [/^https?:\/\/(q|cdn)\.adrta\.com\/s\/.*\/(aa|aanf)\.js.*$/, /^https:\/\/cdn\.rta247\.com\/s\/.*\/(aa|aanf)\.js.*$/]], [Pe.VerificationVendorId.NIELSEN, []], [Pe.VerificationVendorId.COMSCORE, [/^(https?:\/\/|\/\/)?[-a-zA-Z0-9.]+\.voicefive\.com\/.*$/, /^(https?:\/\/|\/\/)?[-a-zA-Z0-9.]+\.measuread\.com\/.*$/, /^(https?:\/\/|\/\/)?[-a-zA-Z0-9.]+\.scorecardresearch\.com\/.*$/]], [Pe.VerificationVendorId.MEETRICS, [/^(https?:\/\/|\/\/)?s418\.mxcdn\.net\/bb-serve\/omid-meetrics.*\.js$/]], [Pe.VerificationVendorId.GOOGLE, [/^(https?:\/\/|\/\/)?pagead2\.googlesyndication\.com\/.*$/, /^(https?:\/\/|\/\/)?www\.googletagservices\.com\/.*$/]]]);
    _("OmidSessionClient.verificationVendorIdForScriptUrl", ui), _("OmidSessionClient.VerificationVendorId", Pe.VerificationVendorId), Pe.verificationVendorIdForScriptUrl = ui;
  }, E);
})(Un);
const ao = /* @__PURE__ */ oo(Un), Di = {
  ERROR_RESOURCE_REJECTED: 1,
  // or OM disabled by publisher
  ERROR_VERIFICATION_NOT_SUPPORTED: 2,
  ERROR_ON_RESOURCE_LOAD: 3
}, oe = class oe {
  constructor(e, i) {
    if (this.ad = e, this.adSlotDelivery = i, this.sessionClient = ao.OmidSessionClient, this.removeEventHandlers = [], this.video = i.player.getPlayerElement(), !this.sessionClient) {
      c.debug.warn(oe.NAME + "const. - no sessionClient available!");
      return;
    }
    if (this.CONTENT_URL = i.player.getCurrentContentSource(), this.OMSDK_SERVICE_WINDOW = e.config.adVerification.serviceWindow, this.internalOmidConfig = e.config.adVerification, this.verifications = this.filterVerifications(
      e.adVerifications,
      this.internalOmidConfig.vendorWhitelist
    ), !this.verifications || this.verifications.length === 0) {
      c.debug.info(
        oe.NAME + "verification(s) found after application of the allow-list is/are 0"
      );
      return;
    }
    if (c.debug.info(
      oe.NAME,
      this.verifications.length,
      "verification(s) found after initial"
    ), c.debug.table(this.verifications), this.internalOmidConfig.disabled) {
      c.debug.warn(
        oe.NAME + "adVerification - disabled by publisher (config.adVerification.disabled)."
      ), this.verifications.forEach((r) => {
        this.trackError(
          r.tracking.verificationNotExecuted,
          Di.ERROR_RESOURCE_REJECTED
        );
      });
      return;
    }
    if (this.internalOmidConfig.playerHandles) {
      c.debug.info(oe.NAME + "playerHandles is true");
      return;
    }
    if (e.isVPAID && !e.config.shareVideoElementWithVPAID) {
      c.debug.info(
        oe.NAME + " VPAID ad with shareVideoElementWithVPAID set to false is not supported!"
      );
      return;
    }
    this.initOMIDJS() && this.addEventListeners();
  }
  /**
   * Filters ad verifications based on the vendor whitelist.
   *
   * @param {Array} adVerifications - An array of ad verifications to be filtered.
   * @param {Array} vendorAllowList - An array of allowed vendors.
   * @return {Array} The filtered ad verifications.
   */
  filterVerifications(e, i) {
    return !e || e.length === 0 ? e : e.filter((r) => {
      const s = !i || i.length === 0 || i.includes(r.vendor);
      if (!s)
        return this.trackError(r.tracking.verificationNotExecuted, Di.ERROR_RESOURCE_REJECTED), !1;
      if (i)
        return !0;
      const d = r.javascriptResource ? r.javascriptResource.apiFramework.toLowerCase() === "omid" : !1;
      return !i && !d ? (s && this.trackError(
        r.tracking.verificationNotExecuted,
        Di.ERROR_VERIFICATION_NOT_SUPPORTED
      ), !1) : !0;
    });
  }
  initOMIDJS() {
    return this.adSession = this.createAdSession(), this.adSession.impressionType_ || this.adSession.setImpressionType(this.ad.config.trackImpressionOnStart ? oe.IMPRESSION_TYPE.RENDER : oe.IMPRESSION_TYPE.LOADED), this.adSession.creativeType_ || this.adSession.setCreativeType(this.ad.adType), c.debug.info(oe.NAME + "initOMIDJS", this.adSession), this.adSession.isSupported() ? (this.adEvents = new this.sessionClient.AdEvents(this.adSession), this.mediaEvents = new this.sessionClient.MediaEvents(this.adSession), this.adSession.start(), !0) : (c.debug.error(oe.NAME + "isSupported - session not supported, call all error trackers and tear down"), this.verifications.map((e) => {
      this.trackError(
        e.tracking.verificationNotExecuted,
        Di.ERROR_VERIFICATION_NOT_SUPPORTED
      );
    }), !1);
  }
  createAdSession() {
    let e = new this.sessionClient.Partner(oe.PARTNER_NAME, oe.PARTNER_VERSION), i = this.verifications.map((s) => (c.debug.info(
      oe.NAME + "VerificationScriptResource",
      "omidScriptURL:",
      Pi(s.javascriptResource.url, s.javascriptResource.url),
      "vendor:",
      s.vendor,
      "verification params:",
      s.verificationParameters,
      "accessMode:",
      this.internalOmidConfig.accessMode
    ), new this.sessionClient.VerificationScriptResource(
      Pi(s.javascriptResource.url, s.javascriptResource.url),
      s.vendor,
      s.verificationParameters,
      this.internalOmidConfig.accessMode
    ))), r = new this.sessionClient.Context(e, i, this.CONTENT_URL);
    return r.underEvaluation = !0, r.setVideoElement(this.video), r.setServiceWindow(this.OMSDK_SERVICE_WINDOW), new this.sessionClient.AdSession(r);
  }
  addEventListeners() {
    this.removeEventListeners(), Object.keys(p).forEach((e) => {
      let i = this.adSlotDelivery.adSlotController.addEventListener(
        p[e],
        this.handleAdEvent.bind(this)
      );
      this.removeEventHandlers.push(i);
    });
  }
  removeEventListeners() {
    this.removeEventHandlers.forEach((e) => {
      e();
    }), this.removeEventHandlers = [];
  }
  handleAdEvent(e) {
    switch (this.forwardEventToOMSDK(e.type), e.type) {
      case p.ON_AD_ERROR:
        this.adSession.error("generic", this.ad.error.code), this.removeEventListeners(), c.debug.info(oe.NAME + "handleAdEvent AdError -- call adSession.error"), setTimeout(() => {
          this.adSession.finish();
        }, this.ad.config.adVerification.sessionCleanupDelay * 1e3);
        break;
      case p.ON_AD_SKIPPED:
      case p.ON_AD_STOPPED:
        this.removeEventListeners(), setTimeout(() => {
          c.debug.info(oe.NAME + "handleAdEvent " + e.type + " -- call adSession.finish"), this.adSession.finish();
        }, this.ad.config.adVerification.sessionCleanupDelay * 1e3);
        break;
    }
  }
  forwardEventToOMSDK(e) {
    let i = "forwardEventToOMSDK";
    if (c.debug.info(oe.NAME + i, e), !this.adEvents) {
      c.debug.warn(oe.NAME + i + " - adEvents not set, happens when adSession is not supported");
      return;
    }
    let r;
    switch (e) {
      case p.ON_AD_STARTED:
        r = new this.sessionClient.VastProperties(
          this.ad.skipOffset > -1,
          // skippable
          this.ad.skipOffset,
          !0,
          // autoplay
          oe.POSITION_MAP[this.ad.adBreakPosition]
        ), this.adEvents.loaded(r);
        break;
      case p.ON_AD_PLAYBACK_START:
        this.mediaEvents.start(
          this.ad.duration,
          this.ad.volume,
          // mediaPlayerVolume
          this.ad.volume,
          // videoPlayerVolume
          1
          // deviceVolume not detectable, assuming 1
        );
        break;
      case p.ON_AD_IMPRESSION:
        this.adEvents.impressionOccurred();
        break;
      case p.ON_AD_FIRST_QUARTILE:
        this.mediaEvents.firstQuartile();
        break;
      case p.ON_AD_MID_POINT:
        this.mediaEvents.midpoint();
        break;
      case p.ON_AD_THIRD_QUARTILE:
        this.mediaEvents.thirdQuartile();
        break;
      case p.ON_AD_PLAYBACK_FINISHED:
        this.mediaEvents.complete();
        break;
      case p.ON_AD_PAUSED:
        this.mediaEvents.pause();
        break;
      case p.ON_AD_PLAYING:
        this.mediaEvents.resume();
        break;
      case p.ON_AD_VOLUME_CHANGED:
        this.mediaEvents.volumeChange(
          this.ad.volume,
          // mediaPlayerVolume
          this.ad.volume,
          // videoPlayerVolume
          1
          // deviceVolume not detectable, assuming 1
        );
        break;
      case p.ON_AD_SKIPPED:
        this.mediaEvents.skipped();
        break;
      case p.ON_AD_CLICKED:
        this.mediaEvents.adUserInteraction("click");
        break;
      case p.ON_ENTER_FULLSCREEN:
        this.mediaEvents.playerStateChange("fullscreen");
        break;
      case p.ON_EXIT_FULLSCREEN:
        this.mediaEvents.playerStateChange("normal");
        break;
      case p.ON_PLAYER_EXPAND:
        this.mediaEvents.playerStateChange("expanded");
        break;
      case p.ON_PLAYER_COLLAPSE:
        this.mediaEvents.playerStateChange("collapsed");
        break;
    }
  }
  trackError(e, i) {
    c.debug.info(
      oe.NAME + "trackError - errorReason",
      i,
      "errorTracker",
      e
    ), this.ad.enrichment.set("REASON", i, "reason");
    const r = {
      adReinsertion: this.ad.adReinsertion,
      enrichment: this.ad.enrichment,
      timeouts: this.ad.config.timeouts,
      urlhandler: this.ad.config.urlhandler
    };
    new oi().track(e, null, r);
  }
};
oe.IMPRESSION_TYPE = {
  AUDIBLE: "audible",
  LOADED: "loaded",
  OTHER: "other",
  PIXEL: "onePixel",
  RENDER: "beginToRender",
  UNSPECIFIED: "unspecified",
  VIEWABLE: "viewable"
}, oe.PARTNER_NAME = "Smartcliptv", oe.PARTNER_VERSION = "7.1.0", oe.POSITION_MAP = [
  "standalone",
  "preroll",
  "midroll",
  "postroll",
  "standalone"
  // equals breakPosition 'overlay' in VAST
], oe.NAME = "OMID::";
let mr = oe;
const Et = class Et extends St {
  constructor(e, i) {
    super(), this.adSlotController = e.adSlotController, this.adSlotDelivery = e, this.publisherAdContainer = i, this.adContainer = null, this.ad = null, this.asset = null, this.adDisplayTime = {
      currentTime: 0,
      duration: 0,
      offset: 0
    }, this.cleanupTimer = [];
  }
  /**
   * @param {asset} asset VASTNonLinear - contains parameters and a list of VASTCreativeResources
   * @returns {Promise<void>} Resolves if the asset has been loaded and shown to the audience.
   */
  init(e) {
    return this.asset = e, this.adDisplayTime.duration = e.displayDuration, this.createAdContainer(), this.createNonLinearElement(), new Promise((i) => {
      this.render(), i();
    });
  }
  createAdContainer() {
    const e = "display:none; pointer-events:none; position:absolute; width:100%; height:100%; top:0; left:0;";
    this.adContainer = document.createElement("div"), this.adContainer.setAttribute("style", e);
  }
  /**
   * Defines the container that surrounds the advertiser's asset, depending on the resource type.
   * - the ad has to appear in the upper centered position
   * - the container holds tracking and interaction data
   * @internal
   * @returns {void}
   */
  createNonLinearElement() {
    let e = {
      attributes: {},
      style: {}
    };
    this.asset.scalable ? (e.style.width = "100%", e.style.height = "100%", e.style["object-fit"] = "contain", e.style["object-position"] = "bottom") : (e.style.width = parseInt(this.asset.width, 10) + "px", e.style.height = parseInt(this.asset.height, 10) + "px"), e.style.position = "absolute", e.style.bottom = "0", e.style.right = "50%", e.style.transform = "translateX(50%)", e.attributes.style = JSON.stringify(e.style), e.attributes.style = e.attributes.style.substring(1, JSON.stringify(e.style).length - 1), e.attributes.style = e.attributes.style.replace(/\"/ig, "").replace(/\,/ig, ";") + ";", e.attributes.src = this.asset.selectedResource.resource, this.ad = e;
  }
  render() {
    let e;
    switch (this.asset.selectedResource.type) {
      case "StaticResource":
        e = "img";
        break;
      default:
        e = "iframe";
        break;
    }
    let i = document.createElement(e);
    for (let r in this.ad.attributes)
      this.ad.attributes[r] && i.setAttribute(r, this.ad.attributes[r]);
    i.style.pointerEvents = "auto", i.onload = this.onStartAd.bind(this), e === "iframe" ? (i.style.border = "0", i.setAttribute("scrolling", "no"), i.setAttribute("margin", "0"), i.setAttribute("allowtransparency", "true")) : (i.style.cursor = "pointer", i.addEventListener("click", this.onClick.bind(this))), this.adContainer.appendChild(i), this.publisherAdContainer.appendChild(this.adContainer);
  }
  stop() {
    this.cleanupTimer.forEach((e) => {
      clearTimeout(e);
    }), this.adContainer && this.adContainer.parentNode === this.publisherAdContainer && this.publisherAdContainer.removeChild(this.adContainer);
  }
  pause() {
    c.debug.info(Et.NAME + "pause"), this.cleanupTimer.forEach((e) => {
      clearTimeout(e);
    }), this.adDisplayTime.currentTime += (Date.now() - this.adDisplayTime.offset) / 1e3;
  }
  play() {
    c.debug.info(Et.NAME + "play - start or resume"), this.adDisplayTime.offset = Date.now();
    const e = this.adDisplayTime.duration - this.adDisplayTime.currentTime;
    c.debug.info(Et.NAME + "play - remove ad in", e, "seconds.");
    const i = setTimeout(this.onStopAd.bind(this), e * 1e3);
    this.cleanupTimer.push(i);
  }
  onStartAd() {
    c.debug.info(Et.NAME + "onStartAd"), this.adContainer.style.display = "block", this.dispatchEvent(p.ON_AD_LOADED), this.dispatchEvent(p.ON_AD_STARTED), this.dispatchEvent(p.ON_AD_IMPRESSION), this.dispatchEvent(p.ON_AD_CREATIVE_VIEW), this.play();
  }
  onStopAd() {
    c.debug.info(Et.NAME + "onStopAd"), this.dispatchEvent(p.ON_AD_NONLINEAR_STOPPED), this.dispatchEvent(p.ON_AD_STOPPED), this.stop();
  }
  onClick() {
    this.adSlotController.onClickThrough(this.asset);
  }
};
Et.NAME = "NonLinear::";
let Er = Et;
const it = class it extends St {
  // TODO: jsDoc, (BaseAd + extend)
  constructor(e, i, r) {
    super(), this.adSlotController = r, this.adSlotHasStarted = !1, this.currentAd = e, this.eventHandlers = [], this.player = i;
  }
  getRemoveHandlerForAdSlotControllerEvent(e, i) {
    return this.adSlotController.addEventListener(e, i);
  }
  addPlayerEventListener(e, i) {
    this.player.addEventListener(e, i);
    const r = () => this.removePlayerEventListener(e, i);
    return this.eventHandlers.push(r), () => this.player.removeEventListener(e, i);
  }
  removePlayerEventListener(e, i) {
    this.player.removeEventListener(e, i);
  }
  cleanAndDeliveryNextAd() {
    this.currentAd = null, this.deliverNextAd();
  }
  addVpaidListeners() {
    const e = () => {
      if (this.currentAd.isVPAID) {
        c.debug.info(
          it.NAME + "Wait for a finished event from the VPAID player.",
          this.currentAd
        );
        const r = () => {
          this.currentAd.replaced ? (i(), this.deliverNextAd()) : (y(), this.cleanAndDeliveryNextAd());
        }, s = () => {
          this.saveStartVolumeVPAID();
        }, d = () => {
          this.adSlotController.applyBuffetAd();
        }, h = this.getRemoveHandlerForAdSlotControllerEvent(
          p.ON_AD_STARTED,
          s
        ), A = this.getRemoveHandlerForAdSlotControllerEvent(
          p.ON_AD_ERROR,
          d
        ), v = this.getRemoveHandlerForAdSlotControllerEvent(
          p.ON_VPAID_CLEANUP,
          r
        ), y = () => {
          h(), A(), v();
        };
      }
    }, i = this.getRemoveHandlerForAdSlotControllerEvent(p.ON_AD_START, e);
  }
  controlPlayback(e) {
    this.currentAd && (this.currentAd.isVPAID ? e(this.adSlotController.vpaidPlayer) : this.currentAd.isLinear ? e(this.player) : e(this.adSlotController.nonLinearView));
  }
  deliverOrHOMAD(e, i) {
    this.currentAd.adReinsertion.isActive === !1 ? this.deliverNextAd() : this.activateHOMAD(e, i);
  }
  pause() {
    this.controlPlayback((e) => e.pause());
  }
  play() {
    this.controlPlayback((e) => e.play());
  }
  /**
   * Activates player and ad event listeners.
   */
  on() {
    this.addPlayerEventListener($e.ON_TIME_UPDATED, () => {
      this.adSlotController.timeupdate();
    }), this.addPlayerEventListener($e.ON_PAUSED, () => {
      this.currentAd.isPaused = !0, this.player.getAdCurrentTime() > 0 && this.player.getAdCurrentTime() < this.player.getAdDuration() && this.adSlotController.dispatchEvent(p.ON_AD_PAUSED);
    }), this.addPlayerEventListener($e.ON_PLAY, () => {
      this.currentAd.isPaused = !1, this.player.getAdCurrentTime() > 0 && this.adSlotController.dispatchEvent(p.ON_AD_PLAYING);
    }), this.addPlayerEventListener($e.ON_VOLUME_CHANGED, () => {
      this.currentAd && (isNaN(this.currentAd.volume) || (this.currentAd.volume === 0 && this.player.getVolume() > 0 ? this.adSlotController.dispatchEvent(p.ON_AD_UNMUTED) : this.currentAd.volume > 0 && this.player.getVolume() === 0 && this.adSlotController.dispatchEvent(p.ON_AD_MUTED)), this.currentAd.volume = this.player.getVolume(), this.adSlotController.dispatchEvent(p.ON_AD_VOLUME_CHANGED));
    }), this.getRemoveHandlerForAdSlotControllerEvent(p.ON_AD_START, this.saveStartVolume), super.addEventListener(p.ON_AD_STARTED, () => {
      this.removeDeliverNextAdEventHandler = this.addPlayerEventListener($e.ON_ENDED, () => {
        c.debug.info(it.NAME + "Received ended event from the video player.", this.currentAd), this.adSlotController.timeupdate(), this.adSlotController.dispatchEvent(p.ON_AD_STOPPED), this.cleanAndDeliveryNextAd();
      });
    }), this.addVpaidListeners(), this.addPlayerEventListener($e.ON_ERROR, () => {
      c.debug.info(
        it.NAME + "on - Player sent error event"
      );
    });
  }
  saveStartVolume() {
    this.currentAd && this.player && (this.currentAd.volume = this.player.getVolume());
  }
  saveStartVolumeVPAID() {
    this.adSlotController.vpaidPlayer.setVolume(this.player.getVolume());
  }
  stop() {
    return new Promise((e) => (this.adSlotHasStarted && (this.removeDeliverNextAdEventHandler && this.removeDeliverNextAdEventHandler(), this.adSlotHasStarted && (this.adSlotHasStarted = !1, this.dispatchEvent(p.ON_AD_SLOT_STOPPED)), this.eventHandlers.forEach((i) => {
      i();
    }), this.eventHandlers = []), e()));
  }
  deliverNextAd() {
    var r;
    const e = this;
    (e.currentAd === null || e.currentAd.replaced) && (e.currentAd = e.adSlotController.getAd()), c.debug.info(it.NAME + "deliver ad:", e.currentAd), clearTimeout(e.loadPendingTimeout);
    function i() {
      if (e.adSlotController.requestedTrackingEvents = [], e.adSlotController.startViewability(), e.adSlotController.dispatchEvent(p.ON_AD_START), e.deployConcurrentAssets(), e.removeDeliverNextAdEventHandler && e.removeDeliverNextAdEventHandler(), e.removeImpressionOnStartHandler && e.removeImpressionOnStartHandler(), e.currentAd.isSIMID && e.adSlotController.loadAdSIMID(), e.currentAd.isVPAID)
        e.adSlotController.loadAdVPAID();
      else {
        const s = e.currentAd.config.trackImpressionOnStart ? p.ON_AD_PLAYBACK_START : p.ON_AD_STARTED;
        e.removeImpressionOnStartHandler = e.addEventListener(s, () => {
          e.adSlotController.dispatchEvent(p.ON_AD_IMPRESSION), e.adSlotController.dispatchEvent(p.ON_AD_CREATIVE_VIEW);
        });
        let d = e.currentAd.isLinear ? e.currentAd.properCreative.selectedMediaFile : e.currentAd.properCreative.variations[0];
        e.loadAd(d);
      }
    }
    if (e.adSlotHasStarted || (e.dispatchEvent(p.ON_AD_SLOT_STARTED), e.adSlotHasStarted = !0, e.on()), (r = e.currentAd) != null && r.hasError) {
      e.cancelAdWithError();
      return;
    }
    e.currentAd === null ? e.stop() : i();
  }
  cancelAdWithError() {
    this.adSlotController.cancelAd(), this.currentAd = null, this.deliverNextAd();
  }
  deployConcurrentAssets() {
    const e = this.currentAd.creatives.filter((i) => i.type === "companion" && i.hasCompanionResources);
    e && e.length > 0 && this.dispatchEvent(p.ON_COMPANIONS_DETECTED), this.currentAd.extensions && this.currentAd.extensions.length > 0 && this.dispatchEvent(p.ON_EXTENSIONS_DETECTED), this.currentAd.icons && Object.keys(this.currentAd.icons).length > 0 && this.dispatchEvent(p.ON_ICONS_DETECTED), this.currentAd.closedCaptions && this.currentAd.closedCaptions.length > 0 && this.dispatchEvent(p.ON_CLOSED_CAPTIONS_DETECTED), new mr(this.currentAd, this), this.currentAd.adVerifications && this.currentAd.adVerifications.length > 0 && this.dispatchEvent(p.ON_VERIFICATION_DETECTED);
  }
  activateHOMAD(e, i) {
    this.currentAd.adReinsertion.setReinsertionReason({
      reason: e,
      source: i,
      error: this.currentAd.error
    }), this.currentAd.adReinsertion.enable(
      () => {
        this.currentAd.isLinear && (this.currentAd.enrichment.set("ERRORCODE", this.currentAd.error.code), this.dispatchEvent(p.ON_AD_ERROR)), ue.EventDispatcher.dispatchEvent(p.ON_AD_REINSERTION_ACTIVATION);
      },
      () => {
        this.deliverNextAd();
      }
    );
  }
  loadAd(e) {
    if (this.currentAd.isLinear) {
      let i = "Load MediaFile ", r = e.fileURL, s = !1;
      clearTimeout(this.loadPendingTimeout);
      let d = (h) => {
        s = !0, c.debug.error("VideoProxy load timeout.", h), this.currentAd.error = w.VAST.TIMEOUT, this.deliverOrHOMAD(ue.REASON.MEDIAFILE_TIMEOUT, r);
      };
      this.loadPendingTimeout = setTimeout(
        d.bind(this),
        this.currentAd.config.timeouts.videoRequest * 1e3
      ), c.debug.info(it.NAME + i + "from URI", r), this.player.load(r, !0).then(() => {
        clearTimeout(this.loadPendingTimeout), !s && (c.debug.info(it.NAME + i + "success."), this.adSlotController.dispatchEvent(p.ON_AD_LOADED), this.dispatchEvent(p.ON_AD_STARTED));
      }, (h) => {
        if (clearTimeout(this.loadPendingTimeout), s)
          return;
        c.debug.error(it.NAME + i + "failed", h);
        const A = {
          [w.VAST.GENERAL_ERROR.code]: w.VAST.GENERAL_ERROR,
          [w.VAST.FILE_NOT_FOUND.code]: w.VAST.FILE_NOT_FOUND,
          [w.VAST.UNSUPPORTED_MIMETYPE.code]: w.VAST.UNSUPPORTED_MIMETYPE
        };
        this.currentAd.error = A[h] || w.VAST.MEDIAFILE_DISPLAY_ERROR, this.deliverOrHOMAD(ue.REASON.MEDIAFILE_LOAD_ERROR, r);
      });
    } else {
      let i, r = !1, s = "loadAd - NonLinear ";
      if (clearTimeout(this.loadPendingTimeout), this.currentAd.config.playerHandlesNonLinear) {
        this.addPlayerEventListener($e.ON_LOADED_DATA, () => {
          this.dispatchEvent(p.ON_AD_STARTED), this.dispatchEvent(p.ON_AD_IMPRESSION), this.dispatchEvent(p.ON_AD_CREATIVE_VIEW);
        }), this.addPlayerEventListener($e.ON_ENDED, () => {
          this.dispatchEvent(p.ON_AD_NONLINEAR_STOPPED), this.dispatchEvent(p.ON_AD_STOPPED);
        });
        return;
      }
      this.loadPendingTimeout = setTimeout((d) => {
        r = !0, c.debug.error(s + " timeout.", d), this.currentAd.error = w.VAST_NONLINEAR.TIMEOUT, this.currentAd.enrichment.set("ERRORCODE", this.currentAd.error.code), this.dispatchEvent(p.ON_AD_ERROR), this.deliverOrHOMAD(ue.REASON.MEDIAFILE_TIMEOUT, e);
      }, this.currentAd.config.timeouts.videoRequest * 1e3), this.adSlotController.environmentVars.adContainer ? (c.debug.info(
        s + "- Using publisher adContainer",
        this.adSlotController.environmentVars.adContainer
      ), i = this.adSlotController.environmentVars.adContainer) : (c.debug.warn(s + "- Publisher adContainer not specified. Using the video elements parent element as a fallback."), i = this.player.getPlayerElement().parentNode), this.adSlotController.nonLinearView = new Er(this, i), [
        p.ON_AD_STARTED,
        p.ON_AD_IMPRESSION,
        p.ON_AD_CREATIVE_VIEW,
        p.ON_AD_NONLINEAR_STOPPED,
        p.ON_AD_STOPPED
      ].map(
        (d) => {
          const h = this.adSlotController.nonLinearView.addEventListener(d, (A) => {
            this.dispatchEvent(A.type), A.type === p.ON_AD_STOPPED && this.cleanAndDeliveryNextAd();
          });
          this.eventHandlers.push(h);
        }
      ), this.addPlayerEventListener($e.ON_PLAY, this.play.bind(this)), this.addPlayerEventListener($e.ON_PAUSED, this.pause.bind(this)), this.adSlotController.nonLinearView.init(e).then(() => {
        clearTimeout(this.loadPendingTimeout), !r && c.debug.info(s + "Request complete");
      }, (d) => {
        clearTimeout(this.loadPendingTimeout), !r && (c.debug.error("loadAd - VideoProxy load failed", d), this.currentAd.error = w.VAST_NONLINEAR.GENERAL_ERROR, this.currentAd.enrichment.set("ERRORCODE", this.currentAd.error.code), this.dispatchEvent(p.ON_AD_ERROR), this.deliverOrHOMAD(ue.REASON.MEDIAFILE_LOAD_ERROR, e));
      });
    }
  }
  getCurrentAd() {
    return this.currentAd;
  }
  onSkip() {
    this.adSlotController.onSkip(), this.cleanAndDeliveryNextAd();
  }
};
it.NAME = "AdSloDel::";
let gr = it;
class Tr {
  getResources() {
    return this.resources;
  }
  constructor(e, i) {
    var r, s, d, h;
    this.adParameters = ((s = (r = i.querySelector("AdParameters")) == null ? void 0 : r.textContent) == null ? void 0 : s.trim()) || null, this.apiFramework = i.getAttribute("apiFramework") || null, this.clickThroughURL = ((h = (d = i.querySelector(e + "ClickThrough")) == null ? void 0 : d.textContent) == null ? void 0 : h.trim()) || null, this.clickTracker = this.getClickTracker(e, i), this.resources = this.parseResources(i);
  }
  /**
   * Parse StaticResource, HTMLResource and IFrameResource into array of resources
   * @param {Element} container (parent element) of the resource file nodes
   * @returns {Array} Array of resources with their attributes and contents parsed into properties
   */
  parseResources(e) {
    let i = [], r = e.querySelectorAll(
      "HTMLResource, IFrameResource, StaticResource"
    );
    for (let s = 0; s < r.length; s++)
      i.push({
        creativeType: r[s].getAttribute("creativeType"),
        resource: K.trim(r[s].textContent || ""),
        type: r[s].nodeName
      });
    return i;
  }
  getClickTracker(e, i) {
    let r = [];
    return [].slice.call(i.querySelectorAll(e + "ClickTracking")).forEach((s) => {
      r.push({
        url: K.trim(s.textContent),
        id: s.getAttribute("id")
      });
    }), r;
  }
}
class lo extends Tr {
  constructor(e, i, r) {
    var s;
    super(e, r), this.adSlotId = r.getAttribute("adSlotId") || "", this.altText = K.trim(((s = r.querySelector("AltText")) == null ? void 0 : s.textContent) || ""), this.assetHeight = r.getAttribute("assetHeight") || "", this.assetWidth = r.getAttribute("assetWidth") || "", this.companionXML = r, this.creativeViewTracker = i, this.expandedHeight = r.getAttribute("expandedHeight") || "", this.expandedWidth = r.getAttribute("expandedWidth") || "", this.hasCreative = super.getResources().length > 0, this.height = r.getAttribute("height"), this.id = r.getAttribute("id") || Vn(), this.pxratio = r.getAttribute("pxratio") || "1", this.renderingMode = r.getAttribute("renderingMode") || "default", this.width = r.getAttribute("width");
  }
}
function me(E, e) {
  const i = (E == null ? void 0 : E.getAttribute(e)) || -1;
  let r = -1;
  return typeof i == "string" && (r = parseInt(i, 10)), isNaN(i) ? -1 : r;
}
class uo extends Tr {
  constructor(e, i, r) {
    var s;
    super(e, r), this.altText = K.trim(((s = r.querySelector("AltText")) == null ? void 0 : s.textContent) || ""), this.creativeViewTracker = i, this.duration = me(r, "duration"), this.hasCreative = super.getResources().length > 0, this.height = K.trim(r.getAttribute("height")), this.hoverText = r.getAttribute("hoverText") || null, this.offset = K.convertTimeStringToSeconds(r.getAttribute("offset")), this.program = r.getAttribute("program") || "unknown", this.pxratio = me(r, "pxratio"), this.width = r.getAttribute("width"), this.xPosition = r.getAttribute("xPosition"), this.yPosition = r.getAttribute("yPosition");
  }
}
class ho extends Tr {
  constructor(e, i, r) {
    const s = me(r, "expandedHeight"), d = me(r, "expandedWidth"), h = me(r, "height"), A = r.getAttribute("id"), v = r.getAttribute("maintainAspectRatio") !== "false", y = K.convertTimeStringToSeconds(
      r.getAttribute("minSuggestedDuration")
    ), M = r.getAttribute("scalable") !== "false", ee = me(r, "width");
    super(e, r), this.creativeTrackers = i, this.expandedHeight = s, this.expandedWidth = d, this.height = h, this.id = A, this.maintainAspectRatio = v, this.minSuggestedDuration = y != null ? y : -1, this.scalable = M, this.width = ee;
  }
}
class co {
  constructor(e) {
    this.adXML = e, this.linearObject = this.getLinear(), this.nonLinearCreative = this.getNonLinear();
  }
  // collects all types of linear, nonLinear and companions - so ad.creatives.length can be checked
  get allTypesAsArray() {
    let e = this.linear, i = this.companion, r = e.mediaFiles.interactive, s = this.nonLinearCreative, d = e.mediaFiles.streaming, h = e.mediaFiles.vpaid, A = [];
    return A = A.concat(
      ...h,
      ...d,
      ...r,
      ...s,
      ...i
    ), A;
  }
  //CreativeSourceSelector expects mediafiles to be an array of creatives
  //FIXME it'd be more clean to rewrite CreateSourceSelector however that'd break all tests currently
  // to use vpaid, streaming and so on instead of "reparsing"/filter them for vpaid and others again
  get linearAsArray() {
    let e = this.linear;
    return [{
      captions: e.captions,
      creativeTrackers: e.creativeTrackers,
      icons: e.icons,
      mediaFiles: [].concat(
        e.mediaFiles.interactive,
        e.mediaFiles.streaming,
        e.mediaFiles.vpaid
      )
    }];
  }
  get linear() {
    return this.linearObject;
  }
  createEmptyElement(e) {
    return document.createElement(e);
  }
  getLinear() {
    let e = this.adXML.querySelector("InLine > Creatives > Creative > Linear") || this.createEmptyElement("Inline"), i = e.querySelector("MediaFiles") || this.createEmptyElement("MediaFiles");
    return {
      captions: this.getClosedCaptionCreatives(e),
      creativeTrackers: this.getTrackers("Linear Tracking"),
      icons: this.getIndustryIcons(),
      mediaFiles: {
        interactive: this.getInteractiveCreatives(e),
        streaming: this.getStreamingCreatives(i),
        vpaid: this.getVPAIDCreatives(e)
      }
    };
  }
  getVPAIDCreatives(e) {
    var d;
    let i = [], r = e.querySelectorAll('MediaFile[apiFramework="VPAID"]'), s = e.querySelector("AdParameters");
    for (let h = 0; h < r.length; h++)
      i.push({
        adParameters: ((d = s == null ? void 0 : s.textContent) == null ? void 0 : d.trim()) || null,
        apiFramework: "VPAID",
        bitrate: me(r[h], "bitrate"),
        fileURL: K.trim(r[h].textContent),
        height: me(r[h], "height"),
        linearity: he.LINEAR,
        mimeType: r[h].getAttribute("type"),
        width: me(r[h], "width")
      });
    return i;
  }
  getStreamingCreatives(e) {
    let i = [], r = e.querySelectorAll('MediaFile:not([apiFramework="VPAID"])');
    for (let s = 0; s < r.length; s++)
      i.push({
        apiFramework: r[s].getAttribute("apiFramework"),
        bitrate: me(r[s], "bitrate"),
        fileURL: K.trim(r[s].textContent),
        height: me(r[s], "height"),
        linearity: he.LINEAR,
        mimeType: r[s].getAttribute("type"),
        width: me(r[s], "width")
      });
    return i;
  }
  getInteractiveCreatives(e) {
    var d;
    const i = [], r = e.querySelectorAll("InteractiveCreativeFile"), s = e.querySelector("AdParameters");
    for (let h = 0; h < r.length; h++) {
      const A = r[h], v = A.getAttribute("variableDuration");
      i.push({
        adParameters: ((d = s == null ? void 0 : s.textContent) == null ? void 0 : d.trim()) || null,
        apiFramework: A.getAttribute("apiFramework"),
        delivery: A.getAttribute("delivery"),
        fileURL: K.trim(A.textContent),
        linearity: he.LINEAR,
        mimeType: A.getAttribute("type"),
        variableDuration: v ? !!v.match("true") : !1
      });
    }
    return i;
  }
  getClosedCaptionCreatives(e) {
    let i = [], r = e.querySelector("ClosedCaptionFiles");
    if (r) {
      let s = r.querySelectorAll("ClosedCaptionFile");
      for (let d = 0; d < s.length; d++)
        i.push({
          fileURL: s[d].textContent,
          // en, en-US, zh-TW
          language: s[d].getAttribute("language"),
          linearity: he.LINEAR,
          // text/srt, text/vtt, application/ttml+xml
          type: s[d].getAttribute("type")
        });
    }
    return i;
  }
  getCreativeViewTrackers(e, i) {
    const r = [];
    return [...e.querySelectorAll(i)].forEach((s) => {
      r.push({
        url: K.trim(s.textContent)
      });
    }), r;
  }
  getIndustryIcons() {
    const e = {};
    let i = this.adXML.querySelectorAll("Creatives > Creative > Linear Icon");
    for (let r = 0; r < i.length; r++) {
      const s = i[r].getAttribute("program") || "unknown", d = this.getCreativeViewTrackers(i[r], "IconViewTracking"), h = new uo("Icon", d, i[r]);
      e[s] = h;
    }
    return e;
  }
  get nonLinear() {
    return this.nonLinearCreative;
  }
  getNonLinear() {
    let e = this.adXML.querySelectorAll("InLine > Creatives > Creative > NonLinearAds");
    return this.getNonLinearCreatives(e[0]);
  }
  getNonLinearCreatives(e) {
    if (!e || e.children.length === 0)
      return [];
    c.debug.info("[VASTAdCreatives] Get NonLinear Creatives from.", e);
    let i = e.querySelectorAll("NonLinear"), r = [{
      type: he.NON_LINEAR,
      universalAdId: {},
      variations: []
    }];
    for (let s = 0; s < i.length; s++) {
      const d = new ho(
        "NonLinear",
        this.getTrackers("NonLinearAds Tracking"),
        i[s]
      );
      r[s].variations.push(d);
    }
    return r;
  }
  get companion() {
    const e = this.adXML.querySelectorAll("Creatives > Creative > CompanionAds");
    let i = [];
    for (let r = 0; r < e.length; r++) {
      i[r] = {
        hasCompanionResources: !1,
        required: null,
        type: "companion",
        variations: []
      };
      const s = e[r].querySelectorAll("Companion");
      for (let d = 0; d < s.length; d++)
        if (s[d].hasChildNodes()) {
          const h = this.getCreativeViewTrackers(
            s[d],
            "Tracking[event=creativeView]"
          );
          let A = new lo(
            "Companion",
            h,
            s[d]
          );
          i[r].hasCompanionResources = A.resources.length > 0, i[r].required = e[r].getAttribute("required"), i[r].variations.push(A);
        }
    }
    return i.reverse();
  }
  /**
   * @returns {Object} Object with tracker arrays for all specified tracking events
   */
  getTrackers(e) {
    const i = {}, r = Array.from(this.adXML.querySelectorAll("ClickTracking, " + e));
    for (let s = 0; s < r.length; s++) {
      const d = r[s], h = d.nodeName.charAt(0).toLowerCase() + d.nodeName.slice(1), A = d.getAttribute("event") || h, v = d.getAttribute("offset"), y = {
        offset: "",
        url: K.trim(d.textContent)
      };
      if (A === qt.ON_AD_PROGRESS && v) {
        const M = K.convertTimeStringToSeconds(v);
        y.offset = M !== null ? M.toString() : "";
      }
      i[A] = i[A] || [], i[A].push(y);
    }
    return i;
  }
}
class po extends c {
  /**
   * This model represents the Object-notation of a single <Ad> node.
   *
   * @param {HTMLElement} adTag a single root Ad node from the VAST response
   * @param {Document} xmlDoc the full VAST response
   */
  constructor(e, i) {
    super(), this.adXML = e, this.rawXML = i instanceof Document ? i.documentElement : i, this.adTrackerList = this.getRootTracker(), this.error = {
      // eslint-disable-next-line no-undefined
      code: void 0,
      message: "",
      timestamp: null
    }, this.extensionsArray = this.getExtensions();
  }
  /**
   * @returns {string} The type of ad as specified by the ad-server (since VAST 4.1)
   */
  get adType() {
    return (K.getMostNestedElement(this.adXML, "Ad") || this.adXML).getAttribute("adType") || "video";
  }
  /**
   * @returns {string|null} The name of the advertiser.
   */
  get advertiser() {
    const e = this.adXML.querySelector("InLine Advertiser");
    return K.trim((e == null ? void 0 : e.textContent) || "");
  }
  /**
   * @returns {array|null} AdVerification
   *
   * The element is used to contain one or more <Verification> elements,
   *  which are used to initiate a controlled container where code can be
   *  executed for collecting data to verify ad viewability details.
   */
  get adVerifications() {
    const e = this.adXML.querySelectorAll("AdVerifications > Verification");
    let i = [];
    for (let r = 0; r < e.length; r++) {
      const s = e[r], d = s.getAttribute("vendor") || "", h = s.querySelector("JavaScriptResource"), A = this.getNodeContentsAsText(
        s.querySelector("VerificationParameters") || document.createElement("div")
      ), v = this.getTrackerNodesAsURLArray(
        s.querySelector("TrackingEvents") || document.createElement("div")
      );
      if (d && d.length > 0 && h) {
        const y = {
          javascriptResource: {
            url: K.trim(this.getNodeContentsAsText(h)),
            apiFramework: h.getAttribute("apiFramework") || "",
            browserOptional: h.getAttribute("browserOptional") === "true" || !1
          },
          tracking: v,
          vendor: d,
          verificationParameters: A
        };
        i.push(y);
      }
    }
    return i.length > 0 ? K.getUnique(i, "vendor") : [];
  }
  /**
   * @returns {Boolean} True if the current ad wrapper has been specified as allowMultipleAds
   */
  get allowMultipleAds() {
    let e = K.getMostNestedElement(this.adXML, "Wrapper");
    return e && e.hasAttribute("allowMultipleAds") ? e.getAttribute("allowMultipleAds") === "true" : !1;
  }
  /**
   * @returns {Array} <Creatives>
   *
   * The <Creatives>(plural) element is a container for one or more <Creative>(singular) element used
   *  to provide creative files for the ad. For an InLine ad, the <Creatives>element nests all the files
   *  necessary for executing and tracking the ad.
   */
  get creatives() {
    return this.creativeClass.allTypesAsArray;
  }
  get creativeClass() {
    return this.creativesArray ? this.creativesArray : (this.creativesArray = new co(this.adXML), this.creativesArray);
  }
  /**
   * @returns {string|null} A brief description of the campaign or placement,
   *  defined by the ad serving party.
   */
  get description() {
    const e = this.adXML.querySelector("InLine Description");
    return K.trim((e == null ? void 0 : e.textContent) || "");
  }
  /**
   * The list of all found <Extension> nodes
   * @returns {Array<Extension>} list
   */
  get extensions() {
    return this.extensionsArray;
  }
  /**
   * @returns {Boolean} false if the current ad wrapper has been specified as fallbackOnNoAd is false default true
   */
  get fallbackOnNoAd() {
    let e = K.getMostNestedElement(this.adXML, "Wrapper");
    return e && e.hasAttribute("fallbackOnNoAd") ? e.getAttribute("fallbackOnNoAd") !== "false" : !0;
  }
  /**
   * @returns {string} from attribute of fallbackType, defaulting to the IAB standard BuffetAd replacement method
   */
  get fallbackType() {
    let e = K.getMostNestedElement(this.adXML, "Wrapper");
    return e && e.hasAttribute("fallbackType") ? e.getAttribute("fallbackType") : "replace";
  }
  /**
   * @returns {string|null} Used to identify the ad server that provides the creative.
   */
  get id() {
    let e = K.getMostNestedElement(this.adXML, "Ad");
    return e && e.hasAttribute("id") ? e.id : this.adXML.getAttribute("id") || null;
  }
  /**
   * @returns {string|null} The purpose of this id is to greatly reduce the amount of work required
   *  to compare impression-level data across multiple systems.
   */
  get adServingId() {
    const e = this.adXML.querySelector("InLine AdServingId");
    return K.trim((e == null ? void 0 : e.textContent) || "");
  }
  /**
   * @returns {Object|null} Real-time bidding (RTB) pricing data including model and currency.
   *  The core doesn't handle RTB, so this is for informational purposes only.
   */
  get pricing() {
    let e = this.adXML.querySelector("InLine Pricing") || K.getMostNestedElement(this.adXML, "Wrapper Pricing");
    return e && e !== this.adXML ? {
      value: this.getNodeContentsAsText(e),
      model: e.getAttribute("model"),
      currency: e.getAttribute("currency")
    } : null;
  }
  /**
   * @returns {string|null} URI to any resource file having to do with collecting survey data.
   */
  get survey() {
    const e = this.adXML.querySelector("InLine Survey");
    return K.trim((e == null ? void 0 : e.textContent) || "");
  }
  /**
   * @returns {string|null} Descriptive name for the ad serving system.
   */
  get system() {
    const e = this.adXML.querySelector("InLine AdSystem");
    return K.trim((e == null ? void 0 : e.textContent) || "");
  }
  /**
   * @returns {string|null} Title for the ad, defined by the ad serving party.
   */
  get title() {
    const e = this.adXML.querySelector("InLine AdTitle");
    return K.trim((e == null ? void 0 : e.textContent) || "");
  }
  /**
   * @returns {Object} Object with tracker arrays for impression and error
   */
  get adTrackers() {
    return this.adTrackerList;
  }
  /**
   * @returns {Array} List of Wrapper objects, starting with the first Wrapper up to the Inline tag.
   */
  get wrappers() {
    const e = [];
    this.rawXML && this.rawXML.hasAttribute("_initialURL") && e.push({
      loadStart: new Date(me(this.rawXML, "_loadStart")).toISOString(),
      loadEnd: new Date(me(this.rawXML, "_loadEnd")).toISOString(),
      loadTime: me(this.rawXML, "_loadEnd") - me(this.rawXML, "_loadStart"),
      url: this.rawXML.getAttribute("_initialURL")
    });
    const i = this.adXML.querySelectorAll("VASTAdTagURI");
    for (let r = 0; r < i.length; r++)
      e.push({
        loadStart: new Date(me(i[r], "_loadStart")).toISOString(),
        loadEnd: new Date(me(i[r], "_loadEnd")).toISOString(),
        loadTime: me(i[r], "_loadEnd") - me(i[r], "_loadStart"),
        url: K.trim(i[r].textContent)
      });
    return e;
  }
  /**
   * Note: VAST 4.0 had an attribute “idValue” that was a duplicate of the node value and so was removed as of 4.1.
   * Media players should not fail if this attribute is present, but should always use the Content
   *  as the source of truth for the creative ID value
   *
   * Content/"idValue" A string identifying the unique creative identifier.
   * Default value is “unknown” idRegistry*A string used to identify the URL for the registry website
   *  where the unique creative ID is cataloged. Default value is “unknown.
   *
   * @returns {Object} UniversalAdId
   */
  get universalAdId() {
    const e = this.adXML.querySelectorAll("Creative UniversalAdId"), i = e[e.length - 1];
    return i ? this.extractUniversalAdIdInfo(i) : { idRegistry: "unknown", idValue: "unknown" };
  }
  /**
   * VAST 4.2 allows multiple UniversalAdId nodes to be provided
   *
   * @returns {Array} List of all Universal Ad IDs
   */
  get universalAdIds() {
    let e = [];
    const i = this.adXML.querySelectorAll("Creative UniversalAdId");
    for (let r = 0; r < i.length; r++)
      e.push(this.extractUniversalAdIdInfo(i[r]));
    return e;
  }
  /**
   * Returns all VAST Extensions (no CreativeExtensions)
   *
   * @internal
   * @returns {Array} Extensions
   */
  getExtensions() {
    let e = [];
    if (this.adXML) {
      const i = this.adXML.querySelectorAll("Extensions > Extension");
      for (let r = 0; r < i.length; r++)
        e.push({
          type: i[r].getAttribute("type"),
          extensionXML: i[r]
        });
    }
    return e;
  }
  getNodeContentsAsText(e) {
    var i;
    return ((i = e == null ? void 0 : e.textContent) == null ? void 0 : i.trim()) || "";
  }
  extractUniversalAdIdInfo(e) {
    return {
      idRegistry: e.getAttribute("idRegistry") || null,
      idValue: this.getNodeContentsAsText(e) || K.trim(
        e.getAttribute("idValue") || "unknown"
      )
    };
  }
  /**
   * Note: TrackingEvents moved to the creative level
   * @internal
   * @returns {Object} Object with tracker arrays for error, impression and viewableImpression
   */
  getRootTracker() {
    const e = {};
    if (this.adXML) {
      const i = [...this.adXML.querySelectorAll(
        "Error, Impression, NotViewable, Viewable, ViewUndetermined"
      )];
      this.adXML.nodeName === "Error" && i.push(this.adXML), i.forEach((r) => {
        const s = r.nodeName.charAt(0).toLowerCase() + r.nodeName.slice(1), d = this.getNodeContentsAsText(r);
        d && d.length > 0 && (e[s] = e[s] || [], e[s].push({
          url: d
        }));
      });
    }
    return e;
  }
  /**
   * Extracts tracking event nodes from a provided DOM element and returns them as an array of objects with URLs.
   *
   * @param {Element} trackingEventsNode - DOM element containing tracking event nodes.
   * @returns {Object} Object with tracking events as keys, each containing an array of objects with URL properties.
   */
  getTrackerNodesAsURLArray(e) {
    const i = {};
    return e && Array.from(e.querySelectorAll("Tracking")).forEach((r) => {
      const s = this.getNodeContentsAsText(r), d = r.getAttribute("event");
      s && s.length > 0 && d !== null && (i[d] || (i[d] = []), i[d].push({
        url: s
      }));
    }), i;
  }
}
class Pt extends po {
  /**
   * This model represents the Object-notation of a single <Ad> node.
   *
   * @param {HTMLElement} adTag a single root Ad node from the VAST response
   * @param {Document} xmlDoc the full VAST response
   */
  constructor(e, i) {
    super(e, i), this.adXML = e, this.adSkippableStateChange = !1, this.deepestClickThroughURL = this.getClickThroughURL(), this.isLinearBoolean = this.adXML.querySelectorAll("Creative Linear").length >= 1 || !1, this.isSkippableBoolean = !1, this.linearDuration = this.getDuration(), this.sequencePosition = this.adXML.getAttribute("sequence") || NaN, this.skipOffsetValue = this.parseSkipOffsetToNumber(), this.variantExtension = this.getVariant(
      K.getMostNestedElement(
        this.adXML,
        'Extension[type="sxp"] variant, Extension[name="SXP"] AdInfo'
      ) || document.createElement("Extension")
    ), this.replaced = !1, this.error = this.getError();
  }
  parseSkipOffsetToNumber() {
    var i;
    const e = K.convertTimeStringToSeconds(
      ((i = this.adXML.querySelector("InLine Linear")) == null ? void 0 : i.getAttribute("skipoffset")) || "0"
    );
    return typeof e == "number" ? e : -1;
  }
  /**
   * @returns {boolean} state whether the ON_AD_SKIPPABLE_STATE_CHANGE has been sent or not
   */
  get adSkippableStateChangeSent() {
    return this.adSkippableStateChange;
  }
  /**
   * @param {boolean} state whether the ON_AD_SKIPPABLE_STATE_CHANGE has been sent or not
   * @returns {void}
   */
  set adSkippableStateChangeSent(e) {
    this.adSkippableStateChange = e;
  }
  /**
   * Simple getter to check whether the ad can be delivered or not.
   * @returns {boolean} true if the ad is corrupted
   */
  get hasError() {
    return this.error !== null;
  }
  /**
   * The landing page URL
   * @returns {string} url
   */
  get clickThroughURL() {
    return this.deepestClickThroughURL;
  }
  /**
   * The url might be updated at runtime from VPAID creatives
   * @param {string} url The landing page URL
   * @returns {void}
   */
  set clickThroughURL(e) {
    this.deepestClickThroughURL = e;
  }
  /**
   * Time value for the duration of the Linear ad
   * @returns {number} in seconds
   */
  get duration() {
    return this.linearDuration;
  }
  /**
   * The duration might be updated at runtime after receiving the video's metadata.
   * @param {number} time Video duration in seconds
   * @returns {void}
   */
  set duration(e) {
    this.linearDuration = e;
  }
  /**
   @returns {Boolean} True if the current ad is linear
   */
  get isLinear() {
    return this.isLinearBoolean;
  }
  /**
   * @param value {Boolean}
   */
  set isLinear(e) {
    this.isLinearBoolean = e;
  }
  /**
   * Note: Up to version 4.x the `isSkippable` flag was used to check whether the ad can be skipped, depending on the
   * current progress. The following conditions must have been met:
   *  - the ad has specified a `skipoffset`
   *  - the parsed time of `skipoffset` is equal or greater than 0 seconds
   *  - the current playhead time is equal or greater than the `skipoffset`
   *
   * @returns {Boolean} True if the current Linear has attribute skipoffset.
   */
  get isSkippable() {
    return this.isSkippableBoolean;
  }
  /**
   * @param value {Boolean}
   */
  set isSkippable(e) {
    this.isSkippableBoolean = e;
  }
  /**
   * @returns {number} Representing the numerical order in which each sequenced creative within an ad should play
   */
  get sequence() {
    return parseFloat(this.sequencePosition);
  }
  set sequence(e) {
    this.sequencePosition = e;
  }
  /**
   * @returns {number} Representing the playback time after a linear ad can be skipped. Defaulting to -1, not
   *     skippable.
   */
  get skipOffset() {
    return this.skipOffsetValue;
  }
  /**
   * @param {number} seconds The playback time after an ad can be skipped. The value might be updated with publisher
   *     settings.
   */
  set skipOffset(e) {
    this.skipOffsetValue = e;
  }
  /**
   * The ad variant, based on data we get from the SXP VAST Extension.
   * If omitted, the variant defaults to AD_VARIANT.COMMERCIAL
   *
   * @returns {string} variant of the ad
   */
  get variant() {
    return this.variantExtension;
  }
  /**
   * @param value {string}
   */
  set variant(e) {
    this.variantExtension = e;
  }
  /**
   * @internal
   * @param {Node} variantElement - The XML node that has the variant information for this ad.
   * @returns {string} variant - The normalized name based on the `AD_VARIANT` name.
   */
  getVariant(e) {
    const i = {
      // Current SXP variant values, freewheel-style (Ooyala)
      NORMAL: ve.COMMERCIAL,
      BUMPER: ve.SPONSORED,
      // Future SXP variant values, the extension remains freewheel-style (Ooyala)
      COMMERCIAL: ve.COMMERCIAL,
      SPONSORED: ve.SPONSORED
    };
    let r = ve.COMMERCIAL;
    return e.nodeName === "AdInfo" && (r = e.getAttribute("variant") || ""), e.nodeName === "variant" && e.textContent && (r = e.textContent.trim()), i[r.toUpperCase()] || ve.COMMERCIAL;
  }
  getDuration() {
    var i, r;
    const e = ((r = (i = K.getMostNestedElement(this.adXML, "Linear Duration")) == null ? void 0 : i.textContent) == null ? void 0 : r.trim()) || Pt.FALLBACK_LINEAR_DURATION;
    return K.convertTimeStringToSeconds(e);
  }
  /**
   * Description object of the most recent ad error.
   *
   * @returns {Object} <error>
   */
  getError() {
    function e(r) {
      if (r.parentNode)
        return r.parentNode.querySelector(":scope > parsererror");
    }
    const i = this.adXML.querySelector("parsererror") || e(this.adXML);
    return i ? {
      code: me(i, "code"),
      message: i.getAttribute("message") || "",
      timestamp: null
    } : this.flagCappedAds();
  }
  flagCappedAds() {
    return this.adXML.querySelector("InLine") && this.adXML.nodeName !== "Error" ? null : {
      code: w.WRAPPER.NO_RESPONSE.code,
      message: w.WRAPPER.NO_RESPONSE.message,
      timestamp: null
    };
  }
  getClickThroughURL() {
    const e = K.getMostNestedElement(this.adXML, "VideoClicks ClickThrough");
    return K.trim((e == null ? void 0 : e.textContent) || "");
  }
}
Pt.FALLBACK_LINEAR_DURATION = "00:00:20";
class fo {
  /**
   * Creates an instance of AdSlotModel.
   *
   * @param {Document} xmlDoc - The XML document containing ad information.
   */
  constructor(e) {
    this.adList = [], this.handleXMLDoc(e);
  }
  /**
   * Handles the provided XML document to extract and create Ad instances.
   *
   * @param {Document} xmlDoc - The XML document containing ad information.
   */
  handleXMLDoc(e) {
    let i = e.querySelector("parsererror"), r = e.querySelectorAll(":root > *"), s;
    if (!(e.querySelector("html") && i)) {
      if (e.querySelector("html")) {
        s = document.createElement("VAST");
        const d = new Pt(s, e);
        this.adList.push(d);
        return;
      }
      if (e instanceof DocumentFragment && i) {
        s = document.createElement("VAST"), s.appendChild(i);
        const d = new Pt(s, e);
        this.adList.push(d);
      }
      for (let d = 0; d < r.length; d++) {
        const h = new Pt(r[d], e);
        this.adList.push(h);
      }
    }
  }
  /**
   * Gets the list of ads in the playlist.
   *
   * @returns {Ad[]} - The list of ads. Empty when no ad.
   */
  getAdList() {
    return this.adList;
  }
}
function Ao(E, e) {
  if (!E)
    return [];
  const i = Object.values(ai);
  let r = [];
  const s = document.createElement("video"), d = document.createElement("audio");
  let h = i;
  return e && e.length > 0 && (r = e, h = e), h.filter((v) => !("canPlayType" in s) || v === "application/javascript" || s.canPlayType(v) !== "" || d.canPlayType(v) !== "" ? r.push(v) : !1), (r.length <= 0 || r.length === 1 && r[0] === "application/javascript") && (r = h), E.filter((v) => r.find((y) => v.mimeType === y));
}
class Vi {
  static getProperCreative(e, i) {
    if (!e || e.length < 1)
      return null;
    let r = e.slice(0);
    return e[0].type === he.NON_LINEAR ? Eo.select(r, i) : mo.select(r, i);
  }
  /**
   * Removes VPAID media files from unwanted vendors.
   * @param {Array} creativeFiles represents all available MediaFiles from an ad
   * @param {Array} vendorWhiteList specifies a list of accepted VPAID vendors.
   * Each String has to represent an unique identifier that can be found within the creative media file URL, most
   *  likely the domain name.
   * @returns {Array} Revised mediaFileList
   */
  static removeUnwantedVPAIDVendors(e, i = []) {
    return e.filter((r) => r.isVPAID ? this.isFriendlyVendorHost(r.fileURL, i) : !0);
  }
  static isFriendlyVendorHost(e, i = []) {
    return !i || i && i.length === 0 ? !0 : i.some((r) => new URL(e).origin.indexOf(r) > -1);
  }
}
class mo {
  static select(e, i) {
    return e.forEach((s) => {
      s._isValid = !1, s.selectedCreativeFile = null, s.selectedMediaFile = null;
      let d = s.mediaFiles || [];
      d.map((A) => {
        var v;
        !s.selectedCreativeFile && A.apiFramework && (A.isSIMID = (A.apiFramework + "").toUpperCase() === "SIMID", s.selectedCreativeFile = A.isSIMID ? A : null), (v = s.selectedCreativeFile) != null && v.isSIMID && (A.isSIMID = !0), A.isVPAID = (A.apiFramework + "").toUpperCase() === "VPAID";
      }), d = Vi.removeUnwantedVPAIDVendors(d, i.desiredVPAIDVendors);
      let h = Ao(d, i.desiredMimeTypes);
      s.selectedMediaFile = this.selectMediaFile(
        h,
        i.desiredBitrate || 1e3,
        i.desiredMimeTypes || []
      ), s.selectedMediaFile && (s._isValid = !0);
    }), e.filter((s) => s._isValid).shift();
  }
  /**
   * @param {Array} mediaFileList represents all available MediaFiles from an ad.
   * @param {number} bitrate indicates the desired bitrate in kilobits per second (kbps).
   * @param {Array} desiredMimeTypes represents the favorite mediaFiles in a certain order.
   * @returns {Array} Revised mediaFileList with favored desiredMimeType.
   */
  static selectMediaFile(e, i, r) {
    let s = e.filter((A) => A.isSIMID), d = e.filter((A) => A.isVPAID);
    if (s.length > 0)
      return s[0];
    if (d.length > 0)
      return d[0];
    let h = [];
    for (let A = 0; A < r.length; ) {
      if (A > 0 && h.length > 0) {
        e = h;
        break;
      }
      e.filter((v) => {
        v.mimeType === r[A] && h.push(v);
      }), A++;
    }
    return this.selectMediaFileByBitrate(e, i);
  }
  // mediafile returned has smaller or same bitrate as requested one
  static selectMediaFileByBitrate(e, i) {
    let r = e.filter((d) => !d.isVPAID).sort((d, h) => h.bitrate - d.bitrate), s = r.filter((d) => d.bitrate <= i);
    return s.length > 0 ? s.shift() : r.pop() || e.shift();
  }
}
class Eo {
  static select(e, i) {
    return e.forEach((s) => {
      s._isValid = !1;
      const d = s.variations;
      d.map((h) => {
        h.selectedResource = null, (h.apiFramework + "").toUpperCase() === "VPAID" && (h.isVPAID = !0, h.resources = h.resources.filter((A) => Vi.isFriendlyVendorHost(A.resource, i.desiredVPAIDVendors)));
      }), d.forEach((h) => {
        h.resources.length <= 0 ? h.hasCreative = !1 : (h.selectedResource = h.resources[0], s._isValid = !0);
      }), s.variations = d.filter((h) => !!h.selectedResource);
    }), e.filter((s) => s._isValid).shift();
  }
}
const Ln = {
  HLS: "application/x-mpegURL",
  PROGRESSIVE: "video/mp4",
  MP4: "video/mp4",
  DASH: "application/dash+xml",
  WEBM: "video/webm",
  OGG: "video/ogg"
};
function go(E, e, i, r) {
  let s = E;
  const d = i, h = r, A = e, v = {
    DIVIDER: ve.DIVIDER,
    CLOSER: ve.CLOSER,
    OPENER: ve.OPENER
  };
  function y(W) {
    let Ee = [], z = {
      adParameters: null,
      creativeTrackers: {},
      duration: Pt.FALLBACK_LINEAR_DURATION,
      icons: [],
      mediaFiles: [],
      supportedMediaFiles: [],
      skinDelay: NaN,
      type: he.LINEAR,
      universalAdId: ["unknown", "unknown"],
      videoClickThroughURLTemplate: "",
      videoClickTrackingURLTemplates: [],
      videoCustomClickURLTemplates: []
    };
    for (let le in W) {
      const I = le.toUpperCase();
      if (W.hasOwnProperty(le) && Ln.hasOwnProperty(I) && W[le].length > 0) {
        let _ = {
          apiFramework: "",
          bitrate: 500,
          codec: "",
          deliveryType: "progressive",
          fileURL: "",
          height: 360,
          id: "",
          isSIMID: !1,
          isVPAID: !1,
          maintainAspectRatio: !0,
          maxBitrate: 5e3,
          mimeType: "video/mp4",
          minBitrate: 0,
          scalable: !0,
          width: 640
        };
        _.fileURL = W[le], _.mimeType = Ln[I], z.mediaFiles.push(_);
      }
    }
    return z.supportedMediaFiles = z.mediaFiles, Ee.push(z), Ee;
  }
  function M() {
    Object.keys(v).forEach((W) => {
      if (d && d.hasOwnProperty(v[W])) {
        const Ee = d[v[W]];
        if (!A && !Ee.forcePlay)
          return;
        let z = {};
        switch (z.adTrackers = [], z.creatives = y(Ee), z.id = z.adId = v[W], z.isLinear = !0, z.variant = v[W], z.properCreative = z.creatives[0], z.properCreative.selectedMediaFile = z.properCreative.supportedMediaFiles[0], z.config = h, z.enrichment = new vt(), z.adReinsertion = new ue(h.adReinsertion, z.enrichment), z.expectedAdType = d.type, z.isPaused = !0, v[W]) {
          case v.DIVIDER:
            let le = [];
            if (s.forEach((I, _) => {
              _ > 0 && I.variant !== s[_ - 1].variant && le.push({
                offset: _,
                ad: z
              });
            }), d[v[W]].forcePlay && le.length === 0) {
              s[0].variant === "sponsored" ? s.unshift(z) : s.push(z);
              break;
            }
            le.forEach((I, _) => {
              const U = I.offset + _;
              s.splice(U, 0, I.ad);
            });
            break;
          case v.CLOSER:
            s.push(z);
            break;
          case v.OPENER:
            s.unshift(z);
            break;
        }
      }
    });
  }
  function ee() {
    let W = 0, Ee = 0, z = 0;
    const le = s.length;
    s.forEach((I, _) => {
      I.variant === ve.COMMERCIAL ? (I.currentCommercial = Ee += 1, (I.fallbackOnNoAd || !I.fallbackOnNoAd) && I.hasError && (W += 1), I.currentPodSequencing = Ee - W) : (I.fallbackOnNoAd || !I.fallbackOnNoAd) && I.hasError && (z += 1), I.variant !== ve.COMMERCIAL && (I.currentCommercial = -1), I.sequence = "" + (_ + 1), I.currentClip = _ + 1;
    }), s.totalClips = le, s.totalPlayableClips = le - W - z, s.totalCommercials = Ee, s.totalPlayableCommercials = Ee - W;
  }
  return M(), ee(), s;
}
function Mn(E) {
  let e = E;
  for (let i = 0; i < e.length; i++) {
    let s = e[i].extensions;
    s == null || s.forEach((d) => {
      typeof d.extensionXML == "string" && (d.extensionXML = new DOMParser().parseFromString(d.extensionXML, "application/xml").getElementsByTagName("Extension").item(0));
    });
  }
  return e;
}
class vo {
  constructor(e, i, r, s) {
    this.adBreak = s, this.adList = e, this.adSlotBuffetList = [], this.adSlotModelList = [], this.config = i, this.environmentVars = r, this.NAME = "AdSltModGen::", this.decorateAdList(), this.createAdSlotModel(), this.extendWithSeparationClips(), Mn(this.adSlotModelList), this.adSlotBuffetList = Mn(this.adSlotBuffetList), c.debug.info(this.NAME + "adPod", this.adSlotModelList), c.debug.info(this.NAME + "adBuffet", this.adSlotBuffetList);
  }
  applyBuffetAd() {
    if (this.adSlotBuffetList.length > 0) {
      let e = this.adSlotModelList.filter((i) => i).sort(this.bySequence).reverse();
      for (let i = e.length - 1; i >= 0; i--) {
        const r = e[i];
        if (r.fallbackOnNoAd && this.adSlotBuffetList.length > 0) {
          let s = this.adSlotBuffetList.shift();
          s.sequence = r.sequence + 0.1, this.adSlotModelList.splice(r.sequence - 1, 0, s);
        }
      }
    }
  }
  decorateAdList() {
    this.adList.forEach((e) => {
      if (e.adBreakPosition = this.adBreak.adBreakPosition, e.config = this.config, e.enrichment = new vt(), e.enrichment.setFromObject(e.publisherMacros), e.expectedAdType = this.adBreak.type, e.publisherMacros = this.environmentVars.vastMacros, e.adReinsertion = new ue(e.config.adReinsertion, e.enrichment), e.isPaused = !0, !e.hasError) {
        if (e.creatives.length < 1) {
          e.error = {}, e.error = w.WRAPPER.NO_RESPONSE;
          return;
        }
        if (e.expectedAdType === he.LINEAR && e.creativeClass.linearAsArray[0].mediaFiles.length === 0 || e.expectedAdType === he.NON_LINEAR && e.creativeClass.nonLinear.length === 0) {
          e.error = {}, e.error = w.CREATIVE.EXPECTED_DIFFERENT_LINEARITY;
          return;
        }
        e.expectedAdType === he.LINEAR ? (e.properCreative = Vi.getProperCreative(e.creativeClass.linearAsArray, this.environmentVars), e.properCreative && (e.closedCaptions = e.properCreative.captions, e.icons = e.properCreative.icons)) : e.properCreative = Vi.getProperCreative(e.creativeClass.nonLinear, this.environmentVars), e.properCreative || (e.error = {}, e.error = w.VAST.UNSUPPORTED_MIMETYPE);
      }
    });
  }
  createAdSlotModel() {
    this.getPodAdList().length > 0 ? (this.adSlotModelList = this.getPodAdList(), this.adSlotBuffetList = this.getBuffetAdList(), this.hasPlayableAds || this.applyBuffetAd()) : (this.adSlotModelList = this.adList, this.adSlotBuffetList = []);
  }
  extendWithSeparationClips() {
    this.adBreak.type === he.LINEAR && (this.adSlotModelList = go(
      this.adSlotModelList,
      this.hasPlayableAds,
      this.adBreak,
      this.config
    ));
  }
  /**
   * We deliver ads that are either playable or at least trackable. So both states are considered valid.
   *
   * @returns {boolean} Whether we have found one or more deliverable ads.
   */
  get hasValidAds() {
    return !!this.adSlotModelList.filter((i) => !i.hasError || i.hasError).shift();
  }
  /**
   * The separation clip feature is applied to all adSlots that have at least one playable ad.
   * Note that playable doesn't include trackable ads!
   *
   * @returns {boolean} Whether we have found one or more playable ads.
   */
  get hasPlayableAds() {
    return !!this.adSlotModelList.filter((i) => !i.hasError).shift();
  }
  get hasSessionTimeoutError() {
    return this.adList.some((e) => e.adXML && e.adXML.querySelector(`ParserError[code="${w.SESSION.TIMEOUT.code}"]`));
  }
  get adSlotModel() {
    return this.adSlotModelList;
  }
  get adSlotBuffet() {
    return this.adSlotBuffetList;
  }
  getPodAdList() {
    return this.adList.filter((e) => !isNaN(e.sequence)).sort(this.bySequence);
  }
  getBuffetAdList() {
    return this.adList.filter((e) => {
      const i = isNaN(e.sequence) && this.environmentVars.prefetchBuffetAds, r = isNaN(e.sequence) && !this.environmentVars.prefetchBuffetAds && !e.hasError;
      return i || r;
    });
  }
  // sort ads by ascending sequence number
  bySequence(e, i) {
    return e.sequence - i.sequence;
  }
}
const _r = class _r {
  constructor(e) {
    this.adReinsertion = e.adReinsertion, this.adSlotTimeout = e.timeouts.adSlotRequest * 1e3, this.blockInsecureURL = e.blockInsecureURL || !1, this.callbackOnDoneLoading = null, this.hasSessionTimeoutError = !1, this.initialTimestamp = Date.now().toString(), this.maxWrapperDepth = e.maxWrapperDepth, this.urlHandlerOptions = {}, this.urlHandlerOptions.adReinsertion = this.adReinsertion, this.urlHandlerOptions.enrichment = e.enrichment, this.urlHandlerOptions.timeouts = e.timeouts, this.wrapperChainTimeout = e.timeouts.adRequestChain * 1e3, this.NAME = "AdTagSvc", this.XMLsToLoad = 0, this.XMLDoc = null, e.adRequestObserver.requestTime = Date.now();
  }
  /**
   * Takes XML document and fetches all the URLs
   * On resolve the final XMLDoc of the aggregated files will be returned
   * @param XMLDoc
   * @returns {*|Promise<unknown>}
   */
  requestFinalXML(e, i) {
    this.callbackOnDoneLoading = i, this.requestXML(e);
  }
  /* c8 ignore start - no unitTests */
  /**
   * Takes URL and loads all wrappers, if needed
   * On resolve the final XMLDoc of the aggregated files will be returned
   * @param XMLDoc
   * @returns {*|Promise<unknown>}
   */
  requestURL(e, i) {
    this.callbackOnDoneLoading = i, this.initialTimestamp = Date.now().toString(), this.loadURL(e).then((r) => (this.saveInitialURLToTag(e, r), this.saveInitialTimestampToTag(this.initialTimestamp, Date.now().toString(), r), this.requestXML(r)));
  }
  /* c8 ignore stop */
  requestXML(e) {
    this.XMLDoc = e, this.loadAllWrapperURLs(() => {
      --this.XMLsToLoad <= 0 && this.onAllAdWrappersWalked();
    });
  }
  loadAllWrapperURLs(e) {
    let i = this.XMLDoc.querySelectorAll("VASTAdTagURI");
    if (this.XMLsToLoad = i.length, this.XMLsToLoad === 0) {
      e();
      return;
    }
    for (let r = 0; r < this.XMLsToLoad; r++) {
      let d = (i[r].textContent || "").trim();
      this.walkDownAdWrappers(
        d,
        0,
        i[r].parentNode,
        Date.now()
      ).then(() => {
        e();
      }).catch((h) => {
        e(h);
      });
    }
  }
  walkDownAdWrappers(e, i, r, s) {
    return new Promise((d, h) => {
      let A = r.querySelector("VASTAdTagURI");
      if (A.setAttribute("_loadStart", Date.now().toString()), A.setAttribute("_loadEnd", Date.now().toString()), Date.now() - s > this.wrapperChainTimeout)
        return Xe(r, w.WRAPPER.CHAIN_TIMEOUT), h(), e;
      if (i >= this.maxWrapperDepth)
        return Xe(
          r,
          w.WRAPPER.LIMIT_REACHED
        ), h(), e;
      if (this.isInsecureURL(e))
        return Xe(r, w.SESSION.MIXED_CONTENT), h(), e;
      if (this.hasSessionTimeoutError)
        return h(), e;
      let v, y;
      this.loadURL(e, !0).then((M) => {
        let ee = M.querySelector("VASTAdTagURI");
        v = ((ee || {}).textContent || "").trim(), v && (y = ee.parentNode), this.addContentToWrapperNode(r, M), A.setAttribute("_loadEnd", Date.now().toString()), d([v, y]);
      });
    }).then((d) => {
      let [h, A] = d;
      return h ? this.walkDownAdWrappers(h, i + 1, A, s) : e;
    });
  }
  onAllAdWrappersWalked() {
    this.callbackOnDoneLoading(this.XMLDoc);
  }
  loadURL(e, i = !1) {
    return this.urlHandlerOptions.response = null, this.urlHandlerOptions.isWrapper = i, new Promise((r) => {
      new Ir().get(e, (s, d) => {
        if (Date.now() - parseInt(this.initialTimestamp, 10) > this.adSlotTimeout) {
          let h = d || document.createDocumentFragment(), A = h.querySelector("Ad") || h.documentElement || h;
          this.hasSessionTimeoutError = !0, Xe(A, w.SESSION.TIMEOUT), this.adReinsertion.setReinsertionReason({
            reason: ue.REASON.AD_SLOT_TIMEOUT,
            xmlResponse: d
          }), r(h);
        }
        if (!s && d && d.querySelector("parsererror")) {
          let h = document.createDocumentFragment();
          Xe(h, w.XML.INVALID_XML), this.adReinsertion.setReinsertionReason({
            reason: ue.REASON.XML_PARSING_ERROR,
            xmlResponse: d
          }), r(h);
        }
        if (!s && d && d.documentElement.nodeName.toUpperCase() === "VAST" && d.querySelectorAll(":scope > *").length === 0) {
          let h = document.createDocumentFragment();
          Xe(h, w.WRAPPER.NO_RESPONSE), r(h);
        }
        if (s && !d) {
          let h = document.createDocumentFragment();
          c.debug.warn(
            this.NAME + " XHR Request Error",
            s.code,
            s.description
          ), Xe(h, s), r(h);
        } else
          r(d);
      }, this.urlHandlerOptions);
    });
  }
  /* c8 ignore start - no unitTests */
  isInsecureURL(e) {
    return this.blockInsecureURL && !xn(e);
  }
  /* c8 ignore stop */
  setAttributeToTag(e, i, r) {
    if (r) {
      let s = r.querySelector("VAST");
      s && s.setAttribute(e, i);
    }
  }
  saveInitialURLToTag(e, i) {
    this.setAttributeToTag("_initialURL", e, i);
  }
  saveInitialTimestampToTag(e, i, r) {
    this.setAttributeToTag("_loadStart", e, r), this.setAttributeToTag("_loadEnd", i, r);
  }
  addContentToWrapperNode(e, i) {
    let r = document.createElement("_VASTAdTagURIContent");
    r.appendChild(i.firstElementChild), e.appendChild(r);
  }
};
_r.EVENT = {
  PARSED: "AdTagService::parsed"
};
let vr = _r;
class So {
  // to not leak currentAd into public available API we have to define it in this "closure"
  // as with ES6 there's no good way to keep variables private yet
  // neither weakmaps nor symbols really help
  // pitfalls:
  // - use 'that' instead of 'this' in the getters
  // - mind to use commas between getters
  constructor(e) {
    if (!e)
      return {};
    function i(h, A) {
      const v = e[h];
      return !v || v.length <= 0 ? (c.debug.info(A), []) : v;
    }
    const r = (h, A) => {
      const v = e.creatives;
      if (v && v.length !== 0) {
        const y = v.find((M) => M.type === h);
        if (y && y.variations && y.variations.length > 0)
          return y.variations;
      }
      return c.debug.info(A), [];
    };
    function s(h) {
      return h.charAt(0).toUpperCase() + h.slice(1);
    }
    const d = (h) => {
      var v, y;
      if (e.isLinear) {
        const M = e.properCreative && e.properCreative.selectedMediaFile;
        return M ? M[h] : -1;
      }
      const A = (y = (v = e.creativesArray) == null ? void 0 : v.nonLinearCreative[0]) == null ? void 0 : y.variations[0];
      if (A && e.isExpanded) {
        const M = `expanded${s(h)}`;
        return A[M] === -1 ? A[h] : A[M];
      }
      return A ? A[h] : -1;
    };
    return {
      get adId() {
        return e.id;
      },
      /**
       * The value of this property is an Array that provides closed captions for the `<MediaFile>` element.
       * The video player should request this value whenever it receives the **ON_CLOSED_CAPTIONS_DETECTED**
       *  add-on event.
       * @returns {Array.<ClosedCaption>} List of all closed captions.
       */
      get closedCaptions() {
        return i("closedCaptions", "There are no Closed Captions along with this ad.");
      },
      /**
       * The value of this property is an Array that provides ad companion details for each `<CompanionAd>`
       *  element. The video player should request this value whenever it receives the `ON_COMPANIONS_DETECTED`
       *  event.
       *
       * @returns {Array.<CompanionAd>} List of all companion ads.
       */
      get companions() {
        return r("companion", "There are no companions available.");
      },
      get currentTime() {
        return e.currentTime || -1;
      },
      get duration() {
        var h;
        return !e.isLinear && ((h = e.creativesArray) != null && h.nonLinearCreative.length) ? e.creativesArray.nonLinearCreative[0].variations[0].displayDuration : e.duration;
      },
      /**
       * Requests details about the most recent error that has occurred with the current ad.
       * @returns {AdError} Description object of the most recent ad error
       */
      get error() {
        return !e.error || !e.error.code ? (c.debug.info("The ad seems to have no error."), {
          code: -1,
          timestamp: Date.now(),
          message: "No error."
        }) : {
          code: e.error.code,
          timestamp: Date.now(),
          message: e.error.message
        };
      },
      /**
       * The value of this property is an Array that provides ad extension details for the
       *  `<Extensions>` element.
       * The video player should request this value whenever it receives the **ON_EXTENSIONS_DETECTED**
       *  add-on event.
       * @returns {Array.<Extension>} List of all extensions.
       */
      get extensions() {
        return i("extensions", "There is no VAST extension available.");
      },
      /**
       * Returns whether the current ad has a ClickThrough target (URL) or not.
       * @returns {boolean} - true if the current ad contains a ClickThrough URL.
       */
      get hasClickThrough() {
        return !!e.clickThroughURL;
      },
      get height() {
        return d("height");
      },
      /**
       * The value of this property is an Object that provides ad icon details for the `<Icon>` element.
       * The video player should request this value whenever it receives the **ON_ICONS_DETECTED** add-on event.
       * @returns {Object.<Icon>} Object of all industry icons.
       */
      get icons() {
        return !e.icons || Object.keys(e.icons).length <= 0 ? (c.debug.info("There are no Industry Icons along with this ad."), {}) : e.icons;
      },
      get isExpanded() {
        return e.isExpanded || !1;
      },
      /**
       * Returns whether the current ad is interactive (most likely by using __VPAID__) or not.
       * @returns {boolean} - true if the current ad has been specified as interactive.
       */
      get isInteractive() {
        return e.isInteractive || !1;
      },
      get isLinear() {
        return e.isLinear;
      },
      /**
       * Note: Up to version 4.x the `isSkippable` flag was used to check whether the ad can be skipped, depending
       * on the current progress. The following conditions must have been met:
       *  - the ad has specified a `skipoffset`
       *  - the parsed time of `skipoffset` is equal or greater than 0 seconds
       *  - the current playhead time is equal or greater than the `skipoffset`
       *
       * @returns {boolean} - true if the current Linear has attribute skipoffset.
       */
      get isSkippable() {
        return e.isSkippable;
      },
      /**
       * The value of this property is an Object that provides the linear ad detail for the current `<Linear>`
       *  element.
       * @returns {Object} with details about the linear ad.
       */
      get linear() {
        const h = e.properCreative;
        return h && h.length !== 0 ? h : (c.debug.info("There are no linear ads available."), {});
      },
      /**
       * The list outlines the various VAST macros and their current values.
       * @returns {Object} Snapshot of the VAST Macros.
       */
      get macroList() {
        return e.enrichment ? e.enrichment.getMacroList() : {};
      },
      /**
       * The value of this property is an Array that provides ad nonLinear details for each `<NonLinearAds>`
       *  element.
       *
       * @returns {Array.<NonLinearAds>} List of all nonLinear ads.
       */
      get nonLinear() {
        return r("nonlinear", "There are no nonLinearAds available.");
      },
      get remainingTime() {
        var h;
        return !e.isLinear && ((h = e.creativesArray) != null && h.nonLinearCreative.length) ? e.duration - e.currentTime : e.remainingTime || e.duration || -1;
      },
      /**
       * @returns {number} Representing the playback time after a linear ad can be skipped. Defaulting to -1, not
       *  skippable.
       */
      get skipOffset() {
        return e.skipOffset;
      },
      /**
       * @returns {string|null} Title for the ad, defined by the ad serving party.
       */
      get title() {
        return e.title;
      },
      /**
       * @returns {string} The type of ad as specified by the ad-server (since VAST 4.1)
       */
      get type() {
        return e.adType;
      },
      /**
       * Note: VAST 4.0 had an attribute “idValue” that was a duplicate of the node value and so was removed as of 4.1.
       * Media players should not fail if this attribute is present, but should always use the Content
       *  as the source of truth for the creative ID value
       *
       * Content/"idValue" A string identifying the unique creative identifier.
       * Default value is “unknown” idRegistry*A string used to identify the URL for the registry website
       *  where the unique creative ID is cataloged. Default value is “unknown.
       *
       * @returns {Object} UniversalAdId
       */
      get universalAdId() {
        return e.universalAdId;
      },
      /**
       * VAST 4.2 allows multiple UniversalAdId nodes to be provided
       *
       * @returns {Array} List of all Universal Ad IDs
       */
      get universalAdIds() {
        return e.universalAdIds;
      },
      /**
       * @returns {string} variant of the ad (closer, divider, commercial, sponsored, opener).
       */
      get variant() {
        return e.variant;
      },
      /**
       * The value of this property is an Array that provides details for each `<Verification>` element.
       * The video player may request this value whenever it receives the **ON_VERIFICATIONS_DETECTED** add-on
       *  event, depending on whether the player takes care of the Open Measurement.
       * @returns {Array.<AdVerification>} List of all ad verification vendors (if configured, whitelisted
       *  vendors only)
       */
      get verifications() {
        return i("adVerifications", "There is no AdVerification vendor available.");
      },
      /**
       * Contains information about the visibility status, the corresponding threshold value and the
       * current visibility value.
       * @returns {Object} Overview about the status of visibility.
       */
      get viewability() {
        return e.viewability ? e.viewability : {};
      },
      set volume(h) {
        e.volume = h;
      },
      get volume() {
        return e.volume || -1;
      },
      get width() {
        return d("width");
      },
      /**
       * The value of this property is an Array of Objects whereas each Object represents the details for a
       *  Wrapper response. The video player may request this value whenever it requires more insights to a chain
       *  of ad server responses.
       * @returns {Array.<Object>} List of Wrapper objects, starting with the initial request up to the last
       *  Wrapper before the Inline tag.
       */
      get wrappers() {
        return i("wrappers", "The ad was not part of a wrapper chain.");
      }
    };
  }
}
class yo {
  // to not leak the adSlot into public available API we have to define it in this "closure"
  // as with ES6 there's no good way to keep variables private yet
  // neither weakmaps nor symbols really help
  // pitfalls:
  // - mind to use commas between getters
  constructor(e, i) {
    return e.currentAd ? {
      /**
       * @returns {number} - of the current clip.
       */
      get currentClip() {
        return e.currentAd.currentClip;
      },
      /**
       * @returns {number} - of the current commercial.
       */
      get currentCommercial() {
        return e.currentAd.currentCommercial;
      },
      /**
       * @returns {number} - of the total commercials.
       */
      get totalCommercials() {
        return i.totalCommercials;
      },
      /**
       * @returns {number} - of the total time of commercials played.
       */
      get totalCommercialsCurrentTime() {
        return e.adSlotTimes.totalCommercialsCurrentTime;
      },
      /**
       * @returns {number} - of the total duration of playable commercials.
       */
      get totalCommercialsDuration() {
        return e.adSlotTimes.totalCommercialsDuration;
      },
      /**
       * @returns {number} - of the total playable clips.
       */
      get totalClips() {
        return i.totalClips;
      },
      /**
       * @returns {number} - of the total playable clips.
       */
      get totalPlayableClips() {
        return i.totalPlayableClips + (e.manifest.replaced || 0);
      },
      /**
       * @returns {number} - of the total playable commercials.
       */
      get totalPlayableCommercials() {
        return i.totalPlayableCommercials + (e.manifest.replaced || 0);
      }
    } : {};
  }
}
class Fn {
  /**
   * Creates an instance of TCFAPIBase.
   * @param {any} apiRef - The reference to the consent API.
   * @param {Function} onConsentCallback - The callback function to be invoked on consent data retrieval.
   * @param {number} version - The version of the TCFAPI.
   */
  constructor(e, i, r) {
    this.consentAPI = e, this.callback = i, this.consentDataInfo = void 0, this.gdprAppliesBoolean = void 0, this.version = r, this.NAME = "TCFAPI::", c.debug.warn(`${this.NAME}Ctor - api found at`, this.consentAPI);
  }
  /**
   * Retrieves consent data using the specified API method.
   * @param {string} apiMethodName - The name of the API method to be called.
   * @param {string} eventDataKey - The key to extract consent data from the received event data.
   */
  getConsent(e, i) {
    this.consentAPI(e, this.version, (r) => {
      this.onConsentData(r, i);
    });
  }
  /**
   * Callback function triggered on consent data retrieval.
   * @param {any} eventData - The event data received from the consent API.
   * @param {string} eventDataKey - The key to extract consent data from the received event data.
   */
  onConsentData(e, i) {
    this.consentDataInfo = e[i], this.gdprAppliesBoolean = e.gdprApplies, c.debug.info(`${this.NAME}onConsentData, eventData:`, e), this.callback();
  }
  /**
   * Getter for consent data.
   * @type {undefined | string}
   */
  get consentData() {
    return this.consentDataInfo;
  }
  /**
   * Getter for GDPR applies boolean.
   * @type {undefined | boolean}
   */
  get gdprApplies() {
    return this.gdprAppliesBoolean;
  }
}
class Oo extends Fn {
  /**
   * Creates an instance of TCFAPI__CMP.
   * @param {any} apiRef - The reference to the consent API.
   * @param {Function} onConsentCallback - The callback function to be invoked on consent data retrieval.
   */
  constructor(e, i) {
    super(e, i, 1);
  }
  /**
   * Retrieves consent data using the 'getConsentData' method.
   */
  getConsent() {
    super.getConsent("getConsentData", "consentData");
  }
}
class Io extends Fn {
  /**
   * Creates an instance of TCFAPI__TCF.
   * @param {any} apiRef - The reference to the consent API.
   * @param {Function} onConsentCallback - The callback function to be invoked on consent data retrieval.
   */
  constructor(e, i) {
    super(e, i, 2);
  }
  /**
   * Retrieves consent data with the first addEventListener method for version 2.2, if no result, try 'getTCData'
   * method for version 2.0.
   */
  getConsent() {
    super.getConsent("addEventListener", "tcString"), this.consentData === void 0 && super.getConsent("getTCData", "tcString");
  }
}
class To {
  constructor(e) {
    this.enrichment = e, this.NAME = "TCFAPI::";
    try {
      const i = window.top;
      i && (this.tcfAPI = i.__tcfapi, this.cmpAPI = i.__cmp);
    } catch (i) {
      c.debug.warn(`${this.NAME}Ctor No window?`, i);
    }
    this.hasTCF() ? this.api = new Io(this.tcfAPI, this.setMacro.bind(this)) : this.hasCMP() && (this.api = new Oo(this.cmpAPI, this.setMacro.bind(this))), this.api ? this.api.getConsent() : c.debug.warn(`${this.NAME}Ctor Site w/o API support`);
  }
  isFunction(e) {
    return typeof e == "function";
  }
  get consentData() {
    return (this.api || {}).consentData;
  }
  get gdprApplies() {
    return (this.api || {}).gdprApplies;
  }
  hasTCF() {
    return this.isFunction(this.tcfAPI);
  }
  hasCMP() {
    return this.isFunction(this.cmpAPI);
  }
  setMacro() {
    c.debug.info(
      `${this.NAME}setMacro consentData`,
      this.api.consentData,
      "gdprApplies",
      this.api.gdprApplies
    ), this.enrichment && this.api.gdprApplies && (this.enrichment.set("GDPRCONSENT", this.api.consentData), this.enrichment.set("REGULATIONS", "GDPR"));
  }
}
function Rr(E) {
  if (typeof E != "object" || E === null)
    return E;
  const e = /* @__PURE__ */ Object.create(null);
  for (const i of Object.keys(E))
    E.hasOwnProperty("window") || (e[i] = Rr(E[i]));
  return e;
}
function Ro(E) {
  const e = document.implementation.createDocument(null, "VAST", null);
  return e.documentElement.setAttribute("version", "3.0"), E.forEach((i) => {
    const r = e.createElement("Ad"), s = e.createElement("Wrapper"), d = e.createElement("VASTAdTagURI");
    d.appendChild(e.createTextNode(i)), s.appendChild(d), r.appendChild(s), e.documentElement.appendChild(r);
  }), e;
}
function No(E) {
  let e = E;
  if (e.originConfig = Rr(E), typeof e.tag == "object" ? e.urls = e.tag : e.urls = e.tag ? [e.tag] : [], e.response && (e.responseXML = new DOMParser().parseFromString(e.response, "text/xml")), e.repeat = e.repeat && e.repeat > 1 ? e.repeat : 1, e.repeat > 1) {
    let i = e.urls[0];
    e.urls = [];
    for (let r = 0; r < e.repeat; r++)
      e.urls.push(i.replace("[count]", (r + 1).toString()));
  }
  return e.urls.length > 0 && !e.responseXML && (e.responseXML = Ro(e.urls)), e.requested = !1, e;
}
const bn = "AdBreakValidation";
function _o(E) {
  var s, d;
  if (!E || typeof E != "object" || Array.isArray(E) || Object.keys(E).length === 0)
    return c.debug.warn(bn + ": Setup Error: No adBreak definition."), !1;
  const e = (typeof E.tag == "string" || Array.isArray(E.tag)) && E.tag.length > 0, i = ((d = (s = E.response) == null ? void 0 : s.length) != null ? d : 0) > 0, r = E.opener || E.divider || E.closer;
  return !e && !i && !r ? (c.debug.warn(bn + ": Incomplete setup: No tag, response or separationClip provided."), !1) : !0;
}
function Co(E, e, i, r, s) {
  var d = d || {};
  (function(h) {
    var A = {
      globalConfig: E,
      clientConfig: e,
      clientAPIs: i,
      utilsReady: r,
      onFailure: s
    };
    (function() {
      function v(I) {
        I = [(typeof globalThis == "undefined" ? "undefined" : J(globalThis)) == "object" && globalThis, I, (typeof window == "undefined" ? "undefined" : J(window)) == "object" && window, (typeof self == "undefined" ? "undefined" : J(self)) == "object" && self, (typeof global == "undefined" ? "undefined" : J(global)) == "object" && global];
        for (var _ = 0; _ < I.length; ++_) {
          var U = I[_];
          if (U && U.Math == Math)
            return U;
        }
        throw Error("Cannot find global object");
      }
      var y = v(this);
      function M(I) {
        var _ = 0;
        return function() {
          return _ < I.length ? {
            done: !1,
            value: I[_++]
          } : {
            done: !0
          };
        };
      }
      var ee = typeof Object.defineProperties == "function" ? Object.defineProperty : function(I, _, U) {
        return I == Array.prototype || I == Object.prototype || (I[_] = U.value), I;
      };
      function W(I, _) {
        if (_)
          e: {
            var U = y;
            I = I.split(".");
            for (var G = 0; G < I.length - 1; G++) {
              var Y = I[G];
              if (!(Y in U))
                break e;
              U = U[Y];
            }
            I = I[I.length - 1], G = U[I], _ = _(G), _ != G && _ != null && ee(U, I, {
              configurable: !0,
              writable: !0,
              value: _
            });
          }
      }
      W("Symbol", function(I) {
        function _(Y) {
          if (this instanceof _)
            throw new TypeError("Symbol is not a constructor");
          return new U("jscomp_symbol_" + (Y || "") + "_" + G++, Y);
        }
        function U(Y, Q) {
          this.j = Y, ee(this, "description", {
            configurable: !0,
            writable: !0,
            value: Q
          });
        }
        if (I)
          return I;
        U.prototype.toString = function() {
          return this.j;
        };
        var G = 0;
        return _;
      }), W("Symbol.iterator", function(I) {
        if (I)
          return I;
        I = Symbol("Symbol.iterator");
        for (var _ = "Array Int8Array Uint8Array Uint8ClampedArray Int16Array Uint16Array Int32Array Uint32Array Float32Array Float64Array".split(" "), U = 0; U < _.length; U++) {
          var G = y[_[U]];
          typeof G == "function" && typeof G.prototype[I] != "function" && ee(G.prototype, I, {
            configurable: !0,
            writable: !0,
            value: function() {
              return Ee(M(this));
            }
          });
        }
        return I;
      });
      function Ee(I) {
        return I = {
          next: I
        }, I[Symbol.iterator] = function() {
          return this;
        }, I;
      }
      function z(I) {
        var _ = typeof Symbol != "undefined" && Symbol.iterator && I[Symbol.iterator];
        return _ ? _.call(I) : {
          next: M(I)
        };
      }
      function le(I, _) {
        return Object.prototype.hasOwnProperty.call(I, _);
      }
      W("WeakMap", function(I) {
        function _(R) {
          if (this.h = (D += Math.random() + 1).toString(), R) {
            R = z(R);
            for (var P; !(P = R.next()).done; )
              P = P.value, this.set(P[0], P[1]);
          }
        }
        function U() {
        }
        function G(R) {
          var P = J(R);
          return P === "object" && R !== null || P === "function";
        }
        function Y(R) {
          if (!le(R, j)) {
            var P = new U();
            ee(R, j, {
              value: P
            });
          }
        }
        function Q(R) {
          var P = Object[R];
          P && (Object[R] = function(H) {
            return H instanceof U ? H : (Object.isExtensible(H) && Y(H), P(H));
          });
        }
        if (function() {
          if (!I || !Object.seal)
            return !1;
          try {
            var R = Object.seal({}), P = Object.seal({}), H = new I([[R, 2], [P, 3]]);
            return H.get(R) != 2 || H.get(P) != 3 ? !1 : (H.delete(R), H.set(P, 4), !H.has(R) && H.get(P) == 4);
          } catch (Z) {
            return !1;
          }
        }())
          return I;
        var j = "$jscomp_hidden_" + Math.random();
        Q("freeze"), Q("preventExtensions"), Q("seal");
        var D = 0;
        return _.prototype.set = function(R, P) {
          if (!G(R))
            throw Error("Invalid WeakMap key");
          if (Y(R), !le(R, j))
            throw Error("WeakMap key fail: " + R);
          return R[j][this.h] = P, this;
        }, _.prototype.get = function(R) {
          return G(R) && le(R, j) ? R[j][this.h] : void 0;
        }, _.prototype.has = function(R) {
          return G(R) && le(R, j) && le(R[j], this.h);
        }, _.prototype.delete = function(R) {
          return G(R) && le(R, j) && le(R[j], this.h) ? delete R[j][this.h] : !1;
        }, _;
      }), W("Map", function(I) {
        function _() {
          var D = {};
          return D.c = D.next = D.head = D;
        }
        function U(D, R) {
          var P = D.b;
          return Ee(function() {
            if (P) {
              for (; P.head != D.b; )
                P = P.c;
              for (; P.next != P.head; )
                return P = P.next, {
                  done: !1,
                  value: R(P)
                };
              P = null;
            }
            return {
              done: !0,
              value: void 0
            };
          });
        }
        function G(D, R) {
          var P = R && J(R);
          P == "object" || P == "function" ? Q.has(R) ? P = Q.get(R) : (P = "" + ++j, Q.set(R, P)) : P = "p_" + R;
          var H = D.g[P];
          if (H && le(D.g, P))
            for (D = 0; D < H.length; D++) {
              var Z = H[D];
              if (R !== R && Z.key !== Z.key || R === Z.key)
                return {
                  id: P,
                  list: H,
                  index: D,
                  a: Z
                };
            }
          return {
            id: P,
            list: H,
            index: -1,
            a: void 0
          };
        }
        function Y(D) {
          if (this.g = {}, this.b = _(), this.size = 0, D) {
            D = z(D);
            for (var R; !(R = D.next()).done; )
              R = R.value, this.set(R[0], R[1]);
          }
        }
        if (function() {
          if (!I || typeof I != "function" || !I.prototype.entries || typeof Object.seal != "function")
            return !1;
          try {
            var D = Object.seal({
              x: 4
            }), R = new I(z([[D, "s"]]));
            if (R.get(D) != "s" || R.size != 1 || R.get({
              x: 4
            }) || R.set({
              x: 4
            }, "t") != R || R.size != 2)
              return !1;
            var P = R.entries(), H = P.next();
            return H.done || H.value[0] != D || H.value[1] != "s" ? !1 : (H = P.next(), !(H.done || H.value[0].x != 4 || H.value[1] != "t" || !P.next().done));
          } catch (Z) {
            return !1;
          }
        }())
          return I;
        var Q = /* @__PURE__ */ new WeakMap();
        Y.prototype.set = function(D, R) {
          D = D === 0 ? 0 : D;
          var P = G(this, D);
          return P.list || (P.list = this.g[P.id] = []), P.a ? P.a.value = R : (P.a = {
            next: this.b,
            c: this.b.c,
            head: this.b,
            key: D,
            value: R
          }, P.list.push(P.a), this.b.c.next = P.a, this.b.c = P.a, this.size++), this;
        }, Y.prototype.delete = function(D) {
          return D = G(this, D), D.a && D.list ? (D.list.splice(D.index, 1), D.list.length || delete this.g[D.id], D.a.c.next = D.a.next, D.a.next.c = D.a.c, D.a.head = null, this.size--, !0) : !1;
        }, Y.prototype.clear = function() {
          this.g = {}, this.b = this.b.c = _(), this.size = 0;
        }, Y.prototype.has = function(D) {
          return !!G(this, D).a;
        }, Y.prototype.get = function(D) {
          return (D = G(this, D).a) && D.value;
        }, Y.prototype.entries = function() {
          return U(this, function(D) {
            return [D.key, D.value];
          });
        }, Y.prototype.keys = function() {
          return U(this, function(D) {
            return D.key;
          });
        }, Y.prototype.values = function() {
          return U(this, function(D) {
            return D.value;
          });
        }, Y.prototype.forEach = function(D, R) {
          for (var P = this.entries(), H; !(H = P.next()).done; )
            H = H.value, D.call(R, H[1], H[0], this);
        }, Y.prototype[Symbol.iterator] = Y.prototype.entries;
        var j = 0;
        return Y;
      }), W("Object.is", function(I) {
        return I || function(_, U) {
          return _ === U ? _ !== 0 || 1 / _ === 1 / U : _ !== _ && U !== U;
        };
      }), W("Array.prototype.includes", function(I) {
        return I || function(_, U) {
          var G = this;
          G instanceof String && (G = String(G));
          var Y = G.length;
          for (U = U || 0, 0 > U && (U = Math.max(U + Y, 0)); U < Y; U++) {
            var Q = G[U];
            if (Q === _ || Object.is(Q, _))
              return !0;
          }
          return !1;
        };
      }), W("String.prototype.includes", function(I) {
        return I || function(_, U) {
          if (this == null)
            throw new TypeError("The 'this' value for String.prototype.includes must not be null or undefined");
          if (_ instanceof RegExp)
            throw new TypeError("First argument to String.prototype.includes must not be a regular expression");
          return (this + "").indexOf(_, U || 0) !== -1;
        };
      }), W("Array.from", function(I) {
        return I || function(_, U, G) {
          U = U != null ? U : function(D) {
            return D;
          };
          var Y = [], Q = typeof Symbol != "undefined" && Symbol.iterator && _[Symbol.iterator];
          if (typeof Q == "function") {
            _ = Q.call(_);
            for (var j = 0; !(Q = _.next()).done; )
              Y.push(U.call(G, Q.value, j++));
          } else
            for (Q = _.length, j = 0; j < Q; j++)
              Y.push(U.call(G, _[j], j));
          return Y;
        };
      }), function() {
        function I() {
          this.f = {}, this.global = {}, this.client = {}, this.i = {};
        }
        function _() {
          return "abcdef123456789abcdef123456789abcdef123456789".split("").sort(function() {
            return Math.random() - 0.5;
          }).join("").substr(0, 40);
        }
        function U(j) {
          return j == "True" || j == "true" || j == 1 || j == "1" || j == 1;
        }
        function G() {
          var j = function() {
            var H = (navigator.appCodeName + navigator.appName + navigator.appVersion + navigator.userAgent + navigator.platform + (navigator.language || navigator.m || "x")).split(" ").join(""), Z = Math.max(Math.round(Date.now() / 1e3 / 60), Math.round((Date.now() / 1e3 + 10) / 60)).toString(), Me = H.slice(0, H.length / 2).split("").reverse().join("");
            return H = H.slice(H.length / 2).split("").reverse().join(""), Z + Me + Z + H + Z;
          }(), D = function(H) {
            var Z = 0, Me;
            if (H.length == 0)
              return Z;
            var Ie = 0;
            for (Me = H.length; Ie < Me; Ie++)
              Z = (Z << 5) - Z + H.charCodeAt(Ie), Z |= 0;
            return Math.abs(Z);
          }(j).toString();
          D = (D + D.split("").reverse().join("")).split("").reverse().join("").match(/.{1,2}/g).map(Number), j = btoa(j).replace(/[^a-z]/gi, "").substr(0, 100);
          for (var R = "", P = 0; P < D.length; P++)
            R += j.charAt(D[P]);
          return R || "zork";
        }
        function Y(j, D) {
          return j = Math.round(Math.abs(j)) || 10, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz".split("").sort(function() {
            return Math.random() - 0.5;
          }).join("").substr(0, j);
        }
        I.prototype.getItem = function(j) {
          return this.i[j] || this.client[j] || this.f[j];
        }, I.prototype.l = function(j) {
          this.f = j.embed, this.global = j.global, this.client = j.client, this.i = j.customer;
        };
        var Q = null;
        Q = new I(), function(j) {
          function D(V, L, pe) {
            var ce = {
              homad_url_prefix_alias: "",
              homad_track_key: "*" + encodeURIComponent(V) + "*",
              homad_track_value: "*" + encodeURIComponent(L.toString()) + "*"
            }, ne = pe ? null : function() {
              D(V, L, !0);
            };
            pe = pe ? R(!0) : P(), je(pe, null, ne, ce);
          }
          function R(V) {
            return V = V ? ["curloc", "com"] : window.location.host.split("."), ("https://ssl." + (Math.round(2 * Math.random()) + 1) + ".damoh." + V.slice(V.length - 2).join(".") + "/[hash]/").replace("[hash]", _(Y()));
          }
          function P() {
            if (ye && ye.server) {
              var V = ye.server[Math.floor(Math.random() * ye.server.length)] + "";
              return V.replace("[hash]", _(Y()));
            }
            return R(!1);
          }
          function H() {
            if (Array.from(document.getElementsByTagName("video")).forEach(function(L) {
              try {
                L.pause();
              } catch (pe) {
              }
              L.parentNode.removeChild(L);
            }), Array.from(document.querySelectorAll("[class*='video']")).forEach(function(L) {
              L.parentNode.removeChild(L);
            }), window.self != window.top)
              for (var V = window.document; V.hasChildNodes(); )
                V.removeChild(V.lastChild);
            Te.get("setTimeout")(H, Math.round(1e3 + 100 * Math.random()));
          }
          function Z(V) {
            return He && clearTimeout(He), D("stats_embed_penalty", V), H(), !1;
          }
          function Me() {
            Be && Be.enabled === !1 || ye && ye.enabled === !1 || be && be.enabled === !1 ? clearTimeout(He) : Z("load_main");
          }
          function Ie() {
            je(be.src.toString(), function(V) {
              be.src.toString() === V.responseURL ? (V = ot(V.responseText), be.data = V, be.enabled = U(V.enabled), Me()) : Z("redirect_customer");
            }, function() {
              be.data = {}, be.enabled = void 0, Me();
            });
          }
          function wt() {
            var V = ye.src;
            typeof V == "string" ? je(V.toString(), function(L) {
              V.toString() === L.responseURL ? (L = ot(L.responseText), ye.data = L, ye.enabled = U(L.enabled), be.src = L.config, Ie()) : Z("redirect_client");
            }, function() {
              ye.data = {}, ye.enabled = void 0, Ie();
            }) : (ye.data = typeof V == "function" ? V() : V, Ie());
          }
          function st() {
            je(Be.src.toString(), function(V) {
              Be.src.toString() === V.responseURL ? (V = ot(V.responseText), Be.data = V, Be.enabled = U(V.enabled), wt()) : Z("redirect_global");
            }, function() {
              Be.data = {}, Be.enabled = void 0, wt();
            });
          }
          function ht(V) {
            clearTimeout(He);
            var L = new V();
            L.init(Q.f.globalConfig, Q.f.clientConfig, !0, function() {
              Q.f.utilsReady(L);
            }, function() {
              Z("utils_init");
            }, Q.f);
          }
          function Ke(V) {
            var L = pt.shift();
            L ? !window[G()] || V ? yt(L) : V || clearTimeout(He) : st();
          }
          function je(V, L, pe, ce) {
            ce = ce === void 0 ? null : ce;
            var ne = new XMLHttpRequest();
            if (ne.onreadystatechange = function() {
              L && ne.readyState == 4 && ne.status == 200 && L(ne), pe && ne.readyState == 4 && ne.status != 200 && pe(ne);
            }, ce) {
              var ft = "", Ot;
              for (Ot in ce)
                ft += "&" + Ot + "=" + encodeURIComponent(ce[Ot]);
              ft = ft.substr(1), ne.open("POST", V, !0), ne.setRequestHeader("Content-type", "application/x-www-form-urlencoded"), ne.send(ft);
            } else
              ne.open("GET", V, !0), ne.send();
          }
          function yt(V) {
            var L = document.createElement.toString().indexOf("native code") !== -1 ? document.createElement("script") : Te.get("createElement")("script"), pe;
            if (L.setAttribute("data-info", at), L.src = V, L.onload = function(ne) {
              ne.currentTarget.getAttribute("id") === G() ? ct() ? (ne = pe[at.split("").reverse().join("")], ht(ne)) : clearTimeout(He) : pt.length ? Ke(!0) : Z("main_redirect");
            }, L.onerror = function() {
              Ke(!0);
            }, window[G()] || (window[G()] = Y(5 + Math.round(5 * Math.random()))), ct()) {
              var ce = document.createElement.toString().indexOf("native code") !== -1 ? document.createElement("iframe") : Te.get("createElement")("iframe");
              if (!ce || ce.nodeName.toLowerCase() !== "iframe" || !ce.nodeType)
                return Z("utils_iframe");
              ce.style.display = "none", ce.onload = function() {
                if (pe = ce.contentWindow, pe[at] = j, ce.contentWindow.document.body.appendChild(L) !== L)
                  return Z("utils_script");
              }, document.body.appendChild(ce);
            } else
              document.head.appendChild(L);
          }
          function ot(V) {
            var L = Te.get("JSON");
            try {
              var pe = L.parse(V);
            } catch (ce) {
              pe = {};
            }
            return pe;
          }
          function ct() {
            return Q.f.utilsReady != null;
          }
          var at = Y(10 + Math.round(10 * Math.random()));
          window[at] = j, Q = new I(), Q.l({
            embed: j
          }), Q.f.version = "20230601_1407";
          var He = 0, Vt = ["https://hgc-cf-cache-1.svonm.com/hd-main.js", "https://s3.amazonaws.com/homad-global-configs.schneevonmorgen.com/hd-main.js"], Ae = ["https://hgc-cf-cache-1.svonm.com/hd-utils.js", "https://s3.amazonaws.com/homad-global-configs.schneevonmorgen.com/hd-utils.js"], pt = ct() ? Ae : Vt, Be = {
            src: j.globalConfig,
            enabled: void 0,
            data: null
          }, ye = {
            src: j.clientConfig,
            enabled: void 0,
            data: null
          }, be = {
            src: null,
            enabled: void 0,
            data: null
          }, Te = /* @__PURE__ */ new Map();
          (function() {
            if (document.body) {
              var V = document.createElement("iframe");
              V.style.display = "none", document.body.appendChild(V);
              var L = V.contentWindow;
            } else
              document.head ? (V = document.createElement("iframe"), V.style.display = "none", document.head.appendChild(V), L = V.contentWindow) : L = window;
            Te.set("JSON", L.JSON), Te.set("createElement", L.document.createElement.bind(document)), Te.set("setTimeout", L.setTimeout.bind(window)), V && V.parentNode && V.parentNode.removeChild(V);
          })(), function() {
            He = Te.get("setTimeout")(function() {
              Z("timeout_main");
            }, Math.round(14e3 + 2500 * Math.random()));
          }(), Ke();
        }(A);
      }();
    })();
  }).bind(d)(d);
}
let Le = null, Ve = null;
const de = class de extends St {
  /**
   * @param {Object} playerFacade - A player proxy class
   * @param {Object} config - scc init configuration object
   */
  constructor(e, i) {
    super(), this.adBreak = {
      adBreakPosition: 0,
      // eslint-disable-next-line no-undefined
      divider: void 0,
      // eslint-disable-next-line no-undefined
      closer: void 0,
      // eslint-disable-next-line no-undefined
      opener: void 0,
      // eslint-disable-next-line no-undefined
      originConfig: void 0,
      repeat: null,
      // eslint-disable-next-line no-undefined
      requested: void 0,
      response: "",
      responseXML: null,
      tag: [],
      type: he.LINEAR,
      urls: []
    }, this.adSlotBuffet = null, this.adSlotModel = null, this.adSlotRequestTimeout = null, this.config = Le = i, this.environmentVars = {}, this.error = null, this.initialURLHandler = i.urlhandler ? i.urlhandler : ut, this.player = e, this.rawAdSlotModel = [], this.rawXMLDocument = null, this.rejectSlotChanges = !1, this.removeStopSlotHandler = null, this.removeOnAdSlotFinishedHandler = super.addEventListener(p.ON_AD_SLOT_STOPPED, () => {
      this.stopAdSlot();
    }), this.removeOnAdReinsertionActivationHandler = ue.EventDispatcher.addEventListener(
      p.ON_AD_REINSERTION_ACTIVATION,
      () => {
        this.restartAdSlot();
      }
    ), this.slot = null, this.timeouts = Le.timeouts, this.startAdSlotCounter = 0, this.initializeHOMAD(this.config), this.config.adReinsertion.homad.setup.forceActivation && this.forceHOMADActivation();
  }
  initializeHOMAD(e) {
    const i = new vt();
    i.setFromObject(this.environmentVars.vastMacros), i.set("MEDIAMIME", this.environmentVars.desiredMimeTypes || Object.values(ai)), Ve = new ue(this.config.adReinsertion, i);
    let r = (d) => {
      c.debug.info(de.NAME + "initializeHOMAD - Utils ready.", d), c.debug.info(de.NAME + "initializeHOMAD - Set vendor API.", d), Ve.setVendorAPI(d), Ve.setCorroborationCallback(this.onRequestAdReinsertionCorroboration.bind(this)), Ve.setActivationCallback(this.onAdReinsertionActivation.bind(this)), e.adReinsertion.homad.utils = d;
    }, s = (d) => {
      c.debug.warn(de.NAME + "initializeHOMAD Penalty"), r = () => {
      }, Ve.vendorAPI ? (c.debug.warn("initializeHOMAD - Penalty during ad playback."), tt.call(this, w.SESSION.AD_REINSERTION_PENALTY)) : (c.debug.warn("initializeHOMAD - Error.", d), tt.call(this, w.SETUP.AD_REINSERTION_PENALTY)), this.dispatchEvent(p.ON_HOMAD_PENALTY);
    };
    if (e.adReinsertion.homad.enabled && e.adReinsertion.homad.setup) {
      const d = e.adReinsertion.homad.setup;
      Co(
        d.globalConfig,
        d.clientConfig,
        {
          player: this.player,
          adSlotAPI: this
        },
        (h) => {
          r(h);
        },
        (h) => {
          s(h);
        }
      );
    }
  }
  forceHOMADActivation() {
    this.error && this.error.code === w.SETUP.AD_REINSERTION_PENALTY.code || (Ve.setReinsertionReason({
      reason: ue.REASON.FORCE_ACTIVATION,
      source: "",
      error: {
        code: 1020
      }
    }), Ve.enable(
      () => {
        c.debug.info(
          de.NAME + "forceHOMADActivation - Override default URLHandler with HOMADURLHandler."
        ), this.config.adReinsertion.homad.setup.enableSessionCoverage = !0, this.removeOnAdReinsertionActivationHandler(), super.dispatchEvent(p.ON_AD_REINSERTION_ACTIVATION);
      },
      () => {
        c.debug.warn("forceHOMADActivation - HOMAD Penalty while activation. HOMAD disabled.");
      }
    ));
  }
  /**
   * Removes all event listeners that the SDK itself had previously added.
   * @returns {void}
   */
  dispose() {
    this.removeOnAdSlotFinishedHandler(), this.removeOnAdReinsertionActivationHandler();
  }
  /**
   * Invokes a commercial break by requesting the specified ad setup from the ad server.
   * @param {AdBreak} adBreak - Configuration for the upcoming ad break.
   * @param {EnvironmentVars} environmentVars - Defines environment conditions for the upcoming ad break
   * @returns {Promise<String|Error>} Resolves if loading the ad manifests has been completed.
   */
  initAdSlot(e, i = {}) {
    this.adBreak = e, this.environmentVars = i, this.error = null;
    let r = null;
    return this.rejectSlotChanges ? (tt.call(this, w.SESSION.ALREADY_STARTED), Promise.reject(this.error)) : _o(this.adBreak) ? (this.environmentVars.vastMacros = Object.assign(this.environmentVars.vastMacros || {}, {
      PLAYERSIZE: this.player.getPlayerSize().boundingRect,
      CONTENTPLAYHEAD: this.player.getContentCurrentTime(),
      MEDIAPLAYHEAD: this.player.getContentCurrentTime()
    }), this.timeouts = Yt(Le.timeouts, i.timeouts), this.environmentVars.omidServiceWindow = i.omidServiceWindow || this.config.adVerification.serviceWindow, c.debug.info(de.NAME + "initAdSlot with", this.adBreak, this.environmentVars), this.rejectSlotChanges = !0, new Promise((s, d) => {
      this.adBreak.type || (this.adBreak.type = he.LINEAR), this.adBreak.adBreakPosition || (this.adBreak.type === he.NON_LINEAR ? this.adBreak.adBreakPosition = 4 : this.player.getContentCurrentTime() <= 0 ? this.adBreak.adBreakPosition = 1 : this.player.getContentCurrentTime() >= this.player.getContentDuration() ? this.adBreak.adBreakPosition = 3 : this.adBreak.adBreakPosition = 2), this.environmentVars.vastMacros = Object.assign(this.environmentVars.vastMacros, {
        BREAKPOSITION: this.adBreak.adBreakPosition
      }), this.adBreak.type === he.NON_LINEAR && !this.environmentVars.adContainer && c.debug.warn(de.NAME + "initAdSlot - NonLinear adContainer not set. Using the video elements parent element as a fallback."), this.startAdSlotCounter = 0, r = super.addEventListener(p.ON_AD_MANIFEST_LOAD_ERROR, () => (c.debug.info(de.NAME + "initAdSlot failed with error", this.errorAPI), this.rejectSlotChanges = !1, clearTimeout(this.adSlotRequestTimeout), d(this.error))), super.addEventListener(p.ON_AD_MANIFEST_LOADED, () => (clearTimeout(this.adSlotRequestTimeout), r && r(), this.rejectSlotChanges = !1, s("ok")));
      const h = this.timeouts.adSlotRequest + 0.2;
      clearTimeout(this.adSlotRequestTimeout), this.adSlotRequestTimeout = setTimeout(() => {
        c.debug.info(
          de.NAME + "initAdSlot - timed out without response from the AdTagService."
        ), tt.call(this, w.SESSION.TIMEOUT), this.dispatchEvent(p.ON_AD_MANIFEST_LOAD_ERROR);
      }, h * 1e3), this.parse(this.adBreak);
    })) : (tt.call(this, w.SESSION.MANIFEST_SETUP_CORRUPT), Promise.reject(this.error));
  }
  onRequestAdReinsertionCorroboration(e, i) {
    let r = "HOMADUtils.corroborate - ", s = "Utils not ready.";
    return new Promise((d, h) => {
      if (!Le.adReinsertion.homad.utils)
        throw c.debug.info(r + s), new Error(r + s);
      Le.adReinsertion.homad.utils.corroborate(i).then(() => {
        c.debug.info(r + "resolved."), d();
      }).catch((A) => {
        c.debug.info(r + "rejected.", A), h(A);
      });
    });
  }
  onAdReinsertionActivation(e) {
    return new Promise((i, r) => {
      if (!Le.adReinsertion.homad.setup.activationCallback)
        return i();
      let s = Le.adReinsertion.homad.setup.activationCallback.bind(this), d = !1, h = setTimeout(() => (d = !0, i()), ue.TIMEOUT.ACTIVATION_CALLBACK_RESPONSE), A = "onAdReinsertionActivation ";
      try {
        s(e).then(() => {
          if (clearTimeout(h), c.debug.info(A + "approved."), !d)
            return i();
        }, (v) => {
          if (clearTimeout(h), c.debug.warn(A + "declined.", typeof v), v && v.stack && v.message)
            return Ve.disable(), i();
          if (!d)
            return Ve.disable(), r();
        });
      } catch (v) {
        return clearTimeout(h), c.debug.warn(A + "failed. Error in activationCallback:", v), d = !0, Ve.disable(), i();
      }
    });
  }
  setupEnrichmentAndTCF() {
    const e = new vt();
    return e.setFromObject(this.environmentVars.vastMacros), e.set("MEDIAMIME", this.environmentVars.desiredMimeTypes || Object.values(ai)), this.environmentVars.vastMacros.GDPRCONSENT || new To(e), e;
  }
  restartAdSlot() {
    c.debug.info(de.NAME + "restartAdSlot - Override default URLHandler with HOMADURLHandler."), Le.urlhandler = wi, clearTimeout(this.adSlotRequestTimeout), this.adBreak = this.adBreak.originConfig, this.rejectSlotChanges = !1, this.initAdSlot(this.adBreak, this.environmentVars).then(() => {
      this.slot ? (this.rejectSlotChanges = !0, this.slot.adSlotController.prepare(this.adSlotModel, this.adSlotBuffet), this.slot.adSlotHasStarted = !0, this.slot.deliverNextAd()) : c.debug.warn(de.NAME + "What to do next?");
    }).catch((e) => {
      c.debug.error("AdReinsertion error: Failed to restart the adSlot. Reset content.", e), this.resetContent();
    });
  }
  parse(e) {
    const i = No(e);
    c.debug.info(de.NAME + "parse - Start parsing the ad slot", i);
    const r = this.setupEnrichmentAndTCF();
    Ve = new ue(this.config.adReinsertion, r);
    let s = JSON.parse(JSON.stringify(Le.timeouts));
    const d = {
      adReinsertion: Ve,
      blockInsecureURL: Le.blockInsecureURL,
      enrichment: r,
      maxWrapperDepth: Le.maxWrapperDepth,
      prefetchBuffetAds: this.environmentVars.prefetchBuffetAds || !1,
      response: i.response ? i.responseXML : null,
      timeouts: s,
      urlhandler: Le.urlhandler,
      withCredentials: !0,
      adRequestObserver: {
        originTimeouts: Yt({}, s),
        initialTime: Date.now(),
        requestTime: 0,
        responseTime: 0
      }
    };
    let h = null, A = this.adBreak;
    if (typeof i == "object" && (A = i), A.urls.length === 1 && (h = A.urls[0], d.response = null), h || d.response) {
      let v = new vr(d);
      h ? v.requestURL(A.urls[0], this.onXMLLoadDone.bind(this, d)) : v.requestFinalXML(d.response, this.onXMLLoadDone.bind(this, d));
    } else
      c.debug.warn(
        de.NAME + "parse - AdSlot contains neither ad tag URL(s) nor a direct ad response."
      ), this.handleParserResponse([], d);
  }
  onXMLLoadDone(e, i) {
    this.rawXMLDocument = i, this.rawAdSlotModel = new fo(i), this.handleParserResponse(this.rawAdSlotModel.getAdList(), e);
  }
  handleParserResponse(e, i) {
    let r = i || {};
    if (!i) {
      let A = si;
      r.adReinsertion = new ue(A.adReinsertion, new vt()), r.timeouts = A.timeouts;
    }
    this.adSlotModel = [], this.adSlotBuffet = [];
    let s = new vo(
      e,
      Le,
      this.environmentVars,
      this.adBreak
    );
    this.adSlotModel = s.adSlotModel, this.adSlotBuffet = s.adSlotBuffet;
    const d = s.hasSessionTimeoutError, h = () => {
      if (!s.hasValidAds || d) {
        tt.call(this, d ? w.SESSION.TIMEOUT : w.SESSION.MANIFEST_LOAD_FAILED), this.dispatchEvent(p.ON_AD_MANIFEST_LOAD_ERROR);
        return;
      }
      this.adSlotController = new Ar(
        this.adSlotModel,
        this.adSlotBuffet,
        this.environmentVars,
        this.player
      ), this.currentAd = this.adSlotController.getAd(), this.dispatchEvent(p.ON_AD_MANIFEST_LOADED);
    };
    if (r.adReinsertion.reinsertionReason && !r.adReinsertion.isActive) {
      c.debug.info(
        de.NAME + "reinsertionReason - Found reason to enable AdReinsertion",
        r.adReinsertion.reinsertionReason
      ), r.adReinsertion.enable(
        () => {
          r.adReinsertion.setReinsertionReason(null), this.restartAdSlot();
        },
        (A) => {
          c.debug.info(
            de.NAME + "reinsertionReason - AdReinsertion remains disabled.",
            A
          ), h();
        }
      );
      return;
    }
    h();
  }
  /**
   * Starts the ad break.
   * The add-on responds by sending an `ON_AD_SLOT_START` event notifying the video player the ad break is going
   *  to start.
   */
  startAdSlot() {
    if (!this.config.adVerification.playerHandles && this.player.getPlayerElement() === null) {
      c.debug.error("Failed to start ad slot due to player unavailability.");
      return;
    }
    if (this.rejectSlotChanges) {
      c.debug.warn("The current ad-break has already been started.");
      return;
    }
    if (this.adSlotModel.length <= 0) {
      c.debug.warn(
        "The requested ad-break has no ads defined. Use initAdSlot() to request a new manifest."
      );
      return;
    }
    this.adBreak.type === he.NON_LINEAR && this.config.playerHandlesNonLinear && this.dispatchEvent(p.ON_NONLINEAR_DETECTED);
    const e = () => {
      this.dispatchEvent(p.ON_AD_SLOT_START), this.rejectSlotChanges = !0;
      const i = gr;
      this.slot = new i(this.currentAd, this.player, this.adSlotController), ++this.startAdSlotCounter > 1 && (this.resetErrorWarning(), this.slot.adSlotController.addEventListener(p.ON_AD_IMPRESSION, () => {
        this.slot.adSlotController.onRewind();
      }));
      const r = (s) => {
        this.dispatchEvent(s.type);
      };
      Object.values(p).forEach((s) => {
        this.slot.addEventListener(s, r), this.slot.adSlotController.addEventListener(s, r);
      }), this.slot.deliverNextAd();
    };
    this.adBreak.type === he.LINEAR ? (c.debug.info("startAdSlot - requests player to lock the current content."), this.player.saveContentState().then((i) => {
      c.debug.info("startAdSlot - player locked current content."), e();
    }, () => {
      c.debug.warn("startAdSlot - player failed to lock current content."), e();
    })) : e();
  }
  /**
   * If a creative was played completely and contained an error,
   *  this is reset here so that a replay is possible
   * The error message appears
   */
  resetErrorWarning() {
    const e = [
      w.WARNING.TRACKER_LOAD_FAILED.code,
      w.WARNING.TRACKER_TIMEOUT.code
    ];
    for (let i = 0; i < this.adSlotModel.length; i++)
      e.indexOf(this.adSlotModel[i].error.code) !== -1 && (this.adSlotModel[i].error = {
        // eslint-disable-next-line no-undefined
        code: void 0,
        // eslint-disable-next-line no-undefined
        message: void 0,
        // eslint-disable-next-line no-undefined
        timestamp: null
      });
  }
  /**
   * Stops a running ad break.
   * The add-on responds by sending an `ON_AD_SLOT_COMPLETE` event notifying the video player it has closed and
   * cleaned up ad resources. Also the content of the video player has been reset.
   *
   * @returns {Promise}
   *  - resolve() - Whether the adSlot could be closed and cleaned up.
   *  - reject(string) - In the other case, the answer is a string.
   */
  stopAdSlot() {
    if (!this.rejectSlotChanges || !this.slot)
      return Promise.reject("Calling `stopAdSlot` requires a running ad-break.");
    this.slot.adSlotHasStarted = !1;
    const e = this.adBreak.type === he.LINEAR ? this.resetContent.bind(this) : this.closeAdSlot.bind(this);
    return new Promise((i) => {
      this.removeStopSlotHandler && this.removeStopSlotHandler(), this.removeStopSlotHandler = super.addEventListener(de.EVENT.STOP_SLOT_SUCCESS, () => (this.dispatchEvent(p.ON_AD_SLOT_COMPLETE), i())), this.slot.stop().then(() => {
        e();
      }, (r) => {
        c.debug.critical("Calling AdSlot.stop() failed. Try to reset content...", r), e();
      });
    });
  }
  resetContent() {
    c.debug.info(de.NAME + "Reset content.");
    let e = {
      code: w.SESSION.NOT_RESTORABLE.code,
      message: "SessionError: Reset content timed out. Player did not respond."
    }, i = !1, r = this.player.restoreContentState.bind(this.player), d = setTimeout(() => {
      i = !0, c.debug.error(de.NAME + "resetContent - timeout"), tt.call(this, e), this.dispatchEvent(p.ON_GENERAL_ERROR), this.closeAdSlot();
    }, this.timeouts.contentRequest * 1e3);
    r().then(() => {
      i || (clearTimeout(d), c.debug.info(de.NAME + "resetContent - complete"), this.closeAdSlot());
    }, (h) => {
      i || (clearTimeout(d), c.debug.error(
        de.NAME + "resetContent - failed",
        this.player.getCurrentContentSource(),
        h
      ), e.message = "SessionError: Reset content failed.", tt.call(this, e), this.dispatchEvent(p.ON_GENERAL_ERROR), this.closeAdSlot());
    });
  }
  closeAdSlot() {
    Ve && Le.adReinsertion.homad.setup.enableSessionCoverage !== !0 && (Ve.disable(), Le.urlhandler = this.initialURLHandler), this.rejectSlotChanges = !1, this.dispatchEvent(de.EVENT.STOP_SLOT_SUCCESS), this.slot = null;
  }
  /**
   * Skips (stops) a running single ad
   * The add-on responds by sending the `ON_AD_SKIPPED` event notifying the video player it has closed and cleaned up
   * a single ad.
   *
   * _Note:
   * The add-on does proceed with the next ad. Canceling the whole ad break requires calling `stopAdSlot()` instead.
   * @return {void}
   */
  skipAd() {
    this.slot && this.slot.onSkip();
  }
  /**
   * Following a resize of the video player, the video player calls `resize()` to allow the add-on to scale
   * and reposition itself within the display area. The add-on responds by sending an `ON_AD_SIZE_CHANGED` event.
   * @param {Rect} boundingRectangle - The video content display as a Rectangle {width, height, top, left}
   * @param {string} viewMode - Current viewing mode (normal, fullscreen, thumbnail, dynamic)
   * @return {void}
   */
  resize(e, i) {
    this.slot && this.slot.adSlotController.onResizeAd(e, i);
  }
  /**
   * Following a click on the ad, the video player calls `clickThrough()` to allow the add-on
   * to request the advertisers landing page and call the ClickThru tracking requests.
   * @param {Boolean} playerHandles - Whether the player takes responsibility for opening the landing page URL.
   * Defaulting to `false` if omitted.
   * @return {string} The landing page URL.
   */
  clickThrough(e = !1) {
    if (this.slot)
      return this.slot.adSlotController.onClickThrough(e);
  }
  /**
   * Following a click on an Industry Icon ad, the video player calls `iconClickThrough()` to allow the add-on
   * to request the advertisers landing page and call the ClickThru tracking requests.
   * @param {string} iconProgram - The program represented in the icon
   * @param {Boolean} playerHandles - Whether the player takes responsibility for opening the landing page URL.
   * Defaulting to `false` if omitted.
   * @return {string} The landing page URL.
   */
  iconClickThrough(e, i = !1) {
    if (this.slot)
      return this.dispatchEvent(p.ON_ICON_CLICKED), this.slot.adSlotController.onIconClickThrough(e, i);
  }
  /**
   * The view tracking for icons is used to track when the icon creative is displayed.
   * @param {string} iconProgram The program represented in the icon
   * @returns {void}
   */
  iconView(e) {
    this.slot && this.slot.adSlotController.onIconView(e);
  }
  /**
   * The player did not or was not able to execute the provided verification code.
   * @param {string} vendor An identifier for the verification vendor.
   * @param {number} reason The reason code corresponding to the cause of the failure.
   */
  verificationNotExecuted(e, i) {
    this.slot && this.slot.adSlotController.onVerificationNotExecuted(e, i);
  }
  /**
   * Requests the view trackers when a creative resource is displayed. The method should be called for each resource
   *  file of a `Companion Ad`.
   * @param {string} companionId Value of the `id` attribute from the `CompanionAd` object.
   * @returns {void}
   */
  companionView(e) {
    if (!this.slot)
      return;
    const i = this.ad.companions.filter((r) => r.id === e).shift();
    i && (this.dispatchEvent(p.ON_COMPANION_CREATIVE_VIEW), i.creativeViewTracker.length > 0 && (c.debug.table("Request companion creativeView trackers.", i.creativeViewTracker), this.slot.adSlotController.callTrackers(i.creativeViewTracker)));
  }
  /**
   * Following a click on a Companion ad, the video player calls `companionClickThrough()` to allow the add-on
   * to call the ClickThru tracking requests and request the advertisers landing page (most likely with
   * `StaticResource` creative resource only).
   * @param {string} companionId Value of the `id` attribute from the `CompanionAd` object.
   * @param {Boolean} playerHandles Whether the player takes responsibility for opening the landing page URL.
   * Defaulting to `true` since most companion creatives do handle clickthroughs by their own (`HTMLResource`,
   *  `IFrameResource`).
   * @return {string} The landing page URL.
   */
  companionClickThrough(e, i = !0) {
    if (!this.slot)
      return;
    const r = this.ad.companions.filter((s) => s.id === e).shift();
    if (r) {
      this.dispatchEvent(p.ON_COMPANION_CLICKED), r.clickTracker.length > 0 && (c.debug.table("Request companion click trackers.", r.clickTracker), this.slot.adSlotController.callTrackers(r.clickTracker));
      let s = r.clickThroughURL;
      if (s) {
        let d = this.slot.currentAd.enrichment.apply(s);
        if (!i) {
          const h = this.slot.currentAd.adReinsertion.isActive === !0 ? "_self" : "_blank";
          window.open(d, h);
        }
        return d;
      }
    }
  }
  /**
   * Pauses the current ad break. The add-on responds by sending the `ON_AD_PAUSED` event.
   */
  pauseAd() {
    this.slot.pause();
  }
  /**
   * Resumes the current ad break. The add-on responds by sending the `ON_AD_PLAYING` event.
   */
  resumeAd() {
    this.slot.play();
  }
  dispatchEvent(e) {
    return c.debug.info(de.NAME + "dispatchEvent", e), super.dispatchEvent(e);
  }
  /**
   * Returns information about the current ad, like companions, icons, variations, verifications and more.
   * The contents of variations depend on the advertising medium, the following things can be found there:
   *
   * @returns {PublicAdAPI | object} Represents static information about the current ad.
   */
  get ad() {
    return this.adSlotController.currentAd ? new So(this.adSlotController.currentAd) : (c.debug.warn("There is no loaded ad."), {});
  }
  /**
   * Returns information about the current ad-break, like times and more.
   *
   * @returns {PublicAdSlot | object } Represents static information about the current ad-break.
   */
  get adSlot() {
    return this.adSlotController.currentAd ? new yo(this.adSlotController, this.adSlotModel) : (c.debug.warn("There is no loaded ad."), {});
  }
  /**
   * Requests details about the most recent error that has occurred on the AdSlotAPI.
   *
   * @returns {error} Description object of the most recent error or `null`.
   */
  get errorAPI() {
    return kn.call(this);
  }
  /**
   * Returns all of the collected XML that has been collected for the whole slot
   *
   * @returns {XML} XML as live parsable DOM representation, querySelector and similar work on this.
   */
  get rawXML() {
    return this.rawXMLDocument;
  }
};
de.NAME = "AdSAPI::", de.EVENT = {
  STOP_SLOT_SUCCESS: "AdSlotAPI::stopSlotSuccess"
};
let Sr = de;
const Xt = class Xt {
  constructor(e, i) {
    this.adPlaylistAPI = null, this.adSlotAPI = null, this.config = e, this.playerFacade = i;
  }
  // TODO: Documentation: second or third scc init has to be started to run multi instances of an api.
  /**
   * @returns {AdSlotAPI} - API to work with VAST responses.
   */
  get AdSlotAPI() {
    return this.adSlotAPI || (c.debug.info(Xt.NAME + "AdSlotAPI ready"), this.adSlotAPI = new Sr(this.playerFacade, this.config)), this.adSlotAPI;
  }
  /**
   * @returns {AdPlaylistAPI} - API to work with VMAP responses.
   */
  get AdPlaylistAPI() {
    return this.adPlaylistAPI ? (c.debug.info(Xt.NAME + "AdPlaylist active"), this.adPlaylistAPI) : (c.debug.info(Xt.NAME + "AdPlaylist ready"), this.adPlaylistAPI = new hr(this.playerFacade, this.AdSlotAPI), this.adPlaylistAPI);
  }
};
Xt.NAME = "MainCtlr::";
let yr = Xt;
const Do = {
  XHR: "xhr",
  JSONP: "jsonp"
};
function Lo() {
  var E = window;
  (function(e) {
    var i;
    function r(t) {
      var n = 0;
      return function() {
        return n < t.length ? {
          done: !1,
          value: t[n++]
        } : {
          done: !0
        };
      };
    }
    function s(t) {
      var n = typeof Symbol != "undefined" && Symbol.iterator && t[Symbol.iterator];
      if (n)
        return n.call(t);
      if (typeof t.length == "number")
        return {
          next: r(t)
        };
      throw Error(String(t) + " is not an iterable or ArrayLike");
    }
    function d(t) {
      if (!(t instanceof Array)) {
        t = s(t);
        for (var n, o = []; !(n = t.next()).done; )
          o.push(n.value);
        t = o;
      }
      return t;
    }
    var h = typeof Object.create == "function" ? Object.create : function(t) {
      function n() {
      }
      return n.prototype = t, new n();
    }, A = typeof Object.defineProperties == "function" ? Object.defineProperty : function(t, n, o) {
      return t == Array.prototype || t == Object.prototype || (t[n] = o.value), t;
    };
    function v(t) {
      t = [(typeof globalThis == "undefined" ? "undefined" : J(globalThis)) == "object" && globalThis, t, (typeof window == "undefined" ? "undefined" : J(window)) == "object" && window, (typeof self == "undefined" ? "undefined" : J(self)) == "object" && self, (typeof global == "undefined" ? "undefined" : J(global)) == "object" && global];
      for (var n = 0; n < t.length; ++n) {
        var o = t[n];
        if (o && o.Math == Math)
          return o;
      }
      throw Error("Cannot find global object");
    }
    var y = v(this);
    function M(t, n) {
      if (n)
        e: {
          var o = y;
          t = t.split(".");
          for (var l = 0; l < t.length - 1; l++) {
            var f = t[l];
            if (!(f in o))
              break e;
            o = o[f];
          }
          t = t[t.length - 1], l = o[t], n = n(l), n != l && n != null && A(o, t, {
            configurable: !0,
            writable: !0,
            value: n
          });
        }
    }
    var ee;
    if (typeof Object.setPrototypeOf == "function")
      ee = Object.setPrototypeOf;
    else {
      var W;
      e: {
        var Ee = {
          a: !0
        }, z = {};
        try {
          z.__proto__ = Ee, W = z.a;
          break e;
        } catch (t) {
        }
        W = !1;
      }
      ee = W ? function(t, n) {
        if (t.__proto__ = n, t.__proto__ !== n)
          throw new TypeError(t + " is not extensible");
        return t;
      } : null;
    }
    var le = ee;
    function I(t, n) {
      if (t.prototype = h(n.prototype), t.prototype.constructor = t, le)
        le(t, n);
      else
        for (var o in n)
          if (o != "prototype")
            if (Object.defineProperties) {
              var l = Object.getOwnPropertyDescriptor(n, o);
              l && Object.defineProperty(t, o, l);
            } else
              t[o] = n[o];
      t.wa = n.prototype;
    }
    function _() {
      for (var t = Number(this), n = [], o = t; o < arguments.length; o++)
        n[o - t] = arguments[o];
      return n;
    }
    function U(t, n) {
      return Object.prototype.hasOwnProperty.call(t, n);
    }
    var G = typeof Object.assign == "function" ? Object.assign : function(t, n) {
      for (var o = 1; o < arguments.length; o++) {
        var l = arguments[o];
        if (l)
          for (var f in l)
            U(l, f) && (t[f] = l[f]);
      }
      return t;
    };
    M("Object.assign", function(t) {
      return t || G;
    }), M("Symbol", function(t) {
      function n(g) {
        if (this instanceof n)
          throw new TypeError("Symbol is not a constructor");
        return new o(l + (g || "") + "_" + f++, g);
      }
      function o(g, T) {
        this.g = g, A(this, "description", {
          configurable: !0,
          writable: !0,
          value: T
        });
      }
      if (t)
        return t;
      o.prototype.toString = function() {
        return this.g;
      };
      var l = "jscomp_symbol_" + (1e9 * Math.random() >>> 0) + "_", f = 0;
      return n;
    }), M("Symbol.iterator", function(t) {
      if (t)
        return t;
      t = Symbol("Symbol.iterator");
      for (var n = "Array Int8Array Uint8Array Uint8ClampedArray Int16Array Uint16Array Int32Array Uint32Array Float32Array Float64Array".split(" "), o = 0; o < n.length; o++) {
        var l = y[n[o]];
        typeof l == "function" && typeof l.prototype[t] != "function" && A(l.prototype, t, {
          configurable: !0,
          writable: !0,
          value: function() {
            return Y(r(this));
          }
        });
      }
      return t;
    });
    function Y(t) {
      return t = {
        next: t
      }, t[Symbol.iterator] = function() {
        return this;
      }, t;
    }
    M("WeakMap", function(t) {
      function n(N) {
        if (this.g = (O += Math.random() + 1).toString(), N) {
          N = s(N);
          for (var b; !(b = N.next()).done; )
            b = b.value, this.set(b[0], b[1]);
        }
      }
      function o() {
      }
      function l(N) {
        var b = J(N);
        return b === "object" && N !== null || b === "function";
      }
      function f(N) {
        if (!U(N, T)) {
          var b = new o();
          A(N, T, {
            value: b
          });
        }
      }
      function g(N) {
        var b = Object[N];
        b && (Object[N] = function(q) {
          return q instanceof o ? q : (Object.isExtensible(q) && f(q), b(q));
        });
      }
      if (function() {
        if (!t || !Object.seal)
          return !1;
        try {
          var N = Object.seal({}), b = Object.seal({}), q = new t([[N, 2], [b, 3]]);
          return q.get(N) != 2 || q.get(b) != 3 ? !1 : (q.delete(N), q.set(b, 4), !q.has(N) && q.get(b) == 4);
        } catch (fe) {
          return !1;
        }
      }())
        return t;
      var T = "$jscomp_hidden_" + Math.random();
      g("freeze"), g("preventExtensions"), g("seal");
      var O = 0;
      return n.prototype.set = function(N, b) {
        if (!l(N))
          throw Error("Invalid WeakMap key");
        if (f(N), !U(N, T))
          throw Error("WeakMap key fail: " + N);
        return N[T][this.g] = b, this;
      }, n.prototype.get = function(N) {
        return l(N) && U(N, T) ? N[T][this.g] : void 0;
      }, n.prototype.has = function(N) {
        return l(N) && U(N, T) && U(N[T], this.g);
      }, n.prototype.delete = function(N) {
        return l(N) && U(N, T) && U(N[T], this.g) ? delete N[T][this.g] : !1;
      }, n;
    }), M("Map", function(t) {
      function n() {
        var O = {};
        return O.L = O.next = O.head = O;
      }
      function o(O, N) {
        var b = O.g;
        return Y(function() {
          if (b) {
            for (; b.head != O.g; )
              b = b.L;
            for (; b.next != b.head; )
              return b = b.next, {
                done: !1,
                value: N(b)
              };
            b = null;
          }
          return {
            done: !0,
            value: void 0
          };
        });
      }
      function l(O, N) {
        var b = N && J(N);
        b == "object" || b == "function" ? g.has(N) ? b = g.get(N) : (b = "" + ++T, g.set(N, b)) : b = "p_" + N;
        var q = O.h[b];
        if (q && U(O.h, b))
          for (O = 0; O < q.length; O++) {
            var fe = q[O];
            if (N !== N && fe.key !== fe.key || N === fe.key)
              return {
                id: b,
                list: q,
                index: O,
                A: fe
              };
          }
        return {
          id: b,
          list: q,
          index: -1,
          A: void 0
        };
      }
      function f(O) {
        if (this.h = {}, this.g = n(), this.size = 0, O) {
          O = s(O);
          for (var N; !(N = O.next()).done; )
            N = N.value, this.set(N[0], N[1]);
        }
      }
      if (function() {
        if (!t || typeof t != "function" || !t.prototype.entries || typeof Object.seal != "function")
          return !1;
        try {
          var O = Object.seal({
            x: 4
          }), N = new t(s([[O, "s"]]));
          if (N.get(O) != "s" || N.size != 1 || N.get({
            x: 4
          }) || N.set({
            x: 4
          }, "t") != N || N.size != 2)
            return !1;
          var b = N.entries(), q = b.next();
          return q.done || q.value[0] != O || q.value[1] != "s" ? !1 : (q = b.next(), !(q.done || q.value[0].x != 4 || q.value[1] != "t" || !b.next().done));
        } catch (fe) {
          return !1;
        }
      }())
        return t;
      var g = /* @__PURE__ */ new WeakMap();
      f.prototype.set = function(O, N) {
        O = O === 0 ? 0 : O;
        var b = l(this, O);
        return b.list || (b.list = this.h[b.id] = []), b.A ? b.A.value = N : (b.A = {
          next: this.g,
          L: this.g.L,
          head: this.g,
          key: O,
          value: N
        }, b.list.push(b.A), this.g.L.next = b.A, this.g.L = b.A, this.size++), this;
      }, f.prototype.delete = function(O) {
        return O = l(this, O), O.A && O.list ? (O.list.splice(O.index, 1), O.list.length || delete this.h[O.id], O.A.L.next = O.A.next, O.A.next.L = O.A.L, O.A.head = null, this.size--, !0) : !1;
      }, f.prototype.clear = function() {
        this.h = {}, this.g = this.g.L = n(), this.size = 0;
      }, f.prototype.has = function(O) {
        return !!l(this, O).A;
      }, f.prototype.get = function(O) {
        return (O = l(this, O).A) && O.value;
      }, f.prototype.entries = function() {
        return o(this, function(O) {
          return [O.key, O.value];
        });
      }, f.prototype.keys = function() {
        return o(this, function(O) {
          return O.key;
        });
      }, f.prototype.values = function() {
        return o(this, function(O) {
          return O.value;
        });
      }, f.prototype.forEach = function(O, N) {
        for (var b = this.entries(), q; !(q = b.next()).done; )
          q = q.value, O.call(N, q[1], q[0], this);
      }, f.prototype[Symbol.iterator] = f.prototype.entries;
      var T = 0;
      return f;
    }), M("Object.values", function(t) {
      return t || function(n) {
        var o = [], l;
        for (l in n)
          U(n, l) && o.push(n[l]);
        return o;
      };
    });
    function Q(t, n) {
      t instanceof String && (t += "");
      var o = 0, l = !1, f = {
        next: function() {
          if (!l && o < t.length) {
            var T = o++;
            return {
              value: n(T, t[T]),
              done: !1
            };
          }
          return l = !0, {
            done: !0,
            value: void 0
          };
        }
      };
      return f[Symbol.iterator] = function() {
        return f;
      }, f;
    }
    M("Array.prototype.keys", function(t) {
      return t || function() {
        return Q(this, function(n) {
          return n;
        });
      };
    }), M("Set", function(t) {
      function n(o) {
        if (this.g = /* @__PURE__ */ new Map(), o) {
          o = s(o);
          for (var l; !(l = o.next()).done; )
            this.add(l.value);
        }
        this.size = this.g.size;
      }
      return function() {
        if (!t || typeof t != "function" || !t.prototype.entries || typeof Object.seal != "function")
          return !1;
        try {
          var o = Object.seal({
            x: 4
          }), l = new t(s([o]));
          if (!l.has(o) || l.size != 1 || l.add(o) != l || l.size != 1 || l.add({
            x: 4
          }) != l || l.size != 2)
            return !1;
          var f = l.entries(), g = f.next();
          return g.done || g.value[0] != o || g.value[1] != o ? !1 : (g = f.next(), g.done || g.value[0] == o || g.value[0].x != 4 || g.value[1] != g.value[0] ? !1 : f.next().done);
        } catch (T) {
          return !1;
        }
      }() ? t : (n.prototype.add = function(o) {
        return o = o === 0 ? 0 : o, this.g.set(o, o), this.size = this.g.size, this;
      }, n.prototype.delete = function(o) {
        return o = this.g.delete(o), this.size = this.g.size, o;
      }, n.prototype.clear = function() {
        this.g.clear(), this.size = 0;
      }, n.prototype.has = function(o) {
        return this.g.has(o);
      }, n.prototype.entries = function() {
        return this.g.entries();
      }, n.prototype.values = function() {
        return this.g.values();
      }, n.prototype.keys = n.prototype.values, n.prototype[Symbol.iterator] = n.prototype.values, n.prototype.forEach = function(o, l) {
        var f = this;
        this.g.forEach(function(g) {
          return o.call(l, g, g, f);
        });
      }, n);
    }), M("Object.is", function(t) {
      return t || function(n, o) {
        return n === o ? n !== 0 || 1 / n === 1 / o : n !== n && o !== o;
      };
    }), M("Array.prototype.includes", function(t) {
      return t || function(n, o) {
        var l = this;
        l instanceof String && (l = String(l));
        var f = l.length;
        for (o = o || 0, 0 > o && (o = Math.max(o + f, 0)); o < f; o++) {
          var g = l[o];
          if (g === n || Object.is(g, n))
            return !0;
        }
        return !1;
      };
    }), M("String.prototype.includes", function(t) {
      return t || function(n, o) {
        if (this == null)
          throw new TypeError("The 'this' value for String.prototype.includes must not be null or undefined");
        if (n instanceof RegExp)
          throw new TypeError("First argument to String.prototype.includes must not be a regular expression");
        return this.indexOf(n, o || 0) !== -1;
      };
    }), M("Array.prototype.values", function(t) {
      return t || function() {
        return Q(this, function(n, o) {
          return o;
        });
      };
    });
    var j = {
      na: "loaded",
      ta: "start",
      ka: "firstQuartile",
      oa: "midpoint",
      ua: "thirdQuartile",
      ia: "complete",
      pa: "pause",
      ra: "resume",
      ha: "bufferStart",
      ga: "bufferFinish",
      sa: "skipped",
      va: "volumeChange",
      qa: "playerStateChange",
      fa: "adUserInteraction"
    }, D = {
      la: "full",
      ja: "domain",
      ma: "limited"
    };
    function R(t, n) {
      this.x = t.x != null ? t.x : t.left, this.y = t.y != null ? t.y : t.top, this.width = t.width, this.height = t.height, this.J = this.x + this.width, this.K = this.y + this.height, this.H = t.H || void 0, this.V = t.V || [], this.h = t.friendlyObstructionClass || void 0, this.i = t.friendlyObstructionPurpose || void 0, this.j = t.friendlyObstructionReason || void 0, this.P = t.P !== void 0 ? t.P === !0 : !0, this.m = t.hasWindowFocus !== void 0 ? t.hasWindowFocus === !0 : !0, this.D = t.D || void 0, this.aa = t.aa || void 0, this.W = t.W === "true" || t.W === !0 || !1, this.N = t.N || [], this.R = t.R || !1, this.g = n;
    }
    function P(t) {
      var n = {};
      return n.width = t.width, n.height = t.height, n;
    }
    function H(t) {
      var n = {};
      return ge({}, P(t), (n.x = t.x, n.y = t.y, n));
    }
    function Z(t) {
      var n = H(t), o = {};
      return ge({}, n, (o.endX = t.J, o.endY = t.K, o));
    }
    R.prototype.T = function(t) {
      if (t == null)
        return !1;
      t = H(t);
      var n = t.y, o = t.width, l = t.height;
      return this.x === t.x && this.y === n && this.width === o && this.height === l;
    };
    function Me(t) {
      return t.width * t.height;
    }
    function Ie(t) {
      return t.width === 0 || t.height === 0;
    }
    function wt(t, n) {
      t = H(t);
      for (var o = [], l = [], f = 0; f < n.length; f++) {
        var g = H(n[f]);
        g = st(t, g), ht(o, g.x), ht(o, g.J), ht(l, g.y), ht(l, g.K);
      }
      return o = o.sort(function(T, O) {
        return T - O;
      }), l = l.sort(function(T, O) {
        return T - O;
      }), {
        da: o,
        ea: l
      };
    }
    function st(t, n) {
      return {
        x: Math.max(t.x, n.x),
        y: Math.max(t.y, n.y),
        J: Math.min(t.x + t.width, n.x + n.width),
        K: Math.min(t.y + t.height, n.y + n.height)
      };
    }
    function ht(t, n) {
      t.indexOf(n) === -1 && t.push(n);
    }
    function Ke() {
      this.h = this.g = this.i = this.l = void 0, this.u = 0, this.o = [], this.v = [], this.B = 0, this.s = [], this.j = [], this.m = [];
    }
    Ke.prototype.T = function(t) {
      return t == null ? !1 : JSON.stringify(je(this)) === JSON.stringify(je(t));
    };
    function je(t) {
      var n = [], o = [], l = {
        viewport: t.l,
        adView: {
          percentageInView: t.u,
          pixelsInView: t.B,
          reasons: t.m
        },
        declaredFriendlyObstructions: t.o.length
      };
      if (t.g !== void 0) {
        l.adView.geometry = H(t.g), l.adView.geometry.pixels = Me(t.g), l.adView.onScreenGeometry = H(t.h), l.adView.onScreenGeometry.pixels = pt(t);
        for (var f = 0; f < t.j.length; f++)
          n.push(H(t.j[f]));
        for (f = 0; f < t.v.length; f++) {
          var g = t.v[f], T = g, O = {};
          T.h && (O.obstructionClass = T.h), T.i && (O.obstructionPurpose = T.i), T.j && (O.obstructionReason = T.j), g = st(t.g, g), o.push(ge({}, {
            x: g.x,
            y: g.y,
            width: g.J - g.x,
            height: g.K - g.y
          }, O));
        }
        l.adView.onScreenGeometry.obstructions = n, l.adView.onScreenGeometry.friendlyObstructions = o;
      }
      return l;
    }
    function yt(t, n) {
      n = P(n), t.l = {}, t.l.width = n.width, t.l.height = n.height, t.i = {}, t.i.x = 0, t.i.y = 0, t.i.width = n.width, t.i.height = n.height, t.i.endX = n.width, t.i.endY = n.height;
    }
    function ot() {
      return {
        x: 0,
        y: 0,
        endX: 0,
        endY: 0,
        width: 0,
        height: 0
      };
    }
    function ct(t, n) {
      var o = {};
      return o.x = Math.max(t.x, n.x), o.y = Math.max(t.y, n.y), o.endX = Math.min(t.endX, n.endX), o.endY = Math.min(t.endY, n.endY), o.width = Math.max(0, o.endX - o.x), o.height = Math.max(0, o.endY - o.y), o;
    }
    function at(t, n) {
      return 0.01 < n.width - t.width || 0.01 < n.height - t.height;
    }
    function He(t) {
      if (t.m.indexOf("backgrounded") !== -1)
        t.u = 0, t.B = 0;
      else {
        var n = Me(t.g);
        if (n !== 0) {
          var o = pt(t);
          t.u = Math.round(o / n * 100), t.B = o;
        }
      }
    }
    function Vt(t, n) {
      if (Ie(n) || !t.h)
        n = !1;
      else {
        var o = Z(t.h), l = o.y, f = o.endX;
        t = o.endY;
        var g = n.J;
        o = o.x, (g = g < o || 0.01 > Math.abs(g - o)) || (g = n.x, g = g > f || 0.01 > Math.abs(g - f)), (f = g) || (f = n.K, f = f < l || 0.01 > Math.abs(f - l)), (l = f) || (n = n.y, l = n > t || 0.01 > Math.abs(n - t)), n = !l;
      }
      return n;
    }
    function Ae(t, n) {
      for (var o = !1, l = 0; l < t.m.length; l++)
        t.m[l] === n && (o = !0);
      o || t.m.push(n);
    }
    function pt(t) {
      var n = Math, o = n.max, l = Me(t.h), f = t.j, g = 0;
      if (0 < f.length) {
        var T = wt(t.h, f);
        t = T.da, T = T.ea;
        for (var O = 0; O < t.length - 1; O++)
          for (var N = (t[O] + (t[O] + 1)) / 2, b = t[O + 1] - t[O], q = 0; q < T.length - 1; q++) {
            for (var fe = (T[q] + (T[q] + 1)) / 2, Je = T[q + 1] - T[q], dt = !1, Nt = 0; Nt < f.length; Nt++) {
              var Ue = H(f[Nt]);
              if (Ue.x < N && Ue.x + Ue.width > N && Ue.y < fe && Ue.y + Ue.height > fe) {
                dt = !0;
                break;
              }
            }
            dt && (g += Math.round(b) * Math.round(Je));
          }
      }
      return o.call(n, 0, l - g);
    }
    function Be() {
    }
    function ye() {
    }
    function be(t, n, o, l) {
      var f = n.R ? !0 : n.H === l;
      if (f) {
        o.g = n;
        var g = Z(o.g);
        t = ct(o.i, g);
        var T = o.g;
        T.D === "notAttached" || T.D === "noWindowFocus" || T.D === "noAdView" ? (Ae(o, "notFound"), o.h = new R(ot(), !1)) : (T = o.g, T.D === "viewInvisible" || T.D === "viewGone" || T.D === "viewNotVisible" || T.D === "viewAlphaZero" || T.D === "viewHidden" || o.g.D !== void 0 || Ie(o.g) ? (Ae(o, "hidden"), o.h = new R(ot(), !1)) : (o.g.W && Ae(o, "pictureInPicture"), o.g.m || (Ae(o, "backgrounded"), Ae(o, "noWindowFocus")), at(t, g) && Ae(o, "clipped"), o.h = new R(t, !1)));
      } else if (g = !0, n.g && (g = n.V.indexOf(l) !== -1 ? !1 : n.P === !1), g) {
        T = n.N;
        for (var O = 0; O < T.length; O++)
          g = o.g !== void 0, be(t, new R(T[O], g), o, l);
      }
      f || o.g === void 0 || (n.g ? n.V.indexOf(l) !== -1 ? o.o.push(n) : o.s.push(n) : (f = Z(n), l = Z(o.h), H(o.h), !Ie(o.h) && n.P && (n = ct(l, f), at(n, l) && (Ae(o, "clipped"), o.h = new R(n, !1)))));
    }
    function Te() {
      this.g = /* @__PURE__ */ new Map(), this.h = null;
    }
    function V() {
      return L || (L = new Te()), L;
    }
    var L = null;
    function pe(t, n) {
      this.y = this.x = 0, this.width = t, this.height = n;
    }
    function ce() {
      this.H = null, this.i = {
        apiVersion: "1.0",
        accessMode: "limited",
        environment: "web",
        omidJsInfo: {
          omidImplementer: "omsdk",
          serviceVersion: "1.5.2-iab4528"
        },
        adSessionType: "html",
        supports: ["clid", "vlid"]
      }, this.C = null, this.B = "foregrounded", this.s = this.j = "none", this.o = this.l = this.m = this.G = this.h = this.g = this.M = this.v = null, this.u = /* @__PURE__ */ new Map();
    }
    var ne = function() {
      if (typeof e != "undefined" && e)
        return e;
      if (typeof global != "undefined" && global)
        return global;
      if (typeof window != "undefined" && window)
        return window;
      if (typeof globalThis != "undefined" && globalThis)
        return globalThis;
      var t = Function("return this")();
      if (t)
        return t;
      throw Error("Could not determine global object context.");
    }();
    function ft(t) {
      if (t === ne)
        return !1;
      try {
        if (typeof t.location.hostname == "undefined")
          return !0;
      } catch (n) {
        return !0;
      }
      return !1;
    }
    function Ot() {
      var t = e;
      if (t == null || typeof t.top == "undefined" || t.top == null)
        return null;
      try {
        var n = t.top;
        return ft(n) ? null : n.location.href;
      } catch (o) {
        return null;
      }
    }
    function li(t, n) {
      this.g = t, this.h = n;
    }
    y.Object.defineProperties(li.prototype, {
      event: {
        configurable: !0,
        enumerable: !0,
        get: function() {
          return this.g;
        }
      },
      origin: {
        configurable: !0,
        enumerable: !0,
        get: function() {
          return this.h;
        }
      }
    });
    function qe() {
      var t = _.apply(0, arguments);
      Gt(function() {
        throw new (Function.prototype.bind.apply(Error, [null, "Could not complete the test successfully - "].concat(d(t))))();
      }, function() {
        return console.error.apply(console, d(t));
      });
    }
    function te() {
      var t = _.apply(0, arguments);
      Gt(function() {
      }, function() {
        return console.error.apply(console, d(t));
      });
    }
    function Gt(t, n) {
      typeof jasmine != "undefined" && jasmine ? t() : typeof console != "undefined" && console && console.error && n();
    }
    function xt(t) {
      this.g = t, this.m = [], this.i = [], this.j = [], this.l = [], this.o = {};
    }
    function Re(t, n) {
      if (t.g !== void 0 && t.g.H && Pe(t, n) !== !1) {
        var o = n.event;
        t.j.filter(function(l) {
          return l.type === o.type;
        }).forEach(function(l) {
          t.h(l.I, o);
        });
      }
    }
    function It(t, n) {
      t.m.push(n), Re(t, n);
    }
    function di(t, n, o) {
      t.g !== void 0 && t.g.H && t.m.filter(function(l) {
        return l.event.type === n && Pe(t, l);
      }).map(function(l) {
        return l.event;
      }).forEach(function(l) {
        t.h(o.I, l);
      });
    }
    function Pe(t, n) {
      var o = n.event.type, l = Object.values(j).indexOf(o) !== -1 && o !== "volumeChange";
      return o === "impression" || o === "loaded" && t.g.h ? n.origin === t.g.s : l ? n.origin === t.g.j : !0;
    }
    function ui(t, n, o) {
      Object.keys(j).forEach(function(l) {
        l = j[l];
        var f = {
          type: l,
          U: o,
          I: n
        };
        t.j.push(f), di(t, l, f);
      });
    }
    function hi(t, n, o, l) {
      var f = {
        ba: o,
        U: l,
        I: n
      };
      t.l.push(f), t.i.forEach(function(g) {
        var T = ze(g);
        g.event.type === "sessionStart" && m(t, T, f), t.h(f.I, T);
      });
    }
    function a(t, n, o) {
      var l = F(t, "sessionError", "native", {
        errorType: n,
        message: o
      });
      t.i.push(l), t.l.forEach(function(f) {
        t.h(f.I, l.event);
      });
    }
    function u(t, n) {
      if (t.o = ge(t.o, n), n = t.g.i, n !== void 0) {
        n = ge({}, x(B(t, $(t, {
          context: n
        }), !0)), {
          supportsLoadedEvent: !!t.g.h || t.g.g == "video"
        }), ge(n, {
          pageUrl: Ot(),
          contentUrl: t.g.C
        });
        var o = F(t, "sessionStart", "native", n);
        t.i.push(o), t.l.forEach(function(l) {
          var f = ze(o);
          m(t, f, l), t.h(l.I, f);
        }, t), C(t);
      }
    }
    function m(t, n, o) {
      o.ba && (n.data.verificationParameters = t.o[o.ba]), o.U && (o = t.g.u.get(o.U)) && (n.data.verificationParameters = o.verificationParameters, n.data.context.accessMode = o.accessMode, o.accessMode === "full" && (t.g.l && (n.data.context.videoElement = t.g.l), t.g.m && (n.data.context.slotElement = t.g.m)));
    }
    function S(t) {
      var n = F(t, "sessionFinish", "native");
      t.i.push(n), t.l.forEach(function(o) {
        t.h(o.I, n.event);
      });
    }
    xt.prototype.h = function(t) {
      var n = _.apply(1, arguments);
      try {
        t.apply(null, d(n));
      } catch (o) {
        te(o);
      }
    };
    function C(t) {
      var n = t.m.filter(function(g) {
        return Object.values(j).indexOf(g.event.type) !== -1 && t.g.g == "video" && g.origin === t.g.j || g.event.type == "loaded" && t.g.g == "display" && g.origin === t.g.s;
      }).map(function(g) {
        return g.event;
      }), o = t.g.H || "", l = {};
      n = s(n);
      for (var f = n.next(); !f.done; l = {
        F: l.F
      }, f = n.next()) {
        if (l.F = f.value, l.F.adSessionId || (l.F.adSessionId = o), l.F.type == "loaded") {
          if (!t.g.h && t.g.g == "display")
            continue;
          l.F.data = B(t, $(t, l.F.data));
        }
        t.j.filter(/* @__PURE__ */ function(g) {
          return function(T) {
            return T.type === g.F.type;
          };
        }(l)).forEach(/* @__PURE__ */ function(g) {
          return function(T) {
            return T.I(g.F);
          };
        }(l));
      }
    }
    function se(t, n) {
      e: {
        n = new Set(n), t = s(t.m.concat(t.i));
        for (var o = t.next(); !o.done; o = t.next())
          if (o = o.value, n.has(o.event.type) && o.origin != "javascript") {
            n = !0;
            break e;
          }
        n = !1;
      }
      return n ? (qe("Event owner cannot be registered after its events have already been published."), !1) : !0;
    }
    function re(t) {
      var n = t.g.s;
      return n != "none" && n != "javascript" ? (qe("Impression event is owned by " + (t.g.s + ", not javascript.")), !1) : !0;
    }
    function lt(t) {
      var n = t.g.j;
      return n != "none" && n != "javascript" ? (qe("Media events are owned by " + (t.g.j + ", not javascript.")), !1) : !0;
    }
    function B(t, n, o) {
      return o = o === void 0 ? !1 : o, n = ge({}, n), t.g.g && ge(n, {
        mediaType: t.g.g
      }), t.g.h && (o || t.g.h !== "definedByJavaScript") && ge(n, {
        creativeType: t.g.h
      }), n;
    }
    function x(t) {
      var n = V().h;
      return n ? ge({}, t, {
        lastActivity: n
      }) : t;
    }
    function $(t, n) {
      return t.g.G ? ge({}, n, {
        impressionType: t.g.G
      }) : n;
    }
    function F(t, n, o, l) {
      return new li({
        adSessionId: t.g.H || "",
        timestamp: (/* @__PURE__ */ new Date()).getTime(),
        type: n,
        data: l
      }, o);
    }
    function ze(t) {
      t = t.event;
      var n = t.data ? ge({}, t.data) : void 0;
      return t.type === "sessionStart" && (n.context = ge({}, n.context)), {
        adSessionId: t.adSessionId,
        timestamp: t.timestamp,
        type: t.type,
        data: n
      };
    }
    function Tt(t, n, o) {
      n !== "start" && n !== "volumeChange" || (o && o.deviceVolume) != null || (o.deviceVolume = t.g.v);
    }
    function Dr(t, n, o) {
      if (o && (n === "start" || n === "volumeChange")) {
        n = o.videoPlayerVolume;
        var l = o.mediaPlayerVolume;
        n != null ? (ge(o, {
          mediaPlayerVolume: n
        }), t.g.M = n) : l != null && (ge(o, {
          videoPlayerVolume: l
        }), t.g.M = l);
      }
    }
    function $n(t, n) {
      this.h = t, this.g = n;
    }
    function ki() {
      var t;
      this.g = t = t === void 0 ? e : t;
    }
    ki.prototype.setInterval = function(t, n) {
      return ci(this, "setInterval")(t, n);
    }, ki.prototype.clearInterval = function(t) {
      ci(this, "clearInterval")(t);
    };
    function jn(t, n) {
      ci(t, "clearTimeout")(n);
    }
    function ci(t, n) {
      return t.g && t.g[n] ? t.g[n] : Ui(t, n);
    }
    function Hn(t, n, o, l) {
      if (t.g.document && t.g.document.body) {
        var f = t.g.document.createElement("img");
        f.width = 1, f.height = 1, f.style.display = "none", f.src = n, o && f.addEventListener("load", function() {
          return o();
        }), l && f.addEventListener("error", function() {
          return l();
        }), t.g.document.body.appendChild(f);
      } else
        Ui(t, "sendUrl")(n, o, l);
    }
    function Ui(t, n) {
      if (t.g && t.g.omidNative && t.g.omidNative[n])
        return t.g.omidNative[n].bind(t.g.omidNative);
      throw Error('Native interface method "' + n + '" not found.');
    }
    function Lr(t) {
      return !(!t || !t.tagName || t.tagName.toLowerCase() !== "iframe");
    }
    function Qe(t, n, o, l, f) {
      this.j = t, this.ca = n, this.X = o, this.i = l, this.$ = f, this.h = null, this.g = this.m = this.M = void 0, this.Z = !0, this.o = void 0, pi(this);
    }
    function pi(t) {
      if (!t.h) {
        var n;
        e: {
          if ((n = t.j.document) && n.getElementsByClassName && (n = n.getElementsByClassName("omid-element"))) {
            if (n.length == 1) {
              n = n[0];
              break e;
            }
            1 < n.length && t.Z && (a(t.X, "generic", "More than one element with 'omid-element' class name."), t.Z = !1);
          }
          n = null;
        }
        if (n && n.tagName && n.tagName.toLowerCase() === "video")
          t.i.l = n;
        else if (n && n.tagName)
          t.i.m = n;
        else
          return;
        fi(t);
      }
    }
    function fi(t) {
      t.i.l ? (t.h = t.i.l, t.s()) : t.i.m && (t.h = t.i.m, Lr(t.h) ? t.i.o && t.s() : t.s());
    }
    function Kt(t) {
      t.g && (Lr(t.h) ? t.i.o && (t.S(), Mr(t)) : (t.S(), Mr(t)));
    }
    Qe.prototype.v = function() {
      this.o && (this.j.document.removeEventListener("visibilitychange", this.o), this.o = void 0);
    }, Qe.prototype.s = function() {
      var t = this;
      this.o || (this.o = function() {
        t.i.B = t.j.document.hidden ? "backgrounded" : "foregrounded", Kt(t);
      }, this.j.document.addEventListener("visibilitychange", this.o), this.o());
    };
    function Mr(t) {
      if (t.M) {
        t.i.S = t.M, t = t.ca;
        var n = t.g.S, o = t.g.O;
        if (n && !n.T(o)) {
          o = je(n);
          var l = t.h;
          l.g.h != "audio" && It(l, F(l, "geometryChange", "native", o)), t.g.O = n;
        }
      }
    }
    function br(t) {
      if (t.g && t.i.o) {
        var n = new R(t.i.o, !1), o = t.g.x;
        return t = t.g.y, n.x += o, n.y += t, n.J += o, n.K += t, n.P = !0, n;
      }
    }
    function kt(t, n, o, l, f, g) {
      Qe.call(this, t, o, l, f, g), this.u = n, this.l = void 0;
    }
    I(kt, Qe), kt.prototype.v = function() {
      this.l !== void 0 && (this.$.clearInterval(this.l), this.l = void 0), Qe.prototype.v.call(this);
    }, kt.prototype.s = function() {
      var t = this;
      Qe.prototype.s.call(this), this.h == null ? this.l = void 0 : this.l === void 0 && (this.l = this.$.setInterval(function() {
        return Pr(t);
      }, 200), Pr(this));
    }, kt.prototype.S = function() {
      if (this.m) {
        var t = br(this);
        if (t) {
          this.g.R = !1, t.R = !0;
          for (var n = !1, o = 0; o < this.g.N.length; o++)
            if (this.g.N[o].R) {
              this.g.N[o] = t, n = !0;
              break;
            }
          n || this.g.N.push(t);
        } else
          this.g.R = !0;
        n = this.u, o = this.i.B;
        var l = this.i.H, f = this.O();
        t = new Ke();
        var g = new R(this.m, !1);
        if (yt(t, g), be(n, g, t, l), f)
          if (g.aa)
            Ae(t, "backgrounded"), Ae(t, "noOutputDevice");
          else if (o === "backgrounded")
            Ae(t, "backgrounded");
          else if (t.g !== void 0) {
            for (n = 0; n < t.o.length; n++)
              Vt(t, t.o[n]) && t.v.push(t.o[n]);
            for (n = 0; n < t.s.length; n++) {
              if (o = Vt(t, t.s[n])) {
                e: {
                  for (o = t.s[n], l = 0; l < t.j.length; l++)
                    if (t.j[l].T(o)) {
                      o = !0;
                      break e;
                    }
                  o = !1;
                }
                o = !o;
              }
              o && (Ae(t, "obstructed"), t.j.push(t.s[n]));
            }
            He(t);
          } else
            Ae(t, "notFound");
        else
          t.m = ["unmeasurable"], t.l = void 0, t.u = 0, t.j = [], t.g && (n = t.g, o = {}, n = new R((o.x = 0, o.y = 0, o.width = n.width, o.height = n.height, o), n.g), t.g = n), t.h = ot();
        this.M = t;
      }
    }, kt.prototype.O = function() {
      return wr(this);
    };
    function Pr(t) {
      if (t.l !== void 0) {
        if (wr(t)) {
          var n = t.j.top;
          n = new R(new pe(n.innerWidth, n.innerHeight), !1);
        } else
          n = new R(new pe(0, 0), !1);
        var o = t.h.getBoundingClientRect();
        (o.x == null || isNaN(o.x)) && (o.x = o.left), (o.y == null || isNaN(o.y)) && (o.y = o.top), o = new R(o, !1), n.T(t.m) && o.T(t.g) || (t.g = o, t.g.P = !0, t.m = n, t.m.N.push(t.g), Kt(t));
      }
    }
    function wr(t) {
      try {
        var n = t.j.top;
        return 0 <= n.innerHeight && 0 <= n.innerWidth;
      } catch (o) {
      }
      return !1;
    }
    function Ut(t, n, o, l, f, g) {
      Qe.call(this, t, o, l, f, g), this.C = this.u = this.B = this.l = void 0, this.Y = !1, this.G = void 0;
    }
    I(Ut, Qe), Ut.prototype.v = function() {
      this.l && this.l.disconnect(), Vr(this), Qe.prototype.v.call(this);
    }, Ut.prototype.s = function() {
      if (Qe.prototype.s.call(this), this.h && (this.l || (this.l = Bn(this)), xr(this), kr(this.h) && qn(this), this.i.B === "backgrounded")) {
        var t = Ai(new pe(0, 0));
        this.G = this.g = this.m = t, Kt(this);
      }
    }, Ut.prototype.S = function() {
      if (this.g && this.G) {
        var t = br(this);
        if (t) {
          var n = t, o = this.G, l = Math.max(t.x, o.x), f = Math.max(t.y, o.y), g = Math.min(t.J, o.J);
          t = Math.min(t.K, o.K), g <= l || t <= f ? l = null : (o = {}, l = new R((o.x = l, o.y = f, o.width = Math.abs(g - l), o.height = Math.abs(t - f), o), !1)), l || (l = new R({
            x: 0,
            y: 0,
            width: 0,
            height: 0
          }, !1));
        } else
          n = this.g, l = this.G;
        f = new Ke(), this.m && yt(f, this.m), (g = this.i.B == "backgrounded") && Ae(f, "backgrounded"), f.g = n, f.h = l, He(f), this.Y ? !g && Ie(f.g) ? Ae(f, "hidden") : g || f.u === 100 || Ae(f, "clipped") : Ae(f, "viewport"), this.M = f;
      }
    }, Ut.prototype.O = function() {
      return !0;
    };
    function Vr(t) {
      t.B && (t.B.disconnect(), t.B = void 0), t.u && (t.u.disconnect(), t.u = void 0), t.C && ((0, t.j.removeEventListener)("resize", t.C), t.C = void 0);
    }
    function xr(t) {
      t.l && t.h && (t.l.unobserve(t.h), t.l.observe(t.h));
    }
    function kr(t) {
      return t = t.getBoundingClientRect(), t.width == 0 || t.height == 0;
    }
    function Bn(t) {
      return new t.j.IntersectionObserver(function(n) {
        try {
          if (n.length) {
            for (var o, l = n[0], f = 1; f < n.length; f++)
              n[f].time > l.time && (l = n[f]);
            o = l, t.m = Ai(o.rootBounds), t.g = Ai(o.boundingClientRect), t.G = Ai(o.intersectionRect), t.Y = !!o.isIntersecting, Kt(t);
          }
        } catch (g) {
          t.v(), a(t.X, "generic", "Problem handling IntersectionObserver callback: " + g.message);
        }
      }, {
        root: null,
        rootMargin: "0px",
        threshold: [0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1]
      });
    }
    function qn(t) {
      t.j.ResizeObserver ? t.B || (t.B = Wn(t, function() {
        return Fi(t);
      }), t.B.observe(t.h)) : (t.C || (t.C = function() {
        return Fi(t);
      }, (0, t.j.addEventListener)("resize", t.C)), t.u || (t.u = new MutationObserver(function() {
        return Fi(t);
      }), t.u.observe(t.h, {
        childList: !1,
        attributes: !0,
        subtree: !1
      })));
    }
    function Fi(t) {
      t.h && !kr(t.h) && (xr(t), Vr(t));
    }
    function Wn(t, n) {
      return new t.j.ResizeObserver(n);
    }
    function Ai(t) {
      if (t && t.x !== null && t.y !== null && t.width !== null && t.height !== null)
        return new R(t, !1);
    }
    function $i(t) {
      if (J(t) === "object" && J(t.webOSSystem) === "object")
        return t.webOSSystem;
    }
    function mi(t) {
      return J($i(t)) === "object";
    }
    function Ft(t) {
      if (J(t) === "object" && J(t.tizen) === "object")
        return t.tizen;
    }
    function Rt(t) {
      return J(Ft(t)) === "object";
    }
    function Xn(t, n) {
      this.h = t, this.g = n;
    }
    function ji() {
      return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, function(t) {
        var n = 16 * Math.random() | 0;
        return t === "y" ? (n & 3 | 8).toString(16) : n.toString(16);
      });
    }
    function Yn(t, n) {
      var o = o === void 0 ? ne : o;
      this.i = t, this.g = o, this.j = n, this.h = [];
    }
    function Ur(t) {
      if (!t.g || !t.g.document)
        throw Error("OMID Service Script is not running within a window.");
      var n = t.h;
      t.h = [], n.forEach(function(o) {
        try {
          var l = o.accessMode, f = typeof l == "string" && Object.values(D).indexOf(l) !== -1 ? o.accessMode : null, g = f || "limited";
          o.accessMode = g;
          e: {
            var T = o.resourceUrl, O = t.g.location.origin;
            try {
              var N = new URL(T, O);
              break e;
            } catch (Je) {
            }
            try {
              N = new URL(T);
              break e;
            } catch (Je) {
            }
            N = null;
          }
          if (l = N) {
            var b = ji();
            Gn(t, b, l, g);
            var q = o.vendorKey, fe = o.verificationParameters;
            q = q === void 0 ? "" : q, fe = fe === void 0 ? "" : fe, q && typeof q == "string" && q !== "" && fe && typeof fe == "string" && fe !== "" && (t.i.o[q] = fe), t.j.u.set(b, o);
          }
        } catch (Je) {
          te("OMID verification script " + o.resourceUrl + " failed to load: " + Je);
        }
      });
    }
    function Gn(t, n, o, l) {
      var f = t.g.document, g = f.createElement("iframe");
      if (g.id = "omid-verification-script-frame-" + n, g.style.display = "none", l == "full") {
        var T = function O() {
          var N = g.contentWindow;
          N.omidVerificationProperties = {
            serviceWindow: t.g,
            injectionSource: "web",
            injectionId: n
          }, N = N.document;
          var b = N.createElement("script");
          b.src = o.href, N.head.appendChild(b), g.removeEventListener("load", O);
        };
        g.addEventListener("load", T);
      } else
        l == "limited" ? g.srcdoc = `<html><head>
<script type="text/javascript">window['omidVerificationProperties'] = {
'serviceWindow': window.parent,
'injectionSource': 'web',
'injectionId': '` + (n + `',
};<\/script>
<script type="text/javascript" src="`) + o.href + `"><\/script>
</head><body></body></html>` : l == "domain" && (g.src = Kn(t, n, o).href);
      ["domain", "limited"].indexOf(l) !== -1 && (g.sandbox = "allow-scripts"), f.body.appendChild(g), V().g.set(n, g);
    }
    function Kn(t, n, o) {
      var l = "/.well-known/omid/omloader-v1.html#";
      (/* @__PURE__ */ new Map([["verificationScriptUrl", o.href], ["injectionId", n]])).forEach(function(f, g) {
        l += encodeURIComponent(g) + "=" + encodeURIComponent(f) + "&";
      }), n = null;
      try {
        n = new URL(l, t.g.parent.location.origin);
      } catch (f) {
        throw Error("OMID Service Script cannot access the parent window.");
      }
      return n;
    }
    function Hi(t, n) {
      var o = window, l = this;
      if (mi(o))
        if (o)
          if (o.WebOSServiceBridge) {
            this.i = t, this.h = n, this.g = new o.WebOSServiceBridge(), this.g.onservicecallback = function(f) {
              try {
                var g = JSON.parse(f);
                if (g && g.errorCode)
                  l.error(f);
                else if (!g)
                  l.error("No object recieved from webOS bridge");
                else if (!Ei(l, f, g, "volumeStatus", "object")) {
                  var T = g.volumeStatus;
                  Ei(l, f, T, "muteStatus", "boolean") || Ei(l, f, T, "volume", "number") || Ei(l, f, T, "maxVolume", "number") || (0 >= T.maxVolume ? l.error("Invalid max volume status.") : l.i(T.muteStatus ? 0 : T.volume / T.maxVolume));
                }
              } catch (O) {
                l.error(O);
              }
            };
            try {
              this.g.call("luna://com.webos.service.audio/master/getVolume", '{"subscribe":true}');
            } catch (f) {
              this.error(f);
            }
          } else
            this.h("No WebOSServiceBridge on windowContext");
        else
          this.h("No window context");
    }
    Hi.prototype.stop = function() {
      this.g && this.g.cancel && this.g.cancel(), this.g = null;
    }, Hi.prototype.error = function(t) {
      this.stop(), this.h && this.h(t);
    };
    function Ei(t, n, o, l, f) {
      return J(o[l]) === f ? !1 : (t.error('Unexpected formatting on message from webOS bridge: "' + n + '". Expected "' + l + '" to be of type "' + f + '" but was of type "' + J(o[l]) + '".'), !0);
    }
    function Fr(t) {
      return Rt(t) ? J(Ft(t).tvinputdevice) === "object" : !1;
    }
    function gi(t, n) {
      var o = window, l = this;
      if (o)
        if (this.validate(o)) {
          this.h = n;
          var f = Ft(o).tvaudiocontrol;
          this.g = void 0, n = function() {
            var T = f.isMute() ? 0 : f.getVolume() / 100;
            (l.g === void 0 || l.g != T) && (l.g = T, t(l.g));
          }, n(), this.i = o.setInterval(n, 200), this.j = o;
        } else
          n("Invalid Tizen window context");
      else
        n("No window context");
    }
    gi.prototype.stop = function() {
      this.i !== void 0 && typeof this.j.clearInterval == "function" && this.j.clearInterval(this.i), this.h = this.g = this.i = void 0;
    }, gi.prototype.validate = function(t) {
      return Rt(t) && Fr(t) && J(Ft(t).tvaudiocontrol) === "object" && typeof t.setInterval == "function" && typeof t.clearInterval == "function";
    }, gi.prototype.error = function(t) {
      this.stop(), this.h && this.h(t);
    };
    function $r(t, n, o, l, f) {
      var g = this;
      this.g = t, this.i = n, this.h = o, this.l = l, this.o = f, this.m = !1, Bi(this, function(T) {
        if (T.type === "sessionStart") {
          g.m = !0;
          try {
            Ur(g.l);
          } catch (O) {
            qe(O.message);
          }
        }
        T.type === "sessionFinish" && (g.m = !1);
      });
    }
    function Bi(t, n, o, l) {
      hi(t.i, n, o, l);
    }
    i = $r.prototype, i.setSlotElement = function(t) {
      t && t.tagName ? (this.g.m = t, this.h && fi(this.h)) : qe("setSlotElement called with a non-HTMLElement.  It will be ignored.");
    }, i.setElementBounds = function(t) {
      this.g.o = t, this.h && fi(this.h), this.h && Kt(this.h);
    }, i.error = function(t, n) {
      a(this.i, t, n);
    }, i.injectVerificationScriptResources = function(t) {
      var n = this.l;
      if (n.h.push.apply(n.h, d(t)), this.m)
        try {
          Ur(this.l);
        } catch (o) {
          qe(o.message);
        }
    }, i.setCreativeType = function(t, n) {
      n = n === void 0 ? null : n, (!this.g.g || this.g.h) && (this.g.h = t, t == "video" || t == "audio" ? this.g.g = "video" : t == "htmlDisplay" || t == "nativeDisplay" ? this.g.g = "display" : t == "definedByJavaScript" && n && (this.g.g = n == "none" ? "display" : "video"));
    }, i.setImpressionType = function(t) {
      (!this.g.g || this.g.h) && (this.g.G = t);
    }, i.setClientInfo = function(t, n, o) {
      var l = this.g.i || {};
      return l.omidJsInfo = ge({}, l.omidJsInfo, {
        sessionClientVersion: t,
        partnerName: n,
        partnerVersion: o
      }), this.g.i = l, this.g.i.omidJsInfo.serviceVersion;
    };
    function zn(t) {
      if (Rt(window) || mi(window)) {
        var n = function(f) {
          if (t.g.v !== f && t.i.g.j !== "none" && typeof f == "number" && !isNaN(f)) {
            t.g.v = f;
            var g = t.o, T = g.g.M;
            T != null && (f = g.h, g = {
              mediaPlayerVolume: T,
              deviceVolume: g.g.v
            }, Tt(f, "volumeChange", g), Dr(f, "volumeChange", g), It(f, F(f, "volumeChange", "native", g)));
          }
        }, o = function(f) {
          qe(f);
        };
        mi(window) ? t.j = new Hi(n, o) : Rt(window) && (t.j = new gi(n, o));
      }
    }
    function jr(t, n) {
      if (!n)
        return t.g;
      for (var o = s(t.h.values()), l = o.next(); !l.done; l = o.next())
        if (l = l.value, l.g.u.has(n))
          return l;
      return t.g;
    }
    function we(t, n) {
      return n == null ? t.g : t.h.get(n) || t.g;
    }
    function qi(t) {
      var n = new ce(), o = new xt(n), l = new Be(), f = new ye(), g = new $n(o, n);
      t = t.i;
      var T = e;
      return l = T ? T.IntersectionObserver && (T.MutationObserver || T.ResizeObserver) ? new Ut(T, l, g, o, n, t) : new kt(T, f, g, o, n, t) : null, new $r(n, o, l, new Yn(o, n), new Xn(o, n));
    }
    function $t(t, n, o, l) {
      this.h = t, this.method = n, this.version = o, this.g = l;
    }
    function Hr(t) {
      return !!t && t.omid_message_guid !== void 0 && t.omid_message_method !== void 0 && t.omid_message_version !== void 0 && typeof t.omid_message_guid == "string" && typeof t.omid_message_method == "string" && typeof t.omid_message_version == "string" && (t.omid_message_args === void 0 || t.omid_message_args !== void 0);
    }
    function Br(t) {
      return new $t(t.omid_message_guid, t.omid_message_method, t.omid_message_version, t.omid_message_args);
    }
    function qr(t) {
      var n = {};
      return n = (n.omid_message_guid = t.h, n.omid_message_method = t.method, n.omid_message_version = t.version, n), t.g !== void 0 && (n.omid_message_args = t.g), n;
    }
    function Wr(t) {
      this.i = t;
    }
    function jt(t) {
      this.i = t, this.handleExportedMessage = jt.prototype.j.bind(this);
    }
    I(jt, Wr), jt.prototype.h = function(t, n) {
      if (n = n === void 0 ? this.i : n, !n)
        throw Error("Message destination must be defined at construction time or when sending the message.");
      n.handleExportedMessage(qr(t), this);
    }, jt.prototype.j = function(t, n) {
      Hr(t) && this.g && this.g(Br(t), n);
    };
    function vi(t) {
      return Wi(t, "SessionService.");
    }
    function Wi(t, n) {
      return (t = t.match(new RegExp("^" + n + "(.*)"))) && t[1];
    }
    function Xi(t, n) {
      this.h = t, this.i = n;
    }
    Xi.prototype.g = function(t) {
      var n = _.apply(1, arguments);
      e:
        switch (t) {
          case "registerSessionObserver":
            var o = n.slice(1);
            break e;
          default:
            o = n;
        }
      return this.h("SessionService." + t, this.j.bind(this, t, n), o);
    }, Xi.prototype.j = function(t, n, o) {
      switch (t) {
        case "registerSessionObserver":
          t = s(n).next().value, t(o);
      }
    };
    function ie(t, n) {
      return t.g.bind(t, n);
    }
    function Qn(t, n) {
      n = n === void 0 ? ne : n, n.omidSessionInterface == null && (t = {
        setSessionClientWindow: t.i,
        setClientInfo: ie(t, "setClientInfo"),
        registerSessionObserver: ie(t, "registerSessionObserver"),
        startAdSession: ie(t, "startSession"),
        finishAdSession: ie(t, "finishSession"),
        reportError: ie(t, "sessionError"),
        registerAdEvents: ie(t, "registerAdEvents"),
        registerMediaEvents: ie(t, "registerMediaEvents"),
        injectVerificationScriptResources: ie(t, "injectVerificationScriptResources"),
        setSlotElement: ie(t, "setSlotElement"),
        setVideoElement: ie(t, "setVideoElement"),
        setElementBounds: ie(t, "setElementBounds"),
        setCreativeType: ie(t, "setCreativeType"),
        setImpressionType: ie(t, "setImpressionType"),
        setContentUrl: ie(t, "setContentUrl"),
        adEvents: {
          impressionOccurred: ie(t, "impressionOccurred"),
          loaded: ie(t, "loaded")
        },
        mediaEvents: {
          start: ie(t, "start"),
          firstQuartile: ie(t, "firstQuartile"),
          midpoint: ie(t, "midpoint"),
          thirdQuartile: ie(t, "thirdQuartile"),
          complete: ie(t, "complete"),
          pause: ie(t, "pause"),
          resume: ie(t, "resume"),
          bufferStart: ie(t, "bufferStart"),
          bufferFinish: ie(t, "bufferFinish"),
          skipped: ie(t, "skipped"),
          volumeChange: ie(t, "volumeChange"),
          playerStateChange: ie(t, "playerStateChange"),
          adUserInteraction: ie(t, "adUserInteraction")
        }
      }, t.mediaEvents.loaded = t.adEvents.loaded, t.videoEvents = t.mediaEvents, Object.freeze(t), Object.defineProperty(n, "omidSessionInterface", {
        value: t,
        writable: !1
      }));
    }
    function Si(t, n) {
      this.i = n = n === void 0 ? ne : n;
      var o = this;
      t.addEventListener("message", function(l) {
        if (J(l.data) === "object") {
          var f = l.data;
          Hr(f) && l.source && o.g && o.g(Br(f), l.source);
        }
      });
    }
    I(Si, Wr), Si.prototype.h = function(t, n) {
      if (n = n === void 0 ? this.i : n, !n)
        throw Error("Message destination must be defined at construction time or when sending the message.");
      n.postMessage(qr(t), "*");
    };
    function Xr() {
      this.g = on;
    }
    i = Xr.prototype, i.registerSessionObserver = function(t, n) {
      Bi(we(this.g, t), n);
    }, i.setSlotElement = function(t, n) {
      we(this.g, t).setSlotElement(n);
    }, i.setElementBounds = function(t, n) {
      we(this.g, t).setElementBounds(n);
    }, i.error = function(t, n, o) {
      we(this.g, t).error(n, o);
    };
    function Ne(t, n, o, l) {
      t = we(t.g, n), o == "impression" ? re(t.i) && (o = t.i, l = (l = o.g.O) ? je(l) : null, l = B(o, $(o, l)), It(o, F(o, "impression", "javascript", l)), t.h && pi(t.h)) : (o == "loaded" ? (n = l, n = n === void 0 ? null : n, lt(t.i) && (l = t.i, l.g.h || l.g.g != "display") && (n = F(l, "loaded", "javascript", B(l, $(l, n === void 0 ? null : n))), It(l, n))) : lt(t.i) && (n = t.i, Tt(n, o, l), Dr(n, o, l), It(n, F(n, o, "javascript", l))), ["loaded", "start"].indexOf(o) !== -1 && t.h && pi(t.h));
    }
    i.injectVerificationScriptResources = function(t, n) {
      we(this.g, t).injectVerificationScriptResources(n);
    }, i.setCreativeType = function(t, n, o) {
      o = o === void 0 ? null : o, we(this.g, t).setCreativeType(n, o);
    }, i.setImpressionType = function(t, n) {
      we(this.g, t).setImpressionType(n);
    }, i.setClientInfo = function(t, n, o, l) {
      var f = this.g;
      if (t == null)
        t = f.g;
      else {
        var g = [].concat(d(f.h.values())).indexOf(f.g) !== -1 ? qi(f) : f.g;
        f.h.set(t, g), t = g;
      }
      return t.setClientInfo(n, o, l);
    };
    function Yr(t) {
      t = t.split("-")[0].split(".");
      for (var n = ["1", "0", "3"], o = 0; 3 > o; o++) {
        var l = parseInt(t[o], 10), f = parseInt(n[o], 10);
        if (l > f)
          break;
        if (l < f)
          return !1;
      }
      return !0;
    }
    function Gr(t, n) {
      return /\d+\.\d+\.\d+(-.*)?/.test(t) && Yr(t) ? n : JSON.stringify(n);
    }
    function Kr(t, n) {
      return /\d+\.\d+\.\d+(-.*)?/.test(t) && Yr(t) ? n || [] : n && typeof n == "string" ? JSON.parse(n) : [];
    }
    function Yi() {
      var t = rs, n = this, o = o === void 0 ? e : o;
      this.g = t, this.h = o, this.j = new jt(), this.h.omid = this.h.omid || {}, this.h.omid.v1_SessionServiceCommunication = this.j, this.i = o && o.addEventListener && o.postMessage ? new Si(o) : null, this.m = null, this.j.g = this.l.bind(this), this.i && (this.i.g = this.o.bind(this)), this.s = new Xi(function(l, f, g) {
        try {
          Qr(n, l, f, g);
        } catch (T) {
          qe(Jr(T));
        }
      }, function(l) {
        n.m = l;
        var f = ji();
        n.i.h(new $t(f, "identifyServiceWindow", "1.5.2-iab4528"), l);
      }), Qn(this.s, this.h);
    }
    Yi.prototype.l = function(t, n) {
      vi(t.method) != null && zr(this, t, n, this.j);
    }, Yi.prototype.o = function(t, n) {
      if (vi(t.method) != null) {
        if (!this.m || n !== this.m)
          return qe("Unrecognized session client window. Cross-origin session clients must register via the setSessionClientWindow API. See https://interactiveadvertisingbureau.github.io/Open-Measurement-SDKJS/iframes.html#om-sdk-js-session-client"), !1;
        zr(this, t, n, this.i);
      }
    };
    function zr(t, n, o, l) {
      function f() {
        var N = new $t(g, "response", O, Gr(O, _.apply(0, arguments)));
        l.h(N, o);
      }
      var g = n.h, T = n.method, O = n.version;
      n = Kr(O, n.g);
      try {
        Qr(t, T, f, n);
      } catch (N) {
        l.h(new $t(g, "error", O, Jr(N)), o);
      }
    }
    function Qr(t, n, o, l) {
      if (vi(n) != null)
        switch (vi(n)) {
          case "registerAdEvents":
            var f = s(l).next().value, g = we(t.g.g, f).i;
            se(g, ["impression"]) && re(g) && (g.g.s = "javascript");
            break;
          case "registerMediaEvents":
            var T = s(l).next().value, O = we(t.g.g, T).i;
            se(O, Object.values(j)) && lt(O) && (O.g.j = "javascript");
            break;
          case "registerSessionObserver":
            var N = s(l).next().value;
            t.g.registerSessionObserver(N, o);
            break;
          case "setSlotElement":
            var b = s(l), q = b.next().value, fe = b.next().value;
            t.g.setSlotElement(fe, q);
            break;
          case "setVideoElement":
            var Je = s(l), dt = Je.next().value, Nt = Je.next().value, Ue = we(t.g.g, Nt);
            dt && dt.tagName && dt.tagName.toLowerCase() === "video" ? (Ue.g.l = dt, Ue.h && fi(Ue.h)) : qe("setVideoElement called with a non-HTMLVideoElement. It will be ignored.");
            break;
          case "setElementBounds":
            var Oi = s(l), Ki = Oi.next().value, zi = Oi.next().value;
            t.g.setElementBounds(zi, Ki);
            break;
          case "startSession":
            var zt = s(l), Ze = zt.next().value, Ii = zt.next().value, Ye = t.h;
            if (Ze != null && J(Ze) === "object") {
              var Qt = Ze.customReferenceData, De = Ze.underEvaluation;
              typeof Qt == "string" || (Qt = void 0), typeof De == "boolean" || (De = !1);
              var _t = {
                customReferenceData: Qt,
                underEvaluation: De
              };
              if (mi(Ye)) {
                var an = $i(Ye), Ti;
                J(an) === "object" && (Ti = an.identifier), _t.app = {
                  appId: Ti && typeof Ti == "string" ? Ti : void 0
                };
                e: {
                  var ln = $i(Ye);
                  if (J(ln) === "object") {
                    try {
                      var dn = JSON.parse(ln.deviceInfo);
                    } catch (qs) {
                      var Qi = void 0;
                      break e;
                    }
                    Qi = {
                      deviceType: dn.modelName || "Unknown",
                      osVersion: dn.platformVersion || "Unknown",
                      os: "webOS"
                    };
                  } else
                    Qi = void 0;
                }
                _t.deviceInfo = Qi, _t.deviceCategory = "ctv";
              } else if (Rt(Ye)) {
                e: {
                  if (Rt(Ye)) {
                    try {
                      var un = Ft(Ye).application.getCurrentApplication().appInfo.id;
                    } catch (qs) {
                      var Ji = void 0;
                      break e;
                    }
                    if (typeof un == "string") {
                      Ji = un;
                      break e;
                    }
                  }
                  Ji = void 0;
                }
                if (_t.app = {
                  appId: Ji
                }, Rt(Ye)) {
                  var Ri = Ft(Ye).systeminfo;
                  if (J(Ri) === "object" && typeof Ri.getCapability == "function")
                    var ns = Ri.getCapability("http://tizen.org/system/model_name"), ss = Ri.getCapability("http://tizen.org/feature/platform.version");
                  var hn = {
                    deviceType: ns || "Unknown",
                    osVersion: ss || "Unknown",
                    os: "tizen"
                  };
                } else
                  hn = void 0;
                _t.deviceInfo = hn, Fr(Ye) && (_t.deviceCategory = "ctv");
              }
              Ze = _t;
            } else
              Ze = null;
            if (Ze == null)
              break;
            var Ct = Ze, Zi = Zi === void 0 ? null : Zi, At = we(t.g.g, Ii), cn = At.g.i;
            cn.sessionOwner || (cn.sessionOwner = "javascript");
            var os = Ii || ji();
            At.g.H = os, Ct.canMeasureVisibility = At.h.O();
            var er = At.g;
            Ct.contentUrl !== void 0 && (er.C = Ct.contentUrl, Ct.contentUrl = void 0);
            var pn = er.i || {};
            Ct.omidJsInfo = ge({}, pn.omidJsInfo || {}, Ct.omidJsInfo || {});
            var as = ge({}, pn, Ct);
            er.i = as, u(At.i, Zi), At.h && pi(At.h), zn(At);
            break;
          case "finishSession":
            var ls = s(l).next().value, fn = t.g, Jt = we(fn.g, ls), An = fn.g;
            An.g = qi(An), S(Jt.i), Jt.h.v(), Jt.j && (Jt.j.stop(), Jt.j = null);
            break;
          case "impressionOccurred":
            var ds = s(l).next().value;
            Ne(t.g, ds, "impression");
            break;
          case "loaded":
            var mn = s(l), Ht = mn.next().value, En = mn.next().value;
            if (Ht) {
              var gn = {
                skippable: Ht.isSkippable,
                autoPlay: Ht.isAutoPlay,
                position: Ht.position
              };
              Ht.isSkippable && (gn.skipOffset = Ht.skipOffset), Ne(t.g, En, "loaded", gn);
            } else
              Ne(t.g, En, "loaded");
            break;
          case "start":
            var tr = s(l), us = tr.next().value, hs = tr.next().value, cs = tr.next().value;
            Ne(t.g, cs, "start", {
              duration: us,
              mediaPlayerVolume: hs
            });
            break;
          case "firstQuartile":
            var ps = s(l).next().value;
            Ne(t.g, ps, "firstQuartile");
            break;
          case "midpoint":
            var fs = s(l).next().value;
            Ne(t.g, fs, "midpoint");
            break;
          case "thirdQuartile":
            var As = s(l).next().value;
            Ne(t.g, As, "thirdQuartile");
            break;
          case "complete":
            var ms = s(l).next().value;
            Ne(t.g, ms, "complete");
            break;
          case "pause":
            var Es = s(l).next().value;
            Ne(t.g, Es, "pause");
            break;
          case "resume":
            var gs = s(l).next().value;
            Ne(t.g, gs, "resume");
            break;
          case "bufferStart":
            var vs = s(l).next().value;
            Ne(t.g, vs, "bufferStart");
            break;
          case "bufferFinish":
            var Ss = s(l).next().value;
            Ne(t.g, Ss, "bufferFinish");
            break;
          case "skipped":
            var ys = s(l).next().value;
            Ne(t.g, ys, "skipped");
            break;
          case "volumeChange":
            var vn = s(l), Os = vn.next().value, Is = vn.next().value;
            Ne(t.g, Is, "volumeChange", {
              mediaPlayerVolume: Os
            });
            break;
          case "playerStateChange":
            var Sn = s(l), Ts = Sn.next().value, Rs = Sn.next().value;
            Ne(t.g, Rs, "playerStateChange", {
              state: Ts
            });
            break;
          case "adUserInteraction":
            var yn = s(l), Ns = yn.next().value, _s = yn.next().value;
            Ne(t.g, _s, "adUserInteraction", {
              interactionType: Ns
            });
            break;
          case "setClientInfo":
            var Ni = s(l), Cs = Ni.next().value, Ds = Ni.next().value, Ls = Ni.next().value, Ms = Ni.next().value, bs = t.g.setClientInfo(Ms, Cs, Ds, Ls);
            o(bs);
            break;
          case "injectVerificationScriptResources":
            var On = s(l), Ps = On.next().value, ws = On.next().value;
            t.g.injectVerificationScriptResources(ws, Ps);
            break;
          case "setCreativeType":
            var In = s(l), Vs = In.next().value, xs = In.next().value;
            t.g.setCreativeType(xs, Vs);
            break;
          case "setImpressionType":
            var Tn = s(l), ks = Tn.next().value, Us = Tn.next().value;
            t.g.setImpressionType(Us, ks);
            break;
          case "setContentUrl":
            var Rn = s(l), Fs = Rn.next().value, $s = Rn.next().value;
            we(t.g.g, $s).g.C = Fs;
            break;
          case "sessionError":
            var ir = s(l), js = ir.next().value, Hs = ir.next().value, Bs = ir.next().value;
            t.g.error(Bs, js, Hs);
        }
    }
    function Jr(t) {
      return `
        name: ` + t.name + `
        message: ` + t.message + `
        filename: ` + t.filename + `
        lineNumber: ` + t.lineNumber + `
        columnNumber: ` + t.columnNumber + `
        stack: ` + t.stack + `
        toString(): ` + t.toString();
    }
    function Gi() {
      var t = on, n = sn, o = this, l = l === void 0 ? ne : l;
      this.j = t, this.g = n, this.l = {}, this.m = {}, this.i = new jt(), l.omid = l.omid || {}, l.omid.v1_VerificationServiceCommunication = this.i, this.h = null, l && l.addEventListener && l.postMessage && (this.h = new Si(l)), this.i.g = function(f, g) {
        en(o, f, g, o.i);
      }, this.h && (this.h.g = function(f, g) {
        o.h && en(o, f, g, o.h);
      });
    }
    function Zr(t) {
      t({
        adSessionId: "",
        timestamp: (/* @__PURE__ */ new Date()).getTime(),
        type: "sessionError",
        data: {
          errorType: "generic",
          message: "Registration to session events is only allowed for verification clients injected by the OM-SDK service itself. Please note that in a future release registration in this manner will be rejected."
        }
      });
    }
    function Jn(t, n, o, l) {
      t = jr(t.j, l), l !== void 0 && t.g.u.has(l) ? (t = t.i, n === "media" || n === "video" ? ui(t, o, l) : (o = {
        type: n,
        U: l,
        I: o
      }, t.j.push(o), di(t, n, o))) : Zr(o);
    }
    function Zn(t, n, o, l) {
      t = jr(t.j, l), l !== void 0 && t.g.u.has(l) ? Bi(t, n, o, l) : Zr(n);
    }
    function es(t, n, o, l) {
      Hn(t.g, n, o, l);
    }
    Gi.prototype.setInterval = function(t, n) {
      return this.g.setInterval(t, n);
    }, Gi.prototype.clearInterval = function(t) {
      this.g.clearInterval(t);
    };
    function ts(t, n, o, l) {
      Ui(t.g, "downloadJavaScriptResource")(n, o, l);
    }
    function en(t, n, o, l) {
      function f() {
        var De = new $t(g, "response", O, Gr(O, _.apply(0, arguments)));
        l.h(De, o);
      }
      var g = n.h, T = n.method, O = n.version;
      if (n = Kr(O, n.g), Wi(T, "VerificationService.") != null) {
        T = Wi(T, "VerificationService.");
        try {
          switch (T) {
            case "addEventListener":
              var N = s(n), b = N.next().value, q = N.next().value || tn(o);
              Jn(t, b, f, q);
              break;
            case "addSessionListener":
              var fe = s(n), Je = fe.next().value, dt = fe.next().value || tn(o);
              Zn(t, f, Je, dt);
              break;
            case "sendUrl":
              var Nt = s(n).next().value;
              es(t, Nt, function() {
                return f(!0);
              }, function() {
                return f(!1);
              });
              break;
            case "setTimeout":
              var Ue = s(n), Oi = Ue.next().value, Ki = Ue.next().value;
              t.l[Oi] = ci(t.g, "setTimeout")(f, Ki);
              break;
            case "clearTimeout":
              var zi = s(n).next().value;
              jn(t.g, t.l[zi]);
              break;
            case "setInterval":
              var zt = s(n), Ze = zt.next().value, Ii = zt.next().value;
              t.m[Ze] = t.setInterval(f, Ii);
              break;
            case "clearInterval":
              var Ye = s(n).next().value;
              t.clearInterval(t.m[Ye]);
              break;
            case "injectJavaScriptResource":
              var Qt = s(n).next().value;
              ts(t, Qt, function(De) {
                return f(!0, De);
              }, function() {
                return f(!1);
              });
              break;
            case "getVersion":
              f("1.5.2-iab4528");
          }
        } catch (De) {
          l.h(new $t(g, "error", O, `
              name: ` + De.name + `
              message: ` + De.message + `
              filename: ` + De.filename + `
              lineNumber: ` + De.lineNumber + `
              columnNumber: ` + De.columnNumber + `
              stack: ` + De.stack + `
              toString(): ` + De.toString() + `
          `), o);
        }
      }
    }
    function tn(t) {
      for (var n = V().g, o = s(n.keys()), l = o.next(); !l.done; l = o.next()) {
        l = l.value;
        var f = n.get(l);
        if (f) {
          if (f.contentWindow === t)
            return l;
          try {
            if (f.contentWindow.Object.prototype.isPrototypeOf(t))
              return l;
          } catch (g) {
          }
        }
      }
    }
    function rn(t) {
      var n = {};
      return (n.app = "omid_v1_present_app", n.web = "omid_v1_present_web", n)[t];
    }
    function nn(t, n) {
      t.document.write('<iframe style="display:none" id="' + (n + '" name="' + n + '" sandbox></iframe>'));
    }
    function yi(t, n) {
      var o = t.document.createElement("iframe");
      o.id = n, o.name = n, o.style.display = "none", o.sandbox = "", t.document.body.appendChild(o);
    }
    function is(t, n) {
      var o = new MutationObserver(function(l) {
        l.forEach(function(f) {
          f.addedNodes[0].nodeName === "BODY" && (f = rn(n), yi(t, "omid_v1_present"), yi(t, f), o.disconnect());
        });
      });
      o.observe(t.document.documentElement, {
        childList: !0
      });
    }
    var sn = new ki(), on = new function() {
      this.i = sn, this.h = /* @__PURE__ */ new Map(), this.g = qi(this);
    }(), rs = new Xr();
    new Gi(), new Yi(), function(t, n) {
      t.frames && t.document && !["omid_v1_present", "omid_v1_present_web", "omid_v1_present_app"].some(function(o) {
        return !!t.frames[o];
      }) && (t.document.body == null && "MutationObserver" in t ? is(t, n) : (n = rn(n), t.document.body ? (yi(t, "omid_v1_present"), yi(t, n)) : (nn(t, "omid_v1_present"), nn(t, n))));
    }(ne, "web");
  }).call(E, E);
}
const Pn = "4.0", wn = ["4.0"], Cr = class Cr {
  constructor() {
    this.OmidServiceClient = Lo();
  }
  detectOMID(e) {
    const i = "omid_v1_present", r = window;
    let s = !1;
    try {
      const d = e.omidServiceWindow;
      s = d.frames ? !!d.frames[i] : !1;
    } catch (d) {
      c.debug.warn("detectOMID: Publisher-Service could not be recognized.", d);
    }
    s || (c.debug.info("detectOMID: Publisher-Service not present. Using internal service."), e.omidServiceWindow = r);
  }
  /**
   * Checks if the provided player facade has a valid handshake version.
   *
   * @internal
   * @param {Object} playerFacade - The player facade object with a handshakeVersion method.
   * @param {string} [facadeVersion=FACADE_VERSION] - The expected facade version.
   * @param {string[]} [supportedFacadeVersions=SUPPORTED_FACADE_VERSIONS] - An array of supported facade versions.
   * @returns {boolean} True if the handshake is valid, otherwise false.
   */
  hasValidHandshake(e, i = Pn, r = wn) {
    if (!e.handshakeVersion)
      return !1;
    const s = e.handshakeVersion(i);
    return r.includes(s);
  }
  /**
   * Checks whether a `playerFacade` instance implements all expected functions and properties of `FacadeBase`.
   *
   * @internal
   * @param {PlayerFacade} playerFacade - The `playerFacade` instance to be checked.
   * @param {typeof FacadeBase} Facade - The class from which `playerFacade` is expected to implement.
   * @returns {boolean} - True if the implementation is correct, otherwise false.
   */
  hasValidFacadeImplementation(e, i = Ys) {
    return Object.getOwnPropertyNames(Object.getPrototypeOf(new i())).filter((d) => !(d in e)).length <= 0;
  }
  /**
   * Establishes a connection between the core and the provided player facade to control the audio/video player.
   *
   * @internal
   * @param {PlayerFacade} playerFacade - The player facade object to establish a connection with.
   * @returns {void} This function does not return a value but sets the 'error' property on failure.
   */
  validate(e) {
    if (!e) {
      this.error = w.SETUP.NO_FACADE;
      return;
    }
    if (!this.hasValidHandshake(e)) {
      this.error = w.SETUP.INVALID_HANDSHAKE;
      return;
    }
    if (!this.hasValidFacadeImplementation(e)) {
      this.error = w.SETUP.INCORRECT_FACADE;
      return;
    }
    this.error = {};
  }
  /**
   * Sets up a new core instance with the given configuration, as specified in Global Configuration.
   * Returns a promise that either resolves with the APIs or rejects with a facade error.
   *
   * @param {PlayerFacade} playerFacade - The player facade object to establish a connection with.
   * @param {config} config - Basic configuration for the APIs (core instance)
   * @returns {Promise<MainController|Error>} Resolves with MainController - Reject with Error (Facade failure)
   */
  init(e, i) {
    let r = Yt(si, i);
    return new Promise((s, d) => {
      this.validate(e), this.detectOMID(r.adVerification);
      function h(A) {
        c.debug.critical("init - error", A), d(A);
      }
      Object.keys(this.initError).length > 0 ? h(this.initError) : s(new yr(r, e));
    });
  }
  /**
   * @returns {Object} Ad request methods
   */
  get AD_REQUEST_METHOD() {
    return Do;
  }
  /**
   * @returns {Object} Ad types
   */
  get AD_TYPE() {
    return he;
  }
  /**
   * @returns {Object} the default config.
   */
  get CONFIG() {
    return Rr(si);
  }
  /**
   * @returns {Object} the default mimetypes.
   */
  get DEFAULT_MIMETYPES() {
    return ai;
  }
  /**
   * @returns {Object} List of event types as ENUMs
   */
  get EVENT() {
    return p;
  }
  /**
   * @returns {Array} List of event types
   */
  get EVENTS() {
    return Object.values(p);
  }
  get LOGLEVEL() {
    return nt;
  }
  /**
   * Set the log level.
   * @param {LOGLEVEL} level - The log level to set. ( SILENT - 0, ERROR - 1, NORMAL - 2, VERBOSE - 3)
   * @returns {void}
   */
  set debugLevel(e) {
    c.logLevel = e;
  }
  /**
   * Get the current log level.
   * @returns {number} Returns '0' by default, or the value set by the 'debugLevel' setter.
   */
  get debugLevel() {
    return c.logLevel;
  }
  /**
   * Get the debug log object.
   * @returns {Object} Debug log object with log functions.
   */
  get debugger() {
    return c.debug;
  }
  /**
   * @returns {string} Facade version string
   */
  get facadeVersion() {
    return Pn;
  }
  /**
   * @returns {object} InitError object
   */
  get initError() {
    return this.error;
  }
  /**
   * @returns {Array} Array of supported Facades by version
   */
  get supportedFacadeVersions() {
    return wn;
  }
  /**
   * @returns {string} smartclientcore version string
   */
  get version() {
    return "7.1.0";
  }
};
Cr.NAME = "Core::";
let xi = Cr;
const Mo = new xi();
typeof window != "undefined" && (window.smartclientcore = Mo);
typeof exports == "object" && (exports = {
  smartclientcore: xi
});
export {
  Ys as FacadeBase,
  Mo as default
};
